# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.7.19)
# Database: wp
# Generation Time: 2017-08-15 20:39:19 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table wp_commentmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_commentmeta`;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;



# Dump of table wp_comments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_comments`;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_comments` WRITE;
/*!40000 ALTER TABLE `wp_comments` DISABLE KEYS */;

INSERT INTO `wp_comments` (`comment_ID`, `comment_post_ID`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_IP`, `comment_date`, `comment_date_gmt`, `comment_content`, `comment_karma`, `comment_approved`, `comment_agent`, `comment_type`, `comment_parent`, `user_id`)
VALUES
	(1,1,'A WordPress Commenter','wapuu@wordpress.example','https://wordpress.org/','','2017-08-15 19:59:24','2017-08-15 19:59:24','Hi, this is a comment.\nTo get started with moderating, editing, and deleting comments, please visit the Comments screen in the dashboard.\nCommenter avatars come from <a href=\"https://gravatar.com\">Gravatar</a>.',0,'1','','',0,0);

/*!40000 ALTER TABLE `wp_comments` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_http_api_debug_log
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_http_api_debug_log`;

CREATE TABLE `wp_http_api_debug_log` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `site_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `blog_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `method` varchar(10) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `host` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `url` varchar(2048) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `status` int(3) unsigned zerofill NOT NULL DEFAULT '000',
  `request_args` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `request_body` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `response_data` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `response_body` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `backtrace` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `context` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'response',
  `transport` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `microtime` double unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`log_id`),
  KEY `site_blog_ids` (`site_id`,`blog_id`),
  KEY `request_info` (`method`,`host`,`status`),
  KEY `log_microtime` (`microtime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_http_api_debug_log` WRITE;
/*!40000 ALTER TABLE `wp_http_api_debug_log` DISABLE KEYS */;

INSERT INTO `wp_http_api_debug_log` (`log_id`, `site_id`, `blog_id`, `method`, `host`, `url`, `status`, `request_args`, `request_body`, `response_data`, `response_body`, `backtrace`, `context`, `transport`, `microtime`)
VALUES
	(1,0,1,'GET','ip.phplug.in','http://ip.phplug.in/',200,'{\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":200,\"message\":\"OK\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','50.205.125.225','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 25\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 131\n                            [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 131\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 110  Threads: 1  Questions: 1268  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.527\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => 50.205.125.225\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:19 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:19 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 14\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => text/plain; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://ip.phplug.in/\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 131\n                                                                    [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 131\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1269  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.536\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 14\n                                                    [content-type] => text/plain; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => 50.205.125.225\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => 50.205.125.225\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:19 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:19 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 14\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => text/plain; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 131\n                                                                    [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 131\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1270  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.545\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 14\n                                                    [content-type] => text/plain; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => 50.205.125.225\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => 50.205.125.225\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:19 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:19 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 14\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => text/plain; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                            [date] => Tue, 15 Aug 2017 20:00:19 GMT\n                                            [server] => Apache/2.4.18 (Ubuntu)\n                                            [cache-control] => max-age=300\n                                            [expires] => Tue, 15 Aug 2017 20:05:19 GMT\n                                            [vary] => User-Agent\n                                            [content-length] => 14\n                                            [content-type] => text/plain; charset=UTF-8\n                                        )\n\n                                )\n\n                            [body] => 50.205.125.225\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => 50.205.125.225\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:19 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:19 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:19 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:19 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 14\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => text/plain; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => GET\n                            [timeout] => 5\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => 1\n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => 1\n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://ip.phplug.in/\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 612\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                    [1] => Array\n                        (\n                            [method] => GET\n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 170\n            [function] => get\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                    [1] => Array\n                        (\n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/http-api-debug/inc/HTTPAPIDebug.php\n            [line] => 451\n            [function] => hidden for your protection_remote_get\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => activate\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 25\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 131\n                            [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => -1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 131\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 110  Threads: 1  Questions: 1271  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.554\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 131\n                                                                    [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 131\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1272  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.563\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 131\n                                                                    [last_query] => INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 131\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1273  Slow queries: 0  Opens: 199  Flush tables: 1  Open tables: 192  Queries per second avg: 11.572\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"INSERT INTO `hidden for your protection_options` (`option_name`, `option_value`, `autoload`) VALUES (\'http-api-debug-version\', \'0.1.2\', \'no\') ON DUPLICATE KEY UPDATE `option_name` = VALUES(`option_name`), `option_value` = VALUES(`option_value`), `autoload` = VALUES(`autoload`)\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 591\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => activate_http-api-debug/index.php\n                    [1] => \n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 752\n            [function] => activate_plugin\n            [args] => Array\n                (\n                    [0] => http-api-debug/index.php\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                    [3] => \n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /hidden for your protection-admin/plugins.php\n            [line] => 99\n            [function] => activate_plugins\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => current-screen-info/current-screen-info.php\n                            [1] => http-api-debug/index.php\n                            [2] => recently-edited-content-widget/recently-edited-content-widget.php\n                            [3] => what-template-am-i-using/what-template-am-i-using.php\n                        )\n\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                )\n\n        )\n\n)\n','response','Requests',1502827223.763869),
	(2,0,1,'GET','ip.phplug.in','http://ip.phplug.in/?output=json',200,'{\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":200,\"message\":\"OK\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','{\"ip\":\"50.205.125.225\"}','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 33\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 7\n                            [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 7\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 110  Threads: 1  Questions: 1282  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.654\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => {\"ip\":\"50.205.125.225\"}\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 23\r\nConnection: close\r\nContent-Type: application/json; charset=UTF-8\r\n\r\n{\"ip\":\"50.205.125.225\"}\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 23\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/json; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/?output=json\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://ip.phplug.in/?output=json\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 33\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 7\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 7\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1283  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.663\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 23\n                                                    [content-type] => application/json; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => {\"ip\":\"50.205.125.225\"}\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => {\"ip\":\"50.205.125.225\"}\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 23\r\nConnection: close\r\nContent-Type: application/json; charset=UTF-8\r\n\r\n{\"ip\":\"50.205.125.225\"}\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 23\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/json; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/?output=json\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/?output=json\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 33\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 7\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 7\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1284  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.672\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 23\n                                                    [content-type] => application/json; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => {\"ip\":\"50.205.125.225\"}\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => {\"ip\":\"50.205.125.225\"}\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 23\r\nConnection: close\r\nContent-Type: application/json; charset=UTF-8\r\n\r\n{\"ip\":\"50.205.125.225\"}\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 23\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/json; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/?output=json\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/?output=json\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                            [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                            [server] => Apache/2.4.18 (Ubuntu)\n                                            [cache-control] => max-age=300\n                                            [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                            [vary] => User-Agent\n                                            [content-length] => 23\n                                            [content-type] => application/json; charset=UTF-8\n                                        )\n\n                                )\n\n                            [body] => {\"ip\":\"50.205.125.225\"}\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => {\"ip\":\"50.205.125.225\"}\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 23\r\nConnection: close\r\nContent-Type: application/json; charset=UTF-8\r\n\r\n{\"ip\":\"50.205.125.225\"}\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 23\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/json; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/?output=json\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => GET\n                            [timeout] => 5\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => 1\n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => 1\n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://ip.phplug.in/?output=json\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 612\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=json\n                    [1] => Array\n                        (\n                            [method] => GET\n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 170\n            [function] => get\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=json\n                    [1] => Array\n                        (\n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/http-api-debug/inc/HTTPAPIDebug.php\n            [line] => 452\n            [function] => hidden for your protection_remote_get\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=json\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => activate\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 33\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 7\n                            [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => -1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 7\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 110  Threads: 1  Questions: 1285  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.681\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 33\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 7\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 7\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1286  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.690\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 33\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 7\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 7\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 110  Threads: 1  Questions: 1287  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.700\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (1, \'res\', \'content-type\', \'text/plain; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 591\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => activate_http-api-debug/index.php\n                    [1] => \n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 752\n            [function] => activate_plugin\n            [args] => Array\n                (\n                    [0] => http-api-debug/index.php\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                    [3] => \n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /hidden for your protection-admin/plugins.php\n            [line] => 99\n            [function] => activate_plugins\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => current-screen-info/current-screen-info.php\n                            [1] => http-api-debug/index.php\n                            [2] => recently-edited-content-widget/recently-edited-content-widget.php\n                            [3] => what-template-am-i-using/what-template-am-i-using.php\n                        )\n\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                )\n\n        )\n\n)\n','response','Requests',1502827223.849581);

INSERT INTO `wp_http_api_debug_log` (`log_id`, `site_id`, `blog_id`, `method`, `host`, `url`, `status`, `request_args`, `request_body`, `response_data`, `response_body`, `backtrace`, `context`, `transport`, `microtime`)
VALUES
	(3,0,1,'GET','ip.phplug.in','http://ip.phplug.in/?output=xml',200,'{\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":200,\"message\":\"OK\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','<?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 41\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 14\n                            [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 14\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 111  Threads: 1  Questions: 1296  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.675\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 61\r\nConnection: close\r\nContent-Type: application/xml; charset=UTF-8\r\n\r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 61\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/xml; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/?output=xml\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://ip.phplug.in/?output=xml\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 41\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 14\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 14\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1297  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.684\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 61\n                                                    [content-type] => application/xml; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 61\r\nConnection: close\r\nContent-Type: application/xml; charset=UTF-8\r\n\r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 61\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/xml; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/?output=xml\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/?output=xml\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 41\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 14\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 14\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1298  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.693\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 61\n                                                    [content-type] => application/xml; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 61\r\nConnection: close\r\nContent-Type: application/xml; charset=UTF-8\r\n\r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 61\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/xml; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/?output=xml\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/?output=xml\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                            [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                            [server] => Apache/2.4.18 (Ubuntu)\n                                            [cache-control] => max-age=300\n                                            [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                            [vary] => User-Agent\n                                            [content-length] => 61\n                                            [content-type] => application/xml; charset=UTF-8\n                                        )\n\n                                )\n\n                            [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => <?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 61\r\nConnection: close\r\nContent-Type: application/xml; charset=UTF-8\r\n\r\n<?xml version=\"1.0\" encoding=\"UTF-8\"?><ip>50.205.125.225</ip>\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 61\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/xml; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/?output=xml\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => GET\n                            [timeout] => 5\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => 1\n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => 1\n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://ip.phplug.in/?output=xml\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 612\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=xml\n                    [1] => Array\n                        (\n                            [method] => GET\n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 170\n            [function] => get\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=xml\n                    [1] => Array\n                        (\n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/http-api-debug/inc/HTTPAPIDebug.php\n            [line] => 453\n            [function] => hidden for your protection_remote_get\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/?output=xml\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => activate\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 41\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 14\n                            [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => -1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 14\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 111  Threads: 1  Questions: 1299  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.702\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 41\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 14\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 14\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1300  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.711\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 41\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 14\n                                                                    [last_query] => insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 14\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1301  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.720\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"insert into hidden for your protection_http_api_debug_log_headers (log_id, header_type, header_name, header_value) values (2, \'res\', \'content-type\', \'application/json; charset=UTF-8\')\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 591\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => activate_http-api-debug/index.php\n                    [1] => \n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 752\n            [function] => activate_plugin\n            [args] => Array\n                (\n                    [0] => http-api-debug/index.php\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                    [3] => \n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /hidden for your protection-admin/plugins.php\n            [line] => 99\n            [function] => activate_plugins\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => current-screen-info/current-screen-info.php\n                            [1] => http-api-debug/index.php\n                            [2] => recently-edited-content-widget/recently-edited-content-widget.php\n                            [3] => what-template-am-i-using/what-template-am-i-using.php\n                        )\n\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=http-api-debug/index.php\n                    [2] => \n                )\n\n        )\n\n)\n','response','Requests',1502827224.18875),
	(4,0,1,'GET','ip.phplug.in','http://ip.phplug.in/',200,'{\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; What Template Am I Using\\/0.2.0; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":200,\"message\":\"OK\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','50.205.125.225','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 55\n                            [num_rows] => 18\n                            [rows_affected] => 0\n                            [insert_id] => 18\n                            [last_query] => SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\n                            [last_result] => Array\n                                (\n                                    [0] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => nickname\n                                            [meta_value] => hidden for your protection\n                                        )\n\n                                    [1] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => first_name\n                                            [meta_value] => \n                                        )\n\n                                    [2] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => last_name\n                                            [meta_value] => \n                                        )\n\n                                    [3] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => description\n                                            [meta_value] => \n                                        )\n\n                                    [4] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => rich_editing\n                                            [meta_value] => true\n                                        )\n\n                                    [5] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => comment_shortcuts\n                                            [meta_value] => false\n                                        )\n\n                                    [6] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => admin_color\n                                            [meta_value] => fresh\n                                        )\n\n                                    [7] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => use_ssl\n                                            [meta_value] => 0\n                                        )\n\n                                    [8] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => show_admin_bar_front\n                                            [meta_value] => true\n                                        )\n\n                                    [9] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => locale\n                                            [meta_value] => \n                                        )\n\n                                    [10] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => hidden for your protection_capabilities\n                                            [meta_value] => a:1:{s:13:\"administrator\";b:1;}\n                                        )\n\n                                    [11] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => hidden for your protection_user_level\n                                            [meta_value] => 10\n                                        )\n\n                                    [12] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => dismissed_hidden for your protection_pointers\n                                            [meta_value] => \n                                        )\n\n                                    [13] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => show_welcome_panel\n                                            [meta_value] => 1\n                                        )\n\n                                    [14] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => session_tokens\n                                            [meta_value] => a:1:{s:64:\"32f5307f98acabce2e95aef6441a7bf4e54879bf4d47d8139eaa939c5bc056ef\";a:4:{s:10:\"expiration\";i:1504036769;s:2:\"ip\";s:10:\"172.19.0.1\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:55.0) Gecko/20100101 Firefox/55.0\";s:5:\"login\";i:1502827169;}}\n                                        )\n\n                                    [15] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => hidden for your protection_dashboard_quick_press_last_post_id\n                                            [meta_value] => 3\n                                        )\n\n                                    [16] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => community-events-location\n                                            [meta_value] => a:1:{s:2:\"ip\";s:10:\"172.19.0.0\";}\n                                        )\n\n                                    [17] => stdClass Object\n                                        (\n                                            [user_id] => 1\n                                            [meta_key] => recw_options\n                                            [meta_value] => a:0:{}\n                                        )\n\n                                )\n\n                            [result:protected] => mysqli_result Object\n                                (\n                                    [current_field] => 0\n                                    [field_count] => 3\n                                    [lengths] => \n                                    [num_rows] => 18\n                                    [type] => 0\n                                )\n\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                    [hidden for your protection_usermeta] => Array\n                                        (\n                                            [umeta_id] => stdClass Object\n                                                (\n                                                    [Field] => umeta_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [user_id] => stdClass Object\n                                                (\n                                                    [Field] => user_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => MUL\n                                                    [Default] => 0\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [meta_key] => stdClass Object\n                                                (\n                                                    [Field] => meta_key\n                                                    [Type] => varchar(255)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => YES\n                                                    [Key] => MUL\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [meta_value] => stdClass Object\n                                                (\n                                                    [Field] => meta_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => YES\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                    [hidden for your protection_usermeta] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 18\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 3\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 0\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 111  Threads: 1  Questions: 1316  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.855\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 20\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => 50.205.125.225\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 14\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => text/plain; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":5,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; What Template Am I Using\\/0.2.0; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://ip.phplug.in/\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 55\n                                                                    [num_rows] => 18\n                                                                    [rows_affected] => 0\n                                                                    [insert_id] => 18\n                                                                    [last_query] => SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\n                                                                    [last_result] => Array\n                                                                        (\n                                                                            [0] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => nickname\n                                                                                    [meta_value] => hidden for your protection\n                                                                                )\n\n                                                                            [1] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => first_name\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [2] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => last_name\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [3] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => description\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [4] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => rich_editing\n                                                                                    [meta_value] => true\n                                                                                )\n\n                                                                            [5] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => comment_shortcuts\n                                                                                    [meta_value] => false\n                                                                                )\n\n                                                                            [6] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => admin_color\n                                                                                    [meta_value] => fresh\n                                                                                )\n\n                                                                            [7] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => use_ssl\n                                                                                    [meta_value] => 0\n                                                                                )\n\n                                                                            [8] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => show_admin_bar_front\n                                                                                    [meta_value] => true\n                                                                                )\n\n                                                                            [9] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => locale\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [10] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_capabilities\n                                                                                    [meta_value] => a:1:{s:13:\"administrator\";b:1;}\n                                                                                )\n\n                                                                            [11] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_user_level\n                                                                                    [meta_value] => 10\n                                                                                )\n\n                                                                            [12] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => dismissed_hidden for your protection_pointers\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [13] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => show_welcome_panel\n                                                                                    [meta_value] => 1\n                                                                                )\n\n                                                                            [14] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => session_tokens\n                                                                                    [meta_value] => a:1:{s:64:\"32f5307f98acabce2e95aef6441a7bf4e54879bf4d47d8139eaa939c5bc056ef\";a:4:{s:10:\"expiration\";i:1504036769;s:2:\"ip\";s:10:\"172.19.0.1\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:55.0) Gecko/20100101 Firefox/55.0\";s:5:\"login\";i:1502827169;}}\n                                                                                )\n\n                                                                            [15] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_dashboard_quick_press_last_post_id\n                                                                                    [meta_value] => 3\n                                                                                )\n\n                                                                            [16] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => community-events-location\n                                                                                    [meta_value] => a:1:{s:2:\"ip\";s:10:\"172.19.0.0\";}\n                                                                                )\n\n                                                                            [17] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => recw_options\n                                                                                    [meta_value] => a:0:{}\n                                                                                )\n\n                                                                        )\n\n                                                                    [result:protected] => mysqli_result Object\n                                                                        (\n                                                                            [current_field] => 0\n                                                                            [field_count] => 3\n                                                                            [lengths] => \n                                                                            [num_rows] => 18\n                                                                            [type] => 0\n                                                                        )\n\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                            [hidden for your protection_usermeta] => Array\n                                                                                (\n                                                                                    [umeta_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => umeta_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [user_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => user_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => MUL\n                                                                                            [Default] => 0\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [meta_key] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => meta_key\n                                                                                            [Type] => varchar(255)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => YES\n                                                                                            [Key] => MUL\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [meta_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => meta_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => YES\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                            [hidden for your protection_usermeta] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 3\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1317  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.864\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 14\n                                                    [content-type] => text/plain; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => 50.205.125.225\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => 50.205.125.225\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 14\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => text/plain; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [0000000019388d3e000000007e602936http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 55\n                                                                    [num_rows] => 18\n                                                                    [rows_affected] => 0\n                                                                    [insert_id] => 18\n                                                                    [last_query] => SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\n                                                                    [last_result] => Array\n                                                                        (\n                                                                            [0] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => nickname\n                                                                                    [meta_value] => hidden for your protection\n                                                                                )\n\n                                                                            [1] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => first_name\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [2] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => last_name\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [3] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => description\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [4] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => rich_editing\n                                                                                    [meta_value] => true\n                                                                                )\n\n                                                                            [5] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => comment_shortcuts\n                                                                                    [meta_value] => false\n                                                                                )\n\n                                                                            [6] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => admin_color\n                                                                                    [meta_value] => fresh\n                                                                                )\n\n                                                                            [7] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => use_ssl\n                                                                                    [meta_value] => 0\n                                                                                )\n\n                                                                            [8] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => show_admin_bar_front\n                                                                                    [meta_value] => true\n                                                                                )\n\n                                                                            [9] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => locale\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [10] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_capabilities\n                                                                                    [meta_value] => a:1:{s:13:\"administrator\";b:1;}\n                                                                                )\n\n                                                                            [11] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_user_level\n                                                                                    [meta_value] => 10\n                                                                                )\n\n                                                                            [12] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => dismissed_hidden for your protection_pointers\n                                                                                    [meta_value] => \n                                                                                )\n\n                                                                            [13] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => show_welcome_panel\n                                                                                    [meta_value] => 1\n                                                                                )\n\n                                                                            [14] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => session_tokens\n                                                                                    [meta_value] => a:1:{s:64:\"32f5307f98acabce2e95aef6441a7bf4e54879bf4d47d8139eaa939c5bc056ef\";a:4:{s:10:\"expiration\";i:1504036769;s:2:\"ip\";s:10:\"172.19.0.1\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:55.0) Gecko/20100101 Firefox/55.0\";s:5:\"login\";i:1502827169;}}\n                                                                                )\n\n                                                                            [15] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => hidden for your protection_dashboard_quick_press_last_post_id\n                                                                                    [meta_value] => 3\n                                                                                )\n\n                                                                            [16] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => community-events-location\n                                                                                    [meta_value] => a:1:{s:2:\"ip\";s:10:\"172.19.0.0\";}\n                                                                                )\n\n                                                                            [17] => stdClass Object\n                                                                                (\n                                                                                    [user_id] => 1\n                                                                                    [meta_key] => recw_options\n                                                                                    [meta_value] => a:0:{}\n                                                                                )\n\n                                                                        )\n\n                                                                    [result:protected] => mysqli_result Object\n                                                                        (\n                                                                            [current_field] => 0\n                                                                            [field_count] => 3\n                                                                            [lengths] => \n                                                                            [num_rows] => 18\n                                                                            [type] => 0\n                                                                        )\n\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                            [hidden for your protection_usermeta] => Array\n                                                                                (\n                                                                                    [umeta_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => umeta_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [user_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => user_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => MUL\n                                                                                            [Default] => 0\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [meta_key] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => meta_key\n                                                                                            [Type] => varchar(255)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => YES\n                                                                                            [Key] => MUL\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [meta_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => meta_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => YES\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                            [hidden for your protection_usermeta] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 3\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 111  Threads: 1  Questions: 1318  Slow queries: 0  Opens: 201  Flush tables: 1  Open tables: 194  Queries per second avg: 11.873\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 20\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"SELECT user_id, meta_key, meta_value FROM hidden for your protection_usermeta WHERE user_id IN (1) ORDER BY umeta_id ASC\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                    [server] => Apache/2.4.18 (Ubuntu)\n                                                    [cache-control] => max-age=300\n                                                    [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                    [vary] => User-Agent\n                                                    [content-length] => 14\n                                                    [content-type] => text/plain; charset=UTF-8\n                                                )\n\n                                        )\n\n                                    [body] => 50.205.125.225\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => 50.205.125.225\n                                                    [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                        )\n\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => Apache/2.4.18 (Ubuntu)\n                                                                        )\n\n                                                                    [cache-control] => Array\n                                                                        (\n                                                                            [0] => max-age=300\n                                                                        )\n\n                                                                    [expires] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => User-Agent\n                                                                        )\n\n                                                                    [content-length] => Array\n                                                                        (\n                                                                            [0] => 14\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => text/plain; charset=UTF-8\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => http://ip.phplug.in/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => GET\n                                    [timeout] => 5\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://ip.phplug.in/\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                            [date] => Tue, 15 Aug 2017 20:00:20 GMT\n                                            [server] => Apache/2.4.18 (Ubuntu)\n                                            [cache-control] => max-age=300\n                                            [expires] => Tue, 15 Aug 2017 20:05:20 GMT\n                                            [vary] => User-Agent\n                                            [content-length] => 14\n                                            [content-type] => text/plain; charset=UTF-8\n                                        )\n\n                                )\n\n                            [body] => 50.205.125.225\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => 50.205.125.225\n                                            [raw] => HTTP/1.1 200 OK\r\nDate: Tue, 15 Aug 2017 20:00:20 GMT\r\nServer: Apache/2.4.18 (Ubuntu)\r\nCache-Control: max-age=300\r\nExpires: Tue, 15 Aug 2017 20:05:20 GMT\r\nVary: User-Agent\r\nContent-Length: 14\r\nConnection: close\r\nContent-Type: text/plain; charset=UTF-8\r\n\r\n50.205.125.225\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:00:20 GMT\n                                                                )\n\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => Apache/2.4.18 (Ubuntu)\n                                                                )\n\n                                                            [cache-control] => Array\n                                                                (\n                                                                    [0] => max-age=300\n                                                                )\n\n                                                            [expires] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:05:20 GMT\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => User-Agent\n                                                                )\n\n                                                            [content-length] => Array\n                                                                (\n                                                                    [0] => 14\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => text/plain; charset=UTF-8\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => http://ip.phplug.in/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => GET\n                            [timeout] => 5\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => 1\n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => 1\n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://ip.phplug.in/\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 612\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                    [1] => Array\n                        (\n                            [method] => GET\n                            [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 170\n            [function] => get\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                    [1] => Array\n                        (\n                            [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/what-template-am-i-using/inc/core-panels.php\n            [line] => 354\n            [function] => hidden for your protection_remote_get\n            [args] => Array\n                (\n                    [0] => http://ip.phplug.in/\n                    [1] => Array\n                        (\n                            [user-agent] => WordPress/4.8.1; What Template Am I Using/0.2.0; http://localhost:8000\n                        )\n\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/what-template-am-i-using/inc/core-panels.php\n            [line] => 331\n            [function] => find_public_ip\n            [class] => WTAIU_IP_Addresses_Panel\n            [object] => WTAIU_IP_Addresses_Panel Object\n                (\n                    [label:protected] => IP Addresses\n                    [id:protected] => wtaiu-ip-addresses-panel\n                    [author:protected] => \n                    [author_url:protected] => \n                    [default_open_state:protected] => closed\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /app/public/hidden for your protection-content/plugins/what-template-am-i-using/what-template-am-i-using.php\n            [line] => 107\n            [function] => activate\n            [class] => WTAIU_IP_Addresses_Panel\n            [object] => WTAIU_IP_Addresses_Panel Object\n                (\n                    [label:protected] => IP Addresses\n                    [id:protected] => wtaiu-ip-addresses-panel\n                    [author:protected] => \n                    [author_url:protected] => \n                    [default_open_state:protected] => closed\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => activate\n            [class] => What_Template_Am_I_Using\n            [type] => ::\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [What_Template_Am_I_Using::activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [What_Template_Am_I_Using::activate] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => activate\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 591\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => activate_what-template-am-i-using/what-template-am-i-using.php\n                    [1] => \n                )\n\n        )\n\n    [13] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/plugin.php\n            [line] => 752\n            [function] => activate_plugin\n            [args] => Array\n                (\n                    [0] => what-template-am-i-using/what-template-am-i-using.php\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=what-template-am-i-using/what-template-am-i-using.php\n                    [2] => \n                    [3] => \n                )\n\n        )\n\n    [14] => Array\n        (\n            [file] => /hidden for your protection-admin/plugins.php\n            [line] => 99\n            [function] => activate_plugins\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => current-screen-info/current-screen-info.php\n                            [1] => http-api-debug/index.php\n                            [2] => recently-edited-content-widget/recently-edited-content-widget.php\n                            [3] => what-template-am-i-using/what-template-am-i-using.php\n                        )\n\n                    [1] => http://localhost:8000/cms/hidden for your protection-admin/plugins.php?error=true&plugin=what-template-am-i-using/what-template-am-i-using.php\n                    [2] => \n                )\n\n        )\n\n)\n','response','Requests',1502827224.281235);

INSERT INTO `wp_http_api_debug_log` (`log_id`, `site_id`, `blog_id`, `method`, `host`, `url`, `status`, `request_args`, `request_body`, `response_data`, `response_body`, `backtrace`, `context`, `transport`, `microtime`)
VALUES
	(5,0,1,'POST','localhost','http://localhost:8000/cms/wp-cron.php?doing_wp_cron=1502827265.5870668888092041015625',000,'{\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":false,\"message\":\"\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 15\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 0\n                            [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                    [insert_id] => 0\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 152  Threads: 1  Questions: 1388  Slow queries: 0  Opens: 205  Flush tables: 1  Open tables: 198  Queries per second avg: 9.131\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 22\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000006a0a5fe800000000518aefefhttp_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 152  Threads: 1  Questions: 1389  Slow queries: 0  Opens: 205  Flush tables: 1  Open tables: 198  Queries per second avg: 9.138\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 22\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000006a0a5fe800000000518aefefhttp_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 152  Threads: 1  Questions: 1390  Slow queries: 0  Opens: 205  Flush tables: 1  Open tables: 198  Queries per second avg: 9.144\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 22\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827265.5870668888092041015625\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                        )\n\n                                )\n\n                            [body] => \n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => \n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => \n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 594\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                    [1] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 187\n            [function] => post\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 340\n            [function] => hidden for your protection_remote_post\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827265.5870668888092041015625\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 367\n            [function] => spawn_cron\n            [args] => Array\n                (\n                    [0] => 1502827265.5871\n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => hidden for your protection_cron\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-settings.php\n            [line] => 448\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => init\n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /app/public/hidden for your protection-config.php\n            [line] => 64\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-settings.php\n                )\n\n            [function] => require_once\n        )\n\n    [13] => Array\n        (\n            [file] => /hidden for your protection-load.php\n            [line] => 42\n            [args] => Array\n                (\n                    [0] => /app/public/hidden for your protection-config.php\n                )\n\n            [function] => require_once\n        )\n\n    [14] => Array\n        (\n            [file] => /hidden for your protection-admin/admin.php\n            [line] => 31\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-load.php\n                )\n\n            [function] => require_once\n        )\n\n    [15] => Array\n        (\n            [file] => /hidden for your protection-admin/plugins.php\n            [line] => 10\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-admin/admin.php\n                )\n\n            [function] => require_once\n        )\n\n)\n','response','Requests',1502827265.613459),
	(6,0,1,'POST','localhost','http://localhost:8000/cms/wp-cron.php?doing_wp_cron=1502827336.7597808837890625000000',000,'{\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":false,\"message\":\"\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 15\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 0\n                            [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                    [insert_id] => 0\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 223  Threads: 1  Questions: 1651  Slow queries: 0  Opens: 230  Flush tables: 1  Open tables: 223  Queries per second avg: 7.403\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 31\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000001d69c96600000000063870c6http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 223  Threads: 1  Questions: 1652  Slow queries: 0  Opens: 230  Flush tables: 1  Open tables: 223  Queries per second avg: 7.408\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 31\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000001d69c96600000000063870c6http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 223  Threads: 1  Questions: 1653  Slow queries: 0  Opens: 230  Flush tables: 1  Open tables: 223  Queries per second avg: 7.412\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 31\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827336.7597808837890625000000\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                        )\n\n                                )\n\n                            [body] => \n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => \n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => \n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 594\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                    [1] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 187\n            [function] => post\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 340\n            [function] => hidden for your protection_remote_post\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827336.7597808837890625000000\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 367\n            [function] => spawn_cron\n            [args] => Array\n                (\n                    [0] => 1502827336.7598\n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => hidden for your protection_cron\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-settings.php\n            [line] => 448\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => init\n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /app/public/hidden for your protection-config.php\n            [line] => 64\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-settings.php\n                )\n\n            [function] => require_once\n        )\n\n    [13] => Array\n        (\n            [file] => /hidden for your protection-load.php\n            [line] => 42\n            [args] => Array\n                (\n                    [0] => /app/public/hidden for your protection-config.php\n                )\n\n            [function] => require_once\n        )\n\n    [14] => Array\n        (\n            [file] => /hidden for your protection-blog-header.php\n            [line] => 13\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-load.php\n                )\n\n            [function] => require_once\n        )\n\n    [15] => Array\n        (\n            [file] => /app/public/index.php\n            [line] => 17\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-blog-header.php\n                )\n\n            [function] => require\n        )\n\n)\n','response','Requests',1502827336.791188),
	(7,0,1,'POST','localhost','http://localhost:8000/cms/wp-cron.php?doing_wp_cron=1502827400.9113690853118896484375',000,'{\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":false,\"message\":\"\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 15\n                            [num_rows] => 0\n                            [rows_affected] => 1\n                            [insert_id] => 0\n                            [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => 1\n                            [col_meta:protected] => Array\n                                (\n                                    [hidden for your protection_options] => Array\n                                        (\n                                            [option_id] => stdClass Object\n                                                (\n                                                    [Field] => option_id\n                                                    [Type] => bigint(20) unsigned\n                                                    [Collation] => \n                                                    [Null] => NO\n                                                    [Key] => PRI\n                                                    [Default] => \n                                                    [Extra] => auto_increment\n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_name] => stdClass Object\n                                                (\n                                                    [Field] => option_name\n                                                    [Type] => varchar(191)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => UNI\n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [option_value] => stdClass Object\n                                                (\n                                                    [Field] => option_value\n                                                    [Type] => longtext\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => \n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                            [autoload] => stdClass Object\n                                                (\n                                                    [Field] => autoload\n                                                    [Type] => varchar(20)\n                                                    [Collation] => utf8mb4_unicode_520_ci\n                                                    [Null] => NO\n                                                    [Key] => \n                                                    [Default] => yes\n                                                    [Extra] => \n                                                    [Privileges] => select,insert,update,references\n                                                    [Comment] => \n                                                )\n\n                                        )\n\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                    [hidden for your protection_options] => utf8mb4\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 1\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 0\n                                    [host_info] => db via TCP/IP\n                                    [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                    [insert_id] => 0\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 287  Threads: 1  Questions: 2184  Slow queries: 0  Opens: 232  Flush tables: 1  Open tables: 225  Queries per second avg: 7.609\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 50\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => \n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":0.01,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":false,\"cookies\":[],\"body\":null,\"compress\":false,\"decompress\":true,\"sslverify\":false,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000000c52de040000000048293bf7http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 287  Threads: 1  Questions: 2185  Slow queries: 0  Opens: 232  Flush tables: 1  Open tables: 225  Queries per second avg: 7.613\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 50\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000000c52de040000000048293bf7http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 15\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 1\n                                                                    [insert_id] => 0\n                                                                    [last_query] => UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => 1\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => Array\n                                                                                (\n                                                                                    [option_id] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_id\n                                                                                            [Type] => bigint(20) unsigned\n                                                                                            [Collation] => \n                                                                                            [Null] => NO\n                                                                                            [Key] => PRI\n                                                                                            [Default] => \n                                                                                            [Extra] => auto_increment\n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_name] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_name\n                                                                                            [Type] => varchar(191)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => UNI\n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [option_value] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => option_value\n                                                                                            [Type] => longtext\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => \n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                    [autoload] => stdClass Object\n                                                                                        (\n                                                                                            [Field] => autoload\n                                                                                            [Type] => varchar(20)\n                                                                                            [Collation] => utf8mb4_unicode_520_ci\n                                                                                            [Null] => NO\n                                                                                            [Key] => \n                                                                                            [Default] => yes\n                                                                                            [Extra] => \n                                                                                            [Privileges] => select,insert,update,references\n                                                                                            [Comment] => \n                                                                                        )\n\n                                                                                )\n\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                            [hidden for your protection_options] => utf8mb4\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 0\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => Rows matched: 1  Changed: 1  Warnings: 0\n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 287  Threads: 1  Questions: 2186  Slow queries: 0  Opens: 232  Flush tables: 1  Open tables: 225  Queries per second avg: 7.616\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 50\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"UPDATE `hidden for your protection_options` SET `option_value` = \'1502827400.9113690853118896484375\' WHERE `option_name` = \'_transient_doing_cron\'\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => \n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                )\n\n                                        )\n\n                                    [body] => \n                                    [response] => Array\n                                        (\n                                            [code] => \n                                            [message] => \n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => \n                                                    [raw] => \n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => \n                                                    [protocol_version] => \n                                                    [success] => \n                                                    [redirects] => 0\n                                                    [url] => \n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 0.01\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => \n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => \n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => \n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                        )\n\n                                )\n\n                            [body] => \n                            [response] => Array\n                                (\n                                    [code] => \n                                    [message] => \n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => \n                                            [raw] => \n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                            [status_code] => \n                                            [protocol_version] => \n                                            [success] => \n                                            [redirects] => 0\n                                            [url] => \n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => \n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => \n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => \n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 594\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                    [1] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 187\n            [function] => post\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 340\n            [function] => hidden for your protection_remote_post\n            [args] => Array\n                (\n                    [0] => http://localhost:8000/cms/hidden for your protection-cron.php?doing_hidden for your protection_cron=1502827400.9113690853118896484375\n                    [1] => Array\n                        (\n                            [timeout] => 0.01\n                            [blocking] => \n                            [sslverify] => \n                        )\n\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-includes/cron.php\n            [line] => 367\n            [function] => spawn_cron\n            [args] => Array\n                (\n                    [0] => 1502827400.9114\n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => hidden for your protection_cron\n            [args] => Array\n                (\n                    [0] => \n                )\n\n        )\n\n    [9] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [10] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [create_initial_post_types] => Array\n                                        (\n                                            [function] => create_initial_post_types\n                                            [accepted_args] => 1\n                                        )\n\n                                    [create_initial_taxonomies] => Array\n                                        (\n                                            [function] => create_initial_taxonomies\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [1] => Array\n                                (\n                                    [hidden for your protection_widgets_init] => Array\n                                        (\n                                            [function] => hidden for your protection_widgets_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [5] => Array\n                                (\n                                    [smilies_init] => Array\n                                        (\n                                            [function] => smilies_init\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [10] => Array\n                                (\n                                    [hidden for your protection_cron] => Array\n                                        (\n                                            [function] => hidden for your protection_cron\n                                            [accepted_args] => 1\n                                        )\n\n                                    [_show_post_preview] => Array\n                                        (\n                                            [function] => _show_post_preview\n                                            [accepted_args] => 1\n                                        )\n\n                                    [rest_api_init] => Array\n                                        (\n                                            [function] => rest_api_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [kses_init] => Array\n                                        (\n                                            [function] => kses_init\n                                            [accepted_args] => 1\n                                        )\n\n                                    [hidden for your protection_schedule_update_checks] => Array\n                                        (\n                                            [function] => hidden for your protection_schedule_update_checks\n                                            [accepted_args] => 1\n                                        )\n\n                                    [What_Template_Am_I_Using::setup] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => What_Template_Am_I_Using\n                                                    [1] => setup\n                                                )\n\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                            [99] => Array\n                                (\n                                    [check_theme_switched] => Array\n                                        (\n                                            [function] => check_theme_switched\n                                            [accepted_args] => 1\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 0\n                                    [1] => 1\n                                    [2] => 5\n                                    [3] => 10\n                                    [4] => 99\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => \n                        )\n\n                )\n\n        )\n\n    [11] => Array\n        (\n            [file] => /hidden for your protection-settings.php\n            [line] => 448\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => init\n                )\n\n        )\n\n    [12] => Array\n        (\n            [file] => /app/public/hidden for your protection-config.php\n            [line] => 64\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-settings.php\n                )\n\n            [function] => require_once\n        )\n\n    [13] => Array\n        (\n            [file] => /hidden for your protection-load.php\n            [line] => 42\n            [args] => Array\n                (\n                    [0] => /app/public/hidden for your protection-config.php\n                )\n\n            [function] => require_once\n        )\n\n    [14] => Array\n        (\n            [file] => /hidden for your protection-admin/admin.php\n            [line] => 31\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-load.php\n                )\n\n            [function] => require_once\n        )\n\n    [15] => Array\n        (\n            [file] => /hidden for your protection-admin/user-edit.php\n            [line] => 10\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-admin/admin.php\n                )\n\n            [function] => require_once\n        )\n\n    [16] => Array\n        (\n            [file] => /hidden for your protection-admin/profile.php\n            [line] => 18\n            [args] => Array\n                (\n                    [0] => /hidden for your protection-admin/user-edit.php\n                )\n\n            [function] => require_once\n        )\n\n)\n','response','Requests',1502827400.935023);

INSERT INTO `wp_http_api_debug_log` (`log_id`, `site_id`, `blog_id`, `method`, `host`, `url`, `status`, `request_args`, `request_body`, `response_data`, `response_body`, `backtrace`, `context`, `transport`, `microtime`)
VALUES
	(8,0,1,'POST','api.wordpress.org','https://api.wordpress.org/translations/core/1.0/',200,'{\"timeout\":3,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/wp-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}','','{\"response\":{\"code\":200,\"message\":\"OK\"},\"cookies\":[],\"filename\":null,\"http_response\":{\"data\":null,\"headers\":null,\"status\":null}}','{\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}','Array\n(\n    [0] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 298\n            [function] => http_api_debug\n            [class] => WDE\\HTTPAPIDebug\\HTTPAPIDebug\n            [object] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                (\n                    [db:protected] => hidden for your protectiondb Object\n                        (\n                            [show_errors] => 1\n                            [suppress_errors] => \n                            [last_error] => \n                            [num_queries] => 25\n                            [num_rows] => 0\n                            [rows_affected] => 0\n                            [insert_id] => 0\n                            [last_query] => SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\n                            [last_result] => Array\n                                (\n                                )\n\n                            [result:protected] => mysqli_result Object\n                                (\n                                    [current_field] => 0\n                                    [field_count] => 1\n                                    [lengths] => \n                                    [num_rows] => 0\n                                    [type] => 0\n                                )\n\n                            [col_meta:protected] => Array\n                                (\n                                )\n\n                            [table_charset:protected] => Array\n                                (\n                                )\n\n                            [check_current_query:protected] => 1\n                            [checking_collation:hidden for your protectiondb:private] => \n                            [col_info:protected] => \n                            [queries] => \n                            [reconnect_retries:protected] => 5\n                            [prefix] => hidden for your protection_\n                            [base_prefix] => hidden for your protection_\n                            [ready] => 1\n                            [blogid] => 0\n                            [siteid] => 0\n                            [tables] => Array\n                                (\n                                    [0] => posts\n                                    [1] => comments\n                                    [2] => links\n                                    [3] => options\n                                    [4] => postmeta\n                                    [5] => terms\n                                    [6] => term_taxonomy\n                                    [7] => term_relationships\n                                    [8] => termmeta\n                                    [9] => commentmeta\n                                )\n\n                            [old_tables] => Array\n                                (\n                                    [0] => categories\n                                    [1] => post2cat\n                                    [2] => link2cat\n                                )\n\n                            [global_tables] => Array\n                                (\n                                    [0] => users\n                                    [1] => usermeta\n                                )\n\n                            [ms_global_tables] => Array\n                                (\n                                    [0] => blogs\n                                    [1] => signups\n                                    [2] => site\n                                    [3] => sitemeta\n                                    [4] => sitecategories\n                                    [5] => registration_log\n                                    [6] => blog_versions\n                                )\n\n                            [comments] => hidden for your protection_comments\n                            [commentmeta] => hidden for your protection_commentmeta\n                            [links] => hidden for your protection_links\n                            [options] => hidden for your protection_options\n                            [postmeta] => hidden for your protection_postmeta\n                            [posts] => hidden for your protection_posts\n                            [terms] => hidden for your protection_terms\n                            [term_relationships] => hidden for your protection_term_relationships\n                            [term_taxonomy] => hidden for your protection_term_taxonomy\n                            [termmeta] => hidden for your protection_termmeta\n                            [usermeta] => hidden for your protection_usermeta\n                            [users] => hidden for your protection_users\n                            [blogs] => \n                            [blog_versions] => \n                            [registration_log] => \n                            [signups] => \n                            [site] => \n                            [sitecategories] => \n                            [sitemeta] => \n                            [field_types] => Array\n                                (\n                                    [post_author] => %d\n                                    [post_parent] => %d\n                                    [menu_order] => %d\n                                    [term_id] => %d\n                                    [term_group] => %d\n                                    [term_taxonomy_id] => %d\n                                    [parent] => %d\n                                    [count] => %d\n                                    [object_id] => %d\n                                    [term_order] => %d\n                                    [ID] => %d\n                                    [comment_ID] => %d\n                                    [comment_post_ID] => %d\n                                    [comment_parent] => %d\n                                    [user_id] => %d\n                                    [link_id] => %d\n                                    [link_owner] => %d\n                                    [link_rating] => %d\n                                    [option_id] => %d\n                                    [blog_id] => %d\n                                    [meta_id] => %d\n                                    [post_id] => %d\n                                    [user_status] => %d\n                                    [umeta_id] => %d\n                                    [comment_karma] => %d\n                                    [comment_count] => %d\n                                    [active] => %d\n                                    [cat_id] => %d\n                                    [deleted] => %d\n                                    [lang_id] => %d\n                                    [mature] => %d\n                                    [public] => %d\n                                    [site_id] => %d\n                                    [spam] => %d\n                                )\n\n                            [charset] => utf8mb4\n                            [collate] => utf8mb4_unicode_520_ci\n                            [dbuser:protected] => hidden for your protection\n                            [dbpassword:protected] => hidden for your protection\n                            [dbname:protected] => hidden for your protection\n                            [dbhost:protected] => db:3306\n                            [dbh:protected] => mysqli Object\n                                (\n                                    [affected_rows] => 0\n                                    [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                    [client_version] => 50012\n                                    [connect_errno] => 0\n                                    [connect_error] => \n                                    [errno] => 0\n                                    [error] => \n                                    [error_list] => Array\n                                        (\n                                        )\n\n                                    [field_count] => 1\n                                    [host_info] => db via TCP/IP\n                                    [info] => \n                                    [insert_id] => 0\n                                    [server_info] => 5.7.19\n                                    [server_version] => 50719\n                                    [stat] => Uptime: 302  Threads: 1  Questions: 2314  Slow queries: 0  Opens: 239  Flush tables: 1  Open tables: 232  Queries per second avg: 7.662\n                                    [sqlstate] => 00000\n                                    [protocol_version] => 10\n                                    [thread_id] => 53\n                                    [warning_count] => 0\n                                )\n\n                            [func_call] => $db->query(\"SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\")\n                            [is_mysql] => 1\n                            [incompatible_modes:protected] => Array\n                                (\n                                    [0] => NO_ZERO_DATE\n                                    [1] => ONLY_FULL_GROUP_BY\n                                    [2] => STRICT_TRANS_TABLES\n                                    [3] => STRICT_ALL_TABLES\n                                    [4] => TRADITIONAL\n                                )\n\n                            [use_mysqli:hidden for your protectiondb:private] => 1\n                            [has_connected:hidden for your protectiondb:private] => 1\n                            [categories] => hidden for your protection_categories\n                            [post2cat] => hidden for your protection_post2cat\n                            [link2cat] => hidden for your protection_link2cat\n                        )\n\n                    [version_db_key:protected] => http-api-debug-version\n                    [log_table:protected] => hidden for your protection_http_api_debug_log\n                    [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                    [main_page_hook:protected] => toplevel_page_http-api-debug\n                    [main_page_slug:protected] => http-api-debug\n                    [options_group:protected] => http-api-debug\n                    [options_page_slug] => http-api-debug-options\n                    [require_hidden for your protection_debug] => 0\n                    [ignore_cron] => 0\n                    [domain_filter] => exclude\n                    [domains] => Array\n                        (\n                            [0] => \n                        )\n\n                    [logs_to_keep] => 0\n                    [purge_after] => 0\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                            [raw] => HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Tue, 15 Aug 2017 20:03:31 GMT\r\nContent-Type: application/json; charset=utf-8\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nVary: Accept-Encoding\r\nAccess-Control-Allow-Origin: *\r\nAccess-Control-Expose-Headers: X-Translations-Count\r\nX-Translations-Count: 108\r\nX-Frame-Options: SAMEORIGIN\r\nContent-Encoding: gzip\r\n\r\n{\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => nginx\n                                                                )\n\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/json; charset=utf-8\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => Accept-Encoding\n                                                                )\n\n                                                            [access-control-allow-origin] => Array\n                                                                (\n                                                                    [0] => *\n                                                                )\n\n                                                            [access-control-expose-headers] => Array\n                                                                (\n                                                                    [0] => X-Translations-Count\n                                                                )\n\n                                                            [x-translations-count] => Array\n                                                                (\n                                                                    [0] => 108\n                                                                )\n\n                                                            [x-frame-options] => Array\n                                                                (\n                                                                    [0] => SAMEORIGIN\n                                                                )\n\n                                                            [content-encoding] => Array\n                                                                (\n                                                                    [0] => gzip\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => https://api.wordpress.org/translations/core/1.0/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [1] => response\n                    [2] => Requests\n                    [3] => {\"timeout\":3,\"redirection\":5,\"httpversion\":\"1.0\",\"user-agent\":\"WordPress\\/4.8.1; http:\\/\\/localhost:8000\",\"reject_unsafe_urls\":false,\"blocking\":true,\"cookies\":[],\"compress\":false,\"decompress\":true,\"sslverify\":true,\"sslcertificates\":\"\\/app\\/public\\/cms\\/hidden for your protection-includes\\/certificates\\/ca-bundle.crt\",\"stream\":false,\"filename\":null,\"limit_response_size\":null,\"_redirection\":5}\n                    [4] => https://api.wordpress.org/translations/core/1.0/\n                )\n\n        )\n\n    [1] => Array\n        (\n            [file] => /hidden for your protection-includes/class-hidden for your protection-hook.php\n            [line] => 323\n            [function] => apply_filters\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000004c9718390000000032dd8b61http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 0\n                                                                    [insert_id] => 0\n                                                                    [last_query] => SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => mysqli_result Object\n                                                                        (\n                                                                            [current_field] => 0\n                                                                            [field_count] => 1\n                                                                            [lengths] => \n                                                                            [num_rows] => 0\n                                                                            [type] => 0\n                                                                        )\n\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 1\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 302  Threads: 1  Questions: 2315  Slow queries: 0  Opens: 239  Flush tables: 1  Open tables: 232  Queries per second avg: 7.665\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 53\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => toplevel_page_http-api-debug\n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => \n                    [1] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [server] => nginx\n                                                    [date] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                    [content-type] => application/json; charset=utf-8\n                                                    [vary] => Accept-Encoding\n                                                    [access-control-allow-origin] => *\n                                                    [access-control-expose-headers] => X-Translations-Count\n                                                    [x-translations-count] => 108\n                                                    [x-frame-options] => SAMEORIGIN\n                                                    [content-encoding] => gzip\n                                                )\n\n                                        )\n\n                                    [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                                    [raw] => HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Tue, 15 Aug 2017 20:03:31 GMT\r\nContent-Type: application/json; charset=utf-8\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nVary: Accept-Encoding\r\nAccess-Control-Allow-Origin: *\r\nAccess-Control-Expose-Headers: X-Translations-Count\r\nX-Translations-Count: 108\r\nX-Frame-Options: SAMEORIGIN\r\nContent-Encoding: gzip\r\n\r\n{\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => nginx\n                                                                        )\n\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/json; charset=utf-8\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => Accept-Encoding\n                                                                        )\n\n                                                                    [access-control-allow-origin] => Array\n                                                                        (\n                                                                            [0] => *\n                                                                        )\n\n                                                                    [access-control-expose-headers] => Array\n                                                                        (\n                                                                            [0] => X-Translations-Count\n                                                                        )\n\n                                                                    [x-translations-count] => Array\n                                                                        (\n                                                                            [0] => 108\n                                                                        )\n\n                                                                    [x-frame-options] => Array\n                                                                        (\n                                                                            [0] => SAMEORIGIN\n                                                                        )\n\n                                                                    [content-encoding] => Array\n                                                                        (\n                                                                            [0] => gzip\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => https://api.wordpress.org/translations/core/1.0/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 3\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => Array\n                                        (\n                                            [hidden for your protection_version] => 4.8.1\n                                            [locale] => en_US\n                                            [version] => 4.8.1\n                                        )\n\n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => https://api.wordpress.org/translations/core/1.0/\n                        )\n\n                )\n\n        )\n\n    [2] => Array\n        (\n            [file] => /hidden for your protection-includes/plugin.php\n            [line] => 453\n            [function] => do_action\n            [class] => WP_Hook\n            [object] => WP_Hook Object\n                (\n                    [callbacks] => Array\n                        (\n                            [10] => Array\n                                (\n                                    [000000004c9718390000000032dd8b61http_api_debug] => Array\n                                        (\n                                            [function] => Array\n                                                (\n                                                    [0] => WDE\\HTTPAPIDebug\\HTTPAPIDebug Object\n                                                        (\n                                                            [db:protected] => hidden for your protectiondb Object\n                                                                (\n                                                                    [show_errors] => 1\n                                                                    [suppress_errors] => \n                                                                    [last_error] => \n                                                                    [num_queries] => 25\n                                                                    [num_rows] => 0\n                                                                    [rows_affected] => 0\n                                                                    [insert_id] => 0\n                                                                    [last_query] => SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\n                                                                    [last_result] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [result:protected] => mysqli_result Object\n                                                                        (\n                                                                            [current_field] => 0\n                                                                            [field_count] => 1\n                                                                            [lengths] => \n                                                                            [num_rows] => 0\n                                                                            [type] => 0\n                                                                        )\n\n                                                                    [col_meta:protected] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [table_charset:protected] => Array\n                                                                        (\n                                                                        )\n\n                                                                    [check_current_query:protected] => 1\n                                                                    [checking_collation:hidden for your protectiondb:private] => \n                                                                    [col_info:protected] => \n                                                                    [queries] => \n                                                                    [reconnect_retries:protected] => 5\n                                                                    [prefix] => hidden for your protection_\n                                                                    [base_prefix] => hidden for your protection_\n                                                                    [ready] => 1\n                                                                    [blogid] => 0\n                                                                    [siteid] => 0\n                                                                    [tables] => Array\n                                                                        (\n                                                                            [0] => posts\n                                                                            [1] => comments\n                                                                            [2] => links\n                                                                            [3] => options\n                                                                            [4] => postmeta\n                                                                            [5] => terms\n                                                                            [6] => term_taxonomy\n                                                                            [7] => term_relationships\n                                                                            [8] => termmeta\n                                                                            [9] => commentmeta\n                                                                        )\n\n                                                                    [old_tables] => Array\n                                                                        (\n                                                                            [0] => categories\n                                                                            [1] => post2cat\n                                                                            [2] => link2cat\n                                                                        )\n\n                                                                    [global_tables] => Array\n                                                                        (\n                                                                            [0] => users\n                                                                            [1] => usermeta\n                                                                        )\n\n                                                                    [ms_global_tables] => Array\n                                                                        (\n                                                                            [0] => blogs\n                                                                            [1] => signups\n                                                                            [2] => site\n                                                                            [3] => sitemeta\n                                                                            [4] => sitecategories\n                                                                            [5] => registration_log\n                                                                            [6] => blog_versions\n                                                                        )\n\n                                                                    [comments] => hidden for your protection_comments\n                                                                    [commentmeta] => hidden for your protection_commentmeta\n                                                                    [links] => hidden for your protection_links\n                                                                    [options] => hidden for your protection_options\n                                                                    [postmeta] => hidden for your protection_postmeta\n                                                                    [posts] => hidden for your protection_posts\n                                                                    [terms] => hidden for your protection_terms\n                                                                    [term_relationships] => hidden for your protection_term_relationships\n                                                                    [term_taxonomy] => hidden for your protection_term_taxonomy\n                                                                    [termmeta] => hidden for your protection_termmeta\n                                                                    [usermeta] => hidden for your protection_usermeta\n                                                                    [users] => hidden for your protection_users\n                                                                    [blogs] => \n                                                                    [blog_versions] => \n                                                                    [registration_log] => \n                                                                    [signups] => \n                                                                    [site] => \n                                                                    [sitecategories] => \n                                                                    [sitemeta] => \n                                                                    [field_types] => Array\n                                                                        (\n                                                                            [post_author] => %d\n                                                                            [post_parent] => %d\n                                                                            [menu_order] => %d\n                                                                            [term_id] => %d\n                                                                            [term_group] => %d\n                                                                            [term_taxonomy_id] => %d\n                                                                            [parent] => %d\n                                                                            [count] => %d\n                                                                            [object_id] => %d\n                                                                            [term_order] => %d\n                                                                            [ID] => %d\n                                                                            [comment_ID] => %d\n                                                                            [comment_post_ID] => %d\n                                                                            [comment_parent] => %d\n                                                                            [user_id] => %d\n                                                                            [link_id] => %d\n                                                                            [link_owner] => %d\n                                                                            [link_rating] => %d\n                                                                            [option_id] => %d\n                                                                            [blog_id] => %d\n                                                                            [meta_id] => %d\n                                                                            [post_id] => %d\n                                                                            [user_status] => %d\n                                                                            [umeta_id] => %d\n                                                                            [comment_karma] => %d\n                                                                            [comment_count] => %d\n                                                                            [active] => %d\n                                                                            [cat_id] => %d\n                                                                            [deleted] => %d\n                                                                            [lang_id] => %d\n                                                                            [mature] => %d\n                                                                            [public] => %d\n                                                                            [site_id] => %d\n                                                                            [spam] => %d\n                                                                        )\n\n                                                                    [charset] => utf8mb4\n                                                                    [collate] => utf8mb4_unicode_520_ci\n                                                                    [dbuser:protected] => hidden for your protection\n                                                                    [dbpassword:protected] => hidden for your protection\n                                                                    [dbname:protected] => hidden for your protection\n                                                                    [dbhost:protected] => db:3306\n                                                                    [dbh:protected] => mysqli Object\n                                                                        (\n                                                                            [affected_rows] => -1\n                                                                            [client_info] => mysqlnd 5.0.12-dev - 20150407 - $Id: b396954eeb2d1d9ed7902b8bae237b287f21ad9e $\n                                                                            [client_version] => 50012\n                                                                            [connect_errno] => 0\n                                                                            [connect_error] => \n                                                                            [errno] => 0\n                                                                            [error] => \n                                                                            [error_list] => Array\n                                                                                (\n                                                                                )\n\n                                                                            [field_count] => 1\n                                                                            [host_info] => db via TCP/IP\n                                                                            [info] => \n                                                                            [insert_id] => 0\n                                                                            [server_info] => 5.7.19\n                                                                            [server_version] => 50719\n                                                                            [stat] => Uptime: 302  Threads: 1  Questions: 2316  Slow queries: 0  Opens: 239  Flush tables: 1  Open tables: 232  Queries per second avg: 7.668\n                                                                            [sqlstate] => 00000\n                                                                            [protocol_version] => 10\n                                                                            [thread_id] => 53\n                                                                            [warning_count] => 0\n                                                                        )\n\n                                                                    [func_call] => $db->query(\"SELECT option_value FROM hidden for your protection_options WHERE option_name = \'_site_transient_available_translations\' LIMIT 1\")\n                                                                    [is_mysql] => 1\n                                                                    [incompatible_modes:protected] => Array\n                                                                        (\n                                                                            [0] => NO_ZERO_DATE\n                                                                            [1] => ONLY_FULL_GROUP_BY\n                                                                            [2] => STRICT_TRANS_TABLES\n                                                                            [3] => STRICT_ALL_TABLES\n                                                                            [4] => TRADITIONAL\n                                                                        )\n\n                                                                    [use_mysqli:hidden for your protectiondb:private] => 1\n                                                                    [has_connected:hidden for your protectiondb:private] => 1\n                                                                    [categories] => hidden for your protection_categories\n                                                                    [post2cat] => hidden for your protection_post2cat\n                                                                    [link2cat] => hidden for your protection_link2cat\n                                                                )\n\n                                                            [version_db_key:protected] => http-api-debug-version\n                                                            [log_table:protected] => hidden for your protection_http_api_debug_log\n                                                            [headers_table:protected] => hidden for your protection_http_api_debug_log_headers\n                                                            [main_page_hook:protected] => toplevel_page_http-api-debug\n                                                            [main_page_slug:protected] => http-api-debug\n                                                            [options_group:protected] => http-api-debug\n                                                            [options_page_slug] => http-api-debug-options\n                                                            [require_hidden for your protection_debug] => 0\n                                                            [ignore_cron] => 0\n                                                            [domain_filter] => exclude\n                                                            [domains] => Array\n                                                                (\n                                                                    [0] => \n                                                                )\n\n                                                            [logs_to_keep] => 0\n                                                            [purge_after] => 0\n                                                        )\n\n                                                    [1] => http_api_debug\n                                                )\n\n                                            [accepted_args] => 5\n                                        )\n\n                                )\n\n                        )\n\n                    [iterations:WP_Hook:private] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [0] => 10\n                                )\n\n                        )\n\n                    [current_priority:WP_Hook:private] => Array\n                        (\n                            [0] => 10\n                        )\n\n                    [nesting_level:WP_Hook:private] => 1\n                    [doing_action:WP_Hook:private] => 1\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => Array\n                        (\n                            [0] => Array\n                                (\n                                    [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                        (\n                                            [data:protected] => Array\n                                                (\n                                                    [server] => nginx\n                                                    [date] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                    [content-type] => application/json; charset=utf-8\n                                                    [vary] => Accept-Encoding\n                                                    [access-control-allow-origin] => *\n                                                    [access-control-expose-headers] => X-Translations-Count\n                                                    [x-translations-count] => 108\n                                                    [x-frame-options] => SAMEORIGIN\n                                                    [content-encoding] => gzip\n                                                )\n\n                                        )\n\n                                    [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                    [response] => Array\n                                        (\n                                            [code] => 200\n                                            [message] => OK\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [filename] => \n                                    [http_response] => WP_HTTP_Requests_Response Object\n                                        (\n                                            [response:protected] => Requests_Response Object\n                                                (\n                                                    [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                                    [raw] => HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Tue, 15 Aug 2017 20:03:31 GMT\r\nContent-Type: application/json; charset=utf-8\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nVary: Accept-Encoding\r\nAccess-Control-Allow-Origin: *\r\nAccess-Control-Expose-Headers: X-Translations-Count\r\nX-Translations-Count: 108\r\nX-Frame-Options: SAMEORIGIN\r\nContent-Encoding: gzip\r\n\r\n{\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                                    [headers] => Requests_Response_Headers Object\n                                                        (\n                                                            [data:protected] => Array\n                                                                (\n                                                                    [server] => Array\n                                                                        (\n                                                                            [0] => nginx\n                                                                        )\n\n                                                                    [date] => Array\n                                                                        (\n                                                                            [0] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                                        )\n\n                                                                    [content-type] => Array\n                                                                        (\n                                                                            [0] => application/json; charset=utf-8\n                                                                        )\n\n                                                                    [vary] => Array\n                                                                        (\n                                                                            [0] => Accept-Encoding\n                                                                        )\n\n                                                                    [access-control-allow-origin] => Array\n                                                                        (\n                                                                            [0] => *\n                                                                        )\n\n                                                                    [access-control-expose-headers] => Array\n                                                                        (\n                                                                            [0] => X-Translations-Count\n                                                                        )\n\n                                                                    [x-translations-count] => Array\n                                                                        (\n                                                                            [0] => 108\n                                                                        )\n\n                                                                    [x-frame-options] => Array\n                                                                        (\n                                                                            [0] => SAMEORIGIN\n                                                                        )\n\n                                                                    [content-encoding] => Array\n                                                                        (\n                                                                            [0] => gzip\n                                                                        )\n\n                                                                )\n\n                                                        )\n\n                                                    [status_code] => 200\n                                                    [protocol_version] => 1.1\n                                                    [success] => 1\n                                                    [redirects] => 0\n                                                    [url] => https://api.wordpress.org/translations/core/1.0/\n                                                    [history] => Array\n                                                        (\n                                                        )\n\n                                                    [cookies] => Requests_Cookie_Jar Object\n                                                        (\n                                                            [cookies:protected] => Array\n                                                                (\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [filename:protected] => \n                                            [data] => \n                                            [headers] => \n                                            [status] => \n                                        )\n\n                                )\n\n                            [1] => response\n                            [2] => Requests\n                            [3] => Array\n                                (\n                                    [method] => POST\n                                    [timeout] => 3\n                                    [redirection] => 5\n                                    [httpversion] => 1.0\n                                    [user-agent] => WordPress/4.8.1; http://localhost:8000\n                                    [reject_unsafe_urls] => \n                                    [blocking] => 1\n                                    [headers] => Array\n                                        (\n                                        )\n\n                                    [cookies] => Array\n                                        (\n                                        )\n\n                                    [body] => Array\n                                        (\n                                            [hidden for your protection_version] => 4.8.1\n                                            [locale] => en_US\n                                            [version] => 4.8.1\n                                        )\n\n                                    [compress] => \n                                    [decompress] => 1\n                                    [sslverify] => 1\n                                    [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                                    [stream] => \n                                    [filename] => \n                                    [limit_response_size] => \n                                    [_redirection] => 5\n                                )\n\n                            [4] => https://api.wordpress.org/translations/core/1.0/\n                        )\n\n                )\n\n        )\n\n    [3] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 397\n            [function] => do_action\n            [args] => Array\n                (\n                    [0] => http_api_debug\n                    [1] => Array\n                        (\n                            [headers] => Requests_Utility_CaseInsensitiveDictionary Object\n                                (\n                                    [data:protected] => Array\n                                        (\n                                            [server] => nginx\n                                            [date] => Tue, 15 Aug 2017 20:03:31 GMT\n                                            [content-type] => application/json; charset=utf-8\n                                            [vary] => Accept-Encoding\n                                            [access-control-allow-origin] => *\n                                            [access-control-expose-headers] => X-Translations-Count\n                                            [x-translations-count] => 108\n                                            [x-frame-options] => SAMEORIGIN\n                                            [content-encoding] => gzip\n                                        )\n\n                                )\n\n                            [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                            [response] => Array\n                                (\n                                    [code] => 200\n                                    [message] => OK\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [filename] => \n                            [http_response] => WP_HTTP_Requests_Response Object\n                                (\n                                    [response:protected] => Requests_Response Object\n                                        (\n                                            [body] => {\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                            [raw] => HTTP/1.1 200 OK\r\nServer: nginx\r\nDate: Tue, 15 Aug 2017 20:03:31 GMT\r\nContent-Type: application/json; charset=utf-8\r\nTransfer-Encoding: chunked\r\nConnection: close\r\nVary: Accept-Encoding\r\nAccess-Control-Allow-Origin: *\r\nAccess-Control-Expose-Headers: X-Translations-Count\r\nX-Translations-Count: 108\r\nX-Frame-Options: SAMEORIGIN\r\nContent-Encoding: gzip\r\n\r\n{\"translations\":[{\"language\":\"af\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:11:36\",\"english_name\":\"Afrikaans\",\"native_name\":\"Afrikaans\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/af.zip\",\"iso\":{\"1\":\"af\",\"2\":\"afr\"},\"strings\":{\"continue\":\"Gaan voort\"}},{\"language\":\"ar\",\"version\":\"4.8.1\",\"updated\":\"2017-07-29 08:49:40\",\"english_name\":\"Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ar.zip\",\"iso\":{\"1\":\"ar\",\"2\":\"ara\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"ary\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:42:35\",\"english_name\":\"Moroccan Arabic\",\"native_name\":\"\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u063a\\u0631\\u0628\\u064a\\u0629\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ary.zip\",\"iso\":{\"1\":\"ar\",\"3\":\"ary\"},\"strings\":{\"continue\":\"\\u0627\\u0644\\u0645\\u062a\\u0627\\u0628\\u0639\\u0629\"}},{\"language\":\"as\",\"version\":\"4.7.2\",\"updated\":\"2016-11-22 18:59:07\",\"english_name\":\"Assamese\",\"native_name\":\"\\u0985\\u09b8\\u09ae\\u09c0\\u09af\\u09bc\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/as.zip\",\"iso\":{\"1\":\"as\",\"2\":\"asm\",\"3\":\"asm\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"az\",\"version\":\"4.7.2\",\"updated\":\"2016-11-06 00:09:27\",\"english_name\":\"Azerbaijani\",\"native_name\":\"Az\\u0259rbaycan dili\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/az.zip\",\"iso\":{\"1\":\"az\",\"2\":\"aze\"},\"strings\":{\"continue\":\"Davam\"}},{\"language\":\"azb\",\"version\":\"4.7.2\",\"updated\":\"2016-09-12 20:34:31\",\"english_name\":\"South Azerbaijani\",\"native_name\":\"\\u06af\\u0624\\u0646\\u0626\\u06cc \\u0622\\u0630\\u0631\\u0628\\u0627\\u06cc\\u062c\\u0627\\u0646\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/azb.zip\",\"iso\":{\"1\":\"az\",\"3\":\"azb\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"bel\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:40:55\",\"english_name\":\"Belarusian\",\"native_name\":\"\\u0411\\u0435\\u043b\\u0430\\u0440\\u0443\\u0441\\u043a\\u0430\\u044f \\u043c\\u043e\\u0432\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bel.zip\",\"iso\":{\"1\":\"be\",\"2\":\"bel\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u0430\\u0446\\u044f\\u0433\\u043d\\u0443\\u0446\\u044c\"}},{\"language\":\"bg_BG\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 09:24:45\",\"english_name\":\"Bulgarian\",\"native_name\":\"\\u0411\\u044a\\u043b\\u0433\\u0430\\u0440\\u0441\\u043a\\u0438\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/bg_BG.zip\",\"iso\":{\"1\":\"bg\",\"2\":\"bul\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u043f\\u0440\\u0435\\u0434\"}},{\"language\":\"bn_BD\",\"version\":\"4.7.2\",\"updated\":\"2017-01-04 16:58:43\",\"english_name\":\"Bengali\",\"native_name\":\"\\u09ac\\u09be\\u0982\\u09b2\\u09be\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bn_BD.zip\",\"iso\":{\"1\":\"bn\"},\"strings\":{\"continue\":\"\\u098f\\u0997\\u09bf\\u09df\\u09c7 \\u099a\\u09b2.\"}},{\"language\":\"bo\",\"version\":\"4.7.2\",\"updated\":\"2016-09-05 09:44:12\",\"english_name\":\"Tibetan\",\"native_name\":\"\\u0f56\\u0f7c\\u0f51\\u0f0b\\u0f61\\u0f72\\u0f42\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bo.zip\",\"iso\":{\"1\":\"bo\",\"2\":\"tib\"},\"strings\":{\"continue\":\"\\u0f58\\u0f74\\u0f0b\\u0f58\\u0f50\\u0f74\\u0f51\\u0f0d\"}},{\"language\":\"bs_BA\",\"version\":\"4.7.2\",\"updated\":\"2016-09-04 20:20:28\",\"english_name\":\"Bosnian\",\"native_name\":\"Bosanski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/bs_BA.zip\",\"iso\":{\"1\":\"bs\",\"2\":\"bos\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"ca\",\"version\":\"4.8.1\",\"updated\":\"2017-08-08 21:01:45\",\"english_name\":\"Catalan\",\"native_name\":\"Catal\\u00e0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ca.zip\",\"iso\":{\"1\":\"ca\",\"2\":\"cat\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ceb\",\"version\":\"4.7.2\",\"updated\":\"2016-03-02 17:25:51\",\"english_name\":\"Cebuano\",\"native_name\":\"Cebuano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ceb.zip\",\"iso\":{\"2\":\"ceb\",\"3\":\"ceb\"},\"strings\":{\"continue\":\"Padayun\"}},{\"language\":\"cs_CZ\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 08:46:26\",\"english_name\":\"Czech\",\"native_name\":\"\\u010ce\\u0161tina\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/cs_CZ.zip\",\"iso\":{\"1\":\"cs\",\"2\":\"ces\"},\"strings\":{\"continue\":\"Pokra\\u010dovat\"}},{\"language\":\"cy\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:28:04\",\"english_name\":\"Welsh\",\"native_name\":\"Cymraeg\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/cy.zip\",\"iso\":{\"1\":\"cy\",\"2\":\"cym\"},\"strings\":{\"continue\":\"Parhau\"}},{\"language\":\"da_DK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 21:32:06\",\"english_name\":\"Danish\",\"native_name\":\"Dansk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/da_DK.zip\",\"iso\":{\"1\":\"da\",\"2\":\"dan\"},\"strings\":{\"continue\":\"Forts\\u00e6t\"}},{\"language\":\"de_CH\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:22:33\",\"english_name\":\"German (Switzerland)\",\"native_name\":\"Deutsch (Schweiz)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 16:58:53\",\"english_name\":\"German\",\"native_name\":\"Deutsch\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_CH_informal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 06:24:08\",\"english_name\":\"German (Switzerland, Informal)\",\"native_name\":\"Deutsch (Schweiz, Du)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_CH_informal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"de_DE_formal\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 10:51:58\",\"english_name\":\"German (Formal)\",\"native_name\":\"Deutsch (Sie)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/de_DE_formal.zip\",\"iso\":{\"1\":\"de\"},\"strings\":{\"continue\":\"Weiter\"}},{\"language\":\"dzo\",\"version\":\"4.7.2\",\"updated\":\"2016-06-29 08:59:03\",\"english_name\":\"Dzongkha\",\"native_name\":\"\\u0f62\\u0fab\\u0f7c\\u0f44\\u0f0b\\u0f41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/dzo.zip\",\"iso\":{\"1\":\"dz\",\"2\":\"dzo\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"el\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:51:51\",\"english_name\":\"Greek\",\"native_name\":\"\\u0395\\u03bb\\u03bb\\u03b7\\u03bd\\u03b9\\u03ba\\u03ac\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/el.zip\",\"iso\":{\"1\":\"el\",\"2\":\"ell\"},\"strings\":{\"continue\":\"\\u03a3\\u03c5\\u03bd\\u03ad\\u03c7\\u03b5\\u03b9\\u03b1\"}},{\"language\":\"en_NZ\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 03:57:05\",\"english_name\":\"English (New Zealand)\",\"native_name\":\"English (New Zealand)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_NZ.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_AU\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 10:03:08\",\"english_name\":\"English (Australia)\",\"native_name\":\"English (Australia)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_AU.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_ZA\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:53:43\",\"english_name\":\"English (South Africa)\",\"native_name\":\"English (South Africa)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/en_ZA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 19:47:01\",\"english_name\":\"English (Canada)\",\"native_name\":\"English (Canada)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_CA.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"en_GB\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 17:31:04\",\"english_name\":\"English (UK)\",\"native_name\":\"English (UK)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/en_GB.zip\",\"iso\":{\"1\":\"en\",\"2\":\"eng\",\"3\":\"eng\"},\"strings\":{\"continue\":\"Continue\"}},{\"language\":\"eo\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 10:38:53\",\"english_name\":\"Esperanto\",\"native_name\":\"Esperanto\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eo.zip\",\"iso\":{\"1\":\"eo\",\"2\":\"epo\"},\"strings\":{\"continue\":\"Da\\u016drigi\"}},{\"language\":\"es_VE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 16:09:17\",\"english_name\":\"Spanish (Venezuela)\",\"native_name\":\"Espa\\u00f1ol de Venezuela\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_VE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 07:43:08\",\"english_name\":\"Spanish (Spain)\",\"native_name\":\"Espa\\u00f1ol\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_ES.zip\",\"iso\":{\"1\":\"es\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_GT\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:37\",\"english_name\":\"Spanish (Guatemala)\",\"native_name\":\"Espa\\u00f1ol de Guatemala\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/es_GT.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_AR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 04:48:11\",\"english_name\":\"Spanish (Argentina)\",\"native_name\":\"Espa\\u00f1ol de Argentina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_AR.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CL\",\"version\":\"4.7.2\",\"updated\":\"2016-11-28 20:09:49\",\"english_name\":\"Spanish (Chile)\",\"native_name\":\"Espa\\u00f1ol de Chile\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_CL.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_PE\",\"version\":\"4.7.2\",\"updated\":\"2016-09-09 09:36:22\",\"english_name\":\"Spanish (Peru)\",\"native_name\":\"Espa\\u00f1ol de Per\\u00fa\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/es_PE.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_MX\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 15:12:02\",\"english_name\":\"Spanish (Mexico)\",\"native_name\":\"Espa\\u00f1ol de M\\u00e9xico\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_MX.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"es_CO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-13 17:00:30\",\"english_name\":\"Spanish (Colombia)\",\"native_name\":\"Espa\\u00f1ol de Colombia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/es_CO.zip\",\"iso\":{\"1\":\"es\",\"2\":\"spa\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"et\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 16:37:11\",\"english_name\":\"Estonian\",\"native_name\":\"Eesti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/et.zip\",\"iso\":{\"1\":\"et\",\"2\":\"est\"},\"strings\":{\"continue\":\"J\\u00e4tka\"}},{\"language\":\"eu\",\"version\":\"4.8.1\",\"updated\":\"2017-07-30 18:58:36\",\"english_name\":\"Basque\",\"native_name\":\"Euskara\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/eu.zip\",\"iso\":{\"1\":\"eu\",\"2\":\"eus\"},\"strings\":{\"continue\":\"Jarraitu\"}},{\"language\":\"fa_IR\",\"version\":\"4.8\",\"updated\":\"2017-06-09 15:50:45\",\"english_name\":\"Persian\",\"native_name\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/fa_IR.zip\",\"iso\":{\"1\":\"fa\",\"2\":\"fas\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"fi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:00:29\",\"english_name\":\"Finnish\",\"native_name\":\"Suomi\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fi.zip\",\"iso\":{\"1\":\"fi\",\"2\":\"fin\"},\"strings\":{\"continue\":\"Jatka\"}},{\"language\":\"fr_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 09:14:18\",\"english_name\":\"French (Belgium)\",\"native_name\":\"Fran\\u00e7ais de Belgique\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_BE.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_FR\",\"version\":\"4.8.1\",\"updated\":\"2017-08-11 21:42:01\",\"english_name\":\"French (France)\",\"native_name\":\"Fran\\u00e7ais\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_FR.zip\",\"iso\":{\"1\":\"fr\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"fr_CA\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:37:07\",\"english_name\":\"French (Canada)\",\"native_name\":\"Fran\\u00e7ais du Canada\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/fr_CA.zip\",\"iso\":{\"1\":\"fr\",\"2\":\"fra\"},\"strings\":{\"continue\":\"Continuer\"}},{\"language\":\"gd\",\"version\":\"4.7.2\",\"updated\":\"2016-08-23 17:41:37\",\"english_name\":\"Scottish Gaelic\",\"native_name\":\"G\\u00e0idhlig\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/gd.zip\",\"iso\":{\"1\":\"gd\",\"2\":\"gla\",\"3\":\"gla\"},\"strings\":{\"continue\":\"Lean air adhart\"}},{\"language\":\"gl_ES\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 12:45:35\",\"english_name\":\"Galician\",\"native_name\":\"Galego\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gl_ES.zip\",\"iso\":{\"1\":\"gl\",\"2\":\"glg\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"gu\",\"version\":\"4.8.1\",\"updated\":\"2017-08-07 20:55:07\",\"english_name\":\"Gujarati\",\"native_name\":\"\\u0a97\\u0ac1\\u0a9c\\u0ab0\\u0abe\\u0aa4\\u0ac0\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/gu.zip\",\"iso\":{\"1\":\"gu\",\"2\":\"guj\"},\"strings\":{\"continue\":\"\\u0a9a\\u0abe\\u0ab2\\u0ac1 \\u0ab0\\u0abe\\u0a96\\u0ab5\\u0ac1\\u0a82\"}},{\"language\":\"haz\",\"version\":\"4.4.2\",\"updated\":\"2015-12-05 00:59:09\",\"english_name\":\"Hazaragi\",\"native_name\":\"\\u0647\\u0632\\u0627\\u0631\\u0647 \\u06af\\u06cc\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.4.2\\/haz.zip\",\"iso\":{\"3\":\"haz\"},\"strings\":{\"continue\":\"\\u0627\\u062f\\u0627\\u0645\\u0647\"}},{\"language\":\"he_IL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 22:44:18\",\"english_name\":\"Hebrew\",\"native_name\":\"\\u05e2\\u05b4\\u05d1\\u05b0\\u05e8\\u05b4\\u05d9\\u05ea\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/he_IL.zip\",\"iso\":{\"1\":\"he\"},\"strings\":{\"continue\":\"\\u05d4\\u05de\\u05e9\\u05da\"}},{\"language\":\"hi_IN\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:29:26\",\"english_name\":\"Hindi\",\"native_name\":\"\\u0939\\u093f\\u0928\\u094d\\u0926\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/hi_IN.zip\",\"iso\":{\"1\":\"hi\",\"2\":\"hin\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940\"}},{\"language\":\"hr\",\"version\":\"4.8\",\"updated\":\"2017-07-19 08:19:39\",\"english_name\":\"Croatian\",\"native_name\":\"Hrvatski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/hr.zip\",\"iso\":{\"1\":\"hr\",\"2\":\"hrv\"},\"strings\":{\"continue\":\"Nastavi\"}},{\"language\":\"hu_HU\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:39\",\"english_name\":\"Hungarian\",\"native_name\":\"Magyar\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hu_HU.zip\",\"iso\":{\"1\":\"hu\",\"2\":\"hun\"},\"strings\":{\"continue\":\"Folytat\\u00e1s\"}},{\"language\":\"hy\",\"version\":\"4.7.2\",\"updated\":\"2016-12-03 16:21:10\",\"english_name\":\"Armenian\",\"native_name\":\"\\u0540\\u0561\\u0575\\u0565\\u0580\\u0565\\u0576\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/hy.zip\",\"iso\":{\"1\":\"hy\",\"2\":\"hye\"},\"strings\":{\"continue\":\"\\u0547\\u0561\\u0580\\u0578\\u0582\\u0576\\u0561\\u056f\\u0565\\u056c\"}},{\"language\":\"id_ID\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:45:08\",\"english_name\":\"Indonesian\",\"native_name\":\"Bahasa Indonesia\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/id_ID.zip\",\"iso\":{\"1\":\"id\",\"2\":\"ind\"},\"strings\":{\"continue\":\"Lanjutkan\"}},{\"language\":\"is_IS\",\"version\":\"4.7.5\",\"updated\":\"2017-04-13 13:55:54\",\"english_name\":\"Icelandic\",\"native_name\":\"\\u00cdslenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/is_IS.zip\",\"iso\":{\"1\":\"is\",\"2\":\"isl\"},\"strings\":{\"continue\":\"\\u00c1fram\"}},{\"language\":\"it_IT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 08:42:00\",\"english_name\":\"Italian\",\"native_name\":\"Italiano\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/it_IT.zip\",\"iso\":{\"1\":\"it\",\"2\":\"ita\"},\"strings\":{\"continue\":\"Continua\"}},{\"language\":\"ja\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 23:23:50\",\"english_name\":\"Japanese\",\"native_name\":\"\\u65e5\\u672c\\u8a9e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ja.zip\",\"iso\":{\"1\":\"ja\"},\"strings\":{\"continue\":\"\\u7d9a\\u3051\\u308b\"}},{\"language\":\"ka_GE\",\"version\":\"4.8\",\"updated\":\"2017-06-12 09:20:11\",\"english_name\":\"Georgian\",\"native_name\":\"\\u10e5\\u10d0\\u10e0\\u10d7\\u10e3\\u10da\\u10d8\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/ka_GE.zip\",\"iso\":{\"1\":\"ka\",\"2\":\"kat\"},\"strings\":{\"continue\":\"\\u10d2\\u10d0\\u10d2\\u10e0\\u10eb\\u10d4\\u10da\\u10d4\\u10d1\\u10d0\"}},{\"language\":\"kab\",\"version\":\"4.8\",\"updated\":\"2017-07-16 18:44:50\",\"english_name\":\"Kabyle\",\"native_name\":\"Taqbaylit\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/kab.zip\",\"iso\":{\"2\":\"kab\",\"3\":\"kab\"},\"strings\":{\"continue\":\"Kemmel\"}},{\"language\":\"km\",\"version\":\"4.7.2\",\"updated\":\"2016-12-07 02:07:59\",\"english_name\":\"Khmer\",\"native_name\":\"\\u1797\\u17b6\\u179f\\u17b6\\u1781\\u17d2\\u1798\\u17c2\\u179a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/km.zip\",\"iso\":{\"1\":\"km\",\"2\":\"khm\"},\"strings\":{\"continue\":\"\\u1794\\u1793\\u17d2\\u178f\"}},{\"language\":\"ko_KR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:48:16\",\"english_name\":\"Korean\",\"native_name\":\"\\ud55c\\uad6d\\uc5b4\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ko_KR.zip\",\"iso\":{\"1\":\"ko\",\"2\":\"kor\"},\"strings\":{\"continue\":\"\\uacc4\\uc18d\"}},{\"language\":\"ckb\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:25\",\"english_name\":\"Kurdish (Sorani)\",\"native_name\":\"\\u0643\\u0648\\u0631\\u062f\\u06cc\\u200e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ckb.zip\",\"iso\":{\"1\":\"ku\",\"3\":\"ckb\"},\"strings\":{\"continue\":\"\\u0628\\u0647\\u200c\\u0631\\u062f\\u0647\\u200c\\u0648\\u0627\\u0645 \\u0628\\u0647\\u200c\"}},{\"language\":\"lo\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 09:59:23\",\"english_name\":\"Lao\",\"native_name\":\"\\u0e9e\\u0eb2\\u0eaa\\u0eb2\\u0ea5\\u0eb2\\u0ea7\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/lo.zip\",\"iso\":{\"1\":\"lo\",\"2\":\"lao\"},\"strings\":{\"continue\":\"\\u0e95\\u0ecd\\u0ec8\\u200b\\u0ec4\\u0e9b\"}},{\"language\":\"lt_LT\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 11:02:15\",\"english_name\":\"Lithuanian\",\"native_name\":\"Lietuvi\\u0173 kalba\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/lt_LT.zip\",\"iso\":{\"1\":\"lt\",\"2\":\"lit\"},\"strings\":{\"continue\":\"T\\u0119sti\"}},{\"language\":\"lv\",\"version\":\"4.7.5\",\"updated\":\"2017-03-17 20:40:40\",\"english_name\":\"Latvian\",\"native_name\":\"Latvie\\u0161u valoda\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/lv.zip\",\"iso\":{\"1\":\"lv\",\"2\":\"lav\"},\"strings\":{\"continue\":\"Turpin\\u0101t\"}},{\"language\":\"mk_MK\",\"version\":\"4.7.5\",\"updated\":\"2017-01-26 15:54:41\",\"english_name\":\"Macedonian\",\"native_name\":\"\\u041c\\u0430\\u043a\\u0435\\u0434\\u043e\\u043d\\u0441\\u043a\\u0438 \\u0458\\u0430\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/mk_MK.zip\",\"iso\":{\"1\":\"mk\",\"2\":\"mkd\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\"}},{\"language\":\"ml_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:43:32\",\"english_name\":\"Malayalam\",\"native_name\":\"\\u0d2e\\u0d32\\u0d2f\\u0d3e\\u0d33\\u0d02\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ml_IN.zip\",\"iso\":{\"1\":\"ml\",\"2\":\"mal\"},\"strings\":{\"continue\":\"\\u0d24\\u0d41\\u0d1f\\u0d30\\u0d41\\u0d15\"}},{\"language\":\"mn\",\"version\":\"4.7.2\",\"updated\":\"2017-01-12 07:29:35\",\"english_name\":\"Mongolian\",\"native_name\":\"\\u041c\\u043e\\u043d\\u0433\\u043e\\u043b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/mn.zip\",\"iso\":{\"1\":\"mn\",\"2\":\"mon\"},\"strings\":{\"continue\":\"\\u04ae\\u0440\\u0433\\u044d\\u043b\\u0436\\u043b\\u04af\\u04af\\u043b\\u044d\\u0445\"}},{\"language\":\"mr\",\"version\":\"4.8\",\"updated\":\"2017-07-05 19:40:47\",\"english_name\":\"Marathi\",\"native_name\":\"\\u092e\\u0930\\u093e\\u0920\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8\\/mr.zip\",\"iso\":{\"1\":\"mr\",\"2\":\"mar\"},\"strings\":{\"continue\":\"\\u0938\\u0941\\u0930\\u0941 \\u0920\\u0947\\u0935\\u093e\"}},{\"language\":\"ms_MY\",\"version\":\"4.7.5\",\"updated\":\"2017-03-05 09:45:10\",\"english_name\":\"Malay\",\"native_name\":\"Bahasa Melayu\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/ms_MY.zip\",\"iso\":{\"1\":\"ms\",\"2\":\"msa\"},\"strings\":{\"continue\":\"Teruskan\"}},{\"language\":\"my_MM\",\"version\":\"4.1.18\",\"updated\":\"2015-03-26 15:57:42\",\"english_name\":\"Myanmar (Burmese)\",\"native_name\":\"\\u1017\\u1019\\u102c\\u1005\\u102c\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/my_MM.zip\",\"iso\":{\"1\":\"my\",\"2\":\"mya\"},\"strings\":{\"continue\":\"\\u1006\\u1000\\u103a\\u101c\\u1000\\u103a\\u101c\\u102f\\u1015\\u103a\\u1006\\u1031\\u102c\\u1004\\u103a\\u1015\\u102b\\u104b\"}},{\"language\":\"nb_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-02 21:02:39\",\"english_name\":\"Norwegian (Bokm\\u00e5l)\",\"native_name\":\"Norsk bokm\\u00e5l\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nb_NO.zip\",\"iso\":{\"1\":\"nb\",\"2\":\"nob\"},\"strings\":{\"continue\":\"Fortsett\"}},{\"language\":\"ne_NP\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 08:47:10\",\"english_name\":\"Nepali\",\"native_name\":\"\\u0928\\u0947\\u092a\\u093e\\u0932\\u0940\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ne_NP.zip\",\"iso\":{\"1\":\"ne\",\"2\":\"nep\"},\"strings\":{\"continue\":\"\\u091c\\u093e\\u0930\\u0940 \\u0930\\u093e\\u0916\\u094d\\u0928\\u0941\\u0939\\u094b\\u0938\\u094d\"}},{\"language\":\"nl_NL\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 19:34:18\",\"english_name\":\"Dutch\",\"native_name\":\"Nederlands\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_NL.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_BE\",\"version\":\"4.8.1\",\"updated\":\"2017-07-27 16:44:39\",\"english_name\":\"Dutch (Belgium)\",\"native_name\":\"Nederlands (Belgi\\u00eb)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nl_BE.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nl_NL_formal\",\"version\":\"4.7.5\",\"updated\":\"2017-02-16 13:24:21\",\"english_name\":\"Dutch (Formal)\",\"native_name\":\"Nederlands (Formeel)\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/nl_NL_formal.zip\",\"iso\":{\"1\":\"nl\",\"2\":\"nld\"},\"strings\":{\"continue\":\"Doorgaan\"}},{\"language\":\"nn_NO\",\"version\":\"4.8.1\",\"updated\":\"2017-08-01 07:32:10\",\"english_name\":\"Norwegian (Nynorsk)\",\"native_name\":\"Norsk nynorsk\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/nn_NO.zip\",\"iso\":{\"1\":\"nn\",\"2\":\"nno\"},\"strings\":{\"continue\":\"Hald fram\"}},{\"language\":\"oci\",\"version\":\"4.7.2\",\"updated\":\"2017-01-02 13:47:38\",\"english_name\":\"Occitan\",\"native_name\":\"Occitan\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/oci.zip\",\"iso\":{\"1\":\"oc\",\"2\":\"oci\"},\"strings\":{\"continue\":\"Contunhar\"}},{\"language\":\"pa_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-16 05:19:43\",\"english_name\":\"Punjabi\",\"native_name\":\"\\u0a2a\\u0a70\\u0a1c\\u0a3e\\u0a2c\\u0a40\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/pa_IN.zip\",\"iso\":{\"1\":\"pa\",\"2\":\"pan\"},\"strings\":{\"continue\":\"\\u0a1c\\u0a3e\\u0a30\\u0a40 \\u0a30\\u0a71\\u0a16\\u0a4b\"}},{\"language\":\"pl_PL\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 20:03:38\",\"english_name\":\"Polish\",\"native_name\":\"Polski\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pl_PL.zip\",\"iso\":{\"1\":\"pl\",\"2\":\"pol\"},\"strings\":{\"continue\":\"Kontynuuj\"}},{\"language\":\"ps\",\"version\":\"4.1.18\",\"updated\":\"2015-03-29 22:19:48\",\"english_name\":\"Pashto\",\"native_name\":\"\\u067e\\u069a\\u062a\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.1.18\\/ps.zip\",\"iso\":{\"1\":\"ps\",\"2\":\"pus\"},\"strings\":{\"continue\":\"\\u062f\\u0648\\u0627\\u0645 \\u0648\\u0631\\u06a9\\u0693\\u0647\"}},{\"language\":\"pt_PT\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 14:20:07\",\"english_name\":\"Portuguese (Portugal)\",\"native_name\":\"Portugu\\u00eas\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_PT.zip\",\"iso\":{\"1\":\"pt\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"pt_BR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-26 21:35:20\",\"english_name\":\"Portuguese (Brazil)\",\"native_name\":\"Portugu\\u00eas do Brasil\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/pt_BR.zip\",\"iso\":{\"1\":\"pt\",\"2\":\"por\"},\"strings\":{\"continue\":\"Continuar\"}},{\"language\":\"rhg\",\"version\":\"4.7.2\",\"updated\":\"2016-03-16 13:03:18\",\"english_name\":\"Rohingya\",\"native_name\":\"Ru\\u00e1inga\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/rhg.zip\",\"iso\":{\"3\":\"rhg\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ro_RO\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 10:26:15\",\"english_name\":\"Romanian\",\"native_name\":\"Rom\\u00e2n\\u0103\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ro_RO.zip\",\"iso\":{\"1\":\"ro\",\"2\":\"ron\"},\"strings\":{\"continue\":\"Continu\\u0103\"}},{\"language\":\"ru_RU\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 10:38:14\",\"english_name\":\"Russian\",\"native_name\":\"\\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ru_RU.zip\",\"iso\":{\"1\":\"ru\",\"2\":\"rus\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u043b\\u0436\\u0438\\u0442\\u044c\"}},{\"language\":\"sah\",\"version\":\"4.7.2\",\"updated\":\"2017-01-21 02:06:41\",\"english_name\":\"Sakha\",\"native_name\":\"\\u0421\\u0430\\u0445\\u0430\\u043b\\u044b\\u044b\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/sah.zip\",\"iso\":{\"2\":\"sah\",\"3\":\"sah\"},\"strings\":{\"continue\":\"\\u0421\\u0430\\u043b\\u0495\\u0430\\u0430\"}},{\"language\":\"si_LK\",\"version\":\"4.7.2\",\"updated\":\"2016-11-12 06:00:52\",\"english_name\":\"Sinhala\",\"native_name\":\"\\u0dc3\\u0dd2\\u0d82\\u0dc4\\u0dbd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/si_LK.zip\",\"iso\":{\"1\":\"si\",\"2\":\"sin\"},\"strings\":{\"continue\":\"\\u0daf\\u0dd2\\u0d9c\\u0da7\\u0db8 \\u0d9a\\u0dbb\\u0d9c\\u0dd9\\u0db1 \\u0dba\\u0db1\\u0dca\\u0db1\"}},{\"language\":\"sk_SK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-09 13:26:18\",\"english_name\":\"Slovak\",\"native_name\":\"Sloven\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sk_SK.zip\",\"iso\":{\"1\":\"sk\",\"2\":\"slk\"},\"strings\":{\"continue\":\"Pokra\\u010dova\\u0165\"}},{\"language\":\"sl_SI\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:03:23\",\"english_name\":\"Slovenian\",\"native_name\":\"Sloven\\u0161\\u010dina\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sl_SI.zip\",\"iso\":{\"1\":\"sl\",\"2\":\"slv\"},\"strings\":{\"continue\":\"Nadaljuj\"}},{\"language\":\"sq\",\"version\":\"4.7.5\",\"updated\":\"2017-04-24 08:35:30\",\"english_name\":\"Albanian\",\"native_name\":\"Shqip\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/sq.zip\",\"iso\":{\"1\":\"sq\",\"2\":\"sqi\"},\"strings\":{\"continue\":\"Vazhdo\"}},{\"language\":\"sr_RS\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 12:07:44\",\"english_name\":\"Serbian\",\"native_name\":\"\\u0421\\u0440\\u043f\\u0441\\u043a\\u0438 \\u0458\\u0435\\u0437\\u0438\\u043a\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sr_RS.zip\",\"iso\":{\"1\":\"sr\",\"2\":\"srp\"},\"strings\":{\"continue\":\"\\u041d\\u0430\\u0441\\u0442\\u0430\\u0432\\u0438\"}},{\"language\":\"sv_SE\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 22:53:12\",\"english_name\":\"Swedish\",\"native_name\":\"Svenska\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/sv_SE.zip\",\"iso\":{\"1\":\"sv\",\"2\":\"swe\"},\"strings\":{\"continue\":\"Forts\\u00e4tt\"}},{\"language\":\"szl\",\"version\":\"4.7.2\",\"updated\":\"2016-09-24 19:58:14\",\"english_name\":\"Silesian\",\"native_name\":\"\\u015al\\u014dnsk\\u014f g\\u014fdka\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/szl.zip\",\"iso\":{\"3\":\"szl\"},\"strings\":{\"continue\":\"K\\u014dntynuowa\\u0107\"}},{\"language\":\"ta_IN\",\"version\":\"4.7.2\",\"updated\":\"2017-01-27 03:22:47\",\"english_name\":\"Tamil\",\"native_name\":\"\\u0ba4\\u0bae\\u0bbf\\u0bb4\\u0bcd\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ta_IN.zip\",\"iso\":{\"1\":\"ta\",\"2\":\"tam\"},\"strings\":{\"continue\":\"\\u0ba4\\u0bca\\u0b9f\\u0bb0\\u0bb5\\u0bc1\\u0bae\\u0bcd\"}},{\"language\":\"te\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:47:39\",\"english_name\":\"Telugu\",\"native_name\":\"\\u0c24\\u0c46\\u0c32\\u0c41\\u0c17\\u0c41\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/te.zip\",\"iso\":{\"1\":\"te\",\"2\":\"tel\"},\"strings\":{\"continue\":\"\\u0c15\\u0c4a\\u0c28\\u0c38\\u0c3e\\u0c17\\u0c3f\\u0c02\\u0c1a\\u0c41\"}},{\"language\":\"th\",\"version\":\"4.7.2\",\"updated\":\"2017-01-26 15:48:43\",\"english_name\":\"Thai\",\"native_name\":\"\\u0e44\\u0e17\\u0e22\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/th.zip\",\"iso\":{\"1\":\"th\",\"2\":\"tha\"},\"strings\":{\"continue\":\"\\u0e15\\u0e48\\u0e2d\\u0e44\\u0e1b\"}},{\"language\":\"tl\",\"version\":\"4.7.2\",\"updated\":\"2016-12-30 02:38:08\",\"english_name\":\"Tagalog\",\"native_name\":\"Tagalog\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tl.zip\",\"iso\":{\"1\":\"tl\",\"2\":\"tgl\"},\"strings\":{\"continue\":\"Magpatuloy\"}},{\"language\":\"tr_TR\",\"version\":\"4.8.1\",\"updated\":\"2017-07-31 11:38:12\",\"english_name\":\"Turkish\",\"native_name\":\"T\\u00fcrk\\u00e7e\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/tr_TR.zip\",\"iso\":{\"1\":\"tr\",\"2\":\"tur\"},\"strings\":{\"continue\":\"Devam\"}},{\"language\":\"tt_RU\",\"version\":\"4.7.2\",\"updated\":\"2016-11-20 20:20:50\",\"english_name\":\"Tatar\",\"native_name\":\"\\u0422\\u0430\\u0442\\u0430\\u0440 \\u0442\\u0435\\u043b\\u0435\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tt_RU.zip\",\"iso\":{\"1\":\"tt\",\"2\":\"tat\"},\"strings\":{\"continue\":\"\\u0434\\u04d9\\u0432\\u0430\\u043c \\u0438\\u0442\\u04af\"}},{\"language\":\"tah\",\"version\":\"4.7.2\",\"updated\":\"2016-03-06 18:39:39\",\"english_name\":\"Tahitian\",\"native_name\":\"Reo Tahiti\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/tah.zip\",\"iso\":{\"1\":\"ty\",\"2\":\"tah\",\"3\":\"tah\"},\"strings\":{\"continue\":\"\"}},{\"language\":\"ug_CN\",\"version\":\"4.7.2\",\"updated\":\"2016-12-05 09:23:39\",\"english_name\":\"Uighur\",\"native_name\":\"Uy\\u01a3urq\\u0259\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.2\\/ug_CN.zip\",\"iso\":{\"1\":\"ug\",\"2\":\"uig\"},\"strings\":{\"continue\":\"\\u062f\\u0627\\u06cb\\u0627\\u0645\\u0644\\u0627\\u0634\\u062a\\u06c7\\u0631\\u06c7\\u0634\"}},{\"language\":\"uk\",\"version\":\"4.8.1\",\"updated\":\"2017-08-10 15:50:30\",\"english_name\":\"Ukrainian\",\"native_name\":\"\\u0423\\u043a\\u0440\\u0430\\u0457\\u043d\\u0441\\u044c\\u043a\\u0430\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/uk.zip\",\"iso\":{\"1\":\"uk\",\"2\":\"ukr\"},\"strings\":{\"continue\":\"\\u041f\\u0440\\u043e\\u0434\\u043e\\u0432\\u0436\\u0438\\u0442\\u0438\"}},{\"language\":\"ur\",\"version\":\"4.8.1\",\"updated\":\"2017-07-28 14:27:29\",\"english_name\":\"Urdu\",\"native_name\":\"\\u0627\\u0631\\u062f\\u0648\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/ur.zip\",\"iso\":{\"1\":\"ur\",\"2\":\"urd\"},\"strings\":{\"continue\":\"\\u062c\\u0627\\u0631\\u06cc \\u0631\\u06a9\\u06be\\u06cc\\u06ba\"}},{\"language\":\"uz_UZ\",\"version\":\"4.7.5\",\"updated\":\"2017-05-13 09:55:38\",\"english_name\":\"Uzbek\",\"native_name\":\"O\\u2018zbekcha\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.7.5\\/uz_UZ.zip\",\"iso\":{\"1\":\"uz\",\"2\":\"uzb\"},\"strings\":{\"continue\":\"Davom etish\"}},{\"language\":\"vi\",\"version\":\"4.8.1\",\"updated\":\"2017-07-25 01:27:21\",\"english_name\":\"Vietnamese\",\"native_name\":\"Ti\\u1ebfng Vi\\u1ec7t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/vi.zip\",\"iso\":{\"1\":\"vi\",\"2\":\"vie\"},\"strings\":{\"continue\":\"Ti\\u1ebfp t\\u1ee5c\"}},{\"language\":\"zh_HK\",\"version\":\"4.8.1\",\"updated\":\"2017-08-14 16:47:28\",\"english_name\":\"Chinese (Hong Kong)\",\"native_name\":\"\\u9999\\u6e2f\\u4e2d\\u6587\\u7248\\t\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_HK.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}},{\"language\":\"zh_CN\",\"version\":\"4.8.1\",\"updated\":\"2017-08-04 07:53:05\",\"english_name\":\"Chinese (China)\",\"native_name\":\"\\u7b80\\u4f53\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_CN.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7ee7\\u7eed\"}},{\"language\":\"zh_TW\",\"version\":\"4.8.1\",\"updated\":\"2017-08-03 15:43:25\",\"english_name\":\"Chinese (Taiwan)\",\"native_name\":\"\\u7e41\\u9ad4\\u4e2d\\u6587\",\"package\":\"https:\\/\\/downloads.wordpress.org\\/translation\\/core\\/4.8.1\\/zh_TW.zip\",\"iso\":{\"1\":\"zh\",\"2\":\"zho\"},\"strings\":{\"continue\":\"\\u7e7c\\u7e8c\"}}]}\n                                            [headers] => Requests_Response_Headers Object\n                                                (\n                                                    [data:protected] => Array\n                                                        (\n                                                            [server] => Array\n                                                                (\n                                                                    [0] => nginx\n                                                                )\n\n                                                            [date] => Array\n                                                                (\n                                                                    [0] => Tue, 15 Aug 2017 20:03:31 GMT\n                                                                )\n\n                                                            [content-type] => Array\n                                                                (\n                                                                    [0] => application/json; charset=utf-8\n                                                                )\n\n                                                            [vary] => Array\n                                                                (\n                                                                    [0] => Accept-Encoding\n                                                                )\n\n                                                            [access-control-allow-origin] => Array\n                                                                (\n                                                                    [0] => *\n                                                                )\n\n                                                            [access-control-expose-headers] => Array\n                                                                (\n                                                                    [0] => X-Translations-Count\n                                                                )\n\n                                                            [x-translations-count] => Array\n                                                                (\n                                                                    [0] => 108\n                                                                )\n\n                                                            [x-frame-options] => Array\n                                                                (\n                                                                    [0] => SAMEORIGIN\n                                                                )\n\n                                                            [content-encoding] => Array\n                                                                (\n                                                                    [0] => gzip\n                                                                )\n\n                                                        )\n\n                                                )\n\n                                            [status_code] => 200\n                                            [protocol_version] => 1.1\n                                            [success] => 1\n                                            [redirects] => 0\n                                            [url] => https://api.wordpress.org/translations/core/1.0/\n                                            [history] => Array\n                                                (\n                                                )\n\n                                            [cookies] => Requests_Cookie_Jar Object\n                                                (\n                                                    [cookies:protected] => Array\n                                                        (\n                                                        )\n\n                                                )\n\n                                        )\n\n                                    [filename:protected] => \n                                    [data] => \n                                    [headers] => \n                                    [status] => \n                                )\n\n                        )\n\n                    [2] => response\n                    [3] => Requests\n                    [4] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 3\n                            [redirection] => 5\n                            [httpversion] => 1.0\n                            [user-agent] => WordPress/4.8.1; http://localhost:8000\n                            [reject_unsafe_urls] => \n                            [blocking] => 1\n                            [headers] => Array\n                                (\n                                )\n\n                            [cookies] => Array\n                                (\n                                )\n\n                            [body] => Array\n                                (\n                                    [hidden for your protection_version] => 4.8.1\n                                    [locale] => en_US\n                                    [version] => 4.8.1\n                                )\n\n                            [compress] => \n                            [decompress] => 1\n                            [sslverify] => 1\n                            [sslcertificates] => /hidden for your protection-includes/certificates/ca-bundle.crt\n                            [stream] => \n                            [filename] => \n                            [limit_response_size] => \n                            [_redirection] => 5\n                        )\n\n                    [5] => https://api.wordpress.org/translations/core/1.0/\n                )\n\n        )\n\n    [4] => Array\n        (\n            [file] => /hidden for your protection-includes/class-http.php\n            [line] => 594\n            [function] => request\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => https://api.wordpress.org/translations/core/1.0/\n                    [1] => Array\n                        (\n                            [method] => POST\n                            [timeout] => 3\n                            [body] => Array\n                                (\n                                    [hidden for your protection_version] => 4.8.1\n                                    [locale] => en_US\n                                    [version] => 4.8.1\n                                )\n\n                        )\n\n                )\n\n        )\n\n    [5] => Array\n        (\n            [file] => /hidden for your protection-includes/http.php\n            [line] => 187\n            [function] => post\n            [class] => WP_Http\n            [object] => WP_Http Object\n                (\n                )\n\n            [type] => ->\n            [args] => Array\n                (\n                    [0] => https://api.wordpress.org/translations/core/1.0/\n                    [1] => Array\n                        (\n                            [timeout] => 3\n                            [body] => Array\n                                (\n                                    [hidden for your protection_version] => 4.8.1\n                                    [locale] => en_US\n                                    [version] => 4.8.1\n                                )\n\n                        )\n\n                )\n\n        )\n\n    [6] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/translation-install.php\n            [line] => 56\n            [function] => hidden for your protection_remote_post\n            [args] => Array\n                (\n                    [0] => https://api.wordpress.org/translations/core/1.0/\n                    [1] => Array\n                        (\n                            [timeout] => 3\n                            [body] => Array\n                                (\n                                    [hidden for your protection_version] => 4.8.1\n                                    [locale] => en_US\n                                    [version] => 4.8.1\n                                )\n\n                        )\n\n                )\n\n        )\n\n    [7] => Array\n        (\n            [file] => /hidden for your protection-admin/includes/translation-install.php\n            [line] => 124\n            [function] => translations_api\n            [args] => Array\n                (\n                    [0] => core\n                    [1] => Array\n                        (\n                            [version] => 4.8.1\n                        )\n\n                )\n\n        )\n\n    [8] => Array\n        (\n            [file] => /hidden for your protection-admin/options-general.php\n            [line] => 126\n            [function] => hidden for your protection_get_available_translations\n            [args] => Array\n                (\n                )\n\n        )\n\n)\n','response','Requests',1502827415.765459);

/*!40000 ALTER TABLE `wp_http_api_debug_log` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_http_api_debug_log_headers
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_http_api_debug_log_headers`;

CREATE TABLE `wp_http_api_debug_log_headers` (
  `log_header_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `log_id` bigint(20) unsigned DEFAULT NULL,
  `header_type` char(3) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `header_name` varchar(64) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `header_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`log_header_id`),
  KEY `log_id` (`log_id`),
  KEY `header_type` (`header_type`),
  KEY `header_name` (`header_name`),
  CONSTRAINT `wp_http_api_debug_log_headers_ibfk_1` FOREIGN KEY (`log_id`) REFERENCES `wp_http_api_debug_log` (`log_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_http_api_debug_log_headers` WRITE;
/*!40000 ALTER TABLE `wp_http_api_debug_log_headers` DISABLE KEYS */;

INSERT INTO `wp_http_api_debug_log_headers` (`log_header_id`, `log_id`, `header_type`, `header_name`, `header_value`)
VALUES
	(1,1,'res','date','Tue, 15 Aug 2017 20:00:19 GMT'),
	(2,1,'res','server','Apache/2.4.18 (Ubuntu)'),
	(3,1,'res','cache-control','max-age=300'),
	(4,1,'res','expires','Tue, 15 Aug 2017 20:05:19 GMT'),
	(5,1,'res','vary','User-Agent'),
	(6,1,'res','content-length','14'),
	(7,1,'res','content-type','text/plain; charset=UTF-8'),
	(8,2,'res','date','Tue, 15 Aug 2017 20:00:20 GMT'),
	(9,2,'res','server','Apache/2.4.18 (Ubuntu)'),
	(10,2,'res','cache-control','max-age=300'),
	(11,2,'res','expires','Tue, 15 Aug 2017 20:05:20 GMT'),
	(12,2,'res','vary','User-Agent'),
	(13,2,'res','content-length','23'),
	(14,2,'res','content-type','application/json; charset=UTF-8'),
	(15,3,'res','date','Tue, 15 Aug 2017 20:00:20 GMT'),
	(16,3,'res','server','Apache/2.4.18 (Ubuntu)'),
	(17,3,'res','cache-control','max-age=300'),
	(18,3,'res','expires','Tue, 15 Aug 2017 20:05:20 GMT'),
	(19,3,'res','vary','User-Agent'),
	(20,3,'res','content-length','61'),
	(21,3,'res','content-type','application/xml; charset=UTF-8'),
	(22,4,'res','date','Tue, 15 Aug 2017 20:00:20 GMT'),
	(23,4,'res','server','Apache/2.4.18 (Ubuntu)'),
	(24,4,'res','cache-control','max-age=300'),
	(25,4,'res','expires','Tue, 15 Aug 2017 20:05:20 GMT'),
	(26,4,'res','vary','User-Agent'),
	(27,4,'res','content-length','14'),
	(28,4,'res','content-type','text/plain; charset=UTF-8'),
	(29,8,'res','server','nginx'),
	(30,8,'res','date','Tue, 15 Aug 2017 20:03:31 GMT'),
	(31,8,'res','content-type','application/json; charset=utf-8'),
	(32,8,'res','vary','Accept-Encoding'),
	(33,8,'res','access-control-allow-origin','*'),
	(34,8,'res','access-control-expose-headers','X-Translations-Count'),
	(35,8,'res','x-translations-count','108'),
	(36,8,'res','x-frame-options','SAMEORIGIN'),
	(37,8,'res','content-encoding','gzip');

/*!40000 ALTER TABLE `wp_http_api_debug_log_headers` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_links
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_links`;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;



# Dump of table wp_options
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_options`;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_options` WRITE;
/*!40000 ALTER TABLE `wp_options` DISABLE KEYS */;

INSERT INTO `wp_options` (`option_id`, `option_name`, `option_value`, `autoload`)
VALUES
	(1,'siteurl','http://localhost:8000/cms','yes'),
	(2,'home','http://localhost:8000/cms','yes'),
	(3,'blogname','WP Starter','yes'),
	(4,'blogdescription','','yes'),
	(5,'users_can_register','0','yes'),
	(6,'admin_email','wp@example.com','yes'),
	(7,'start_of_week','1','yes'),
	(8,'use_balanceTags','0','yes'),
	(9,'use_smilies','1','yes'),
	(10,'require_name_email','1','yes'),
	(11,'comments_notify','1','yes'),
	(12,'posts_per_rss','10','yes'),
	(13,'rss_use_excerpt','0','yes'),
	(14,'mailserver_url','mail.example.com','yes'),
	(15,'mailserver_login','login@example.com','yes'),
	(16,'mailserver_pass','password','yes'),
	(17,'mailserver_port','110','yes'),
	(18,'default_category','1','yes'),
	(19,'default_comment_status','open','yes'),
	(20,'default_ping_status','open','yes'),
	(21,'default_pingback_flag','0','yes'),
	(22,'posts_per_page','10','yes'),
	(23,'date_format','F j, Y','yes'),
	(24,'time_format','g:i a','yes'),
	(25,'links_updated_date_format','F j, Y g:i a','yes'),
	(26,'comment_moderation','0','yes'),
	(27,'moderation_notify','1','yes'),
	(28,'permalink_structure','','yes'),
	(29,'rewrite_rules','','yes'),
	(30,'hack_file','0','yes'),
	(31,'blog_charset','UTF-8','yes'),
	(32,'moderation_keys','','no'),
	(33,'active_plugins','a:3:{i:0;s:43:\"current-screen-info/current-screen-info.php\";i:1;s:65:\"recently-edited-content-widget/recently-edited-content-widget.php\";i:2;s:53:\"what-template-am-i-using/what-template-am-i-using.php\";}','yes'),
	(34,'category_base','','yes'),
	(35,'ping_sites','http://rpc.pingomatic.com/','yes'),
	(36,'comment_max_links','2','yes'),
	(37,'gmt_offset','0','yes'),
	(38,'default_email_category','1','yes'),
	(39,'recently_edited','','no'),
	(40,'template','twentyseventeen','yes'),
	(41,'stylesheet','twentyseventeen','yes'),
	(42,'comment_whitelist','1','yes'),
	(43,'blacklist_keys','','no'),
	(44,'comment_registration','0','yes'),
	(45,'html_type','text/html','yes'),
	(46,'use_trackback','0','yes'),
	(47,'default_role','subscriber','yes'),
	(48,'db_version','38590','yes'),
	(49,'uploads_use_yearmonth_folders','1','yes'),
	(50,'upload_path','','yes'),
	(51,'blog_public','0','yes'),
	(52,'default_link_category','2','yes'),
	(53,'show_on_front','posts','yes'),
	(54,'tag_base','','yes'),
	(55,'show_avatars','1','yes'),
	(56,'avatar_rating','G','yes'),
	(57,'upload_url_path','','yes'),
	(58,'thumbnail_size_w','150','yes'),
	(59,'thumbnail_size_h','150','yes'),
	(60,'thumbnail_crop','1','yes'),
	(61,'medium_size_w','300','yes'),
	(62,'medium_size_h','300','yes'),
	(63,'avatar_default','mystery','yes'),
	(64,'large_size_w','1024','yes'),
	(65,'large_size_h','1024','yes'),
	(66,'image_default_link_type','none','yes'),
	(67,'image_default_size','','yes'),
	(68,'image_default_align','','yes'),
	(69,'close_comments_for_old_posts','0','yes'),
	(70,'close_comments_days_old','14','yes'),
	(71,'thread_comments','1','yes'),
	(72,'thread_comments_depth','5','yes'),
	(73,'page_comments','0','yes'),
	(74,'comments_per_page','50','yes'),
	(75,'default_comments_page','newest','yes'),
	(76,'comment_order','asc','yes'),
	(77,'sticky_posts','a:0:{}','yes'),
	(78,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(79,'widget_text','a:0:{}','yes'),
	(80,'widget_rss','a:0:{}','yes'),
	(81,'uninstall_plugins','a:0:{}','no'),
	(82,'timezone_string','','yes'),
	(83,'page_for_posts','0','yes'),
	(84,'page_on_front','0','yes'),
	(85,'default_post_format','0','yes'),
	(86,'link_manager_enabled','0','yes'),
	(87,'finished_splitting_shared_terms','1','yes'),
	(88,'site_icon','0','yes'),
	(89,'medium_large_size_w','768','yes'),
	(90,'medium_large_size_h','0','yes'),
	(91,'initial_db_version','38590','yes'),
	(92,'wp_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),
	(93,'fresh_site','1','yes'),
	(94,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(95,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(96,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(97,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(98,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(99,'sidebars_widgets','a:5:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:13:\"array_version\";i:3;}','yes'),
	(100,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(101,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(102,'widget_media_audio','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(103,'widget_media_image','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(104,'widget_media_video','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(105,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(106,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(107,'widget_custom_html','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(108,'cron','a:3:{i:1502827166;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1502827169;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}','yes'),
	(109,'_transient_doing_cron','1502829498.0858509540557861328125','yes'),
	(110,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:58:\"http://downloads.wordpress.org/release/wordpress-4.8.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:58:\"http://downloads.wordpress.org/release/wordpress-4.8.1.zip\";s:10:\"no_content\";s:69:\"http://downloads.wordpress.org/release/wordpress-4.8.1-no-content.zip\";s:11:\"new_bundled\";s:70:\"http://downloads.wordpress.org/release/wordpress-4.8.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"4.8.1\";s:7:\"version\";s:5:\"4.8.1\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.7\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1502827174;s:15:\"version_checked\";s:5:\"4.8.1\";s:12:\"translations\";a:0:{}}','no'),
	(111,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1502827563;s:7:\"checked\";a:5:{s:43:\"current-screen-info/current-screen-info.php\";s:5:\"0.1.0\";s:24:\"http-api-debug/index.php\";s:5:\"0.1.2\";s:65:\"recently-edited-content-widget/recently-edited-content-widget.php\";s:5:\"0.3.2\";s:53:\"what-template-am-i-using/what-template-am-i-using.php\";s:5:\"0.2.0\";s:41:\"wordpress-importer/wordpress-importer.php\";s:5:\"0.6.3\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:3:{s:65:\"recently-edited-content-widget/recently-edited-content-widget.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:44:\"w.org/plugins/recently-edited-content-widget\";s:4:\"slug\";s:30:\"recently-edited-content-widget\";s:6:\"plugin\";s:65:\"recently-edited-content-widget/recently-edited-content-widget.php\";s:11:\"new_version\";s:5:\"0.3.2\";s:3:\"url\";s:61:\"https://wordpress.org/plugins/recently-edited-content-widget/\";s:7:\"package\";s:79:\"https://downloads.wordpress.org/plugin/recently-edited-content-widget.0.3.2.zip\";}s:53:\"what-template-am-i-using/what-template-am-i-using.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:38:\"w.org/plugins/what-template-am-i-using\";s:4:\"slug\";s:24:\"what-template-am-i-using\";s:6:\"plugin\";s:53:\"what-template-am-i-using/what-template-am-i-using.php\";s:11:\"new_version\";s:5:\"0.2.0\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/what-template-am-i-using/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/what-template-am-i-using.0.2.0.zip\";}s:41:\"wordpress-importer/wordpress-importer.php\";O:8:\"stdClass\":6:{s:2:\"id\";s:32:\"w.org/plugins/wordpress-importer\";s:4:\"slug\";s:18:\"wordpress-importer\";s:6:\"plugin\";s:41:\"wordpress-importer/wordpress-importer.php\";s:11:\"new_version\";s:5:\"0.6.3\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/wordpress-importer/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/wordpress-importer.0.6.3.zip\";}}}','no'),
	(112,'_site_transient_update_themes','O:8:\"stdClass\":2:{s:12:\"last_checked\";i:1502827175;s:7:\"checked\";a:0:{}}','no'),
	(113,'_site_transient_timeout_browser_8acc60d954a1a6cb1b1c28597ffefcf6','1503431975','no'),
	(114,'_site_transient_browser_8acc60d954a1a6cb1b1c28597ffefcf6','a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"55.0\";s:10:\"update_url\";s:23:\"http://www.firefox.com/\";s:7:\"img_src\";s:50:\"http://s.wordpress.org/images/browsers/firefox.png\";s:11:\"img_src_ssl\";s:49:\"https://wordpress.org/images/browsers/firefox.png\";s:15:\"current_version\";s:2:\"16\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}','no'),
	(115,'can_compress_scripts','0','no'),
	(116,'_site_transient_timeout_community-events-bf177db4cdd8a3d4c99b4463854de2bd','1502870377','no'),
	(117,'_site_transient_community-events-bf177db4cdd8a3d4c99b4463854de2bd','a:2:{s:8:\"location\";a:1:{s:2:\"ip\";s:10:\"172.19.0.0\";}s:6:\"events\";a:5:{i:0;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:26:\"WordCamp Lehigh Valley, PA\";s:3:\"url\";s:38:\"https://2017.lehighvalley.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2017-08-19 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:13:\"Bethlehem, PA\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:40.6125572;s:9:\"longitude\";d:-75.3715148;}}i:1;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:23:\"WordCamp Pittsburgh, PA\";s:3:\"url\";s:36:\"https://2017.pittsburgh.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2017-09-09 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:14:\"Pittsburgh, PA\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:40.4247827;s:9:\"longitude\";d:-80.1893206;}}i:2;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:18:\"WordCamp Ann Arbor\";s:3:\"url\";s:34:\"https://2017.annarbor.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2017-10-13 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:24:\"Ann Arbor, Michigan, USA\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:42.2807892;s:9:\"longitude\";d:-83.7381556;}}i:3;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:22:\"WordCamp Baltimore, MD\";s:3:\"url\";s:35:\"https://2017.baltimore.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2017-10-14 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:13:\"Baltimore, MD\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:39.285949;s:9:\"longitude\";d:-76.605507;}}i:4;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:21:\"WordCamp Columbus, OH\";s:3:\"url\";s:34:\"https://2017.columbus.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2017-10-21 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:12:\"Columbus, OH\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:39.9973083;s:9:\"longitude\";d:-83.0361524;}}}}','no'),
	(118,'_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca','1502870378','no'),
	(119,'_transient_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 21:26:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=4.9-alpha-41255\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"WordPress 4.8.1 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2017/08/wordpress-4-8-1-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 21:26:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4875\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:366:\"After over 13 million downloads of WordPress 4.8, we are pleased to announce the immediate availability of WordPress 4.8.1, a maintenance release. This release contains 29 maintenance fixes and enhancements, chief among them are fixes to the rich Text widget and the introduction of the Custom HTML widget. For a full list of changes, consult the release [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Weston Ruter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2560:\"<p>After over 13 million downloads of WordPress 4.8, we are pleased to announce the immediate availability of WordPress 4.8.1, a maintenance release.</p>\n<p>This release contains 29 maintenance fixes and enhancements, chief among them are fixes to the rich Text widget and the introduction of the Custom HTML widget. For a full list of changes, consult the <a href=\"https://codex.wordpress.org/Version_4.8.1\">release notes</a>, the <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=4.8.1&amp;group=component\">tickets closed</a>, and the <a href=\"https://core.trac.wordpress.org/log/branches/4.8?rev=41210&amp;stop_rev=40891\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.8.1</a> or visit <strong>Dashboard → Updates</strong> and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.8.1.</p>\n<p>Thanks to everyone who contributed to 4.8.1:<br />\n<a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/atanasangelovdev/\">Atanas Angelov</a>, <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jbpaul17/\">Jeffrey Paul</a>, <a href=\"https://profiles.wordpress.org/jmdodd/\">Jennifer M. Dodd</a>, <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/r-a-y/\">r-a-y</a>, <a href=\"https://profiles.wordpress.org/greuben/\">Reuben Gunday</a>, <a href=\"https://profiles.wordpress.org/rinkuyadav999/\">Rinku Y</a>, <a href=\"https://profiles.wordpress.org/sa3idho/\">Said El Bakkali</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a>, <a href=\"https://profiles.wordpress.org/timmydcrawford/\">Timmy Crawford</a>, and <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4875\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"The Month in WordPress: July 2017\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2017/08/the-month-in-wordpress-july-2017/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 07:50:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4885\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:344:\"After a particularly busy month in June, things settled down a bit in the WordPress world — WordPress 4.8’s release went very smoothly, allowing the Core team to build up some of the community infrastructure around development. Read on for more interesting news from around the WordPress world in July. Weekly meeting for new core [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5644:\"<p>After a particularly busy month <a href=\"https://wordpress.org/news/2017/07/the-month-in-wordpress-june-2017/\">in June</a>, things settled down a bit in the WordPress world — WordPress 4.8’s release went very smoothly, allowing the Core team to build up some of the community infrastructure around development. Read on for more interesting news from around the WordPress world in July.</p>\n<hr />\n<h2>Weekly meeting for new core contributors</h2>\n<p>Onboarding new contributors is a persistent issue for most WordPress contribution teams. While every team welcomes any new contributors, the path to getting deeply involved can be tricky to find at times.</p>\n<p>This month, the Core team implemented a fantastic new initiative: <a href=\"https://make.wordpress.org/core/2017/06/30/announcing-a-weekly-new-contributors-meeting/\">weekly meetings for new core contributors</a> as a way to encourage involvement and foster fresh contributions. The meetings not only focus on bugs suited to first-time contributors, they also make space for experienced contributors to help out individuals who may be new to developing WordPress core.</p>\n<p>The meetings are held every Wednesday at 19:00 UTC in the #core channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n<h2>Increased focus on PHP practices in WordPress core</h2>\n<p>In bringing people together to improve WordPress core, a new channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a> named #core-php is designed to focus on PHP development in the project.</p>\n<p>Along with this increased concentration on PHP, a <a href=\"https://make.wordpress.org/core/2017/07/06/announcement-for-weekly-php-meetings/\">new weekly meeting is now taking place</a> every Monday at 18:00 UTC in #core-php to improve WordPress core’s PHP practices.</p>\n<h2>Sharp rise in meetup group growth</h2>\n<p>The dashboard events widget in WordPress 4.8 displays local, upcoming WordPress events for the logged in user. The events listed in this widget are pulled from the <a href=\"https://www.meetup.com/pro/wordpress/\">meetup chapter program</a>, as well as the <a href=\"https://central.wordcamp.org/schedule\">WordCamp schedule</a>.</p>\n<p>This widget provides greater visibility of official WordPress events, and encourages community involvement in these events. It’s safe to say that the widget has achieved its goals admirably — since WordPress 4.8 was released a little over a month ago, 31 new meetup groups have been formed with 15,647 new members across the whole program. This is compared to 19 new groups and only 7,071 new members in the same time period last year.</p>\n<p>You can find a local meetup group to join <a href=\"https://www.meetup.com/pro/wordpress/\">on meetup.com</a>, and if you would like to get involved in organizing events for your community, you can find out more about the inner workings of the program <a href=\"https://make.wordpress.org/community/meetups/\">on the Community Team site</a> or by joining the #community-events channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n<h2>WordPress 4.8.1 due for imminent release</h2>\n<p>WordPress 4.8 cycle’s first maintenance release will be published in the coming week, more than a month after 4.8 was released. This release fix some important issues in WordPress core and the majority of users will find that their sites will update to this new version automatically.</p>\n<p>If you would like to help out by testing this release before it goes live, you can follow the <a href=\"https://make.wordpress.org/core/handbook/testing/beta/\">beta testing guide</a> for WordPress core. To get further involved in building WordPress core, jump into the #core channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>, and follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>.</p>\n<hr />\n<h2>Further reading:</h2>\n<ul>\n<li>The WordPress mobile apps have been updated with <a href=\"https://en.blog.wordpress.com/2017/07/24/a-brand-new-editor-for-the-wordpress-mobile-apps/\">a brand new text editor</a>.</li>\n<li>In a recent push to encourage WordPress users to upgrade their PHP versions, two features have been proposed &#8211; one <a href=\"https://core.trac.wordpress.org/ticket/41191\">to provide a notice to users</a> and another to <a href=\"https://core.trac.wordpress.org/ticket/40934\">allow PHP version requirements to be specified by plugins and themes</a>.</li>\n<li>John Maeda wrote <a href=\"https://make.wordpress.org/design/2017/07/14/whywordpress2/\">a great post</a> celebrating the freedom that WordPress offers.</li>\n<li>Gutenberg, the new text editor for WordPress, is <a href=\"https://make.wordpress.org/core/2017/07/28/whats-new-in-gutenberg-28th-july/\">in continual development</a> — everyone is invited to <a href=\"https://make.wordpress.org/test/handbook/call-for-testing/gutenberg-testing/\">test it out</a>.</li>\n<li>The WordPress Meta team is starting <a href=\"https://make.wordpress.org/meta/2017/07/26/experiment-wordcamp-org-bug-scrubs/\">a new initiative</a> to bring the community together to focus on fixing bugs across the WordCamp.org network.</li>\n<li>Volunteer applications for WordCamp US <a href=\"https://2017.us.wordcamp.org/2017/08/01/wcus-needs-you-volunteer-applications-are-now-open/\">are now open</a>.</li>\n</ul>\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4885\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"The Month in WordPress: June 2017\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2017/07/the-month-in-wordpress-june-2017/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Jul 2017 11:42:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4865\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:342:\"We&#8217;re starting a new regular feature on this blog today. We&#8217;d like to keep everyone up-to-date about the happenings all across the WordPress open source project and highlight how you can get involved, so we&#8217;ll be posting a roundup of all the major WordPress news at the end of every month. Aside from other general [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9225:\"<p><i>We&#8217;re starting a new regular feature on this blog today. We&#8217;d like to keep everyone up-to-date about the happenings all across the WordPress open source project and highlight how you can get involved, so we&#8217;ll be posting a roundup of all the major WordPress news at the end of every month.</i></p>\n<p>Aside from other general news, the three big events in June were the release of WordPress 4.8, WordCamp Europe 2017, and the WordPress Community Summit. Read on to hear more about these as well as other interesting stories from around the WordPress world.</p>\n<hr />\n<h2>WordPress 4.8</h2>\n<p>On June 8, a week before the Community Summit and WordCamp Europe,<a href=\"https://wordpress.org/news/2017/06/evans/\"> WordPress 4.8 was released</a>.You can read<a href=\"https://make.wordpress.org/core/2017/05/26/wordpress-4-8-field-guide/\"> the Field Guide</a> for a comprehensive overview of all the features of this release (the News and Events widget in the dashboard is one of the major highlights).</p>\n<p>Most people would either have their version auto-updated, or their hosts would have updated it for them. For the rest, the updates have gone smoothly with no major issues reported so far.</p>\n<p>This WordPress release saw contributions from 346 individuals; you can find their names in <a href=\"https://wordpress.org/news/2017/06/evans/\">the announcement post</a>. To get involved in building WordPress core, jump into the #core channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>, and follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>.</p>\n<h2>WordCamp Europe 2017</h2>\n<p><a href=\"https://2017.europe.wordcamp.org/\">WordCamp Europe 2017</a> was held in Paris between June 15-17. The event began with a Contributor Day, followed by two days of talks and community goodness. The talks were live-streamed, but you can still catch all the recordings <a href=\"http://wordpress.tv/event/wordcamp-europe-2017/\">on WordPress.tv</a>. The organisers also published <a href=\"https://2017.europe.wordcamp.org/2017/06/30/wordcamp-europe-2017-in-paris-its-a-wrap/\">a handy wrap-up of the event</a>.</p>\n<p>WordCamp Europe exists to bring together the WordPress community from all over the continent, as well as to inspire local communities everywhere to get their own events going — to that end, the event was a great success, as a host of new meetup groups have popped up in the weeks following WordCamp Europe.</p>\n<p>The work that Contributor Day participants accomplished was both varied and valuable, covering all aspects of the WordPress project — have a look through <a href=\"https://make.wordpress.org/\">the Make blogs</a> for updates from each team.</p>\n<p>Finally, we also learned during the event that <a href=\"https://2017.europe.wordcamp.org/2017/06/17/belgrade-serbia-to-host-wordcamp-europe-2018/\">WordCamp Europe 2018 will be held in Belgrade, Serbia</a>, continuing the tradition of exploring locations and communities across the continent.</p>\n<h2>WordPress Community Summit</h2>\n<p>The fourth WordPress Community Summit took place during the two days leading up to WordCamp Europe 2017. This event is an invite-only unconference where people from all over the WordPress community come together to discuss some of the more difficult issues in the community, as well as to make plans for the year ahead in each of the contribution teams.</p>\n<p>As the Summit is designed to be a safe space for all attendees, the notes from each discussion are in the process of being anonymized before we publish them on <a href=\"https://make.wordpress.org/summit/\">the Summit blog</a> (so stay tuned &#8211; they’ll show up there over the next few weeks).</p>\n<p>You can already see the final list of topics that were proposed for the event <a href=\"https://make.wordpress.org/summit/2017/06/10/community-summit-2017-final-list-of-topic/\">here</a> (although a few more were added during the course of the two day Summit).</p>\n<h2>WordPress marketing push continues apace</h2>\n<p>As part of the push to be more intentional in marketing WordPress (as per Matt Mullenweg&#8217;s <a href=\"http://wordpress.tv/2016/12/07/matt-mullenweg-state-of-the-word-2016/\">2016 State of the Word</a>), the Marketing team has launched two significant drives to obtain more information about who uses WordPress and how that information can shape their outreach and messaging efforts.</p>\n<p><a href=\"https://make.wordpress.org/marketing/2017/06/15/wordpress-case-studies-and-usage-survey/\">The team is looking for WordPress case studies</a> and is asking users, agencies, and freelancers to take a WordPress usage survey. This will go a long way towards establishing a marketing base for WordPress as a platform and as a community — and many people in the community are looking forward to seeing this area develop further.</p>\n<p>To get involved in the WordPress Marketing team, you can visit <a href=\"https://make.wordpress.org/marketing/\">their team blog</a>.</p>\n<h2>New Gutenberg editor available for testing</h2>\n<p>For some time now, the Core team has been hard at work on a brand-new text editor for WordPress — this project has been dubbed “Gutenberg.” The project’s ultimate goal is to replace the existing TinyMCE editor, but for now it is in beta and available for public testing — <a href=\"https://wordpress.org/plugins/gutenberg/\">you can download it here as a plugin</a> and install it on any WordPress site.</p>\n<p>This feature is still in beta, so we don’t recommend using it on a production site. If you test it out, though, you’ll find that it is a wholly different experience to what you are used to in WordPress. It’s a more streamlined, altogether cleaner approach to the text-editing experience than we’ve had before, and something that many people are understandably excited about. Matt Mullenweg discussed the purpose of Gutenberg in more detail during <a href=\"http://wordpress.tv/2017/07/01/interview-and-qanda-with-matt-mullenweg/\">his Q&amp;A at WordCamp Europe</a>.</p>\n<p>There are already a few reviews out from <a href=\"https://kinsta.com/blog/gutenberg-wordpress-editor/\">Brian Jackson at Kinsta</a>, <a href=\"https://daily.jorb.in/2017/06/random-thoughts-on-gutenberg/\">Aaron Jorbin</a>, and <a href=\"https://www.mattcromwell.com/gutenberg-first-impressions/\">Matt Cromwell</a> (among many others). Keep in mind that the project is in constant evolution at this stage; when it eventually lands in WordPress core (probably in v5.0), it could look very different from its current iteration — that’s what makes this beta stage and user testing so important.</p>\n<p>To get involved with shaping the future of Gutenberg, please <a href=\"https://make.wordpress.org/test/handbook/call-for-testing/gutenberg-testing/\">test it out</a>, and join the #core-editor channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>. You can also visit <a href=\"https://github.com/WordPress/gutenberg\">the project’s GitHub repository</a> to report issues and contribute to the codebase.</p>\n<hr />\n<h2>Further reading:</h2>\n<ul>\n<li style=\"font-weight: 400\">Bridget Willard <a href=\"https://make.wordpress.org/community/2017/06/21/proposed-wordcamp-editorial-calendar/\">has proposed an editorial calendar</a> to assist WordCamp organizers with publishing content for their event.</li>\n<li style=\"font-weight: 400\">A new kind of niche WordCamp, <a href=\"https://2017-denver.journalist.wordcamp.org/\">WordCamp for Publishers in Denver</a>, has opened ticket sales.</li>\n<li style=\"font-weight: 400\">The WordPress iOS app was updated with <a href=\"https://en.blog.wordpress.com/2017/06/21/an-all-new-media-library-for-the-wordpress-ios-app/\">a fresh, new media library</a> this month.</li>\n<li style=\"font-weight: 400\">It looks like <i>Underscores</i>, the popular WordPress starter theme, <a href=\"https://themeshaper.com/2017/06/26/the-future-of-underscores-and-a-new-committer/\">has a bright future ahead of it</a>, with a renewed vision and new committer.</li>\n<li style=\"font-weight: 400\">The always-inspiring Tom McFarlin <a href=\"https://tommcfarlin.com/simple-autoloader-for-wordpress\">has released a simple autoloader for WordPress</a> that looks very useful indeed.</li>\n<li style=\"font-weight: 400\">After a bit of a discussion on Twitter regarding the differences between WordPress.org, WordPress.com, and Jetpack, <a href=\"https://helen.wordpress.com/2017/06/21/restaurant-vs-meal-kit-vs-grocery-shopping-or-wordpress-com-vs-jetpack-vs-wordpress-org/\">Helen Hou-Sandí came up with a great analogy</a> and an interesting post about it all.</li>\n<li style=\"font-weight: 400\">If you’re interested in contributing specifically to the JavaScript or PHP areas of the WordPress core codebase, then the new #core-js and #core-php channels in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a> are perfect for you.</li>\n</ul>\n<p><i>If you have a story we should consider including in the next “Month in WordPress” post, please </i><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><i>submit it here</i></a><i>.</i></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4865\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"WordPress 4.8 “Evans”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wordpress.org/news/2017/06/evans/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 08 Jun 2017 14:49:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4770\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:373:\"An Update with You in Mind Gear up for a more intuitive WordPress! Version 4.8 of WordPress, named &#8220;Evans&#8221; in honor of jazz pianist and composer William John &#8220;Bill&#8221; Evans, is available for download or update in your WordPress dashboard. New features in 4.8 add more ways for you to express yourself and represent your brand. Though some [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:43007:\"<h2 style=\"text-align: center\">An Update with You in Mind</h2>\n<p><img class=\"aligncenter size-large wp-image-4816\" src=\"https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?resize=632%2C316&#038;ssl=1\" alt=\"\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?resize=1024%2C512&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?resize=300%2C150&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?resize=768%2C384&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?w=1264&amp;ssl=1 1264w, https://i0.wp.com/wordpress.org/news/files/2017/06/release-featured-image.png?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></p>\n<h3>Gear up for a more intuitive WordPress!</h3>\n<p>Version 4.8 of WordPress, named &#8220;Evans&#8221; in honor of jazz pianist and composer William John &#8220;Bill&#8221; Evans, is available for download or update in your WordPress dashboard. New features in 4.8 add more ways for you to express yourself and represent your brand.</p>\n<p>Though some updates seem minor, they’ve been built by hundreds of contributors with <em>you</em> in mind. Get ready for new features you’ll welcome like an old friend: link improvements, <em>three</em> new media widgets covering images, audio, and video, an updated text widget that supports visual editing, and an upgraded news section in your dashboard which brings in nearby and upcoming WordPress events.</p>\n<hr />\n<h2 style=\"text-align: center\">Exciting Widget Updates</h2>\n<p><img class=\"size-large wp-image-4776 aligncenter\" src=\"https://i1.wp.com/wordpress.org/news/files/2017/06/widgets-with-all-four.png?resize=632%2C436&#038;ssl=1\" alt=\"\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2017/06/widgets-with-all-four.png?resize=1024%2C706&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2017/06/widgets-with-all-four.png?resize=300%2C207&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2017/06/widgets-with-all-four.png?resize=768%2C530&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2017/06/widgets-with-all-four.png?w=1264&amp;ssl=1 1264w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></p>\n<h3>Image Widget</h3>\n<p>Adding an image to a widget is now a simple task that is achievable for any WordPress user without needing to know code. Simply insert your image right within the widget settings. Try adding something like a headshot or a photo of your latest weekend adventure — and see it appear automatically.</p>\n<h3>Video Widget</h3>\n<p>A welcome video is a great way to humanize the branding of your website. You can now add any video from the Media Library to a sidebar on your site with the new Video widget. Use this to showcase a welcome video to introduce visitors to your site or promote your latest and greatest content.</p>\n<h3>Audio Widget</h3>\n<p>Are you a podcaster, musician, or avid blogger? Adding a widget with your audio file has never been easier. Upload your audio file to the Media Library, go to the widget settings, select your file, and you’re ready for listeners. This would be a easy way to add a more personal welcome message, too!</p>\n<h3>Rich Text Widget</h3>\n<p>This feature deserves a parade down the center of town! Rich-text editing capabilities are now native for Text widgets. Add a widget anywhere and format away. Create lists, add emphasis, and quickly and easily insert links. Have fun with your newfound formatting powers, and watch what you can accomplish in a short amount of time.</p>\n<hr />\n<h2 style=\"text-align: center\">Link Boundaries</h2>\n<div id=\"v-8BDWH3QG-1\" class=\"video-player\"><video id=\"v-8BDWH3QG-1-video\" width=\"632\" height=\"342\" poster=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.original.jpg\" controls=\"true\" preload=\"metadata\" dir=\"ltr\" lang=\"en\"><source src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.mp4\" type=\"video/mp4; codecs=&quot;avc1.64001E, mp4a.40.2&quot;\" /><source src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_fmt1.ogv\" type=\"video/ogg; codecs=&quot;theora, vorbis&quot;\" /><div><img alt=\"Link Boundaries\" src=\"https://videos.files.wordpress.com/8BDWH3QG/3-link-boundaries_dvd.original.jpg?resize=632%2C342\" data-recalc-dims=\"1\" /></div><p>Link Boundaries</p></video></div>\n<p>Have you ever tried updating a link, or the text around a link, and found you can&#8217;t seem to edit it correctly? When you edit the text after the link, your new text also ends up linked. Or you edit the text in the link, but your text ends up outside of it. This can be frustrating! With link boundaries, a great new feature, the process is streamlined and your links will work well. You’ll be happier. We promise.</p>\n<hr />\n<h2 style=\"text-align: center\">Nearby WordPress Events</h2>\n<p><img class=\"aligncenter wp-image-4779 size-large\" src=\"https://i2.wp.com/wordpress.org/news/files/2017/06/events-widget.png?resize=632%2C465&#038;ssl=1\" alt=\"\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2017/06/events-widget.png?resize=1024%2C753&amp;ssl=1 1024w, https://i2.wp.com/wordpress.org/news/files/2017/06/events-widget.png?resize=300%2C221&amp;ssl=1 300w, https://i2.wp.com/wordpress.org/news/files/2017/06/events-widget.png?resize=768%2C565&amp;ssl=1 768w, https://i2.wp.com/wordpress.org/news/files/2017/06/events-widget.png?w=1126&amp;ssl=1 1126w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></p>\n<p>Did you know that WordPress has a thriving offline community with groups meeting regularly in more than 400 cities around the world? WordPress now draws your attention to the events that help you continue improving your WordPress skills, meet friends, and, of course, publish!</p>\n<p>This is quickly becoming one of our favorite features. While you are in the dashboard (because you’re running updates and writing posts, right?) all upcoming WordCamps and official WordPress Meetups — local to you — will be displayed.</p>\n<p>Being part of the community can help you improve your WordPress skills and network with people you wouldn&#8217;t otherwise meet. Now you can easily find your local events just by logging in to your dashboard and looking at the new Events and News dashboard widget.</p>\n<hr />\n<h2 style=\"text-align: center\">Even More Developer Happiness <img src=\"https://s.w.org/images/core/emoji/2.3/72x72/1f60a.png\" alt=\"?\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></h2>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/17/cleaner-headings-in-the-admin-screens/\">More Accessible Admin Panel Headings</a></h3>\n<p>New CSS rules mean extraneous content (like “Add New” links) no longer need to be included in admin-area headings. These panel headings improve the experience for people using assistive technologies.</p>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/22/removal-of-core-embedding-support-for-wmv-and-wma-file-formats/\">Removal of Core Support for WMV and WMA Files</a></h3>\n<p>As fewer and fewer browsers support Silverlight, file formats which require the presence of the Silverlight plugin are being removed from core support. Files will still display as a download link, but will no longer be embedded automatically.</p>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/22/multisite-focused-changes-in-4-8/\">Multisite Updates</a></h3>\n<p>New capabilities have been introduced to 4.8 with an eye towards removing calls to<br />\n<code>is_super_admin()</code>. Additionally, new hooks and tweaks to more granularly control site and user counts per network have been added.</p>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/23/addition-of-tinymce-to-the-text-widget/\">Text-Editor JavaScript API</a></h3>\n<p>With the addition of TinyMCE to the text widget in 4.8 comes a new JavaScript API for instantiating the editor after page load. This can be used to add an editor instance to any text area, and customize it with buttons and functions. Great for plugin authors!</p>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/26/media-widgets-for-images-video-and-audio/\">Media Widgets API</a></h3>\n<p>The introduction of a new base media widget REST API schema to 4.8 opens up possibilities for even more media widgets (like galleries or playlists) in the future. The three new media widgets are powered by a shared base class that covers most of the interactions with the media modal. That class also makes it easier to create new media widgets and paves the way for more to come.</p>\n<h3><a href=\"https://make.wordpress.org/core/2017/05/16/customizer-sidebar-width-is-now-variable/\">Customizer Width Variable</a></h3>\n<p>Rejoice! New responsive breakpoints have been added to the customizer sidebar to make it wider on high-resolution screens. Customizer controls should use percentage-based widths instead of pixels.</p>\n<hr />\n<h2 style=\"text-align: center\">The Squad</h2>\n<p>This release was led by <a href=\"https://matt.blog\">Matt</a> and <a href=\"https://profiles.wordpress.org/jbpaul17\">Jeff Paul</a>, with the help of the following fabulous folks. There are 346 contributors with props in this release, with 106 of them contributing for the first time. Pull up some Bill Evans on your music service of choice, and check out some of their profiles:</p>\n<a href=\"https://profiles.wordpress.org/aaroncampbell\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abrightclearweb\">abrightclearweb</a>, <a href=\"https://profiles.wordpress.org/ibachal\">Achal Jain</a>, <a href=\"https://profiles.wordpress.org/achbed\">achbed</a>, <a href=\"https://profiles.wordpress.org/acmethemes\">Acme Themes</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/adammacias\">adammacias</a>, <a href=\"https://profiles.wordpress.org/mrahmadawais\">Ahmad Awais</a>, <a href=\"https://profiles.wordpress.org/ahmadawais\">ahmadawais</a>, <a href=\"https://profiles.wordpress.org/airesvsg\">airesvsg</a>, <a href=\"https://profiles.wordpress.org/ajoah\">ajoah</a>, <a href=\"https://profiles.wordpress.org/akibjorklund\">Aki Bj&#246;rklund</a>, <a href=\"https://profiles.wordpress.org/akshayvinchurkar\">akshayvinchurkar</a>, <a href=\"https://profiles.wordpress.org/schlessera\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/xavortm\">Alex Dimitrov</a>, <a href=\"https://profiles.wordpress.org/ironpaperweight\">Alex Hon</a>, <a href=\"https://profiles.wordpress.org/alex27\">alex27</a>, <a href=\"https://profiles.wordpress.org/allancole\">allancole</a>, <a href=\"https://profiles.wordpress.org/arush\">Amanda Rush</a>, <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andrewp-2\">Andreas Panag</a>, <a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/rarst\">Andrey \"Rarst\" Savchenko</a>, <a href=\"https://profiles.wordpress.org/andizer\">Andy Meerwaldt</a>, <a href=\"https://profiles.wordpress.org/kelderic\">Andy Mercer</a>, <a href=\"https://profiles.wordpress.org/andy\">Andy Skelton</a>, <a href=\"https://profiles.wordpress.org/aniketpant\">Aniket Pant</a>, <a href=\"https://profiles.wordpress.org/anilbasnet\">Anil Basnet</a>, <a href=\"https://profiles.wordpress.org/ankit-k-gupta\">Ankit K Gupta</a>, <a href=\"https://profiles.wordpress.org/ahortin\">Anthony Hortin</a>, <a href=\"https://profiles.wordpress.org/antisilent\">antisilent</a>, <a href=\"https://profiles.wordpress.org/atimmer\">Anton Timmermans</a>, <a href=\"https://profiles.wordpress.org/apokalyptik\">apokalyptik</a>, <a href=\"https://profiles.wordpress.org/artoliukkonen\">artoliukkonen</a>, <a href=\"https://profiles.wordpress.org/ideag\">Arunas Liuiza</a>, <a href=\"https://profiles.wordpress.org/attitude\">attitude</a>, <a href=\"https://profiles.wordpress.org/backermann\">backermann</a>, <a href=\"https://profiles.wordpress.org/b-07\">Bappi</a>, <a href=\"https://profiles.wordpress.org/bcole808\">Ben Cole</a>, <a href=\"https://profiles.wordpress.org/quasel\">Bernhard Gronau</a>, <a href=\"https://profiles.wordpress.org/kau-boy\">Bernhard Kau</a>, <a href=\"https://profiles.wordpress.org/binarymoon\">binarymoon</a>, <a href=\"https://profiles.wordpress.org/birgire\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bjornw\">BjornW</a>, <a href=\"https://profiles.wordpress.org/bobbingwide\">bobbingwide</a>, <a href=\"https://profiles.wordpress.org/boblinthorst\">boblinthorst</a>, <a href=\"https://profiles.wordpress.org/boboudreau\">boboudreau</a>, <a href=\"https://profiles.wordpress.org/gitlost\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges\">Boone B. Gorges</a>, <a href=\"https://profiles.wordpress.org/bradyvercher\">Brady Vercher</a>, <a href=\"https://profiles.wordpress.org/brainstormforce\">Brainstorm Force</a>, <a href=\"https://profiles.wordpress.org/kraftbj\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brianhogg\">Brian Hogg</a>, <a href=\"https://profiles.wordpress.org/krogsgard\">Brian Krogsgard</a>, <a href=\"https://profiles.wordpress.org/bronsonquick\">Bronson Quick</a>, <a href=\"https://profiles.wordpress.org/sixhours\">Caroline Moore</a>, <a href=\"https://profiles.wordpress.org/caseypatrickdriscoll\">Casey Driscoll</a>, <a href=\"https://profiles.wordpress.org/caspie\">Caspie</a>, <a href=\"https://profiles.wordpress.org/chandrapatel\">Chandra Patel</a>, <a href=\"https://profiles.wordpress.org/chaos-engine\">Chaos Engine</a>, <a href=\"https://profiles.wordpress.org/cheeserolls\">cheeserolls</a>, <a href=\"https://profiles.wordpress.org/chesio\">chesio</a>, <a href=\"https://profiles.wordpress.org/ketuchetan\">chetansatasiya</a>, <a href=\"https://profiles.wordpress.org/choongsavvii\">choong</a>, <a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>, <a href=\"https://profiles.wordpress.org/chredd\">chredd</a>, <a href=\"https://profiles.wordpress.org/chrisjean\">Chris Jean</a>, <a href=\"https://profiles.wordpress.org/cmmarslender\">Chris Marslender</a>, <a href=\"https://profiles.wordpress.org/chris_d2d\">Chris Smith</a>, <a href=\"https://profiles.wordpress.org/chrisvanpatten\">Chris Van Patten</a>, <a href=\"https://profiles.wordpress.org/chriswiegman\">Chris Wiegman</a>, <a href=\"https://profiles.wordpress.org/chriscct7\">chriscct7</a>, <a href=\"https://profiles.wordpress.org/chriseverson\">chriseverson</a>, <a href=\"https://profiles.wordpress.org/christian1012\">Christian Chung</a>, <a href=\"https://profiles.wordpress.org/cwpnolen\">Christian Nolen</a>, <a href=\"https://profiles.wordpress.org/needle\">Christian Wach</a>, <a href=\"https://profiles.wordpress.org/christophherr\">Christoph Herr</a>, <a href=\"https://profiles.wordpress.org/clarionwpdeveloper\">Clarion Technologies</a>, <a href=\"https://profiles.wordpress.org/claudiosmweb\">Claudio Sanches</a>, <a href=\"https://profiles.wordpress.org/claudiosanches\">Claudio Sanches</a>, <a href=\"https://profiles.wordpress.org/claudiolabarbera\">ClaudioLaBarbera</a>, <a href=\"https://profiles.wordpress.org/codemovementpk\">codemovement.pk</a>, <a href=\"https://profiles.wordpress.org/coderkevin\">coderkevin</a>, <a href=\"https://profiles.wordpress.org/codfish\">codfish</a>, <a href=\"https://profiles.wordpress.org/coreymcollins\">coreymcollins</a>, <a href=\"https://profiles.wordpress.org/curdin\">Curdin Krummenacher</a>, <a href=\"https://profiles.wordpress.org/cgrymala\">Curtiss Grymala</a>, <a href=\"https://profiles.wordpress.org/cdog\">Cătălin Dogaru</a>, <a href=\"https://profiles.wordpress.org/danhgilmore\">danhgilmore</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber\">Daniel Bachhuber </a>, <a href=\"https://profiles.wordpress.org/danielkanchev\">Daniel Kanchev</a>, <a href=\"https://profiles.wordpress.org/danielpietrasik\">Daniel Pietrasik</a>, <a href=\"https://profiles.wordpress.org/mte90\">Daniele Scasciafratte</a>, <a href=\"https://profiles.wordpress.org/dllh\">Daryl L. L. Houston (dllh)</a>, <a href=\"https://profiles.wordpress.org/davepullig\">Dave Pullig</a>, <a href=\"https://profiles.wordpress.org/goto10\">Dave Romsey (goto10)</a>, <a href=\"https://profiles.wordpress.org/davidakennedy\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/turtlepod\">David Chandra Purnama</a>, <a href=\"https://profiles.wordpress.org/dlh\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dglingren\">David Lingren</a>, <a href=\"https://profiles.wordpress.org/davidmosterd\">David Mosterd</a>, <a href=\"https://profiles.wordpress.org/dshanske\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/davidbhayes\">davidbhayes</a>, <a href=\"https://profiles.wordpress.org/folletto\">Davide \'Folletto\' Casali</a>, <a href=\"https://profiles.wordpress.org/deeptiboddapati\">deeptiboddapati</a>, <a href=\"https://profiles.wordpress.org/delphinus\">delphinus</a>, <a href=\"https://profiles.wordpress.org/deltafactory\">deltafactory</a>, <a href=\"https://profiles.wordpress.org/denis-de-bernardy\">Denis de Bernardy</a>, <a href=\"https://profiles.wordpress.org/valendesigns\">Derek Herman</a>, <a href=\"https://profiles.wordpress.org/pcfreak30\">Derrick Hammer</a>, <a href=\"https://profiles.wordpress.org/derrickkoo\">Derrick Koo</a>, <a href=\"https://profiles.wordpress.org/dimchik\">dimchik</a>, <a href=\"https://profiles.wordpress.org/dineshc\">Dinesh Chouhan</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/dipeshkakadiya\">Dipesh Kakadiya</a>, <a href=\"https://profiles.wordpress.org/dmsnell\">dmsnell</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/dotancohen\">Dotan Cohen</a>, <a href=\"https://profiles.wordpress.org/dougwollison\">Doug Wollison</a>, <a href=\"https://profiles.wordpress.org/doughamlin\">doughamlin</a>, <a href=\"https://profiles.wordpress.org/dreamon11\">DreamOn11</a>, <a href=\"https://profiles.wordpress.org/drewapicture\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/duncanjbrown\">duncanjbrown</a>, <a href=\"https://profiles.wordpress.org/dungengronovius\">dungengronovius</a>, <a href=\"https://profiles.wordpress.org/dylanauty\">DylanAuty</a>, <a href=\"https://profiles.wordpress.org/hurtige\">Eddie Hurtig</a>, <a href=\"https://profiles.wordpress.org/oso96_2000\">Eduardo Reveles</a>, <a href=\"https://profiles.wordpress.org/chopinbach\">Edwin Cromley</a>, <a href=\"https://profiles.wordpress.org/electricfeet\">ElectricFeet</a>, <a href=\"https://profiles.wordpress.org/eliorivero\">Elio Rivero</a>, <a href=\"https://profiles.wordpress.org/iseulde\">Ella Iseulde Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/elyobo\">elyobo</a>, <a href=\"https://profiles.wordpress.org/enodekciw\">enodekciw</a>, <a href=\"https://profiles.wordpress.org/enshrined\">enshrined</a>, <a href=\"https://profiles.wordpress.org/ericlewis\">Eric Andrew Lewis</a>, <a href=\"https://profiles.wordpress.org/pushred\">Eric Lanehart</a>, <a href=\"https://profiles.wordpress.org/eherman24\">Evan Herman</a>, <a href=\"https://profiles.wordpress.org/flixos90\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/fencer04\">Fencer04</a>, <a href=\"https://profiles.wordpress.org/florianbrinkmann\">Florian Brinkmann</a>, <a href=\"https://profiles.wordpress.org/mista-flo\">Florian TIAR</a>, <a href=\"https://profiles.wordpress.org/foliovision\">FolioVision</a>, <a href=\"https://profiles.wordpress.org/fomenkoandrey\">fomenkoandrey</a>, <a href=\"https://profiles.wordpress.org/frankiet\">Francesco Taurino</a>, <a href=\"https://profiles.wordpress.org/frank-klein\">Frank Klein</a>, <a href=\"https://profiles.wordpress.org/fjarrett\">Frankie Jarrett</a>, <a href=\"https://profiles.wordpress.org/akeif\">Fred</a>, <a href=\"https://profiles.wordpress.org/frozzare\">Fredrik Forsmo</a>, <a href=\"https://profiles.wordpress.org/fuscata\">fuscata</a>, <a href=\"https://profiles.wordpress.org/gma992\">Gabriel Maldonado</a>, <a href=\"https://profiles.wordpress.org/voldemortensen\">Garth Mortensen</a>, <a href=\"https://profiles.wordpress.org/garyj\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/geekysoft\">Geeky Software</a>, <a href=\"https://profiles.wordpress.org/georgestephanis\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/goranseric\">Goran &#352;erić</a>, <a href=\"https://profiles.wordpress.org/grahamarmfield\">Graham Armfield</a>, <a href=\"https://profiles.wordpress.org/grantderepas\">Grant Derepas</a>, <a href=\"https://profiles.wordpress.org/tivnet\">Gregory Karpinsky (@tivnet)</a>, <a href=\"https://profiles.wordpress.org/hardeepasrani\">Hardeep Asrani</a>, <a href=\"https://profiles.wordpress.org/helen\">Helen Hou-Sandí</a>, <a href=\"https://profiles.wordpress.org/henrywright\">Henry Wright</a>, <a href=\"https://profiles.wordpress.org/hiddenpearls\">hiddenpearls</a>, <a href=\"https://profiles.wordpress.org/hnle\">Hinaloe</a>, <a href=\"https://profiles.wordpress.org/hristo-sg\">Hristo Pandjarov</a>, <a href=\"https://profiles.wordpress.org/hugobaeta\">Hugo Baeta</a>, <a href=\"https://profiles.wordpress.org/polevaultweb\">Iain Poulson</a>, <a href=\"https://profiles.wordpress.org/iandunn\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianedington\">Ian Edington</a>, <a href=\"https://profiles.wordpress.org/idealien\">idealien</a>, <a href=\"https://profiles.wordpress.org/igmoweb\">Ignacio Cruz Moreno</a>, <a href=\"https://profiles.wordpress.org/imath\">imath</a>, <a href=\"https://profiles.wordpress.org/implenton\">implenton</a>, <a href=\"https://profiles.wordpress.org/ionutst\">Ionut Stanciu</a>, <a href=\"https://profiles.wordpress.org/ipstenu\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/ivdimova\">ivdimova</a>, <a href=\"https://profiles.wordpress.org/jdgrimes\">J.D. Grimes</a>, <a href=\"https://profiles.wordpress.org/jakept\">Jacob Peattie</a>, <a href=\"https://profiles.wordpress.org/whyisjake\">Jake Spurlock</a>, <a href=\"https://profiles.wordpress.org/jnylen0\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jamesacero\">jamesacero</a>, <a href=\"https://profiles.wordpress.org/japh\">Japh</a>, <a href=\"https://profiles.wordpress.org/jaredcobb\">Jared Cobb</a>, <a href=\"https://profiles.wordpress.org/jayarjo\">jayarjo</a>, <a href=\"https://profiles.wordpress.org/jdolan\">jdolan</a>, <a href=\"https://profiles.wordpress.org/jdoubleu\">jdoubleu</a>, <a href=\"https://profiles.wordpress.org/jblz\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jbpaul17\">Jeff Paul</a>, <a href=\"https://profiles.wordpress.org/cheffheid\">Jeffrey de Wit</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jpry\">Jeremy Pry</a>, <a href=\"https://profiles.wordpress.org/jimt\">jimt</a>, <a href=\"https://profiles.wordpress.org/jipmoors\">Jip Moors</a>, <a href=\"https://profiles.wordpress.org/jmusal\">jmusal</a>, <a href=\"https://profiles.wordpress.org/joedolson\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/joelcj91\">Joel James</a>, <a href=\"https://profiles.wordpress.org/johanmynhardt\">johanmynhardt</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/zyphonic\">John Dittmar</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnpbloch\">John P. Bloch</a>, <a href=\"https://profiles.wordpress.org/johnregan3\">John Regan</a>, <a href=\"https://profiles.wordpress.org/johnpgreen\">johnpgreen</a>, <a href=\"https://profiles.wordpress.org/kenshino\">Jon (Kenshino)</a>, <a href=\"https://profiles.wordpress.org/jonathanbardo\">Jonathan Bardo</a>, <a href=\"https://profiles.wordpress.org/jbrinley\">Jonathan Brinley</a>, <a href=\"https://profiles.wordpress.org/daggerhart\">Jonathan Daggerhart</a>, <a href=\"https://profiles.wordpress.org/desrosj\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/jonnyauk\">jonnyauk</a>, <a href=\"https://profiles.wordpress.org/jordesign\">jordesign</a>, <a href=\"https://profiles.wordpress.org/jorritschippers\">JorritSchippers</a>, <a href=\"https://profiles.wordpress.org/joefusco\">Joseph Fusco</a>, <a href=\"https://profiles.wordpress.org/jjeaton\">Josh Eaton</a>, <a href=\"https://profiles.wordpress.org/shelob9\">Josh Pollock</a>, <a href=\"https://profiles.wordpress.org/joshcummingsdesign\">joshcummingsdesign</a>, <a href=\"https://profiles.wordpress.org/joshkadis\">joshkadis</a>, <a href=\"https://profiles.wordpress.org/joyously\">Joy</a>, <a href=\"https://profiles.wordpress.org/jrf\">jrf</a>, <a href=\"https://profiles.wordpress.org/jrgould\">JRGould</a>, <a href=\"https://profiles.wordpress.org/juanfra\">Juanfra Aldasoro</a>, <a href=\"https://profiles.wordpress.org/juhise\">Juhi Saxena</a>, <a href=\"https://profiles.wordpress.org/nukaga\">Junko Nukaga</a>, <a href=\"https://profiles.wordpress.org/justinbusa\">Justin Busa</a>, <a href=\"https://profiles.wordpress.org/justinsainton\">Justin Sainton</a>, <a href=\"https://profiles.wordpress.org/jshreve\">Justin Shreve</a>, <a href=\"https://profiles.wordpress.org/jtsternberg\">Justin Sternberg</a>, <a href=\"https://profiles.wordpress.org/kadamwhite\">K.Adam White</a>, <a href=\"https://profiles.wordpress.org/kacperszurek\">kacperszurek</a>, <a href=\"https://profiles.wordpress.org/trepmal\">Kailey (trepmal)</a>, <a href=\"https://profiles.wordpress.org/kalenjohnson\">KalenJohnson</a>, <a href=\"https://profiles.wordpress.org/codebykat\">Kat Hagan</a>, <a href=\"https://profiles.wordpress.org/kkoppenhaver\">Keanan Koppenhaver</a>, <a href=\"https://profiles.wordpress.org/keesiemeijer\">keesiemeijer</a>, <a href=\"https://profiles.wordpress.org/kellbot\">kellbot</a>, <a href=\"https://profiles.wordpress.org/ryelle\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/khag7\">Kevin Hagerty</a>, <a href=\"https://profiles.wordpress.org/kwight\">Kirk Wight</a>, <a href=\"https://profiles.wordpress.org/kitchin\">kitchin</a>, <a href=\"https://profiles.wordpress.org/ixkaito\">Kite</a>, <a href=\"https://profiles.wordpress.org/kjbenk\">kjbenk</a>, <a href=\"https://profiles.wordpress.org/knutsp\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/koenschipper\">koenschipper</a>, <a href=\"https://profiles.wordpress.org/kokarn\">kokarn</a>, <a href=\"https://profiles.wordpress.org/kovshenin\">Konstantin Kovshenin</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/kouratoras\">Konstantinos Kouratoras</a>, <a href=\"https://profiles.wordpress.org/kuchenundkakao\">kuchenundkakao</a>, <a href=\"https://profiles.wordpress.org/kuldipem\">kuldipem</a>, <a href=\"https://profiles.wordpress.org/laurelfulford\">Laurel Fulford</a>, <a href=\"https://profiles.wordpress.org/leewillis77\">Lee Willis</a>, <a href=\"https://profiles.wordpress.org/leobaiano\">Leo Baiano</a>, <a href=\"https://profiles.wordpress.org/littlebigthing\">LittleBigThings (Csaba)</a>, <a href=\"https://profiles.wordpress.org/lucasstark\">Lucas Stark</a>, <a href=\"https://profiles.wordpress.org/lukecavanagh\">Luke Cavanagh</a>, <a href=\"https://profiles.wordpress.org/lgedeon\">Luke Gedeon</a>, <a href=\"https://profiles.wordpress.org/lukepettway\">Luke Pettway</a>, <a href=\"https://profiles.wordpress.org/lyubomir_popov\">lyubomir_popov</a>, <a href=\"https://profiles.wordpress.org/mageshp\">mageshp</a>, <a href=\"https://profiles.wordpress.org/mahesh901122\">Mahesh Waghmare</a>, <a href=\"https://profiles.wordpress.org/mangeshp\">Mangesh Parte</a>, <a href=\"https://profiles.wordpress.org/manishsongirkar36\">Manish Songirkar</a>, <a href=\"https://profiles.wordpress.org/mantismamita\">mantismamita</a>, <a href=\"https://profiles.wordpress.org/mbootsman\">Marcel Bootsman</a>, <a href=\"https://profiles.wordpress.org/tyxla\">Marin Atanasov</a>, <a href=\"https://profiles.wordpress.org/mariovalney\">Mario Valney</a>, <a href=\"https://profiles.wordpress.org/clorith\">Marius L. J.</a>, <a href=\"https://profiles.wordpress.org/mbelchev\">Mariyan Belchev</a>, <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/mrwweb\">Mark Root-Wiley</a>, <a href=\"https://profiles.wordpress.org/mapk\">Mark Uraine</a>, <a href=\"https://profiles.wordpress.org/markoheijnen\">Marko Heijnen</a>, <a href=\"https://profiles.wordpress.org/markshep\">markshep</a>, <a href=\"https://profiles.wordpress.org/matrixik\">matrixik</a>, <a href=\"https://profiles.wordpress.org/mjbanks\">Matt Banks</a>, <a href=\"https://profiles.wordpress.org/jaworskimatt\">Matt Jaworski</a>, <a href=\"https://profiles.wordpress.org/mattking5000\">Matt King</a>, <a href=\"https://profiles.wordpress.org/veraxus\">Matt van Andel</a>, <a href=\"https://profiles.wordpress.org/mattwiebe\">Matt Wiebe</a>, <a href=\"https://profiles.wordpress.org/mattheu\">Matthew Haines-Young</a>, <a href=\"https://profiles.wordpress.org/mattyrob\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/maxcutler\">Max Cutler</a>, <a href=\"https://profiles.wordpress.org/maximeculea\">Maxime Culea</a>, <a href=\"https://profiles.wordpress.org/mayukojpn\">Mayo Moriyama</a>, <a href=\"https://profiles.wordpress.org/mckernanin\">mckernanin</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/mhowell\">mhowell</a>, <a href=\"https://profiles.wordpress.org/michaelarestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michael-arestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michalzuber\">michalzuber</a>, <a href=\"https://profiles.wordpress.org/stubgo\">Miina Sikk</a>, <a href=\"https://profiles.wordpress.org/mauteri\">Mike Auteri</a>, <a href=\"https://profiles.wordpress.org/mihai2u\">Mike Crantea</a>, <a href=\"https://profiles.wordpress.org/mdgl\">Mike Glendinning</a>, <a href=\"https://profiles.wordpress.org/mikehansenme\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikelittle\">Mike Little</a>, <a href=\"https://profiles.wordpress.org/mikeschroder\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikeviele\">Mike Viele</a>, <a href=\"https://profiles.wordpress.org/dimadin\">Milan Dinić</a>, <a href=\"https://profiles.wordpress.org/modemlooper\">modemlooper</a>, <a href=\"https://profiles.wordpress.org/batmoo\">Mohammad Jangda</a>, <a href=\"https://profiles.wordpress.org/deremohan\">Mohan Dere</a>, <a href=\"https://profiles.wordpress.org/monikarao\">monikarao</a>, <a href=\"https://profiles.wordpress.org/morettigeorgiev\">morettigeorgiev</a>, <a href=\"https://profiles.wordpress.org/morganestes\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/mor10\">Morten Rand-Hendriksen</a>, <a href=\"https://profiles.wordpress.org/mt8biz\">moto hachi ( mt8.biz )</a>, <a href=\"https://profiles.wordpress.org/mrbobbybryant\">mrbobbybryant</a>, <a href=\"https://profiles.wordpress.org/nnaimov\">Naim Naimov</a>, <a href=\"https://profiles.wordpress.org/natereist\">Nate Reist</a>, <a href=\"https://profiles.wordpress.org/natewr\">NateWr</a>, <a href=\"https://profiles.wordpress.org/nathanrice\">nathanrice</a>, <a href=\"https://profiles.wordpress.org/nazgul\">Nazgul</a>, <a href=\"https://profiles.wordpress.org/greatislander\">Ned Zimmerman</a>, <a href=\"https://profiles.wordpress.org/krstarica\">net</a>, <a href=\"https://profiles.wordpress.org/celloexpressions\">Nick Halsey </a>, <a href=\"https://profiles.wordpress.org/nikeo\">Nicolas GUILLAUME</a>, <a href=\"https://profiles.wordpress.org/nikschavan\">Nikhil Chavan</a>, <a href=\"https://profiles.wordpress.org/nikv\">Nikhil Vimal</a>, <a href=\"https://profiles.wordpress.org/nbachiyski\">Nikolay Bachiyski</a>, <a href=\"https://profiles.wordpress.org/rabmalin\">Nilambar Sharma</a>, <a href=\"https://profiles.wordpress.org/noplanman\">noplanman</a>, <a href=\"https://profiles.wordpress.org/nullvariable\">nullvariable</a>, <a href=\"https://profiles.wordpress.org/odie2\">odie2</a>, <a href=\"https://profiles.wordpress.org/odysseygate\">odyssey</a>, <a href=\"https://profiles.wordpress.org/hideokamoto\">Okamoto Hidetaka</a>, <a href=\"https://profiles.wordpress.org/orvils\">orvils</a>, <a href=\"https://profiles.wordpress.org/oskosk\">oskosk</a>, <a href=\"https://profiles.wordpress.org/ottok\">Otto Kek&#228;l&#228;inen</a>, <a href=\"https://profiles.wordpress.org/ovann86\">ovann86</a>, <a href=\"https://profiles.wordpress.org/imnok\">Pantip Treerattanapitak (Nok)</a>, <a href=\"https://profiles.wordpress.org/swissspidy\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/patilvikasj\">patilvikasj</a>, <a href=\"https://profiles.wordpress.org/pbearne\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/paulwilde\">Paul Wilde</a>, <a href=\"https://profiles.wordpress.org/sirbrillig\">Payton Swick</a>, <a href=\"https://profiles.wordpress.org/pdufour\">pdufour</a>, <a href=\"https://profiles.wordpress.org/piewp\">Perdaan</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/phh\">phh</a>, <a href=\"https://profiles.wordpress.org/php\">php</a>, <a href=\"https://profiles.wordpress.org/delawski\">Piotr Delawski</a>, <a href=\"https://profiles.wordpress.org/pippinsplugins\">pippinsplugins</a>, <a href=\"https://profiles.wordpress.org/pjgalbraith\">pjgalbraith</a>, <a href=\"https://profiles.wordpress.org/pkevan\">pkevan</a>, <a href=\"https://profiles.wordpress.org/pratikchaskar\">Pratik</a>, <a href=\"https://profiles.wordpress.org/pressionate\">Pressionate</a>, <a href=\"https://profiles.wordpress.org/presskopp\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/procodewp\">procodewp</a>, <a href=\"https://profiles.wordpress.org/rachelbaker\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/rahulsprajapati\">Rahul Prajapati</a>, <a href=\"https://profiles.wordpress.org/superpoincare\">Ramanan</a>, <a href=\"https://profiles.wordpress.org/ramiy\">Rami Yushuvaev</a>, <a href=\"https://profiles.wordpress.org/ramiabraham\">ramiabraham</a>, <a href=\"https://profiles.wordpress.org/ranh\">ranh</a>, <a href=\"https://profiles.wordpress.org/redsand\">Red Sand Media Group</a>, <a href=\"https://profiles.wordpress.org/youknowriad\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/rianrietveld\">Rian Rietveld</a>, <a href=\"https://profiles.wordpress.org/iamfriendly\">Richard Tape</a>, <a href=\"https://profiles.wordpress.org/rpayne7264\">Robert D Payne</a>, <a href=\"https://profiles.wordpress.org/iamjolly\">Robert Jolly</a>, <a href=\"https://profiles.wordpress.org/rnoakes3rd\">Robert Noakes</a>, <a href=\"https://profiles.wordpress.org/d4z_c0nf\">Rocco Aliberti</a>, <a href=\"https://profiles.wordpress.org/rodrigosprimo\">Rodrigo Primo</a>, <a href=\"https://profiles.wordpress.org/rommelxcastro\">Rommel Castro</a>, <a href=\"https://profiles.wordpress.org/fronaldaraujo\">Ronald Ara&#250;jo</a>, <a href=\"https://profiles.wordpress.org/magicroundabout\">Ross Wintle</a>, <a href=\"https://profiles.wordpress.org/guavaworks\">Roy Sivan</a>, <a href=\"https://profiles.wordpress.org/ryankienstra\">Ryan Kienstra</a>, <a href=\"https://profiles.wordpress.org/rmccue\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/ryanplas\">Ryan Plas</a>, <a href=\"https://profiles.wordpress.org/welcher\">Ryan Welcher</a>, <a href=\"https://profiles.wordpress.org/salcode\">Sal Ferrarello</a>, <a href=\"https://profiles.wordpress.org/samikeijonen\">Sami Keijonen</a>, <a href=\"https://profiles.wordpress.org/solarissmoke\">Samir Shah</a>, <a href=\"https://profiles.wordpress.org/samuelsidler\">Samuel Sidler</a>, <a href=\"https://profiles.wordpress.org/sandesh055\">Sandesh</a>, <a href=\"https://profiles.wordpress.org/smyoon315\">Sang-Min Yoon</a>, <a href=\"https://profiles.wordpress.org/sanketparmar\">Sanket Parmar</a>, <a href=\"https://profiles.wordpress.org/pollyplummer\">Sarah Gooding</a>, <a href=\"https://profiles.wordpress.org/sayedwp\">Sayed Taqui</a>, <a href=\"https://profiles.wordpress.org/schrapel\">schrapel</a>, <a href=\"https://profiles.wordpress.org/coffee2code\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/scrappyhuborg\">scrappy@hub.org</a>, <a href=\"https://profiles.wordpress.org/scribu\">scribu</a>, <a href=\"https://profiles.wordpress.org/seancjones\">seancjones</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sgr33n\">Sergio De Falco</a>, <a href=\"https://profiles.wordpress.org/sfpt\">sfpt</a>, <a href=\"https://profiles.wordpress.org/shayanys\">shayanys</a>, <a href=\"https://profiles.wordpress.org/shazahm1hotmailcom\">shazahm1</a>, <a href=\"https://profiles.wordpress.org/shprink\">shprink</a>, <a href=\"https://profiles.wordpress.org/simonlampen\">simonlampen</a>, <a href=\"https://profiles.wordpress.org/skippy\">skippy</a>, <a href=\"https://profiles.wordpress.org/smerriman\">smerriman</a>, <a href=\"https://profiles.wordpress.org/snacking\">snacking</a>, <a href=\"https://profiles.wordpress.org/solal\">solal</a>, <a href=\"https://profiles.wordpress.org/soean\">Soren Wrede</a>, <a href=\"https://profiles.wordpress.org/sstoqnov\">Stanimir Stoyanov</a>, <a href=\"https://profiles.wordpress.org/metodiew\">Stanko Metodiev</a>, <a href=\"https://profiles.wordpress.org/sharkomatic\">Steph</a>, <a href=\"https://profiles.wordpress.org/sswells\">Steph Wells</a>, <a href=\"https://profiles.wordpress.org/sillybean\">Stephanie Leary</a>, <a href=\"https://profiles.wordpress.org/netweb\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/stephenharris\">Stephen Harris</a>, <a href=\"https://profiles.wordpress.org/stevenkword\">Steven Word</a>, <a href=\"https://profiles.wordpress.org/stevenlinx\">stevenlinx</a>, <a href=\"https://profiles.wordpress.org/sudar\">Sudar Muthu</a>, <a href=\"https://profiles.wordpress.org/patilswapnilv\">Swapnil V. Patil</a>, <a href=\"https://profiles.wordpress.org/swapnild\">swapnild</a>, <a href=\"https://profiles.wordpress.org/szaqal21\">szaqal21</a>, <a href=\"https://profiles.wordpress.org/takahashi_fumiki\">Takahashi Fumiki</a>, <a href=\"https://profiles.wordpress.org/miyauchi\">Takayuki Miyauchi</a>, <a href=\"https://profiles.wordpress.org/karmatosed\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/tapsboy\">tapsboy</a>, <a href=\"https://profiles.wordpress.org/tlovett1\">Taylor Lovett</a>, <a href=\"https://profiles.wordpress.org/team\">team</a>, <a href=\"https://profiles.wordpress.org/tg29359\">tg29359</a>, <a href=\"https://profiles.wordpress.org/tharsheblows\">tharsheblows</a>, <a href=\"https://profiles.wordpress.org/the\">the</a>, <a href=\"https://profiles.wordpress.org/themeshaper\">themeshaper</a>, <a href=\"https://profiles.wordpress.org/thenbrent\">thenbrent</a>, <a href=\"https://profiles.wordpress.org/thomaswm\">thomaswm</a>, <a href=\"https://profiles.wordpress.org/tfrommen\">Thorsten Frommen</a>, <a href=\"https://profiles.wordpress.org/tierra\">tierra</a>, <a href=\"https://profiles.wordpress.org/tnash\">Tim Nash</a>, <a href=\"https://profiles.wordpress.org/timmydcrawford\">Timmy Crawford</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/timph\">timph</a>, <a href=\"https://profiles.wordpress.org/tkama\">Tkama</a>, <a href=\"https://profiles.wordpress.org/tnegri\">tnegri</a>, <a href=\"https://profiles.wordpress.org/tomauger\">Tom Auger</a>, <a href=\"https://profiles.wordpress.org/tjnowell\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/tomdxw\">tomdxw</a>, <a href=\"https://profiles.wordpress.org/toro_unit\">Toro_Unit (Hiroshi Urabe)</a>, <a href=\"https://profiles.wordpress.org/zodiac1978\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/transl8or\">transl8or</a>, <a href=\"https://profiles.wordpress.org/traversal\">traversal</a>, <a href=\"https://profiles.wordpress.org/wpsmith\">Travis Smith</a>, <a href=\"https://profiles.wordpress.org/nmt90\">Triet Minh</a>, <a href=\"https://profiles.wordpress.org/trishasalas\">Trisha Salas</a>, <a href=\"https://profiles.wordpress.org/tristangemus\">tristangemus</a>, <a href=\"https://profiles.wordpress.org/truongwp\">truongwp</a>, <a href=\"https://profiles.wordpress.org/tsl143\">tsl143</a>, <a href=\"https://profiles.wordpress.org/tywayne\">Ty Carlson</a>, <a href=\"https://profiles.wordpress.org/grapplerulrich\">Ulrich</a>, <a href=\"https://profiles.wordpress.org/utkarshpatel\">Utkarsh</a>, <a href=\"https://profiles.wordpress.org/valeriutihai\">Valeriu Tihai</a>, <a href=\"https://profiles.wordpress.org/zuige\">Viljami Kuosmanen</a>, <a href=\"https://profiles.wordpress.org/vishalkakadiya\">Vishal Kakadiya</a>, <a href=\"https://profiles.wordpress.org/vortfu\">vortfu</a>, <a href=\"https://profiles.wordpress.org/vrundakansara-1\">Vrunda Kansara</a>, <a href=\"https://profiles.wordpress.org/webbgaraget\">webbgaraget</a>, <a href=\"https://profiles.wordpress.org/webmandesign\">WebMan Design &#124; Oliver Juhas</a>, <a href=\"https://profiles.wordpress.org/websupporter\">websupporter</a>, <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/earnjam\">William Earnhardt</a>, <a href=\"https://profiles.wordpress.org/williampatton\">williampatton</a>, <a href=\"https://profiles.wordpress.org/wolly\">Wolly aka Paolo Valenti</a>, <a href=\"https://profiles.wordpress.org/wraithkenny\">WraithKenny</a>, <a href=\"https://profiles.wordpress.org/yale01\">yale01</a>, <a href=\"https://profiles.wordpress.org/yoavf\">Yoav Farhi</a>, <a href=\"https://profiles.wordpress.org/yogasukma\">Yoga Sukma</a>, <a href=\"https://profiles.wordpress.org/oxymoron\">Zach Wills</a>, <a href=\"https://profiles.wordpress.org/tollmanz\">Zack Tollman</a>, <a href=\"https://profiles.wordpress.org/vanillalounge\">Ze Fontainhas</a>, <a href=\"https://profiles.wordpress.org/zhildzik\">zhildzik</a>, and <a href=\"https://profiles.wordpress.org/zsusag\">zsusag</a>.\n<p>&nbsp;</p>\n<p>Finally, thanks to all the community translators who worked on WordPress 4.8. Their efforts bring WordPress 4.8 fully translated to 38 languages at release time with more on the way.</p>\n<p>Do you want to report on WordPress 4.8? <a href=\"https://s.w.org/images/core/4.8/wp-4-8_press-kit.zip\">We&#8217;ve compiled a press kit</a> featuring information about the release features, and some media assets to help you along.</p>\n<p>If you want to follow along or help out, check out <a href=\"https://make.wordpress.org/\">Make WordPress</a> and our <a href=\"https://make.wordpress.org/core/\">core development blog</a>. Thanks for choosing WordPress — we hope you enjoy!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4770\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 4.8 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2017/06/wordpress-4-8-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jun 2017 22:13:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4765\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:336:\"The second release candidate for WordPress 4.8 is now available. To test WordPress 4.8, you can use the WordPress Beta Tester plugin or you can download the release candidate here (zip). We&#8217;ve made a handful of changes since releasing RC 1 last week. For more details about what&#8217;s new in version 4.8, check out the [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Mel Choyce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1173:\"<p>The second release candidate for WordPress 4.8 is now available.</p>\n<p>To test WordPress 4.8, you can use the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin or you can <a href=\"https://wordpress.org/wordpress-4.8-RC2.zip\">download the release candidate here</a> (zip).</p>\n<p>We&#8217;ve made <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40866&amp;stop_rev=40847\">a handful of changes</a> since releasing RC 1 last week. For more details about what&#8217;s new in version 4.8, check out the <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-1/\">Beta 1</a>, <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-2/\">Beta 2</a>, and <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-release-candidate/\">RC1</a> blog posts.</p>\n<p><strong>Think you&#8217;ve found a bug?</strong> Please post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta support forum</a>. If any known issues come up, you&#8217;ll be able to <a href=\"https://core.trac.wordpress.org/report/5\">find them here</a>.</p>\n<p>Happy testing!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4765\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 4.8 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2017/05/wordpress-4-8-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 25 May 2017 23:04:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4758\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:325:\"The release candidate for WordPress 4.8 is now available. RC means we think we’re done, but with millions of users and thousands of plugins and themes, it’s possible we’ve missed something. We hope to ship WordPress 4.8 on Thursday, June 8, but we need your help to get there. If you haven’t tested 4.8 yet, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Mel Choyce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2365:\"<p>The release candidate for WordPress 4.8 is now available.</p>\n<p>RC means we think we’re done, but with millions of users and thousands of plugins and themes, it’s possible we’ve missed something. We hope to ship WordPress 4.8 on <strong>Thursday, June 8</strong>, but we need <em>your</em> help to get there. If you haven’t tested 4.8 yet, now is the time!</p>\n<p>To test WordPress 4.8, you can use the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin or you can <a href=\"https://wordpress.org/wordpress-4.8-RC1.zip\">download the release candidate here</a> (zip).</p>\n<p>We&#8217;ve made <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40840&amp;stop_rev=40821\">a handful of changes</a> since releasing Beta 2 earlier this week. For more details about what’s new in version 4.8, check out the <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-1/\">Beta 1</a> and <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-2/\">Beta 2</a> blog posts.</p>\n<p><strong>Think you’ve found a bug?</strong> Please post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta support forum</a>. If any known issues come up, you’ll be able to <a href=\"https://core.trac.wordpress.org/report/5\">find them here</a>.</p>\n<p><strong>Developers</strong>, please test your plugins and themes against WordPress 4.8 and update your plugin’s <em>Tested up to</em> version in the readme to 4.8. If you find compatibility problems please be sure to post to the support forums so we can figure those out before the final release – we work hard to avoid breaking things. An in-depth field guide to developer-focused changes is coming soon on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n<p>This release&#8217;s haiku is courtesy of <a href=\'https://profiles.wordpress.org/matveb/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>matveb</a>:</p>\n<p><em>Érrese uno</em><br />\n<em>Cien veces y más</em><br />\n<em>Erre ce dos</em></p>\n<p>Thanks for your continued help testing out the latest versions of WordPress.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4758\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.8 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 23 May 2017 00:02:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4749\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.8 Beta 2 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.8, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Mel Choyce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1621:\"<p>WordPress 4.8 Beta 2 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.8, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.8-beta2.zip\">download the beta here</a> (zip).</p>\n<p>For more information on what’s new in 4.8, check out the <a href=\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-1/\">Beta 1</a> blog post. Since then, we’ve made <a href=\"https://core.trac.wordpress.org/log/trunk/?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=40819&amp;stop_rev=40664&amp;limit=100&amp;sfp_email=&amp;sfph_mail=\">over 50 changes</a> in Beta 2.</p>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</p>\n<p><em>WordPress four point eight<br />\nOne step closer to release<br />\nPlease test Beta 2!</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4749\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 4.7.5 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/news/2017/05/wordpress-4-7-5/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 May 2017 22:39:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4734\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:373:\"WordPress 4.7.5 is now available. This is a security release for all previous versions and we strongly encourage you to update your sites immediately. WordPress versions 4.7.4 and earlier are affected by six security issues: Insufficient redirect validation in the HTTP class. Reported by Ronni Skansing. Improper handling of post meta data values in the XML-RPC [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Pascal Birchler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2349:\"<p>WordPress 4.7.5 is now available. This is a <strong>security release</strong> for all previous versions and we strongly encourage you to update your sites immediately.</p>\n<p>WordPress versions 4.7.4 and earlier are affected by six security issues:</p>\n<ol>\n<li>Insufficient redirect validation in the HTTP class. Reported by <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronni Skansing</a>.</li>\n<li>Improper handling of post meta data values in the XML-RPC API. Reported by <a href=\"https://hackerone.com/jazzy2fives\">Sam Thomas</a>.</li>\n<li>Lack of capability checks for post meta data in the XML-RPC API. Reported by <a href=\"https://profiles.wordpress.org/vortfu\">Ben Bidner</a> of the WordPress Security Team.</li>\n<li>A Cross Site Request Forgery (CSRF)  vulnerability was discovered in the filesystem credentials dialog. Reported by <a href=\"https://twitter.com/yorickkoster\">Yorick Koster</a>.</li>\n<li>A cross-site scripting (XSS) vulnerability was discovered when attempting to upload very large files. Reported by <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronni Skansing</a>.</li>\n<li>A cross-site scripting (XSS) vulnerability was discovered related to the Customizer. Reported by <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a> of the WordPress Security Team.</li>\n</ol>\n<p>Thank you to the reporters of these issues for practicing <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a>.</p>\n<p>In addition to the security issues above, WordPress 4.7.5 contains 3 maintenance fixes to the 4.7 release series. For more information, see the <a href=\"https://codex.wordpress.org/Version_4.7.5\">release notes</a> or consult the <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=4.7.5&amp;group=component&amp;col=id&amp;col=summary&amp;col=component&amp;col=status&amp;col=owner&amp;col=type&amp;col=priority&amp;col=keywords&amp;order=priority\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.7.5</a> or venture over to Dashboard → Updates and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.7.5.</p>\n<p>Thanks to everyone who contributed to 4.7.5.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4734\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress Now on HackerOne\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/news/2017/05/wordpress-now-on-hackerone/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 15 May 2017 16:02:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4730\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:322:\"WordPress has grown a lot over the last thirteen years – it now powers more than 28% of the top ten million sites on the web. During this growth, each team has worked hard to continually improve their tools and processes. Today, the WordPress Security Team is happy to announce that WordPress is now officially [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1715:\"<p>WordPress has grown a lot over the last thirteen years – it now powers more than 28% of the top ten million sites on the web. During this growth, each team has worked hard to continually improve their tools and processes. Today, the WordPress Security Team is happy to announce that <a href=\"https://hackerone.com/wordpress\">WordPress is now officially on HackerOne</a>!</p>\n<p><a href=\"https://www.hackerone.com/about\">HackerOne</a> is a platform for security researchers to securely and responsibly report vulnerabilities to our team. It provides tools that improve the quality and consistency of communication with reporters, and will reduce the time spent on responding to commonly reported issues. This frees our team to spend more time working on improving the security of WordPress.</p>\n<p>The security team has been working on this project for quite some time. Nikolay Bachiyski started the team working on it just over a year ago. We ran it as a private program while we worked out our procedures and processes, and are excited to finally make it public.</p>\n<p>With the announcement of the WordPress HackerOne program we are also introducing bug bounties. Bug bounties let us reward reporters for disclosing issues to us and helping us secure our products and infrastructure. We&#8217;ve already awarded more than $3,700 in bounties to seven different reporters! We are thankful to Automattic for paying the bounties on behalf of the WordPress project.</p>\n<p>The program and bounties cover all our projects including WordPress, BuddyPress, bbPress, GlotPress, and WP-CLI as well as all of our sites including WordPress.org, bbPress.org, WordCamp.org, BuddyPress.org, and GlotPress.org.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4730\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.8 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2017/05/wordpress-4-8-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 13 May 2017 00:15:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4727\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:342:\"We&#8217;re planning a smaller WP release early next month, bringing in three major enhancements: An improved visual editor experience, with a new TinyMCE that allows you to navigate more intuitively in and out of inline elements like links. (Try it out to see, it&#8217;s hard to describe.) A revamp of the dashboard news widget to [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1148:\"<p>We&#8217;re planning a smaller WP release early next month, bringing in three major enhancements:</p>\n<ul>\n<li>An improved visual editor experience, with a new TinyMCE that allows you to navigate more intuitively in and out of inline elements like links. (Try it out to see, it&#8217;s hard to describe.)</li>\n<li>A revamp of the dashboard news widget to bring in nearby and upcoming events including meetups and WordCamps.</li>\n<li>Several new media widgets covering images, audio, and video, and an enhancement to the text widget to support visual editing.</li>\n</ul>\n<p>The first beta of 4.8 is now available for testing. You can use the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">beta tester plugin</a> (or just run trunk) to try the latest and greatest, and each of these areas could use a ton of testing. Our goals are to make editing posts with links more intuitive, make widgets easier for new users and more convenient for existing ones, and get many more people aware of and attending our community events.</p>\n<p><em>Four point eight is here<br />\nSmall changes with a big punch<br />\nBig ones come later</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4727\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 15 Aug 2017 19:59:34 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Wed, 02 Aug 2017 21:26:25 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}}s:5:\"build\";s:14:\"20170815194954\";}','no'),
	(120,'_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca','1502870378','no'),
	(121,'_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca','1502827178','no'),
	(122,'_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9','1502870378','no'),
	(123,'_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: maekit Acquires WP Remote, Plans to Add Cloud-Based Backup Services\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74100\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wptavern.com/maekit-acquires-wp-remote-plans-to-add-cloud-based-backup-services\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3661:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/maekit-wpremote.png?ssl=1\"><img /></a></p>\n<p><a href=\"https://maek.it/\" target=\"_blank\">maekit</a>, a cloud-based platform that handles the business aspect of web design, has <a href=\"https://hmn.md/2017/08/10/wp-remote-finds-home-maekit/\" target=\"_blank\">acquired WP Remote from Human Made</a>. Two years after Human Made began searching for a buyer, maekit purchased WP Remote to integrate it with the company&#8217;s existing platform that caters to designers managing multiple clients.</p>\n<p>&#8220;WP Remote had remained a much-loved product with its users and despite receiving no ongoing development it had remained an iconic plugin in the WordPress community,&#8221; Human Made CEO Tom Willmot said.</p>\n<p>maekit took over WP Remote operations in March after closing the deal. According to maekit CEO Matt Holme, the company inherited 20,000 users with 120,000 WordPress websites. His team has maintained WP Remote in its original platform for the past few months before integrating it into maekit last week.</p>\n<p><a href=\"https://wpremote.com/\" target=\"_blank\">WP Remote</a> has offered unlimited, free WordPress site management (updating core, plugins, and themes with a single click) since 2010. It hasn&#8217;t received ongoing development for several years, but maekit plans to add backup features that will make bring it more up to speed with competitors like MangeWP, MainWP, and InfiniteWP.</p>\n<p>&#8220;We definitely plan to keep WP Remote free and expand its features,&#8221; Holme said. &#8220;Specifically we are looking at offering easy-to-manage cloud-based backup services. For example, hook up your Dropbox (or any other popular cloud based storage system) and schedule regular backups of your WP websites.&#8221;</p>\n<p>maekit&#8217;s acquisition of WP Remote gives the company&#8217;s customers the ability to deploy WordPress sites with one click and manage client sites and domains through a unified, white-labeled invoicing and payment system. The company has rolled out a few long-overdue bug fixes to WP Remote and Holme says the rest of maekit is functional but still technically in a closed beta mode.</p>\n<p>&#8220;Our revenue model revolves around direct sale hosting plans and also reselling integrated hosting plans for other leading global hosting providers,&#8221; Holme said. &#8220;We are refining the free invoicing and payment processing system built into maekit so that a maekit / WP Remote user can deploy a new hosted WP and charge their client a recurring monthly fee and retain the mark up they add on top of our base hosting prices as profit. This means literally no out of pocket expense for maekit / WP Remote users.&#8221;</p>\n<p>Although maekit&#8217;s one-click deployment service supports many popular CMS&#8217;s and e-commmerce platforms, including WordPress, Opencart, Drupal, Magento, and Joomla, Holme said the vast majority of the company&#8217;s customers are running on WordPress. Acquiring WP Remote brings a host of valuable new features to maekit&#8217;s customer base. maekit&#8217;s built-in client billing features, customized for freelancers and agencies, are what Holme says will differentiate the company from its competitors in the WordPress space.</p>\n<p>&#8220;I have a great deal of respect for these other WP management platforms and feel the size of the WP market means there is opportunity for all to succeed,&#8221; Holme said. &#8220;With the features of maekit also including new website deployment, invoicing, payment processing and client management, our platform is unique from the others.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Aug 2017 03:50:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"WPTavern: Gutenberg 0.8.0 Introduces 5 New Blocks: Categories, Text Columns, Shortcode, Audio, and Video\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"https://wptavern.com/gutenberg-0-8-0-introduces-5-new-blocks-categories-text-columns-shortcode-audio-and-video\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5712:\"<p>Gutenberg <a href=\"https://make.wordpress.org/core/2017/08/11/whats-new-in-gutenberg-11th-august/\" target=\"_blank\">0.8.0</a> was released over the weekend with five new blocks, major improvements to existing blocks, and support for more publishing features that have been missing from the new editor&#8217;s sidebar. The release also carries out the controversial decision to <a href=\"https://wptavern.com/user-tracking-to-be-removed-from-gutenberg-in-upcoming-0-8-0-release\" target=\"_blank\">remove the opt-in usage tracking code from the plugin</a>.</p>\n<p>The new <a href=\"https://github.com/WordPress/gutenberg/pull/2102\" target=\"_blank\">Categories block</a> can be found under the Widgets section, as it&#8217;s output is based on the existing categories widget. The default display is an alphabetized list of categories, but the block settings include options to display as a dropdown, show post counts, and show hierarchy.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/categories-block.png?ssl=1\"><img /></a></p>\n<p>A new Text Columns block allows users to split text content into multiple columns. The settings include a sliding scale for selecting 2-4 columns.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/text-columns-block-e1502741151590.png?ssl=1\"><img /></a></p>\n<p>Contributors are calling the Text Block &#8220;an initial exploration&#8221; of multiple columns for text-only content. Depending on testing, it may not be the implementation that ends up landing in the plugin permanently.</p>\n<p>&#8220;We&#8217;ve been over how difficult it is to get columns right, and also how already today third parties can build this,&#8221; Joen Asmussen <a href=\"https://github.com/WordPress/gutenberg/pull/2117#issuecomment-319347010\" target=\"_blank\">said</a>. &#8220;We may very well want an entirely different implementation than this one. But perhaps it&#8217;s good to get this in now and test it. Perhaps this can help inform how a better column implementation can work down the road. In fact we might want to merge this block in now, only to take it back out later again, same as the Cover Text block. For that reason, I think it&#8217;d be good to test this.&#8221;</p>\n<p>The new Video and Audio blocks are geared towards inserting files that have already been uploaded to the media library. However, I found the text on the video block to be confusing. If I was new to WordPress and didn&#8217;t understand how oEmbed works, I would be clicking inside the video block to figure out where to paste the URL.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/video-block.png?ssl=1\"><img /></a></p>\n<p>The new Audio and Video blocks mirror the same kind of functionality that users have experienced when adding images to their sites. In the future, contributors may introduce more features to the audio block, such as additional playback types and looping, but the first iteration includes just the basics.</p>\n<p>Gutenberg 0.8.0 adds resizing handlers to the existing Image Block, making it easy for users to insert and quickly resize an image. If you review the <a href=\"https://github.com/WordPress/gutenberg/pull/2213\" target=\"_blank\">GitHub ticket</a> for this feature, it&#8217;s clear that it was not easy to implement. Image resizing has gone through several changes and may have more down the road, especially as it pertains to the behavior of the caption. Ultimately, the caption field should not be wider than the image so that the two are placed together.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/image-resizing-gutenberg.png?ssl=1\"><img /></a></p>\n<p>This release introduces a post formats selector to the post settings sidebar. It includes a suggestion based on what blocks are in use in the post. One participant on the ticket noted that the suggestion gives too much importance to the post formats selection and might be confusing to users. The suggestion persists, despite a user switching the format to the one suggested. This is because Gutenberg cannot detect if it was explicitly set by the user or if the user selected the suggestion.</p>\n<p>&#8220;I happen to agree with you: post formats should go away,&#8221; Joen Asmussen <a href=\"https://github.com/WordPress/gutenberg/pull/2307#issuecomment-321232074\" target=\"_blank\">said</a>. &#8220;In fact part of the genesis of blocks as a concept is to provide a better interface than what post formats did. So the post format selector here is strictly a back-compat thing.&#8221;</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/post-format-selector.png?ssl=1\"><img /></a></p>\n<p>Gutenberg contributors have also <a href=\"https://github.com/WordPress/gutenberg/pull/2288\" target=\"_blank\">updated</a> the <a href=\"https://github.com/WordPress/gutenberg/blob/master/docs/design.md\" target=\"_blank\">design document</a> for the project, offering more clarity on their goals and concepts they are using to build the editor:</p>\n<blockquote><p>Ultimately, the vision for Gutenberg is to make it much easier to author rich content. Through ensuring good defaults, wrapping and bundling advanced layout options blocks, and making the most important actions immediately available, authoring content with WordPress should be accessible to anyone.</p></blockquote>\n<p>The idea is to simplify content creation for users so that they only have to learn one interface &#8211; the block interface. The design document adds several new sections that elaborate on the concept of &#8220;everything is a block&#8221; and includes best practices that developers can reference when designing their own blocks.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 14 Aug 2017 22:18:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"WPTavern: Early Results from NRKbeta’s Comment Quiz Plugin Show Readers Enjoy the Quiz but Rarely Leave a Comment\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74105\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:123:\"https://wptavern.com/early-results-from-nrkbetas-comment-quiz-plugin-show-readers-enjoy-the-quiz-but-rarely-leave-a-comment\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3492:\"<p>Earlier this year, <a href=\"https://nrkbeta.no/\" target=\"_blank\">NRKbeta</a>, the Norwegian Broadcasting Corporation’s media and technology site, <a href=\"https://wptavern.com/nrkbeta-open-sources-comment-quiz-plugin-for-wordpress\" target=\"_blank\">open sourced its comment quiz plugin for WordPress</a>. The site&#8217;s publishers have been experimenting with requiring their readers to complete a short, three-question quiz before giving access to the comment form on certain articles. The goal of the plugin was to prevent rants and off-topic responses by ensuring that commenters have read the article.</p>\n<p>NRKbeta has <a href=\"https://nrkbeta.no/2017/08/10/with-a-quiz-to-comment-readers-test-their-article-comprehension/\" target=\"_blank\">published some preliminary results</a> after six months of experimenting with a mandatory quiz before commenting.</p>\n<p>&#8220;On average, there are a lot more attempts – both correct and wrong – than actual comments,&#8221; NRKbeta journalist Ståle Grut said. &#8220;It seems many take the quiz to check how much they remember from the story – and not necessarily to leave a comment. Almost as a fun little game after reading.&#8221;</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/nkrbeta-comments.jpg?ssl=1\"><img /></a></p>\n<p>Grut reported that on average the quiz has an error rate of 72%. His team suspects that the bulk of the wrong answers are coming site&#8217;s international readership, as most of the articles are posted in Norwegian, which can be difficult to translate.</p>\n<p>The sample is still relatively small, because the team hasn&#8217;t yet created any set rules for when authors should enable the quiz.</p>\n<p>&#8220;The idea was to test it on stories that had potential for a gloomy comments section,&#8221; Grut said. &#8220;It is something we are proud to rarely have here at NRKbeta.&#8221;</p>\n<p>On one story, NRKbeta staff made an error where it was impossible to submit the correct answer to the quiz, because it wasn&#8217;t listed. As a result, this article&#8217;s quiz received more than 1,000 wrong answers.</p>\n<p>One unexpected benefit of the plugin is that it makes it more of a hurdle for readers to leave short comments, such as &#8220;nice post&#8221; that don&#8217;t add much to the conversation.</p>\n<p>&#8220;This favors the most eager with the most time on their hands,&#8221; Grut said. &#8220;From time to time this has led to a decline in quality and tone, causing him to often abandon the quiz module.&#8221;</p>\n<p>These initial conclusions are in line with what we predicted when the plugin was released: the most motivated ranters are not significantly inconvenienced by a short quiz. Keeping comment sections free of trolls is not yet something that is easy to automate. It still requires time spent in the moderation queue.</p>\n<p>After the comment quiz plugin was enabled on the site, NRKbeta counted more than 300 articles around the web that had been published about the experiment. Quizzing commenters was hailed as one of the best new ideas for warding off trolls. However, the NRKbeta team cannot yet conclude whether the plugin is a success or not.</p>\n<p>&#8220;The numbers seem to show that the quiz has worked like a little game for many readers,&#8221; Grut said. &#8220;They like to take the quiz, but not to leave a comment. Being tested on how much they remember from the article seems to be the most popular use of our quiz.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 12 Aug 2017 02:54:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"WPTavern: In Case You Missed It – Issue 23\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=74121&preview=true&preview_id=74121\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wptavern.com/in-case-you-missed-it-issue-23\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6478:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2016/01/ICYMIFeaturedImage.png?ssl=1\" rel=\"attachment wp-att-50955\"><img /></a>photo credit: <a href=\"http://www.flickr.com/photos/112901923@N07/16153818039\">Night Moves</a> &#8211; <a href=\"https://creativecommons.org/licenses/by-nc/2.0/\">(license)</a>\n<p>There’s a lot of great WordPress content published in the community but not all of it is featured on the Tavern. This post is an assortment of items related to WordPress that caught my eye but didn’t make it into a full post.</p>\n<h2>Using WordPress to Publish Law Reviews</h2>\n<p>Kevin O&#8217;Keefe of Above the Law, <a href=\"http://abovethelaw.com/2017/08/kim-jong-un-has-much-to-teach-pentagon-about-speed-gen-hyten/\">explains why</a> WordPress should be used to publish law reviews instead of printing them.</p>\n<blockquote><p>Ten years ago it would not have been as easy to set up, or license, a WordPress publishing platform by each law school. Most law professors were, and still are, publishing blogs on <a href=\"http://www.typepad.com/\">TypePad</a>, an outdated and little used publishing software, originally produced by Six Apart.</p>\n<p>Today, WordPress is running almost 70 percent of the content management systems in the world. WordPress is regularly updated and enables a multi-user platform with multiple individual sites, all of which would be needed by a law school’s &#8216;printing press&#8217;.</p></blockquote>\n<h2>Glutenberg Free</h2>\n<p><a href=\"https://wordpress.org/plugins/glutenburg-free/\">Gluternberg Free</a> is a WordPress plugin developed by Adam Silverstein that restores and maintains the post editing experience from WordPress 4.8.</p>\n<h2>Open Source Candy Bar Labels for WordCamps</h2>\n<p>If you&#8217;re organizing a WordCamp and want to give out Happiness bars, check out this <a href=\"https://github.com/dimensionmedia/WordCamp-Happiness-Bars\">custom label design</a> used at WordCamp Miami 2016. The assets are open sourced and available for free for other WordCamp organizers to use.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">WordCamps: have “Happiness Bars” for your next event. <a href=\"https://twitter.com/hashtag/wcmia?src=hash\">#wcmia</a> open-sourced the wrappers: <a href=\"https://t.co/LvtG3JlhAw\">https://t.co/LvtG3JlhAw</a> <a href=\"https://t.co/hailcQCsXg\">pic.twitter.com/hailcQCsXg</a></p>\n<p>&mdash; David Bisset (@dimensionmedia) <a href=\"https://twitter.com/dimensionmedia/status/896060900410445825\">August 11, 2017</a></p></blockquote>\n<p></p>\n<h2>Instead of Threading Tweets, Consider Blogging Instead</h2>\n<p>Amanda Rush <a href=\"https://www.customerservant.com/next-time-youre-thinking-threading-twitter-write-blog-post-instead/\">explains</a> the drawbacks of threading messages on Twitter and why blogging is a better option. Blog posts are easier to archive and link to, are not lost in the noise as quickly, and are a better user experience for consuming content.</p>\n<p>By the way, if you&#8217;ve already threaded a message on Twitter, Rush shares links to tools that can help capture a thread and turn it into a blog post.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://www.customerservant.com/next-time-youre-thinking-threading-twitter-write-blog-post-instead/\">The Next Time You&#8217;re Thinking About Threading On Twitter, Write A Blog Post Instead</a></p></blockquote>\n<p></p>\n<h2>The Story of HelloSales</h2>\n<p>iThemes published a <a href=\"https://ithemes.com/2017/08/10/story-of-our-newest-ithemes-product-hellosales/\">detailed article</a> on how their newest product, <a href=\"https://ithemes.com/hellosales\">HelloSales</a>, came to be. Cory Miller explains the product&#8217;s logo, name, and who the people are that are building it.</p>\n<blockquote><p>The rooster is essentially the symbol or emblem of Portugal. You’ll see it everywhere there when you go there (and I strongly encourage you to do so, even if I want to keep the place all to myself).</p>\n<p>It became obvious we wanted to include a rooster in the logo of HelloSales as a hat tip to Portugal and our team there. We also think it’s a great symbol for what we hope to help our customers do — make more money through their WooCommerce stores.</p>\n<p>Through several iterations of a name, we landed on HelloSales as a name, as yet another hat tip to the story — their company’s name, HelloDev — that led us here.</p></blockquote>\n<p>It&#8217;s a cool story and one I&#8217;d like to see more CEO and founders share when they acquire a product or business.</p>\n<h2>WordPress Telemetry Part Two</h2>\n<p>Morten Rand-Hendriksen <a href=\"https://www.linkedin.com/pulse/case-telemetry-wordpress-morten-rand-hendriksen\">updated his article</a> on the case for WordPress telemetry after a <a href=\"https://twitter.com/mor10/status/895299336375902209\">lengthy conversation</a> on Twitter.</p>\n<blockquote><p>What WordPress needs is an open debate on this topic. What are the arguments for and against? What can be gained and what is lost? Should we do this? And if so, how do we do it in an open, transparent, and responsible way that helps inform and elevate the conversation while looking after the interests of <em>all</em> WordPress users?</p></blockquote>\n<p>These are interesting questions and although the <a href=\"https://core.trac.wordpress.org/ticket/38418\">ticket</a><a href=\"https://core.trac.wordpress.org/ticket/38418\"> is closed</a> on Trac, users are encouraged to continue the discussion. In the future, I&#8217;d like to see data and other research published that explains <strong>why</strong> a major User Interface changing feature is necessary in core before so much energy is devoted to it.</p>\n<h2>Cowboy Wapuu!</h2>\n<p>In what is a traditional part of this series, I end each issue by featuring a Wapuu design. For those who don&#8217;t know, Wapuu is the <a href=\"http://wapuu.jp/2015/12/12/wapuu-origins/\">unofficial mascot</a> of the WordPress project. Cowboy Wappu is the official mascot of <a href=\"https://2017.dfw.wordcamp.org/\">WordCamp Dallas/Fort Worth 2017</a> that takes place on November 11-12. Tickets are still available and include admission to the event and after-party, lunch on Saturday, and swag. Yee-Haw!</p>\n<img />Cowboy Wapuu for WordCamp Dallas/Fort Worth 2017\n<p>That&#8217;s it for issue twenty-three. If you recently discovered a cool resource or post related to WordPress, please share it with us in the comments.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 12 Aug 2017 01:47:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: WordPress 4.9 to Focus on Code Editing and Customization Improvements, Targeted for November 14\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74086\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"https://wptavern.com/wordpress-4-9-to-focus-on-code-editing-and-customization-improvements-targeted-for-november-14\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3929:\"<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/08/planning.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://stocksnap.io/photo/Q3X736G951\">Sophie Ollis</a>\n<p>WordPress core contributors have set a tentative <a href=\"https://make.wordpress.org/core/4.9/\" target=\"_blank\">schedule for the upcoming 4.9 release</a>, which will be co-led by Mel Choyce and Weston Ruter. The development cycle kicked off in early August with Beta 1 scheduled for early October and the official release targeted for November 14.</p>\n<p>Choyce published a <a href=\"https://make.wordpress.org/core/2017/08/11/wordpress-4-9-goals/\" target=\"_blank\">list of goals</a> today that outlines what they will be aiming for in 4.9. WordPress users can expect to see some existing features polished up to be more user-friendly, including some long-awaited updates to the experience of editing theme and plugin files in the admin.</p>\n<p>Contributors are looking at <a href=\"https://core.trac.wordpress.org/ticket/6531\" target=\"_blank\">adding a nested folder structure</a> that will offer access to files deeper than two levels. They are also aiming to <a href=\"https://core.trac.wordpress.org/ticket/31779\" target=\"_blank\">add better warnings</a> for users who are editing themes and plugins, an improvement which Choyce described as &#8220;graduating from cowboy coding school.&#8221; This could help prevent users from unknowingly making small errors that could have a negative impact on their sites.</p>\n<p>Another goal for 4.9 is to improve the code editing experience by adding syntax highlighting. Contributors are examining the possibility of incorporating CodeMirror functionality into the Customizer&#8217;s custom CSS box as well as the plugin and theme file editors. An experimental <a href=\"https://github.com/WordPress/codemirror-wp\" target=\"_blank\">Syntax Highlighting Code Editor for WordPress Core</a> plugin is currently being developed on GitHub as a potential solution for a seven-year-old trac <a href=\"https://core.trac.wordpress.org/ticket/12423\" target=\"_blank\">ticket</a> for code editor improvements.</p>\n<p>Customizer improvements are also one of the main focuses for 4.9. Contributors to the Customize Snapshots feature plugin have been <a href=\"https://wptavern.com/customize-snapshots-0-6-0-adds-the-ability-to-name-and-merge-changesets\" target=\"_blank\">steadily refining</a> the ability to <a href=\"https://core.trac.wordpress.org/ticket/39896\" target=\"_blank\">draft</a> and <a href=\"https://core.trac.wordpress.org/ticket/28721\" target=\"_blank\">schedule</a> changesets in the Customizer. They are also looking at providing a better experience for <a href=\"https://core.trac.wordpress.org/ticket/39693\" target=\"_blank\">widget</a> and <a href=\"https://core.trac.wordpress.org/ticket/39692\" target=\"_blank\">menu mapping</a> when switching between themes, improving homepage settings (&#8220;<a href=\"https://core.trac.wordpress.org/ticket/16379\" target=\"_blank\">Page on Front</a>&#8220;), and displaying responsive images in the Customizer sidebar.</p>\n<p>This list of goals for 4.9 includes many more items and the release leads are approaching it with the understanding that some features and improvements may not be ready in time. One item on the list is getting in <a href=\"https://github.com/WordPress/gutenberg/issues?q=is%3Aopen+is%3Aissue+label%3A%22Core+REST+API+Task%22\" target=\"_blank\">API endpoints that Gutenberg requires</a>.</p>\n<p>Looking ahead to WordPress 5.0, new Gutenberg design lead Tammie Lister has <a href=\"https://make.wordpress.org/core/2017/08/11/revised-suggested-roadmap-for-gutenberg-and-customization/\" target=\"_blank\">proposed a revised, tentative roadmap</a> that anticipates having the new editor ready for a merge proposal in December 2017. Lister said the outline is not set in stone and Gutenberg&#8217;s path to 5.0 would be dependent on the success of the merge proposal.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2017 19:19:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:117:\"WPTavern: WordPress.com’s Business Plan Gives Subscribers a Way to Tap into WordPress.org’s Third-party Ecosystem\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74048\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:122:\"https://wptavern.com/wordpress-coms-business-plan-gives-subscribers-a-way-to-tap-into-wordpress-orgs-third-party-ecosystem\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8395:\"<p>Earlier this year, WordPress.com <a href=\"https://wptavern.com/wordpress-com-experiments-with-allowing-business-plan-customers-to-install-third-party-plugins-and-themes\">launched an experiment</a> giving <a href=\"https://wordpress.com/business/\">Business plan subscribers</a> the ability to install third-party plugins and themes. Automattic<a href=\"https://en.blog.wordpress.com/2017/08/07/wordpress-com-business-now-supports-plugins-and-third-party-themes/\"> concluded the experiment</a> earlier this week and officially made the features part of the subscription plan.</p>\n<p>&#8220;With support for plugins and third-party themes, WordPress.com Business users will be able to connect their sites to great email and social media tools, e-commerce solutions, publishing and subscription services, and more,&#8221; Mark Armstrong said.</p>\n<p>This change is twelve years in the making. With the exception of WordPress VIP, customers have not had the ability to install third-party themes and plugins on WordPress.com.</p>\n<h2>Customers Can Only Install Custom Plugins Through The WP-Admin Interface</h2>\n<p>Customers can install plugins or themes from the WordPress.org directories or they can upload custom themes and plugins. WordPress.com has two user interfaces, one that resembles Calypso and the other is WP-Admin.</p>\n<p>Here is what adding plugins looks like using the Calypso interface. Plugins are displayed from the WordPress.org plugin directory with no way to upload a custom plugin.</p>\n<img />Adding Plugins on WordPress.com Through The Calypso Interface\n<p>This is what adding plugins looks like using the WP-Admin interface. This interface has a button that allows customers to upload a custom plugin. Automattic is aware of the discrepancy and says they&#8217;re working on streamlining both interfaces.</p>\n<img />Adding Plugins Through WP-Admin on WordPress.com\n<h2>Customers Can Upload Non 100% GPL Licensed Code to WordPress.com</h2>\n<p>The ability to upload a custom theme or plugin truly opens the door for subscribers to customize their sites. But it also allows customers to use themes and plugins that are not 100% GPL licensed. Matt Mullenweg, CEO of Automattic, has <a href=\"https://wordpress.org/news/2009/07/themes-are-gpl-too/\">made it clear</a> in the past that he will only support plugins and themes that are 100% GPL.</p>\n<blockquote><p>Even though graphics and CSS aren’t <em>required</em> to be GPL legally, the lack thereof is pretty limiting. Can you imagine WordPress without any CSS or JavaScript? So as before, we will only promote and host things on WordPress.org that are 100% GPL <a href=\"http://en.wikipedia.org/wiki/License_compatibility\">or compatible</a>.</p></blockquote>\n<p>Mullenweg has used his <a href=\"http://designcrumbs.com/automatically-blackballed\">influence in the past</a> to provoke marketplaces such as Envato to provide a 100% GPL license option to its authors. Authors who choose not to sell their items with the 100% GPL license are excluded from being able to sponsor or speak at WordCamps.</p>\n<p>Although the above quote references WordPress.org, WordPress.com is a platform that Mullenweg controls. It&#8217;s odd that the ability to upload a theme or plugin that is not 100% GPL exists on WordPress.com. I believe the feature is an oversight and will be removed in the immediate future ensuring that only themes and plugins from the official directories are allowed to be used.</p>\n<h2>Managed WordPress Hosts Have Reasons to Be Concerned</h2>\n<p>Responses to the news from members of the WordPress community are mixed. Phil Crumm, Director of Strategic Opportunities at 10up, <a href=\"https://medium.com/@philcrumm/the-curious-conundrum-of-the-new-wordpress-com-business-plan-b0044ad57acd\">published a great article</a> that examines the potential impacts this move will have on the managed WordPress hosting ecosystem and its community:</p>\n<blockquote>\n<p id=\"8b34\" class=\"graf graf--p graf-after--h3\">Within the WordPress community, there’s long been a notion that &#8216;more users on WordPress&#8217; is universally good. Until now, that’s been difficult to argue: an expansive ecosystem has developed over the last decade, and many now make their living off of WordPress.</p>\n<p id=\"2813\" class=\"graf graf--p graf-after--p graf--trailing\">Despite that, WordPress.com’s Business Plan now feels like it’s oriented towards cannibalizing users from elsewhere within that ecosystem — from sites that may have &#8216;grown up&#8217; and moved to another hosting provider to those that now may not know that the broader ecosystem even exists — which is objectively a step backwards for the WordPress community.</p>\n</blockquote>\n<p><a href=\"https://perezbox.com/\">Tony Perez</a>, co-founder and CEO of Sucuri, says the <a href=\"https://perezbox.com/2017/08/automattics-push-managed-wordpress-potential-impacts-hosting-ecosystem/\">implications are gravest</a> to managed WordPress hosts. &#8220;The biggest impacts however are likely to be towards those hosting companies that have invested resources (both people and dollars) into creating a vibrant Managed WordPress hosting business ecosystem,&#8221; Perez said.</p>\n<p>&#8220;Long are the days when the market was defined by Page.ly and WPEngine. Today I would consider the space to be saturated, with more flavors of Managed WordPress than ice cream at a Baskin-Robbins.&#8221;</p>\n<p><a href=\"http://chrislema.com/\">Chris Lema</a>, a member of Liquid Web&#8217;s Leadership team, <a href=\"https://perezbox.com/2017/08/automattics-push-managed-wordpress-potential-impacts-hosting-ecosystem/#comment-3456606874\">responded to the article</a> saying it&#8217;s rare for manufactures to enter the same market as their distributors or partners.</p>\n<p>&#8220;While not impossible, we rarely see manufacturers get into the same business as their distributors or retail partners,&#8221; Lema said.</p>\n<p>&#8220;That&#8217;s because it can create a lot of unwanted, unplanned for, unintended secondary consequences. But to inexpensive hosts, this is one of those head-turners, because they were assured, for oh so long, that this wasn&#8217;t the game Automattic was getting into.</p>\n<p>&#8220;But Automattic is not just a nice community player. They&#8217;re a business. With investors. And they have to think about their own bottom line. So while it&#8217;s not surprising, I think you&#8217;re right that hosts have the most to be thinking about.&#8221;</p>\n<p>Others like Scott Bolinger, have expressed cautious optimism regarding the change.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">3rd party plugins and themes can now be used on <a href=\"https://t.co/eNa4NCrrPO\">https://t.co/eNa4NCrrPO</a>. This is great news, although how great remains to be seen. <a href=\"https://t.co/TntfJJ9sLD\">https://t.co/TntfJJ9sLD</a></p>\n<p>&mdash; Scott Bolinger (@scottbolinger) <a href=\"https://twitter.com/scottbolinger/status/894627296648114176\">August 7, 2017</a></p></blockquote>\n<p></p>\n<p>Some theme and plugin authors see it as a growth opportunity. Josh Pollock, founder of <a href=\"https://calderaforms.com/\">CalderaWP,</a> is excited to see WordPress.com become a quality hosting option for his users.</p>\n<p>&#8220;As a plugin author, I like not just more places for my plug-in to be used, but more quality hosting options,&#8221; Pollock said. &#8220;Dealing with sub-optimal environments is the hardest part of being a plug-in author. I&#8217;m excited about more users and having those users be on a quality platform.&#8221;</p>\n<h2>How Much Pie Does Automattic Want?</h2>\n<p>WordPress.com offering a subset of customers the ability to access the incredible third-party WordPress plugin and theme ecosystem is a huge development, but it leaves me with a few questions. First, why is WordPress.com only now offering this feature? Why wasn&#8217;t it available years ago?</p>\n<p>WordPress.com is now competing head-to-head with managed hosts. As <a href=\"https://ma.tt/2016/12/wp-growth-council/\">initiatives are established</a> to grow the WordPress pie for all, how much of that pie does Automattic want for itself? Considering Automattic is a business backed by investors, does it matter how much they want or get?</p>\n<p>How do you feel about WordPress.com allowing subscribers to tap into the WordPress.org ecosystem?</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2017 07:12:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: User Tracking to be Removed from Gutenberg in Upcoming 0.8.0 Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=74044\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wptavern.com/user-tracking-to-be-removed-from-gutenberg-in-upcoming-0-8-0-release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9564:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/asystole.jpg?ssl=1\"><img /></a>photo credit: <a href=\"http://www.savingchicagocpr.com/termination-resuscitation-efforts/\">Saving Chicago CPR</a>\n<p>The opt-in user tracking that was <a href=\"https://wptavern.com/gutenberg-0-7-0-adds-opt-in-usage-tracking\" target=\"_blank\">added to Gutenberg 0.7.0</a> will be pulled from the plugin in the upcoming 0.8.0 release. The data collection included in last week&#8217;s release reignited the <a href=\"https://core.trac.wordpress.org/ticket/38418\" target=\"_blank\">discussion regarding adding telemetry to WordPress</a>.</p>\n<p>James Nylen and an Automattic engineers involved in Gutenberg added the feature with the goal of improving the editor based on usage patterns. Nylen said the approach they used was very similar to Calypso&#8217;s event tracking code and that it would provide &#8220;a very useful technique to collect user experience data.&#8221; They had planned to use the data to inform various decisions, such as default order for blocks and whether some blocks are less suitable for core. Gutenberg contributors were looking into making the tracking its own module so it could be useful for other WP feature plugins and core.</p>\n<p>Shortly after the feature was added to Gutenberg, contributors began to revisit the Telemetry discussion on WordPress Trac. The topic of telemetry for core had been tabled earlier this year, as it did not fall within the three core focus areas for WordPress development in 2017. Participants requested the ticket be reopened for discussion looking toward 2018 in light of Gutenberg adding opt-in tracking.</p>\n<p>&#8220;I think it&#8217;s a terrible idea for Gutenberg, too,&#8221; Matt Mullenweg commented on the ticket. &#8220;I doubt that anything actionable or useful will come of it that couldn&#8217;t be obtained by non-data-collecting means.&#8221;</p>\n<p>Twelve hours later, James Nylen <a href=\"https://make.wordpress.org/core/2017/08/06/opt-in-usage-tracking-in-gutenberg/#comment-32882\" target=\"_blank\">commented</a> on his original announcement to notify the community that tracking will be removed from Gutenberg in the 0.8.0 release:</p>\n<blockquote><p>There’s been quite a lot of discussion on this topic across the community, much of which stems from earlier discussions like <a href=\"https://core.trac.wordpress.org/ticket/38418\" target=\"_blank\">#38418</a>, which I wasn’t aware of.</p>\n<p>Usage tracking in Core and feature projects is a much bigger topic than fits into the scope of Gutenberg right now, so I’ve removed it from the GitHub repo, and it will be removed in the 0.8 Gutenberg release.</p>\n<p>The data that it was tracking, while interesting, probably wouldn’t have been a significant factor in the long-term growth and development of Gutenberg. The discussion surrounding the data collection, however, would take up a disproportionate amount of the team’s time.</p></blockquote>\n<p>Nylen said the data collected by the plugin thus far will be deleted after 0.8 rolls out and that since it&#8217;s so early in Gutenberg&#8217;s development there was &#8220;not enough data collected to provide any sort of picture of usage.&#8221;</p>\n<h3>WordPress Telemetry Advocates Continue Lobbying for Opt-In Data Collection</h3>\n<p>The discussion about whether or not WordPress needs telemetry has continued in the form of tweetstorms, as data collection advocates make the case for data-driven decision making.</p>\n<p>&#8220;The decision not to capture metrics (telemetry) from WordPress is one that continues to have a large impact on what we (don&#8217;t) know,&#8221; Liquid Web VP of Product Chris Lema <a href=\"https://twitter.com/chrislema/status/895136427977068544\" target=\"_blank\">said</a>. &#8220;As we&#8217;re trying to make decisions about Gutenberg and metaboxes, we might ask, how big a problem is this, by number of plugins or sites. But we don&#8217;t know because we decided that we can always iterate WordPress, like we&#8217;ve always done. It&#8217;s true that we&#8217;ve done that before, but that doesn&#8217;t mean it&#8217;s either the wisest approach, nor the least risky. With so many options today, will people necessarily return? The more logical approach, in my mind, is to capture as much data as possible and to make it as public as possible, so we can all review.&#8221;</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">If the problem were lack of data, we could easily produce terabytes per day.</p>\n<p>&mdash; Matt Mullenweg (@photomatt) <a href=\"https://twitter.com/photomatt/status/895506034533453825\">August 10, 2017</a></p></blockquote>\n<p></p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">seconded with the power of 1000 suns</p>\n<p>&mdash; joe guilmette <img src=\"https://s.w.org/images/core/emoji/2.3/72x72/1f1f9-1f1ed.png\" alt=\"??\" class=\"wp-smiley\" /> (@travlbum) <a href=\"https://twitter.com/travlbum/status/895539950933782528\">August 10, 2017</a></p></blockquote>\n<p></p>\n<p><a href=\"https://mor10.com/the-case-for-wordpress-telemetry/\" target=\"_blank\">WordPress Telemetry proposal</a> author Morten Rand-Hendriksen joined in the discussion with another <a href=\"https://twitter.com/mor10/status/895299336375902209\" target=\"_blank\">tweetstorm</a>:</p>\n<blockquote><p>WordPress needs a core method for collecting quantitative user data through telemetry (metrics). One of the biggest challenges WordPress faces is the lack of reliable data about global day-to-day use. Like most Open Source projects, WordPress has relied on community feedback as its primary data source, which is fine for a small project. The problem is WordPress is a Very Big Project with global reach and the majority of its users never interface with the community. </p>\n<p>I like to say we, the people who talk about, provide feedback for, and design/develop WordPress are the 1%. It might be more like 0.1%. Making decisions based on the traditional community feedback model is making decisions without knowing anything about the majority of users. Some will argue this is fine, that WordPress is developed by those who show up. That&#8217;s not a workable or responsible model for a project. We, the people who build WordPress, have a duty of care to the people we build it for. And those people are not us. &#8216;We can just do user testing,&#8217; you say? Sure. Let&#8217;s do proper qualitative user testing. That requires staffing, funding, and infrastructure. User testing for a project like WordPress is non-trivial. It requires professional analysis.</p></blockquote>\n<p>Rand-Hendriksen&#8217;s tweetstorm continued with a summary of his telemetry proposal which would be opt-in based on a plugin prompted from core. The plugin would anonymize all collected data and allow for targeted data collection based on research needs. He proposes that the data be stored on servers owned by the community, separate from corporate interests, so the data can be shared openly to ensure transparency. The <a href=\"https://core.trac.wordpress.org/ticket/38418\" target=\"_blank\">ticket</a> for this feature request is currently closed.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">This discussion belongs in Trac in an open ticket. Closing it down because one person disagrees is not the Open Source way.</p>\n<p>&mdash; MortenRandHendriksen (@mor10) <a href=\"https://twitter.com/mor10/status/895307240122368001\">August 9, 2017</a></p></blockquote>\n<p></p>\n<p>&#8220;There’s a ton going on, and it’s far more important than built-in big brother centralized tracking,&#8221; Mullenweg <a href=\"https://twitter.com/photomatt/status/895678580935491588\" target=\"_blank\">said</a> in response to Rand-Hendriksen&#8217;s tweetstorm. &#8220;Do it as a plugin or with a host and show it informs a decision that we wouldn’t have taken otherwise. And remember that past usage is not a good predictor of future success, or what the world needs. We need to build iPhones not Blackberries.&#8221;</p>\n<p>During the <a href=\"https://wptavern.com/state-of-the-word-2016-mullenweg-pushes-calypso-as-future-of-wordpress-interface-proposes-major-changes-to-release-cycle\" target=\"_blank\">2016 State of the Word</a> address, Mullenweg proposed a new structure for core releases in 2017 where he would be putting on the &#8216;product lead&#8217; hat and have design and user testing lead the way. As feature requests have popped up outside of the three core focus areas, Mullenweg has had to systematically shut them down or put them on hold for later in order to keep Gutenberg on track.</p>\n<p>However, it&#8217;s not surprising that the engineers leading the Gutenberg project, most of whom are employed by Automattic, wouldn&#8217;t think twice about adding user tracking. The company has <a href=\"https://data.blog/\" target=\"_blank\">a blog entirely devoted to data</a> where its data scientists write about the data pipelines they have built to help the company create a sustainable business. Historically, Automattic has strongly embraced using data in making decisions, which is why Calypso has event tracking built into it. Mullenweg is taking a different product leadership approach with the open source WordPress project.</p>\n<p>&#8220;For people unhappy with our direction, no amount of data will change their minds,&#8221; Mullenweg said in response to critics on Twitter. &#8220;The results will tell. I’m happy to stand by them the past 14 years, and believe the next 14 will validate our approach.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2017 02:08:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"WPTavern: WooCommerce Forks select2, Releases selectWoo as a Drop-In Replacement with Improved Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73999\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://wptavern.com/woocommerce-forks-select2-releases-selectwoo-as-a-drop-in-replacement-with-improved-accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4160:\"<p>The WooCommerce development team has <a href=\"https://woocommerce.wordpress.com/2017/08/08/selectwoo-an-accessible-replacement-for-select2/\" target=\"_blank\">forked select2</a> to create a more accessible, drop-in replacement library called selectWoo. <a href=\"https://select2.github.io/\" target=\"_blank\">select2</a> is a widely used jQuery-based library for making custom drop down menus. Many users are wondering if the project has been abandoned, because the repository hasn&#8217;t seen any activity since February and 115 pull requests have piled up.</p>\n<p>In the interest of fixing some long-standing accessibility issues with the library, WooCommerce opted to fork it and has merged in some of the PRs that were submitted to the original project. SelectWoo is backwards-compatible and can be used the same way as select2 by simply replacing the select2.js file. It has been optimized for WordPress plugin development and can optionally be initialized with .selectWoo() in order to run alongside other versions of select2 that may be used by other plugins on the site.</p>\n<p>SelectWoo makes many improvements for those who are using screen readers, but it needs more accessibility testing. <a href=\"https://github.com/woocommerce/selectWoo/releases/tag/woo-1.0.0-beta.1\" target=\"_blank\">Beta 1</a> is availabe on GitHub. The WooCommerce team has even created a <a href=\"https://woocommerce.github.io/selectWoo/accessibility-testing/\" target=\"_blank\">testing page</a> with different example pages so those using screen-reading software can easily test for bugs.</p>\n<p>Forking is usually a last resort scenario for extending popular open source libraries, but the WooCommerce team wanted the flexibility of improving the project on their own timeline. One concerned developer asked the team what will happen in the future if select2 gets back on track and why they didn&#8217;t just submit pull requests to the select2 repository.</p>\n<p>&#8220;With a fork we can at least get things merged in to meet our own schedule, rather than waiting/relying on others or running custom versions,&#8221; WooCommerce lead developer Mike Jolley said. &#8220;There are other benefits, too, such as allowing our version to be namespaced to avoid conflicts in WP admin. The fork is public. Our changes can be merged back, when/if the project picks up again.&#8221;</p>\n<p>Both WordPress and Drupal core contributors have been working to <a href=\"https://github.com/select2/select2/issues/3744\" target=\"_blank\">address accessibility issues in select2</a> since 2015 when the WP Accessibility Team <a href=\"https://make.wordpress.org/accessibility/2015/09/07/accessibility-usertest-select2/\" target=\"_blank\">performed extensive testing on the library</a> to see if it was fit for use in core. Some initial planning work happened but work on these issues stalled out as select2&#8217;s maintainers became unavailable.</p>\n<p>&#8220;I&#8217;d do it with PRs if I thought they would get merged in, but I doubt they will,&#8221; WooCommerce developer Claudiu Lodromanean <a href=\"https://github.com/select2/select2/issues/3744#issuecomment-320464534\" target=\"_blank\">said</a>. &#8220;There&#8217;s been no action in this repo in about six months and the fork contains some PRs that have been waiting to get merged here for a very long time.&#8221;</p>\n<p>Forking a project can needlessly fragment its contributors by causing them to have to choose one or the other, especially as the projects diverge down the line. Motivated contributors may submit multiple PRs across both projects for improvements but most will simply contribute back to the project they use. Select2&#8217;s maintainers have not published any news about why the project has gone dormant.</p>\n<p>&#8220;There are <a href=\"https://github.com/select2/select2/pulls\" target=\"_blank\">over 100 PRs in the select2 repo</a> unmerged,&#8221; Jolley said in response to commenters asking about the necessity of the fork. &#8220;Some of these we actually need, so with the fork we’re free to merge these as needed. The accessibility issues are hurting users today, so we cannot really afford to wait.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2017 03:54:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: WPWeekly Episode 284 – Catching Up with David Peralty\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=74024&preview=true&preview_id=74024\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wptavern.com/wpweekly-episode-284-catching-up-with-david-peralty\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2867:\"<p>In this episode, <a href=\"https://jjj.blog/\">John James Jacoby</a> and I are joined by <a href=\"https://peralty.com/\">David Peralty</a>. Peralty is a prolific writer with more than 30K articles published online for various media outlets. He also co-hosted WordPress Weekly episodes 41-75 in 2009.</p>\n<p>We discuss the rise and evolution of blog networks over the years, the current state of WordPress development, and what he thinks of Gutenberg.</p>\n<p>We have a great conversation about working remotely and how working in an office with great people focused on the same goal can be an energizing experience. Later in the show, Jacoby and I discuss the news of the week, including the idea of opt-in usage data tracking in WordPress.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wptavern.com/publishers-are-moving-back-to-wordpress-after-short-experiments-with-medium\">Publishers Are Moving Back to WordPress After Short Experiments with Medium</a><br />\n<a href=\"https://wptavern.com/trademark-trial-and-appeal-board-dismisses-automattics-trademark-dispute-against-chris-pearson\">Trademark Trial and Appeal Board Dismisses Automattic’s Trademark Dispute Against Chris Pearson</a><br />\n<a href=\"https://wptavern.com/gutenberg-0-7-0-adds-opt-in-usage-tracking\">Gutenberg 0.7.0 Adds Opt-In Usage Tracking</a><br />\n<a href=\"https://wptavern.com/gutenberg-development-team-confirms-meta-box-api-will-not-be-formally-deprecated\">Gutenberg Development Team Confirms Meta Box API Will Not be Formally Deprecated</a><br />\n<a href=\"https://wptavern.com/wordpress-core-fields-api-project-sees-renewed-interest\">WordPress Core Fields API Project Sees Renewed Interest</a></p>\n<h2>Picks of the Week:</h2>\n<p>Comment moderation is not the same as censorship, or is it?</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://halfelf.org/2013/censorship-in-moderation/\">Censorship in Moderation</a></p></blockquote>\n<p></p>\n<p><a href=\"https://github.com/rmccue/not-trac\">Not Trac</a> by Ryan McCue, connects to WordPress.org&#8217;s Trac instance via XML-RPC. Before using, please read McCue&#8217;s warnings about usernames and passwords.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, August 16th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #284:</strong><br />\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2017 00:43:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: WordPress Foundation to Sponsor Open Source Educational Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73970\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wptavern.com/wordpress-foundation-to-sponsor-open-source-educational-events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3313:\"<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2015/06/open-source.jpg?ssl=1\"><img /></a>photo credit: <a href=\"http://www.flickr.com/photos/79777096@N00/6866996865\">16th st</a> &#8211; <a href=\"https://creativecommons.org/licenses/by-nd/2.0/\">(license)</a>\n<p>The WordPress Foundation is <a href=\"http://wordpressfoundation.org/2017/call-for-organizers-introduction-to-open-source/\" target=\"_blank\">sponsoring a new series of workshops and training events</a> that will introduce people to WordPress and related open source software. The program targets communities in Latin and South America, Africa, Oceania, and Asia.</p>\n<p>&#8220;Specifically, we want to shine more light on the potential of open source software in countries where there is less participation in OSS projects,&#8221; WordPress Community Team leader Andrea Middleton said. &#8220;To help spread the word about the potential that open source has to offer, we’d like to provide financial support for two educational events this year, to be organized in parts of the world with less participation in open source.&#8221;</p>\n<p>After the success of the <a href=\"https://wptavern.com/wordcamp-incubator-program-to-launch-in-indonesia-zimbabwe-and-columbia\" target=\"_blank\">WordCamp Incubator Program</a>, which brought three new camps to Indonesia, Zimbabwe, and Colombia, there is some evidence that initiatives to bring WordPress to other parts of the world can have valuable returns. <a href=\"https://wptavern.com/harare-zimbabwe-to-host-its-2nd-wordcamp-november-4-2017\" target=\"_blank\">Harare is hosting its second WordCamp</a> in November and the local meetup group has nearly doubled over the past year. The other camps had similarly successful events and growth in meetup numbers.</p>\n<p>WordCamp Harare organizer Thabo Tswana said that one of the biggest impacts that the first WordCamp had was to introduce local attendees to the WordPress community. WordPress software is well-known across the world but many do not know that there is a strong community behind the project that they can connect with.</p>\n<p>The WordPress Foundation is looking for organizers to host &#8220;Introduction to Open Source&#8221; events that will be structured as two-hour workshops using <a href=\"https://make.wordpress.org/training/handbook/user-lessons/what-is-open-source/\" target=\"_blank\">training</a> <a href=\"https://make.wordpress.org/training/handbook/user-lessons/what-can-you-do-with-wordpress/\" target=\"_blank\">materials</a> available in the WordPress handbook. The goal is to introduce attendees to the world of open source software, the GPL license, and how it is important for WordPress as an open source project.</p>\n<p>The Foundation is subsidizing the events (up to $500) so they will be free for anyone to attend. A <a href=\"http://wordcampcentral.polldaddy.com/s/open-source-training-organizer-application\" target=\"_blank\">10-question application</a> is open for those who want to organize an event in 2017. The call for organizers says that preference will be given to organizers who are already members of a group that is part of WordPress&#8217; meetup chapter program and areas where no WordCamp has previously been organized. Applications close August 21 and successful applicants will be notified by September 8.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2017 19:19:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"Post Status: Publish Conference, in pictures\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=38424\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://poststatus.com/publish-conference-pictures/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:34326:\"<p>Pictures from <a href=\"https://poststatus.com/publish\">Post Status Publish</a> were almost all taken by <a href=\"https://poststatus.com/people/brian-richards/\">Brian Richards</a>, unless they are pictures of Brian Richards. I took those.</p>\n<p>We had a great time learning and networking in Atlanta, and here&#8217;s a snippet of our time together. The event consisted of two full days of talks from some pretty amazing speakers.</p>\n<p>Special thanks to <a href=\"https://www.liquidweb.com/managedwordpress/?utm_source=post_status&utm_medium=banner&utm_campaign=ps_ads\">Liquid Web</a> for being our platinum sponsor, and to <a href=\"https://jetpack.com/?utm_source=post_status&utm_medium=banner&utm_campaign=ps_ads\">Jetpack</a>, <a href=\"https://pantheon.io/?utm_source=post_status&utm_medium=banner&utm_campaign=ps_ads\">Pantheon</a>, and <a href=\"https://www.siteground.com/wordpress-hosting.htm/?utm_source=post_status&utm_medium=banner&utm_campaign=ps_ads\">SiteGround</a> for being gold sponsors. Without them, and our wonderful attendees of course, none of this would be possible.</p>\n<p>Video is being processed and will be available to all attendees, and we&#8217;re working out how exactly to make them available for other folks who may want to see the sessions.</p>\n\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-4/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-4-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-2/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-2-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-1/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-1-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-3/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-3-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-5/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-5-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-6/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-6-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-7/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-7-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-8/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-8-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-9/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-9-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-10/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-10-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-11/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-11-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-12/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-12-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-13/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-13-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-14/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-14-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-15/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-15-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-16/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-16-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-17/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-17-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-18/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-18-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-19/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-19-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-20/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-20-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-21/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-21-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-22/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-22-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-23/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-23-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-24/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-24-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-25/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-25-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-26/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-26-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-27/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-27-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-28/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-28-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-29/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-29-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-30/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-30-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-31/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-31-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-32/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-32-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-33/\"><img width=\"100\" height=\"150\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-33-100x150.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-34/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-34-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-35/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-35-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-36/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-36-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-37/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-37-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-38/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-38-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-39/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-39-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-40/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-40-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-41/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-41-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-42/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-42-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-43/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-43-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-44/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-44-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-45/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-45-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-46/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-46-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-47/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-47-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-48/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-48-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-49/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-49-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-50/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-50-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-51/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-51-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-52/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-52-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-53/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-53-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-54/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-54-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-55/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-55-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-56/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-56-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-57/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-57-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-58/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-58-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-59/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-59-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-60/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-60-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-61/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-61-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-62/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-62-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-63/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-63-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-64/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-64-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-65/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-65-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-66/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-66-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-68/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-68-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-67/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-67-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-69/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-69-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-70/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-70-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-71/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-71-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-72/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-72-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-73/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-73-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-74/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-74-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-75/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-75-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-76/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-76-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-77/\"><img width=\"100\" height=\"150\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-77-100x150.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-78/\"><img width=\"100\" height=\"150\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-78-100x150.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-79/\"><img width=\"100\" height=\"150\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-79-100x150.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-80/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-80-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-81/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-81-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-82/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-82-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-83/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-83-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-84/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-84-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-85/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-85-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-86/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-86-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-87/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-87-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-88/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-88-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-89/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-89-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-90/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-90-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-91/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-91-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-92/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-92-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-93/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-93-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-94/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-94-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-95/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-95-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-96/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-96-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-97/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-97-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-98/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-98-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-99/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-99-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-100/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-100-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-101/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-101-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-102/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-102-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-103/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-103-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-104/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-104-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-105/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-105-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-106/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-106-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-107/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-107-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\n<a href=\"https://poststatus.com/publish-conference-pictures/publish-conference-atlanta-post-status-108/\"><img width=\"150\" height=\"100\" src=\"https://cdn.poststatus.com/wp-content/uploads/2017/08/publish-conference-atlanta-post-status-108-150x100.jpg\" class=\"attachment-thumbnail size-thumbnail\" alt=\"\" /></a>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2017 18:39:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"HeroPress: WordPress Ate My Life—In a Good Way\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=2016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"https://heropress.com/essays/wordpress-ate-life-good-way/#utm_source=rss&utm_medium=rss&utm_campaign=wordpress-ate-life-good-way\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11502:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/080917-min-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Thanks to the WordPress meetup, I found focus, fun, friends, and what passes for fame.\" /><p>I did not spend my childhood wanting to grow up to be a WordPress consultant. Given that I was born in 1967, long before the World Wide Web even existed, I would have had to be clairvoyant to aspire to any kind of web development. I was intrigued by computers when I first encountered the TRS-80 at the age of 12, but other than learning a few lines of BASIC, I didn’t pursue programming.</p>\n<p>Parenthetically, I don’t think it was because girls weren’t encouraged to become programmers. This was even before the days of the Control Data Institute commercials on TV. Programming as a career for anyone at all was not in the minds of the general public, at least not in Ohio. And although I thought computers were cool (being a science fiction fan and all), I didn’t have any clear sense of what you could do with them. I never made the mental connection between writing a 10-line program in BASIC and eventually creating something like a video game or a word-processing program.</p>\n<p>During my freshman year in college, I fell into the Classics Vortex, and ended up going to graduate school to study Greek and Latin drama. I expected to get my degree and a university teaching job.</p>\n<blockquote><p>I spoke at a few conferences and published a few papers. And I discovered the World Wide Web.</p></blockquote>\n<p>I’d gotten online in 1985, also in my freshman year at Brown. We were on BITNET and someone in the computer center showed me how to get onto Relay when I was down their using the mainframe to write essays with. (Fly, sledgehammer, boom.) The Internet came into being about the time I got to graduate school in 1989, and someone showed me the Web in 1994. It blew me away, because a visual medium of communication is vastly superior to a text-based medium when you’re talking about theatrical productions.</p>\n<p>By the end of 1994 I’d moved to England and created my first web page. (We didn’t have websites in those days, just ‘pages.’ Even if there were lots of pages. And wow, I just wrote that in inverted commas rather than quotation marks, as if my brain shifted itself back to Britain just thinking about it.)</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/DIDASKALIA-1998-min.png\"><img class=\"size-large wp-image-2017\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/DIDASKALIA-1998-min-1024x506.png\" alt=\"Sallie’s first website, Didaskalia, as it was in 1998\" width=\"960\" height=\"474\" /></a>Sallie’s first website, Didaskalia, as it was in 1998\n<p>So you’d think that maybe, from there, I would have gotten into a career in web development whether or not WordPress had ever existed, but that wasn’t what actually happened.</p>\n<h3>When Your Body Isn&#8217;t Your Friend</h3>\n<p>While I was still in graduate school, I developed a debilitating chronic illness that prevented me from finishing my PhD due to a combination of physical and cognitive problems, and although I started to get better at first, by the end of 1998, when I had to return to the US, my condition had worsened to the point where I wasn’t sure I’d ever be able to work. I spent about 18 months just going to doctors and therapists and support groups. When I did start working, it was as a caregiver, doing extremely simple tasks, because my confidence in my ability to do knowledge work of any kind was so badly damaged.</p>\n<p>I eventually started doing more kinds of things to earn money: clerical work, basic tech support, writing. Somewhere in there, I helped a couple of people with their websites, even though I’d missed a whole lot of the evolution of the Web. (I’m not at all sorry to have skipped Flash.) I was feeling considerably better thanks to new medication, and easing my way toward being self-supporting, but at the time I discovered WordPress in 2005, I was suffering from a bad case of Multiple Business Personality Disorder. I had a number of useful skills, but no clear focus or unifying principle.</p>\n<p>I had started my first blog on Blogger in January 2005, but within a few months I found myself hanging out with a lot of podcasters, and almost all of them used WordPress because the PodPress plugin (RIP) made it so easy to publish feeds with enclosures. I started to explore WordPress further, and within a few years had migrated my blog from Blogger because they stopped allowing you to self-host your blog. WordPress had meanwhile introduced pages, making it possible to build an entire website rather than having an HTML website and a WordPress blog.</p>\n<h3>Finding Community</h3>\n<p>But WordPress would probably have remained a sideline if I hadn’t started going to WordPress meetups. I was at a podcasting meetup in San Francisco in late 2008 when someone mentioned a WordPress meetup in SF. I went to a meeting (I think in January 2009) and someone THERE mentioned that there was a WordPress meetup starting in the East Bay, closer to where I lived. I went to that meeting in February 2009…and the rest is history.</p>\n<blockquote><p>It wasn’t that the first meetup was such an amazing experience. The organizer was new at running a meetup and we were all strangers to each other. But somehow talking about our shared interest in WordPress just made us more interested.</p></blockquote>\n<p>I’ve always been a service junkie, and I’d been involved with other networking groups for years, so it wasn’t long before I found myself co-organizer, helping to plan and run the meetup and welcoming new members as they joined. Through the meetup, I started to learn more about the WordPress community and open source software. A group of us went to WordCamp SF 2009.</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/WordCampSF-2010-min.jpg\"><img class=\"size-full wp-image-2019\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/WordCampSF-2010-min.jpg\" alt=\"East Bay WordPress Meetup members at WCSF 2010\" width=\"1776\" height=\"2336\" /></a>East Bay WordPress Meetup members at WCSF 2010\n<p>Because of the meetup, I made more and more connections in the wider WordPress community. Because of the meetup, I learned a lot more about WordPress than I would have on my own, in part because I often had to teach it. Because of the meetup, more WordPress-related work came to me. I started to learn more code, little bits and fragments at a time. WordPress drew me in deeper and deeper as time progressed. In 2012, I officially registered WP Fangirl, and since that time, almost all my income has come from WordPress work.</p>\n<h3>All the WordCamps</h3>\n<p>I went to all the San Francisco WordCamps between 2009 and 2014, after which WordCamp US was instituted. By the time the first WordCamp Sacramento was announced in 2015, all the meetup presentations I’d done gave me the confidence to submit a talk. It was accepted. I’ve since spoken at WCLAX 2016 and WCSAC 2016. I’m working on my presentation for WCSAC 2017. (I’d love to travel for more meetups, but it’s not in the budget.)</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/Sallie_Goetsch-min.jpg\"><img class=\"size-full wp-image-2021\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/08/Sallie_Goetsch-min.jpg\" alt=\"Speaking at WordCamp LAX 2016\" width=\"1920\" height=\"1086\" /></a>Speaking at WordCamp LAX 2016\n<p>The experience I had with the Meetup made me want to connect more and more with other WordPress people, and to help out where I could. As I said, I’m a service junkie, so I readily embraced the idea of giving back to the community. I’m not a good enough developer (yet, anyway) to be a core contributor, but there are lots of ways to contribute. The main one, in my case, is organizing the meetup, though it took me until 2016 to join the official WordPress Community meetup program.</p>\n<p>I was also very active in the main WordPress LinkedIn group for several years, which led to O’Reilly hiring me as the technical reviewer for WordPress: The Missing Manual. (It may also have contributed to the gig I had in 2011 making WordPress videos for Peachpit Press and the one in 2012 and 2013 teaching WordPress for Mediabistro.)</p>\n<p>I started listening to WordPress podcasts in about 2006, though WP Weekly is the only one of those early shows that’s still around. There are tons of new WP podcasts now, more than I can keep up with. I got invited to participate in one, the WP-Tonic panel, starting in 2015. You can hear me being mouthy and opinionated there almost every week. I follow WordPress people on Twitter, belong to WordPress Slack teams, and have been known to dream about WordPress.</p>\n<p>Thanks to the WordPress meetup, I found focus, fun, friends, and what passes for fame. I’m still working on fortune, but I can tell you that the secret to the many great referrals I’ve gotten from my extensive network of WordPress connections is this: don’t go into it looking for what you can get. Just concentrate on what you can give, and never stop learning.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: WordPress Ate My Life—In a Good Way\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=WordPress%20Ate%20My%20Life%E2%80%94In%20a%20Good%20Way&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fwordpress-ate-life-good-way%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: WordPress Ate My Life—In a Good Way\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fwordpress-ate-life-good-way%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fwordpress-ate-life-good-way%2F&title=WordPress+Ate+My+Life%E2%80%94In+a+Good+Way\" rel=\"nofollow\" target=\"_blank\" title=\"Share: WordPress Ate My Life—In a Good Way\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/wordpress-ate-life-good-way/&media=https://heropress.com/wp-content/uploads/2017/08/080917-min-150x150.jpg&description=WordPress Ate My Life—In a Good Way\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: WordPress Ate My Life—In a Good Way\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/wordpress-ate-life-good-way/\" title=\"WordPress Ate My Life—In a Good Way\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/wordpress-ate-life-good-way/\">WordPress Ate My Life—In a Good Way</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2017 12:00:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Sallie Goetsch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"Post Status: Live from Publish: Challenges facing the WordPress Economy — Draft podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=38415\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://poststatus.com/live-publish-challenges-facing-wordpress-economy-draft-podcast/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1719:\"<p>Welcome to the Post Status <a href=\"https://poststatus.com/category/draft\">Draft podcast</a>, which you can find <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\">on iTunes</a>, <a href=\"https://play.google.com/music/m/Ih5egfxskgcec4qadr3f4zfpzzm?t=Post_Status__Draft_WordPress_Podcast\">Google Play</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\">Stitcher</a>, and <a href=\"http://simplecast.fm/podcasts/1061/rss\">via RSS</a> for your favorite podcatcher. Post Status Draft is hosted by Joe Hoyle &#8212; the CTO of Human Made &#8212; and Brian Krogsgard.</p>\n<p>In this episode, Brian and Joe are live at Post Status Publish and answer questions from the conference audience. They are asked about mistakes they think the WordPress product ecosystem is making, the challenges of working remotely, and many more existential questions.</p>\n<!--[if lt IE 9]><script>document.createElement(\'audio\');</script><![endif]-->\n<a href=\"https://audio.simplecast.com/0550d90d.mp3\">https://audio.simplecast.com/0550d90d.mp3</a>\n<p><a href=\"https://audio.simplecast.com/0550d90d.mp3\">Direct Download</a></p>\n<p>Publish was a lot of fun, and we’ll have more audio, video, and pictures available over the coming weeks.</p>\n<h3>Sponsor: Liquid Web</h3>\n<p><span><a href=\"https://www.liquidweb.com/managedwordpress/?utm_source=post_status&utm_medium=banner&utm_campaign=ps_ads\">Liquid Web</a> was the platinum sponsor of the Publish podcast, and therefore this episode of the podcast as well. If you haven’t tried Liquid Web’s Managed WordPress product, it’s time. They are doing awesome work in this space for mission critical sites.</span></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2017 00:29:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Katie Richards\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: WordPress Core Fields API Project Sees Renewed Interest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73965\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://wptavern.com/wordpress-core-fields-api-project-sees-renewed-interest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5551:\"<p>As work continues at a feverish pace <a href=\"https://make.wordpress.org/core/2017/08/08/discovering-gutenberg-and-next-steps/\">on Gutenberg</a>, many developers throughout the community are <a href=\"https://github.com/WordPress/gutenberg/issues/952\">engaging in discussions</a> on how <a href=\"https://wptavern.com/gutenberg-development-team-confirms-meta-box-api-will-not-be-formally-deprecated\">meta boxes will be handled</a> in the new editor. The team is <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320644682\">considering various solutions</a> and <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320638392\">some </a>have <a href=\"https://twitter.com/scottkclark/status/894488147966517248\">suggested</a> that a Fields API in core would have made the future of meta boxes less of an issue.</p>\n<p>I reached out to <a href=\"https://www.scottkclark.com/\">Scott Kingsley Clark</a>, lead developer of the <a title=\"Pods Framework for WordPress\" href=\"http://pods.io/\" target=\"_blank\" rel=\"noopener\">Pods Framework</a> and one of the main contributors to the <a href=\"https://make.wordpress.org/core/tag/fields-api/\">Fields API project</a>. Clark explains what the Fields API is, its current status, its relationship to the meta box discussions, and how to contribute.</p>\n<p><strong>For those who don&#8217;t know, what is the Fields API project? How would it impact users?</strong></p>\n<p>It’s a <a href=\"https://github.com/sc0ttkclark/wordpress-fields-api\">feature proposal</a> for WordPress core to allow registering fields to different screens in the admin area through a single API. For posts, this would add new meta boxes and fields within them. For users, it would add new sections and fields to the profile screen. The goal is to integrate with all of the different admin screens including, Posts, Terms, Users, Media, and Comments.</p>\n<p>Typical users would notice that the fields added by plugins they are using all have a similar look and feel. That’s really an oversimplification of what’s going on behind the scenes, but it’s one of the big benefits as well, since it shouldn’t really affect end-users beyond improving consistency of different screens and potential redesigns.</p>\n<p><strong>What has caused progress on the project to slow down?</strong></p>\n<p>I was out-of-town for a all-hands company meetup, lead organized WordCamp Dallas-Fort Worth 2016, and ran PodsCamp 2016 in Austin, TX, all in the span of about a month and a half. It was intense, but somehow last summer I thought I could manage moving too.</p>\n<p>We were in the process of showing our house, almost all of the time, so that we could sell it. The buying process was full of thorns, with a move that was pretty fun. I also started a new job at Modern Tribe in February, 2017.</p>\n<p>In retrospect, yes that was way too much but the challenge was met and the only thing that suffered was the Fields API project, which was no easy feat. It’s unfortunate, but I’m glad to be getting back into things again this month.</p>\n<p><strong>Are new contributors showing a renewed interest in the project?</strong></p>\n<p>Yes. We recently had a few people become interested in helping. When I’ve got help, I’m 300% more productive. It’s much easier to bounce ideas off of others with shared experience than it is going alone.</p>\n<p><strong>How does the API relate to how meta boxes could be handled in Gutenberg? If the API were in core, how would it influence the discussion?</strong></p>\n<p>Here’s where the irony sets in. If we were successful in getting a Fields API into WordPress before Gutenberg was a thing, the ability for Gutenberg to revamp as much as it has planned to revamp in the post editor, would not be as hindered as it is now.</p>\n<p>The biggest problem I see facing Gutenberg is reining in the scope that covers meta boxes. They need to get things working for meta boxes that are already being registered and used by plugin developers.</p>\n<p>If Fields API were a part of WordPress, they would still need to keep backwards compatibility but I could easily add a meta box with my fields into the proposed Gutenberg meta boxes (still in discussion) with just a few lines of code. Plus, my fields and meta boxes registered using the Fields API would work just fine on pre-Gutenberg sites.</p>\n<p>Another parallel here would be the User edit screen, which has had <a href=\"https://make.wordpress.org/core/2015/08/03/fields-api-request-for-review-of-direction/\">much discussion</a> about revamping the way it looks. It’s very difficult to revamp it and give it consistency without a Fields API already in place. It&#8217;s not impossible, but many problems come to the surface during any approach to &#8216;React-ify&#8217; it, utilize meta boxes, or whatever it would use.</p>\n<p><strong>How can people get involved/contribute to the Fields API project?</strong></p>\n<p>I’m very excited to have others interested in moving the project along. I’m eager to gain more interest. They can join us in <a href=\"https://wordpress.slack.com/messages/C04MWK7PZ/\">#core-fields</a> on <a href=\"https://wordpress.slack.com/\">WordPress Slack</a> if anyone is interested. They can also follow the <a href=\"https://github.com/sc0ttkclark/wordpress-fields-api\">project on GitHub</a> where pull requests are welcomed.</p>\n<p>Clark also says that the GitHub repository will be revamped soon to provide more focus on making the project a feature-plugin first instead of a core proposal.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2017 21:47:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: Gutenberg Development Team Confirms Meta Box API Will Not be Formally Deprecated\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73939\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wptavern.com/gutenberg-development-team-confirms-meta-box-api-will-not-be-formally-deprecated\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8674:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2015/07/boxes.jpg?ssl=1\"><img /></a>photo credit: <a href=\"http://www.flickr.com/photos/25716750@N06/2527068003\">Doors Open Toronto 2008 &#8211; Toronto Archives</a> &#8211; <a href=\"https://creativecommons.org/licenses/by/2.0/\">(license)</a>\n<p>The discussion surrounding <a href=\"https://github.com/WordPress/gutenberg/issues/952\" target=\"_blank\">how Gutenberg will handle meta boxes</a> heated up over the weekend after a participant <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320230104\" target=\"_blank\">commented</a> on the GitHub issue with concern regarding meta box support being removed from the most recent milestone.</p>\n<p>&#8220;I see this vital issue has been removed from any milestone,&#8221; @steveangstrom said. &#8220;It has been de-prioritized again while bells and whistles for blog editing get lots of work and are added to betas. This is very worrying for the future of WordPress as a CMS.&#8221;</p>\n<p>James Nylen, one of the lead developers on the project, reassured followers of the topic that the Gutenberg team has not forgotten about the issue but rather that it is &#8220;an extremely complicated issue that we are only beginning to look into, along with many, many other priorities for getting the editor working well.&#8221; He also <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320523428\" target=\"_blank\">asked</a> for help from the community in planning and testing implementations for supporting meta boxes.</p>\n<p>This response left many things unclear. Participants in the discussion, many of whom are developers concerned about about the prospect of having to rewrite all of their meta boxes as React components, are wondering why meta boxes cannot work alongside the new Gutenberg editor and why the team chose to include meta boxes in the scope of the project.</p>\n<p>&#8220;Is it possible to replace the existing TinyMCE post editor with Gutenberg while leaving the rest of the interface, including meta boxes and existing hooks, unchanged?&#8221; Kevin Hoffman asked. When Nylen clarified that Gutenberg, as written today, is intended to be a <code>post_content</code> editor, Hoffman summarized the concerns that many developers have expressed:</p>\n<blockquote><p>If Gutenberg is truly intended to be a <code>post_content</code> editor, then meta boxes should be left alone as they are not concerned with <code>post_content</code>.</p>\n<p>Furthermore the need for an API to translate PHP meta boxes into React meta boxes is a manufactured problem. It does not have to be a problem, but it has become a problem because somewhere along the line it was decided that rewriting the <code>post_content</code> editor should also completely change how meta boxes work.</p>\n<p>You&#8217;ve outlined the tremendous challenge of writing such an API in <a href=\"https://github.com/WordPress/gutenberg/pull/2251\" target=\"_blank\">#2251</a>. Translating PHP meta boxes into React for a popular custom fields solution like ACF is challenging enough, let alone trying to do so for every meta box implementation that exists today, popular or not. It does not scale.</p></blockquote>\n<p>As the Gutenberg contributors shared that they have only just begun to look into the meta box issue, it&#8217;s now clear why there is no roadmap for how the project will handle &#8220;legacy&#8221; PHP meta boxes. In July, Nylen said, &#8220;If I had to guess where we will end up here: current metaboxes will be moved to a &#8220;legacy&#8221; area and we will provide APIs, documentation, and examples for registering &#8216;new-style&#8217; metabox-block-thingies.&#8221;</p>\n<p>Plugin developers who manage meta box libraries, agencies, and other concerned parties are following the ticket to find out how to plan for the WordPress 5.0, which has been targeted as the Gutenberg release. Andrey Savchenko <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320574699\" target=\"_blank\">asked</a> if WordPress plans to formally deprecate the meta box API, which finally drew a clear answer from the team. Matias Ventura <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320644682\" target=\"_blank\">responded</a>:</p>\n<blockquote><p><strong>&#8220;Does WordPress intend to formally deprecate Metabox API?&#8221;</strong><br />\nNo.</p>\n<p>The question that is not fully answered yet is how do meta-boxes work in the context of the Gutenberg editor. Should they remain the same or evolve? How can we move towards the design goals with the least amount of disruption possible?</p>\n<p>This issue has been lingering not due to a lack of desire, but lack of resources. The primary focus for this project is to offer a rich content editing interface that optimizes for direct manipulation of user content through the notion of blocks. (Having used meta-boxes extensively for various projects, I believe blocks can offer a better step forwards for many of those needs while providing a better user experience.)&#8221;</p></blockquote>\n<p>Ventura listed several options the team has considered for handling meta boxes and requested help from the community to build the best solution:</p>\n<ul>\n<li>If we detect a meta-box is registered we can fallback to the old interface, nothing changes.</li>\n<li>We could split editing the content and modifying meta information into two screens or stages.</li>\n<li>We can try to see how feasible it is to render these as they are (PHP) below the content: <a href=\"https://github.com/WordPress/gutenberg/pull/2251\" target=\"_blank\">#2251</a>.</li>\n<li>A theme/plugin/CPT could unregister the new interface as needed.</li>\n<li>Various items that relied on meta boxes could be converted to blocks for UI (still storing data separately).</li>\n<li>We could implement API based meta boxes extensibility like the Fields API.</li>\n</ul>\n<p>When pressed to answer the question of why meta boxes are being included in the context of the new editor, Gutenberg design lead Joen Asmussen clarified how the team decided to include meta boxes in the scope of the project:</p>\n<blockquote><p>Gutenberg did start just with the editor box. The kickoff goal was to unify multiple disparate interfaces under a single unified block interface. It quickly become apparent that in order for us to create a compelling experience revolving around this unified block interface, we had to consider the full writing flow, including settings and publishing.</p>\n<p>If the key strength of WordPress is to make it easy for anyone to create rich posts, then we can&#8217;t just design for those of us who already know how to use the editor. We have to consider users who&#8217;ve never used WordPress before, and what they expect in a modern publishing interface. Otherwise we&#8217;d just be adding cognitive load to an already heavy interface.</p></blockquote>\n<p>The question of how meta boxes will fit into the context of the Gutenberg editor is still open. Participants in the discussion are eager to have this question answered for the sake of backwards compatibility and also because it affects ongoing decisions regarding Gutenberg development and screen design.</p>\n<p>&#8220;I completely get how much work has been done towards the &#8216;screen&#8217; replacement approach,&#8221; Xavi Ivars <a href=\"https://github.com/WordPress/gutenberg/issues/952#issuecomment-320771891\" target=\"_blank\">commented</a> on the issue. &#8220;But shouldn&#8217;t a project that started with the goal of a &#8216;post content editor&#8217; replacement, have gone back to the community before deciding unilaterally that it would replace the whole editor screen?&#8221;</p>\n<p>The meta box API isn&#8217;t being deprecated but there&#8217;s also no clear path forward for how Gutenberg will support &#8220;legacy&#8221; PHP meta boxes. The Gutenberg team said the issue has not been solved due to lack of resources. The project needs community input and better communication if the team is going to land on a solution that will seamlessly usher the majority of WordPress sites into the Gutenberg era with the least amount of breakage.</p>\n<p>Currently, <a href=\"https://github.com/WordPress/gutenberg/pull/2251\" target=\"_blank\">the feasibility of rendering legacy PHP meta boxes below the content</a> is fraught with challenges and still up for debate. If there isn&#8217;t enough time or client resources for developers to rewrite their work into JS-driven meta boxes, then a clear path for opting out of the Gutenberg interface may be necessary for sites that need to preserve the legacy &#8220;PHP&#8221; meta boxes.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2017 19:54:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: Gutenberg 0.7.0 Adds Opt-In Usage Tracking\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73912\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/gutenberg-0-7-0-adds-opt-in-usage-tracking\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6286:\"<p><a href=\"https://make.wordpress.org/core/2017/08/04/whats-new-in-gutenberg-4th-august/\" target=\"_blank\">Gutenberg 0.7.0</a> was released just before the weekend with improvements to the writing flow and greater flexibility for theme authors to add their own customizations. Last week&#8217;s version 0.6.0 release made significant changes to the way paragraphs are created within text blocks, allowing for blocks to split when pressing enter. However, it inserted a &#8220;New Paragraph&#8221; placeholder that was distracting for users trying to stay in the flow of writing.</p>\n<p>Version 0.7.0 <a href=\"https://github.com/WordPress/gutenberg/pull/2161\" target=\"_blank\">hides placeholders on focus</a>, providing a cleaner experience of starting a new paragraph. After a user has already intuitively initiated a new paragraph by pressing enter, the &#8220;New Paragraph&#8221; placeholder holds little value. Removing the placeholder is a minor improvement that brings Gutenberg closer to providing a better experience for long-form writing.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/new-paragraph-gutenberg-0-7-0.png?ssl=1\"><img /></a></p>\n<p>This release also introduces <a href=\"https://github.com/WordPress/gutenberg/pull/2186\" target=\"_blank\">theme support for customized color palettes and a shared component</a>, such as cover text and button blocks. The sample code below shows how easy it would be for theme authors to implement their own color palettes.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/theme-support-color-palette.png?ssl=1\"><img /></a></p>\n<p>Gutenberg contributors have also added <a href=\"https://github.com/WordPress/gutenberg/pull/2021\" target=\"_blank\">theme support for wide images</a>. According to the inline docs, this allows for some blocks, such as the image block, to define a &#8220;wide&#8221; or &#8220;full&#8221; alignment by adding the corresponding classname to the block&#8217;s wrapper ( <code>alignwide</code> or <code>alignfull</code> ).</p>\n<p>These additions offer theme developers a better picture of where Gutenberg is headed in regards to themes. The plugin&#8217;s contributors are slowly building in more points of customization so that theme authors can add or override Gutenberg&#8217;s styles and provide additional opt-in features to their users.</p>\n<p>Theme support for wide images has already been committed to Tammie Lister&#8217;s experimental <a href=\"https://github.com/WordPress/gutenberg-theme\" target=\"_blank\">Gutenberg Theme</a>. The project was created to showcase how Gutenberg will interact with WordPress themes and is still a work in progress.</p>\n<h3>Gutenberg Adds Opt-In Data Collection</h3>\n<p>After updating the Gutenberg plugin to 0.7.0 and navigating to the editor, users are presented with the option to opt into data collection about their usage of the editor. The usage data, which is anonymous and does not include post content, is sent to WordPress.com for future analysis. Gutenberg contributor James Nylen explained how the data tracking works in a <a href=\"https://make.wordpress.org/core/2017/08/06/opt-in-usage-tracking-in-gutenberg/\" target=\"_blank\">post</a> on Make.WordPress.org.</p>\n<p>&#8220;The Gutenberg plugin contains a mechanism to count how often specific actions occur over time,&#8221; Nylen said. &#8220;If the user has previously clicked &#8216;Yes&#8217; on this screen, and an event occurs that has an associated <a href=\"https://github.com/WordPress/gutenberg/search?utf8=%E2%9C%93&q=bumpStat&type=\" target=\"_blank\">bumpStat call</a> in the Gutenberg code, then this event is sent to WordPress.com servers by loading a special &#8216;pixel&#8217; image.&#8221;</p>\n<p>Gutenberg&#8217;s tracking code stores the “group” and “name” sent with the bumpStat call (short strings of text), along with the time the event was recorded. Nylen said the team will use the data to improve the editor based on usage patterns. This data collection information is currently only available to those with access to WordPress.com servers.</p>\n<p>&#8220;As Gutenberg is an open-source community project, we view this data as belonging to the WordPress community, so we also plan to make this data available via a public dashboard,&#8221; Nylen said.</p>\n<p>He shared an example of the data that has been collected from the plugin over the past few days since 0.7.0 was released. This chart is a preview of the number and types of blocks that users have added to posts while testing the editor.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/gutenberg-add-block-total-e1502130689795.png?ssl=1\"><img /></a></p>\n<p>&#8220;The approach taken here is very similar to Calypso&#8217;s event tracking code,&#8221; Nylen said in the <a href=\"https://github.com/WordPress/gutenberg/pull/2140\" target=\"_blank\">pull request for adding the data collection</a>. &#8220;We can use the data added in this PR to inform various decisions such as default order for blocks and whether some blocks are less suitable for core, and more generally this is a very useful technique to collect user experience data.&#8221;</p>\n<p>The majority of Gutenberg&#8217;s chief contributors are Automattic employees, so it makes sense that they would use the options and infrastructure available to them to quickly get data collection going in Gutenberg. However, the data from these tests needs to be shared with the greater WordPress community as soon as possible, since it is being collected in the name of the WordPress project. Ideally, it would have been set up to be displayed publicly before asking users to opt into the collection.</p>\n<p>Gutenberg contributors are also considering making the data collection more modular so that it could be used with other WordPress feature plugins or existing features in the future.</p>\n<p>&#8220;Maybe the tracking could be its own module, it could be useful outside of the editor (and other WP feature plugins later),&#8221; Riad Benguella <a href=\"https://github.com/WordPress/gutenberg/pull/2140#discussion_r130839438\" target=\"_blank\">said</a>. &#8220;Longer term (or not), WP.org needs its own tracking infrastructure and this could be very useful to enhance WordPress.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 07 Aug 2017 20:05:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"WPTavern: Trademark Trial and Appeal Board Dismisses Automattic’s Trademark Dispute Against Chris Pearson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73899\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:115:\"https://wptavern.com/trademark-trial-and-appeal-board-dismisses-automattics-trademark-dispute-against-chris-pearson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4102:\"<p>In July 2015, Automattic <a href=\"http://www.adrforum.com/domaindecisions/1613723.htm\">won its <span class=\"_Tgc\"> Uniform Domain-Name Dispute-Resolution Policy</span> (UDRP) case</a> against <a href=\"http://www.pearsonified.com/\">Chris Pearson</a> regarding Thesis.com after the <a href=\"http://www.adrforum.com/domaindecisions/1613723.htm\">panel determined</a> that he failed to establish all three elements required under the ICANN Policy.</p>\n<blockquote><p>A party must satisfy all three of the burdens imposed under the Policy in order for the Panel to order transfer of a domain name from the entity registering it. Here, Complainant failed to establish that Respondent registered and used the disputed domain name in bad faith.</p>\n<p><em>See Starwood Hotels &amp; Resorts Worldwide, Inc. v. Samjo CellTech.Ltd</em>, FA 406512 (Nat. Arb. Forum Mar. 9, 2005) (finding that the complainant failed to establish that respondent registered and used the disputed domain name in bad faith because mere assertions of bad faith are insufficient for a complainant to establish Policy ¶ 4(a)(iii)). Therefore, the Panel finds that Complainant failed to support its allegations under Policy ¶ 4(a)(iii) and finds for Respondent.</p></blockquote>\n<p>This allowed Automattic to maintain ownership of <a href=\"https://themeshaper.com/\">Thesis.com</a>. Automattic retaliated by <a href=\"http://ttabvue.uspto.gov/ttabvue/v?pno=92061714&pty=CAN&eno=1\">filing a petition</a> for cancellation with the United States Patent and Trademark Office. In the petition, Automattic argued that the three trademarks owned by Pearson, DIYTHEMES, THESIS THEME, and THESIS, should be cancelled.</p>\n<p>For the past two years, legal teams for both parties have gone back and forth filing briefs, requests for extensions, and other documents. Earlier this year on April 20th, the Trademark Trial and Appeal Board <a href=\"http://ttabvue.uspto.gov/ttabvue/v?pno=92061714&pty=CAN&eno=19\">dismissed the case</a> citing a lack of evidence and testimony from Automattic that establishes real interest and a reasonable belief in damages.</p>\n<blockquote><p>The record is devoid of any evidence concerning the nature of Petitioner’s (Automattic) commercial activities and its interest in Respondent’s (Chris Pearson) registered marks. Proof of standing in a Board proceeding is a low threshold.</p>\n<p>For example, Petitioner could have submitted testimony or competent documentary evidence as to its asserted need to use the terms comprising the marks and nature of its business activities to establish its standing.</p>\n<p>Petitioner neglected to do so. Thus, on the record before us, Petitioner has failed to establish a &#8216;real interest&#8217; and &#8216;reasonable belief in damage.&#8217; Accordingly, the cancellation proceeding is dismissed for Petitioner’s lack of standing.</p></blockquote>\n<p>On May 22nd,<a href=\"http://ttabvue.uspto.gov/ttabvue/v?pno=92061714&pty=CAN&eno=20\"> Automattic filed a motion</a> for the board to reconsider its decision. On June 1st, the <a href=\"http://ttabvue.uspto.gov/ttabvue/v?pno=92061714&pty=CAN&eno=21\">board denied the request</a> making its decision final.</p>\n<blockquote><p>Petitioner has failed to establish any error in the Final Decision. Rather, Petitioner expresses disagreement with the result reached and argues, for the first time on reconsideration, positions it should have alleged in its petition to cancel, supported with testimony and/or competent evidence, and raised in its trial brief.</p>\n<p>We will not infer from Petitioner’s scant allegations and evidence, and silence in its brief, proof of its standing to bring this cancellation proceeding. Petitioner’s motion for reconsideration is denied.</p></blockquote>\n<p>The decision allows Pearson to retain ownership of the DIYTHEMES, THESIS THEME, and THESIS trademarks. It&#8217;s unclear if this outcome will lead to more legal actions from either party. At the time of publishing, Pearson did not return a request for comment regarding the outcome and what his plans are for the Trademarks.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 05 Aug 2017 00:56:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"WPTavern: In Case You Missed It – Issue 22\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=73917&preview=true&preview_id=73917\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wptavern.com/in-case-you-missed-it-issue-22\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6881:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2016/01/ICYMIFeaturedImage.png?ssl=1\" rel=\"attachment wp-att-50955\"><img /></a>photo credit: <a href=\"http://www.flickr.com/photos/112901923@N07/16153818039\">Night Moves</a> &#8211; <a href=\"https://creativecommons.org/licenses/by-nc/2.0/\">(license)</a>\n<p>There’s a lot of great WordPress content published in the community but not all of it is featured on the Tavern. This post is an assortment of items related to WordPress that caught my eye but didn’t make it into a full post.</p>\n<h2>WordPress Foundation is Taking Submissions for The Kim Parsell Memorial Scholarship</h2>\n<p>For the third year in a row, the WordPress Foundation will award a woman contributor with financial need who has never attended WordCamp US the <a href=\"https://2017.us.wordcamp.org/kim-parsell-memorial-scholarship-2017/\">Kim Parsell Memorial Scholarship</a>. The scholarship was created in memory of Kim Parsell who <a href=\"https://wptavern.com/kim-parsell-affectionately-known-as-wpmom-passes-away\">passed away in 2015</a>.</p>\n<p>The scholarship covers the cost of the following:</p>\n<ul>\n<li>Travel to and from Nashville from the recipient’s home city,</li>\n<li>Hotel stay for the duration of the event,</li>\n<li>A ticket to WordCamp US 2017.</li>\n</ul>\n<p>The deadline to apply for the scholarship is Tuesday, August 15th at 12a.m. Pacific.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://2017.us.wordcamp.org/kim-parsell-memorial-scholarship-2017/\">Kim Parsell Memorial Scholarship 2017</a></p></blockquote>\n<p></p>\n<h2>The WordPress Economy is Fine</h2>\n<p>In a <a href=\"https://poststatus.com/future-wordpress-economy-im-not-worried/\">guest post</a> for Post Status, Joshua Strebel, founder of Pagely, explains why he&#8217;s not worried about the WordPress economy.</p>\n<blockquote><p>In all channels, new market entrants or existing small shops are being out-gunned by the established players, or the buyers needs are being met upon install.</p>\n<p>So is the WordPress ecosystem shrinking? Yes, segments of it are and will continue to do so. It’s like in any industry: the car replaced the horse and the robot replaced the factory worker. What was successful in the New Market phase may not work in the more mature, &#8216;Existing Market&#8217; phase we are in.</p></blockquote>\n<p>It&#8217;s a good read and it&#8217;s interesting to think about what new segments will be created that don&#8217;t exist.</p>\n<h2>WPCampus 2017 Videos Are Now Available</h2>\n<p>WPCampus has published <a href=\"https://wpcampus.org/videos/\">all of the videos</a> from its 2017 conference. They&#8217;re available to watch for free either on the site or the organization&#8217;s <a href=\"https://www.youtube.com/wpcampusorg\">YouTube channel</a>. If you attended WPCampus 2017 or watched the livestream, please consider taking <a href=\"https://2017.wpcampus.org/conference-survey/\">the following survey</a> that will help organizers plan for future events.</p>\n<h2>WordPress Case Studies Needed</h2>\n<p>The WordPress marketing team has published a survey seeking case studies from agencies, enterprises, and clients who use WordPress. The team has provided a sample <a href=\"https://make.wordpress.org/marketing/files/2017/08/WordPress-Marketing-Sample-Case-Study.pdf\">Case Study</a> that can be used as a template. The case studies will help determine how WordPress is being used and help focus future marketing efforts.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://make.wordpress.org/marketing/2017/08/02/calling-all-wordpress-agencies/\">Calling all WordPress Agencies</a></p></blockquote>\n<p></p>\n<h2>New Preferred Languages Prototype</h2>\n<p>Pascal Birchler unveiled an updated prototype of the preferred languages project. The project adds UI to the WordPress backend that allows users to select multiple preferred languages. WordPress will try to load the translations for the first language that’s available. If it&#8217;s not available, it will fall back to the next language in the list.</p>\n<p>Birchler is seeking feedback on the newest <a href=\"https://github.com/swissspidy/preferred-languages\">version of the plugin</a> and is working towards it being a merge candidate for WordPress 4.9.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://make.wordpress.org/core/2017/05/20/preferred-languages-the-prototype/\">Preferred Languages: The Prototype</a></p></blockquote>\n<p></p>\n<h2>WordPress&#8217; Emerging Dominance as a CMS of Choice for Law Firms</h2>\n<p>Kevin O&#8217; Keefe <a href=\"http://abovethelaw.com/2017/08/wordpress-to-dominate-as-content-management-system-for-all-law-firms/\">explains why</a> WordPress is likely to become the dominant CMS of choice for law firms.</p>\n<blockquote><p>Just as Word has replaced WordPerfect as the word processing solution of choice for law firms, WordPress is likely to replace other content management systems for law firms, both large and small.</p></blockquote>\n<h2>WordPress 4.9 Expected This November</h2>\n<p>In the last developer&#8217;s chat, WordPress 4.9 development kicked off and is expected to be released in November. This release will focus on editing code, managing plugins and themes, a user-centric way to customize a site, and improvements to features recently added. Mel Choyce and Weston Ruter are co-release leads.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://make.wordpress.org/core/2017/08/03/dev-chat-summary-august-2nd-4-9-week-1/\">Dev Chat Summary: August 2nd (4.9 week 1)</a></p></blockquote>\n<p></p>\n<h2>Volunteers Needed for WordCamp US</h2>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://2017.us.wordcamp.org/2017/08/01/wcus-needs-you-volunteer-applications-are-now-open/\">WCUS Needs You: Volunteer Applications Are Now Open</a></p></blockquote>\n<p></p>\n<h2>A Visit From St. Gutenberg</h2>\n<p><a href=\"https://wordpress.org/support/topic/catastophe-how-to-destroy-wordpress-in-2-weeks/\">Perhaps the greatest one-star review on the WordPress plugin directory. </a></p>\n<h2>Minniepuu and Wapauul!</h2>\n<p>In what is a traditional part of this series, I end each issue by featuring a Wapuu design. For those who don&#8217;t know, Wapuu is the <a href=\"http://wapuu.jp/2015/12/12/wapuu-origins/\">unofficial mascot</a> of the WordPress project. Minniepuu and Wapauul, designed by <a href=\"http://marktimemedia.com/\">Michelle Schulp</a>, are the mascots of WordCamp Minneapolis 2017 that&#8217;s taking place this weekend.</p>\n<p>Minneapolis and St. Paul, MN are commonly referred to as the Twin Cities and the city&#8217;s Major League Baseball team is the Minnesota Twins.</p>\n<img />WordCamp Minneapolis 2017 Wapuus\n<p>That&#8217;s it for issue twenty-two. If you recently discovered a cool resource or post related to WordPress, please share it with us in the comments.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 05 Aug 2017 00:18:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Publishers Are Moving Back to WordPress After Short Experiments with Medium\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73902\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/publishers-are-moving-back-to-wordpress-after-short-experiments-with-medium\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8358:\"<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2014/07/migration.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://www.flickr.com/photos/hyku/2267820888/\">hyku</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-sa/2.0/\">cc</a>\n<p><a href=\"https://www.theawl.com/\" target=\"_blank\">The Awl</a>, <a href=\"https://thinkprogress.org/\" target=\"_blank\">ThinkProgress</a>, <a href=\"https://filmschoolrejects.com/\" target=\"_blank\">Film School Rejects</a>, and several other publishers have moved back to WordPress after short experiments on Medium. In early 2016, Medium convinced a collection of small, independent publications to move to its platform but shortly thereafter discontinued its unsuccessful ad-driven publishing model <a href=\"https://www.buzzfeed.com/charliewarzel/when-you-launch-your-publication-the-same-day-medium-changes\" target=\"_blank\">without notifying publishers</a>.</p>\n<p>In March 2017, Medium CEO Ev Williams announced that his solution to fix the broken, ad-driven media industry was to fire up <a href=\"https://wptavern.com/medium-aims-to-fix-broken-media-with-new-5-subscription-program\" target=\"_blank\">a new $5 subscription program</a> that would put articles behind a paywall inside of the Medium network.</p>\n<p>Today The Awl, The Hairpin, and The Billfold announced the publications have <a href=\"https://www.theawl.com/2017/08/somethings-different/\" target=\"_blank\">moved back to WordPress</a> after switching to Medium in April 2016.</p>\n<p>&#8220;The move to Medium was a cool experiment, in my opinion, but the year is up and personally I missed the ads,&#8221; The Awl Editor Silvia Killingsworth said. <a href=\"https://www.thebillfold.com/2017/08/change-is-the-only-constant-in-life/\" target=\"_blank\">The Billfold&#8217;s announcement</a> cited Mediums&#8217; recent changes as the reason for the move back to WordPress:</p>\n<blockquote><p>Our move to Medium was an experiment to explore a different kind of business model, and that experiment is over now that the platform has moved in a different direction (<a href=\"https://www.axios.com/publishers-flee-medium-amid-business-model-changes-2440471520.html\" target=\"_blank\">you can read more in-depth about those changes here</a>).</p>\n<p>Adapting to change is all part of the many joys of being a small, independent publisher.</p></blockquote>\n<h3>Film School Rejects Returns to WordPress After 1-Year Experiment with Medium</h3>\n<p><a href=\"https://filmschoolrejects.com/what-happened-with-medium/\" target=\"_blank\">Film School Rejects (FSR) also returned to WordPress in May</a> after a year-long, rocky experiment with Medium. The publication was one of Medium&#8217;s first 12 premium publishers.</p>\n<p>&#8220;To be honest, I can&#8217;t afford, nor would my heart hold up for, a move back to a private server and WordPress,&#8221; FSR founder Neil Miller <a href=\"https://www.poynter.org/2017/why-publishers-are-sticking-with-medium-for-now/444507/\" target=\"_blank\">told Poynter in January</a> after Medium announced it was pivoting away from ad-driven media. &#8220;So, barring a miracle, my site will live and die on Medium. I&#8217;m optimistic that I&#8217;ll find some sort of solution and be able to remain on Medium.&#8221;</p>\n<p>Ultimately, Medium&#8217;s goals as a publisher of subscription content were at odds with FSR&#8217;s ability to sustain the publication. Miller said they had ported 10 years of content over to the platform after being promised a beautiful user experience and a way forward that would allow FSR to grown the business, continue to pay its writers, and keep the publication on the cutting edge.</p>\n<p>&#8220;What we were sold when we joined their platform is very different from what they&#8217;re offering as a way forward,&#8221; Miller told Poynter. &#8220;It&#8217;s almost as if Ev Williams wasn&#8217;t concerned that he was pulling out the rug from underneath publishers who had placed their trust in his vision for the future of journalism.&#8221;</p>\n<p>After moving FSR back to WordPress, Miller said the partnership with Medium was great until the company changed course to become a different type of platform.</p>\n<p>&#8220;As time went on, it became clear that Medium’s priorities had shifted from being a platform for independent publishers to being itself a publisher of premium, subscription-based content,&#8221; he said. &#8220;As we learned more about their future plans for the now-existent Medium ‘Members Only’ program, it became clear that our site wouldn’t be able to continue to operate the way we always had.&#8221;</p>\n<p>Miller said the process of trying a new platform and returning to WordPress made him realize that he &#8220;missed some of the customizable features of WordPress,&#8221; which led his team to work on some new features they will be launching in the future. The site has reinstated its banner advertising on pages.</p>\n<p>&#8220;We’d love to be able to do this all without any ads, but there’s no money in that,&#8221; Miller said. &#8220;And guess who doesn’t get paid if the site can’t make any money? The people who write articles, edit the site, make video essays, curate One Perfect Shot, and host podcasts.&#8221;</p>\n<h3>ThinkProgress Exits Medium, Founder Says Platform is No Longer Developed with Publishers in Mind</h3>\n<p><a href=\"https://thinkprogress.org/\" target=\"_blank\">ThinkProgress</a> was one of the largest publications to make the move to Medium last August. After less than a year, the site has moved back to WordPress, its previous publishing platform. ThinkProgress founder Judd Legum told <a href=\"http://www.poynter.org/2017/with-big-plans-to-staff-up-thinkprogress-is-leaving-medium-behind-update/465424/\" target=\"_blank\">Poynter</a> that the lack of advertising capabilities was not the reason his publication left the platform but rather because Medium no longer serves the best interests of publishers.</p>\n<p>&#8220;I&#8217;m certainly not eager to have a bunch of ads on the site — and we&#8217;re not going to,&#8221; Legum said. &#8220;I&#8217;d love to have none. And if it were possible, I&#8217;d be interested in figuring out a model where we don&#8217;t have to have any. But if it&#8217;s connected to a platform that&#8217;s not going to be developed with publishers in mind, it doesn&#8217;t really make sense to think through that as a platform. That sealed it for me.&#8221;</p>\n<p>ThinkProgress is taking its 8 to 10 million unique pageviews per month back into the independent publishing space. It is the latest of several other publishers leaving Medium after having been persuaded in 2016 to jump into Ev Williams&#8217; experiment with initial promises of free hosting, more traffic, and advertising money. Not all of the sites are moving back to WordPress, but most are looking to free themselves from Medium&#8217;s experiment on publishers and regain the ability to sell advertising and/or subscriptions.</p>\n<p><a href=\"https://www.axios.com/bill-simmons-moves-the-ringer-from-medium-to-vox-media-2426770782.html\" target=\"_blank\">The Ringer moved to Vox Media</a> at the end of May after Medium discontinued its advertising model. <a href=\"https://www.poynter.org/2017/after-being-wooed-by-medium-some-publishers-are-beginning-to-leave/459998/\" target=\"_blank\">The Pacific Standard left Medium</a> to focus on building custom features to drive subscription growth.</p>\n<p>Backchannel also moved its site off of the platform and <a href=\"https://www.wired.com/story/backchannel-is-moving-to-wired\" target=\"_blank\">is now publishing on Wired.com</a>. &#8220;In the time since Backchannel launched, Medium has shifted its business strategy, and it’s no longer as focused on helping publications like ours profit,&#8221; BackChannel Editor Jessi Hempel said.</p>\n<p>Medium&#8217;s new <a href=\"https://medium.com/membership\" target=\"_blank\">subscription revenue model</a> and partner program are still in beta but the returns have not been enough to convince publishers to stay, even with costly migrations back to tried and proven platforms like WordPress. Ad-driven publishing may not be the most ideal way to keep a publication afloat, but publishers moving away from Medium are not willing to stay on for the the startup&#8217;s experiment at the expense of their writers and staff.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Aug 2017 23:09:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"WPTavern: WordPress 4.8.1 Released, Adds Custom HTML Widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73825\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wptavern.com/wordpress-4-8-1-released-adds-custom-html-widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:901:\"<p>WordPress 4.8.1 <a href=\"https://wordpress.org/news/2017/08/wordpress-4-8-1-maintenance-release/\">is available for download</a> or as an update from the WordPress Dashboard. This release contains 29 bug fixes and improvements. The most notable addition is a dedicated <a href=\"https://wptavern.com/wordpress-4-8-1-adds-a-dedicated-custom-html-widget\">Custom HTML widget</a>.</p>\n<img />Custom HTML Widget in WordPress 4.8.1\n<p>The Custom HTML widget works similar to the Text widget in WordPress 4.7 and below. To see a full list of changes in WordPress 4.8.1, check out the <a href=\"https://codex.wordpress.org/Version_4.8.1\">release notes</a>. If you think you&#8217;ve discovered a bug, please report it in as much detail as possible on the <a href=\"https://wordpress.org/support/forum/how-to-and-troubleshooting/\">WordPress support forums</a>. Twenty-two people contributed to this release.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2017 20:26:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: Website as Resume\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=47486\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://ma.tt/2017/08/website-as-resume/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1422:\"<p>The illustrious Chance the Rapper was looking for a new intern.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">I\'m looking for an intern, someone with experience in putting together decks and writing proposals</p>\n<p>&mdash; Lil Chano From 79th (@chancetherapper) <a href=\"https://twitter.com/chancetherapper/status/846441791385677824\">March 27, 2017</a></p></blockquote>\n<p></p>\n<p>Some people responded with regular resumes, replying as images, but Negele &#8220;Hopsey&#8221; Hospedales <a href=\"https://chancehirehospey.com/\">decided to make a website on WordPress.com</a>:</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">maybe I\'m extra, but I think resumes are old fashion. I built a website instead. <a href=\"https://twitter.com/hashtag/ChanceHireHospey?src=hash\">#ChanceHireHospey</a><a href=\"https://t.co/DmYvxAQu61\">https://t.co/DmYvxAQu61</a></p>\n<p>&mdash; madebyhosp. (@Hospey) <a href=\"https://twitter.com/Hospey/status/846612517723947008\">March 28, 2017</a></p></blockquote>\n<p></p>\n<p>The happy ending is <a href=\"http://www.billboard.com/articles/news/lifestyle/7882484/chance-the-rapper-intern-interview-Negele-Hospedales\">written up in Billboard: he got the gig and went on tour with Chance</a>. Hospey wrote a great article on it himself: <a href=\"https://hospeyhowto.com/2017/07/29/how-to-work-for-your-favourite-rapper/\">How To Work For Your Favourite Rapper</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2017 10:23:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"Akismet: Akismet WordPress Plugin 3.3.4 Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"http://blog.akismet.com/?p=1955\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"http://blog.akismet.com/2017/08/03/akismet-wordpress-plugin-3-3-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1570:\"<p>Version 3.3.4 of <a href=\"http://wordpress.org/plugins/akismet/\">the Akismet plugin for WordPress</a> is now available.</p>\n<p>3.3.4 has a few fixes and enhancements that should make everyone&#8217;s lives better:</p>\n<ul>\n<li>URL previews in the WordPress admin will now begin preloading when the cursor moves near the link so they appear faster once you move your mouse over the link.</li>\n<li>When a comment is caught by both the Comment Blacklist and Akismet, Akismet will now leave it in Trash instead of moving it out of Trash and into Spam.</li>\n<li>A bug has been fixed that was preventing a notice from being shown when a site&#8217;s firewall was preventing it from connecting to Akismet&#8217;s servers.</li>\n<li>Akismet will no longer log all of its debug information unless a new constant (<code>AKISMET_DEBUG</code>) is also enabled, even if <code>WP_DEBUG</code> and <code>WP_DEBUG_LOG</code> are both enabled.</li>\n</ul>\n<p>To upgrade, visit the Updates page of your WordPress dashboard and follow the instructions. If you need to download the plugin zip file directly, links to all versions are available in <a href=\"http://wordpress.org/plugins/akismet/\">the WordPress plugins directory</a>.</p><br />  <a rel=\"nofollow\" href=\"http://feeds.wordpress.com/1.0/gocomments/akismet.wordpress.com/1955/\"><img alt=\"\" border=\"0\" src=\"http://feeds.wordpress.com/1.0/comments/akismet.wordpress.com/1955/\" /></a> <img alt=\"\" border=\"0\" src=\"http://pixel.wp.com/b.gif?host=blog.akismet.com&blog=116920&post=1955&subd=akismet&ref=&feed=1\" width=\"1\" height=\"1\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2017 04:25:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Christopher Finke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: WPWeekly Episode 283 – A Visit From St. Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=73870&preview=true&preview_id=73870\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wptavern.com/wpweekly-episode-283-a-visit-from-st-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2823:\"<p>In this episode, <a href=\"https://jjj.blog/\">John James Jacoby</a> and I start off the show with an adaptation of &#8216;<a href=\"https://www.poets.org/poetsorg/poem/visit-st-nicholas\">A Visit from St. Nicholas</a>&#8216; created by Clement Clarke Moore. Since we didn&#8217;t have a guest, Jacoby and I opened up about our personal lives which turned into a conversation about remote working from home. We also discussed the news of the week, including SiteLock&#8217;s acquisition of Patchman, WordPress 4.8.1, and Adobe discontinuing Flash.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wptavern.com/a-fix-for-wordpress-weekly-subscribers-using-pocket-casts\">A Fix for WordPress Weekly Subscribers Using Pocket Casts</a><br />\n<a href=\"https://wptavern.com/wordpress-4-8-1-adds-a-dedicated-custom-html-widget\">WordPress 4.8.1 Adds a Dedicated Custom HTML Widget</a><br />\n<a href=\"https://wptavern.com/sitelock-acquires-patchmans-malware-and-vulnerability-detection-technology-expands-wordpress-customer-base-to-4-million\">SiteLock Acquires Patchman’s Malware and Vulnerability Detection Technology, Expands WordPress Customer Base to 4 Million</a><br />\n<a href=\"https://wptavern.com/adobe-to-discontinue-flash-support-and-updates-in-2020\">Adobe to Discontinue Flash Support and Updates in 2020</a><br />\n<a href=\"https://wptavern.com/blog-passes-100000-registrations-66-5-of-purchased-domains-are-in-use\">.blog Passes 100,000 Registrations, 66.5% of Purchased Domains are in Use</a><br />\n<a href=\"https://wptavern.com/buddypress-2-9-adds-ability-to-safely-edit-a-groups-permalink\">BuddyPress 2.9 Adds Ability to Safely Edit A Group’s Permalink</a><br />\n<a href=\"https://wptavern.com/new-dobby-plugin-captures-and-hides-unwanted-wordpress-admin-notices\">New Dobby Plugin Captures and Hides Unwanted WordPress Admin Notices</a></p>\n<h2>Picks of the Week:</h2>\n<p>An entertaining <a href=\"https://wordpress.org/support/topic/catastophe-how-to-destroy-wordpress-in-2-weeks/\">one-star review</a> of Gutenberg based on &#8216;A Visit from St. Nicholas&#8217; poem by Clement Clarke Moore.<b></b></p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, August 9th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #283:</strong><br />\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2017 01:25:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"WPTavern: WordPress Polyglots Team Fuels International Community Growth with 3rd Global Translation Day\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73789\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"https://wptavern.com/wordpress-polyglots-team-fuels-international-community-growth-with-3rd-global-translation-day\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6613:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2016/04/wordpress-global-translation-day.png?ssl=1\"><img /></a></p>\n<p>The <a href=\"https://wptranslationday.org/\" target=\"_blank\">3rd Global WordPress Translation Day</a> has been set for September 30, 2017. The success of previous events has generated momentum to continue the 24-hour global translation sprints and has also increased the visibility of the Polyglots team&#8217;s contributions. These sprints have provided a catalyst for the team&#8217;s growth from 5,000 contributors in April 2015 to 17,000 in November 2016. The greater WordPress community has also grown in tandem, as reliable translations are the lifeblood of international WordPress usage.</p>\n<p>One way of measuring the growth of the global community is the checking the status of local meetups. After the addition of the dashboard events widget in WordPress 4.8, the community has seen a sharp rise in <a href=\"https://www.meetup.com/pro/wordpress/\" target=\"_blank\">meetup group</a> growth, according to <a href=\"https://wordpress.org/news/2017/08/the-month-in-wordpress-july-2017/\" target=\"_blank\">recent stats</a> from the community team. The widget displays local WordPress events for logged-in users.</p>\n<p>&#8220;It’s safe to say that the widget has achieved its goals admirably — since WordPress 4.8 was released a little over a month ago, 31 new meetup groups have been formed with 15,647 new members across the whole program,&#8221; Hugh Lashbrooke said. &#8220;This is compared to 19 new groups and only 7,071 new members in the same time period last year.&#8221;</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/08/wordpress-meetups.png?ssl=1\"><img /></a></p>\n<p>Much of that growth can be attributed to the growth of the international WordPress community, which has continued to advance the concept of <a href=\"https://make.wordpress.org/community/2017/07/18/regional-camps-take-2/\" target=\"_blank\">regional WordCamps</a> for countries and continents. These include events such as WordCamp Netherlands, WordCamp Europe, and the planned WordCamp Asia, that bring larger groups of WordPress enthusiasts together around a common region.</p>\n<p>In 2014, the WordPress community hosted 80 WordCamps in 29 countries. At the conclusion of 2016, there were 115 total WordCamps hosted in 41 different countries.</p>\n<p><a href=\"https://w3techs.com/technologies/details/cm-wordpress/all/all\" target=\"_blank\">WordPress&#8217; usage</a> continues to grow every year, and the percentage of non-English-speaking users is also expanding. In 2014, non-English WordPress downloads surpassed English downloads for the first time.</p>\n<p>Last July, <a href=\"https://wptavern.com/wordpress-stats-page-redesigned-adds-new-data-on-installs-by-langauge\" target=\"_blank\">53.9% of WordPress sites used the English (US) locale</a>. That number has dropped to 50% as of today, as international usage continues to rise.</p>\n<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/08/wordpress-locales-july-2017.png?ssl=1\"><img /></a>Stats from WordPress.org July 2017\n<p>Rahul Bansal&#8217;s lightning talk at WordCamp Europe identified one example of <a href=\"http://wordpress.tv/2017/06/21/rahul-bansal-how-translation-sprints-helps-bring-in-new-contributors/\" target=\"_blank\">how the translation sprints are bringing in new contributors in India</a>. In the past, meetup groups have had a problem with retaining new users, who often come to their first meetup lacking both a sense of belonging and confidence in contributing. Bansal and other Polyglots members had an idea to remove this block to contributing by getting new users involved in translating WordPress.</p>\n<p>During the last global translation day event, Bansal helped organize a local group to translate WordPress core into Hindi, Marathi, and Gujarati. They also translated the subtitles for the WordPress 4.6 release video. The key was that the leaders did not participate in translating strings but rather focused on guiding new translators &#8211; 90% ended up being first-time contributors.</p>\n<p>WordPress 4.6 shipped with support for 50 languages and the complete Gujarati translation was added to core just a few days before the release. Its inclusion in the release made WordPress more accessible to approximately 65.5 million Gujarati speakers worldwide.</p>\n<div class=\"embed-wrap\"></div>\n<p>The 3rd Global WordPress Translation Day falls on the same day that the <a href=\"https://www.un.org/press/en/2017/ga11914.doc.htm\" target=\"_blank\">United Nations has designated as International Translation Day</a>, a new initiative to recognize &#8220;the role of professional translation in connection with nations and fostering peace, understanding, and development.&#8221;</p>\n<p>WordPress has only just begun to explore its potential to democratize publishing and hasn&#8217;t even cracked the ice in terms of usage across the world&#8217;s most popular languages. Sites using the various Chinese and Arabic locales make up less than 2% of international usage, despite these languages having more than a billion native speakers combined. If WordPress adoption takes off in these parts of the world, it will create a whole new wave of contribution and vastly expand the world market for commercial plugins and themes. The Polyglots team are on the forefront of making this possible.</p>\n<p>The first two WPTranslationDay events were held in April and November of 2016. The <a href=\"https://wptavern.com/2nd-global-wordpress-translation-day-brings-780-translators-together-across-133-locales\" target=\"_blank\">second event had a 74% increase in participation over the first</a> with a total of 780 translators participating. This year organizers are aiming to host more local translation sprints to surpass the 67 held in November. If you want to join the Polyglots team to help serve WordPress&#8217; growing international community, you can attend or <a href=\"https://docs.google.com/spreadsheets/d/1Fecq1StAPn9nDgabGMLdXiqszWkkxP6-5cM5YHXwLPg/edit?usp=drivesdk\" target=\"_blank\">organize one of the local events</a>, <a href=\"https://www.crowdcast.io/e/gwtd3/\" target=\"_blank\">watch sessions live on CrowdCast</a>, <a href=\"https://docs.google.com/spreadsheets/d/1Fecq1StAPn9nDgabGMLdXiqszWkkxP6-5cM5YHXwLPg/edit?usp=drivesdk\" target=\"_blank\">organize a remote event</a>, <a href=\"https://wptranslationday.org/call-for-speaker/\" target=\"_blank\">become a speaker</a>, or start translating at <a href=\"http://translate.wordpress.org\" target=\"_blank\">translate.wordpress.org</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2017 00:36:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Dev Blog: WordPress 4.8.1 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4875\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2017/08/wordpress-4-8-1-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2547:\"<p>After over 13 million downloads of WordPress 4.8, we are pleased to announce the immediate availability of WordPress 4.8.1, a maintenance release.</p>\n<p>This release contains 29 maintenance fixes and enhancements, chief among them are fixes to the rich Text widget and the introduction of the Custom HTML widget. For a full list of changes, consult the <a href=\"https://codex.wordpress.org/Version_4.8.1\">release notes</a>, the <a href=\"https://core.trac.wordpress.org/query?status=closed&milestone=4.8.1&group=component\">tickets closed</a>, and the <a href=\"https://core.trac.wordpress.org/log/branches/4.8?rev=41210&stop_rev=40891\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.8.1</a> or visit <strong>Dashboard → Updates</strong> and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.8.1.</p>\n<p>Thanks to everyone who contributed to 4.8.1:<br />\n<a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/atanasangelovdev/\">Atanas Angelov</a>, <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jbpaul17/\">Jeffrey Paul</a>, <a href=\"https://profiles.wordpress.org/jmdodd/\">Jennifer M. Dodd</a>, <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/r-a-y/\">r-a-y</a>, <a href=\"https://profiles.wordpress.org/greuben/\">Reuben Gunday</a>, <a href=\"https://profiles.wordpress.org/rinkuyadav999/\">Rinku Y</a>, <a href=\"https://profiles.wordpress.org/sa3idho/\">Said El Bakkali</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a>, <a href=\"https://profiles.wordpress.org/timmydcrawford/\">Timmy Crawford</a>, and <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 21:26:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Weston Ruter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"HeroPress: Your Skills Speak Louder Than Your Gender\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=2006\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"https://heropress.com/essays/skills-speak-louder-gender/#utm_source=rss&utm_medium=rss&utm_campaign=skills-speak-louder-gender\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6358:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2018/08/080217-min-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Do not put up with discrimination, talk about it openly, and stand against it.\" /><blockquote><p>I don’t usually talk or even think about gender in relation to my career. I’m a female developer but I’ve never really felt like that is anything too special and more importantly I have rarely felt like my gender mattered.</p></blockquote>\n<p>As a kid I thought I would become an artist or a dancer. It wasn’t until I had to choose the university to apply to that I decided to go with something more practical so I went with Computer Science. I hadn’t really done much with code before that, except for having a Lord of the Rings discussion board with my friends and making doing some HTML &amp; CSS related to that. After the first year of school I was already making my first WordPress sites to paying customers.</p>\n<p>After graduating I have been a full-time employee in a developer position as well as a freelancer. I’ve worked both in Finland and in the USA. During my career I have actually been surprised how easy it has been for me, a woman in the male-dominated industry, to find work, to get promoted and to get recognition. I have not faced much discrimination or prejudice related to my gender, and the great professionals I have got to work with have always been interested in my skills beyond anything else.</p>\n<p>So how come there is such a huge gender gap in the industry? I’ve witnessed it myself many times &#8211; being the only woman in a WordPress meetup of thirty people, or not having to queue at all to women’s bathroom in a tech conference with over 1000 attendees. There is no doubt that women are as capable as men, so whatever the reason is I really hope the future women would see the fun, problem-solving profession of a programmer as a great career option.</p>\n<h3>A few tips for an aspiring developer</h3>\n<p>I want to encourage everyone considering a developer career to take action and go for it. The tech industry is full of very clever and inspiring people and I promise you will not be bored. More importantly it is a safe career choice: the job market is great and the companies and the different tech communities are generally very open and welcoming. If you want to be a woman person in tech, remember:</p>\n<ol>\n<li><strong>Do not accept <del>gender</del> any discrimination</strong><br />\nOne great thing about being a developer is the current status of the job market. There is a lot more demand than there is supply, so you can choose who you work with. Do not put up with discrimination, talk about it openly and stand against it. I’ve been lucky enough not to face much judgement based on my gender. I’ve worked both in Finland and in the US and the biggest challenges I’ve faced have been clients that have been surprised that a woman is the tech lead in their project. Usually after a few hours of working together the prejudice disappears &#8211; it has always been enough to just be professional and stay true to myself.</li>\n<li><strong>Be active and give back</strong><br />\nIt is important to be active in your community and help other people out in their careers. Everyone benefits from a striving local community and also it is a great opportunity to make new connections and open new doors in your career.Being an organiser of WordCamp Finland &amp; WordPress Helsinki meetup group for the last few years has really given me more than it has taken. I’ve learnt a lot and met many inspiring people, and it has opened up new career options for me too. The best thing tho has been just seeing the Finnish community grow so much and get more active by the day.</li>\n<li><strong>It&#8217;s skills that matter</strong><br />\nThis is really what it comes down to. Are you developing your skills constantly? Are you willing to keep up with the industry? You do not have to be the best developer, but you should be confident in your skills and be willing to always learn new ones. I believe that this is the only thing that matters in the end &#8211; not your gender.</li>\n</ol>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Your Skills Speak Louder Than Your Gender\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Your%20Skills%20Speak%20Louder%20Than%20Your%20Gender&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fskills-speak-louder-gender%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Your Skills Speak Louder Than Your Gender\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fskills-speak-louder-gender%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fskills-speak-louder-gender%2F&title=Your+Skills+Speak+Louder+Than+Your+Gender\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Your Skills Speak Louder Than Your Gender\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/skills-speak-louder-gender/&media=https://heropress.com/wp-content/uploads/2018/08/080217-min-150x150.jpg&description=Your Skills Speak Louder Than Your Gender\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Your Skills Speak Louder Than Your Gender\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/skills-speak-louder-gender/\" title=\"Your Skills Speak Louder Than Your Gender\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/skills-speak-louder-gender/\">Your Skills Speak Louder Than Your Gender</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 11:00:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Sonja Jaakkola\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"Dev Blog: The Month in WordPress: July 2017\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4885\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2017/08/the-month-in-wordpress-july-2017/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5643:\"<p>After a particularly busy month <a href=\"https://wordpress.org/news/2017/07/the-month-in-wordpress-june-2017/\">in June</a>, things settled down a bit in the WordPress world — WordPress 4.8’s release went very smoothly, allowing the Core team to build up some of the community infrastructure around development. Read on for more interesting news from around the WordPress world in July.</p>\n<hr />\n<h2>Weekly meeting for new core contributors</h2>\n<p>Onboarding new contributors is a persistent issue for most WordPress contribution teams. While every team welcomes any new contributors, the path to getting deeply involved can be tricky to find at times.</p>\n<p>This month, the Core team implemented a fantastic new initiative: <a href=\"https://make.wordpress.org/core/2017/06/30/announcing-a-weekly-new-contributors-meeting/\">weekly meetings for new core contributors</a> as a way to encourage involvement and foster fresh contributions. The meetings not only focus on bugs suited to first-time contributors, they also make space for experienced contributors to help out individuals who may be new to developing WordPress core.</p>\n<p>The meetings are held every Wednesday at 19:00 UTC in the #core channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n<h2>Increased focus on PHP practices in WordPress core</h2>\n<p>In bringing people together to improve WordPress core, a new channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a> named #core-php is designed to focus on PHP development in the project.</p>\n<p>Along with this increased concentration on PHP, a <a href=\"https://make.wordpress.org/core/2017/07/06/announcement-for-weekly-php-meetings/\">new weekly meeting is now taking place</a> every Monday at 18:00 UTC in #core-php to improve WordPress core’s PHP practices.</p>\n<h2>Sharp rise in meetup group growth</h2>\n<p>The dashboard events widget in WordPress 4.8 displays local, upcoming WordPress events for the logged in user. The events listed in this widget are pulled from the <a href=\"https://www.meetup.com/pro/wordpress/\">meetup chapter program</a>, as well as the <a href=\"https://central.wordcamp.org/schedule\">WordCamp schedule</a>.</p>\n<p>This widget provides greater visibility of official WordPress events, and encourages community involvement in these events. It’s safe to say that the widget has achieved its goals admirably — since WordPress 4.8 was released a little over a month ago, 31 new meetup groups have been formed with 15,647 new members across the whole program. This is compared to 19 new groups and only 7,071 new members in the same time period last year.</p>\n<p>You can find a local meetup group to join <a href=\"https://www.meetup.com/pro/wordpress/\">on meetup.com</a>, and if you would like to get involved in organizing events for your community, you can find out more about the inner workings of the program <a href=\"https://make.wordpress.org/community/meetups/\">on the Community Team site</a> or by joining the #community-events channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n<h2>WordPress 4.8.1 due for imminent release</h2>\n<p>WordPress 4.8 cycle’s first maintenance release will be published in the coming week, more than a month after 4.8 was released. This release fix some important issues in WordPress core and the majority of users will find that their sites will update to this new version automatically.</p>\n<p>If you would like to help out by testing this release before it goes live, you can follow the <a href=\"https://make.wordpress.org/core/handbook/testing/beta/\">beta testing guide</a> for WordPress core. To get further involved in building WordPress core, jump into the #core channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>, and follow <a href=\"https://make.wordpress.org/core/\">the Core team blog</a>.</p>\n<hr />\n<h2>Further reading:</h2>\n<ul>\n<li>The WordPress mobile apps have been updated with <a href=\"https://en.blog.wordpress.com/2017/07/24/a-brand-new-editor-for-the-wordpress-mobile-apps/\">a brand new text editor</a>.</li>\n<li>In a recent push to encourage WordPress users to upgrade their PHP versions, two features have been proposed &#8211; one <a href=\"https://core.trac.wordpress.org/ticket/41191\">to provide a notice to users</a> and another to <a href=\"https://core.trac.wordpress.org/ticket/40934\">allow PHP version requirements to be specified by plugins and themes</a>.</li>\n<li>John Maeda wrote <a href=\"https://make.wordpress.org/design/2017/07/14/whywordpress2/\">a great post</a> celebrating the freedom that WordPress offers.</li>\n<li>Gutenberg, the new text editor for WordPress, is <a href=\"https://make.wordpress.org/core/2017/07/28/whats-new-in-gutenberg-28th-july/\">in continual development</a> — everyone is invited to <a href=\"https://make.wordpress.org/test/handbook/call-for-testing/gutenberg-testing/\">test it out</a>.</li>\n<li>The WordPress Meta team is starting <a href=\"https://make.wordpress.org/meta/2017/07/26/experiment-wordcamp-org-bug-scrubs/\">a new initiative</a> to bring the community together to focus on fixing bugs across the WordCamp.org network.</li>\n<li>Volunteer applications for WordCamp US <a href=\"https://2017.us.wordcamp.org/2017/08/01/wcus-needs-you-volunteer-applications-are-now-open/\">are now open</a>.</li>\n</ul>\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 07:50:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Jetpack 5.2 Brings Major Improvements to the Contact Form Module\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73816\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/jetpack-5-2-brings-major-improvements-to-the-contact-form-module\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2280:\"<p>Jetpack&#8217;s <a href=\"https://jetpack.com/support/contact-form/\" target=\"_blank\">Contact Form module</a> hasn&#8217;t seen too many changes since its first release (<a href=\"https://jetpack.com/2012/04/24/jetpack-1-3-released-contact-forms/\" target=\"_blank\">version 1.3</a>) in 2012. It is easily one of the most compelling features included in the plugin and has long been overdue for a refresh.</p>\n<p>Today&#8217;s <a href=\"https://jetpack.com/2017/08/01/jetpack-5-2-new-contact-form/\" target=\"_blank\">5.2 release</a> brings major improvements to the Contact Form module. Previously, Jetpack launched the form builder as a small popup in the post editor. The refreshed design brings form editing and previewing into the main content area where users can customize fields and labels and re-order them using drag-and-drop. At the bottom of the form users can click a button to add new fields. These interface updates bring the module more in line with other leading contact form plugins.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/jetpack-updated-contact-form.png?ssl=1\"><img /></a></p>\n<p>Jetpack 5.2 also improves the recommended features list for new users with better explanations of the features and benefits of each. The release also reduces the plugin&#8217;s zip file by 500kb and reduces the code required to run the Comment Likes module.</p>\n<p>Comment Likes were introduced in <a href=\"https://jetpack.com/2017/07/05/jetpack-5-1-comment-likes/\" target=\"_blank\">version 5.1</a>, offering users a new way of interacting within the comments. Hovering over the number of likes will display the Gravatars of the users who liked the comment. The feature does not require Jetpack Comments to be enabled. The two work independently of each other.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/08/comment-likes.png?ssl=1\"><img /></a></p>\n<p>In attempting to add Comment Likes to the Tavern, we found the module has a conflict with the <a href=\"https://wordpress.org/plugins/epoch/\" target=\"_blank\">Epoch</a> commenting plugin plugin. We have temporarily disabled the plugin until compatibility for Comment Likes is added. We are testing the module to see how it affects interaction in the comments of our posts.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2017 03:28:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: A Fix for WordPress Weekly Subscribers Using Pocket Casts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73803\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/a-fix-for-wordpress-weekly-subscribers-using-pocket-casts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2140:\"<p>Last week, you may have noticed that the Tavern was intermittently offline and generating errors. We&#8217;ve been experiencing technical issues for the past several months but they peaked last week. After working with Bluehost, they migrated the site from a VPS, to a Dedicated Server that has more powerful hardware.</p>\n<p>Since the migration, we&#8217;ve noticed the site is more responsive, loads quicker, and doesn&#8217;t generate any errors. If you see an error or experience problems accessing the site, please report them to us <a href=\"https://twitter.com/wptavern\">on Twitter</a>.</p>\n<p>Last month, a number of WordPress Weekly listeners <a href=\"https://wptavern.com/episodes-271-280-of-wordpress-weekly-are-now-available\">reported</a> that they were unable to access recent episodes through Apple’s Podcasting app, Stitcher, and other applications. After reconverting the MP3s and getting them to work on Apple&#8217;s Podcasting app, I continued to receive reports from <a href=\"https://www.shiftyjelly.com/pocketcasts/\">Pocket Casts</a> subscribers that the files were not available.</p>\n<p>After confirming the issue, I reconverted the MP3s three times with different conversion software. I also used tools to diagnose and confirm that the files were not corrupted. Despite my efforts, Pocket Casts continued to encounter problems accessing the files.</p>\n<p>I was running out of options until Josh Eby reported that, deleting the app from his device, reinstalling it, and re-syncing his library fixed the problem.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">So I decided to delete all of my app data for pocket casts and re-sync my library. I downloaded them again and it worked for 280&#8230;</p>\n<p>&mdash; Josh Eby (@josheby) <a href=\"https://twitter.com/josheby/status/892130949319847936\">July 31, 2017</a></p></blockquote>\n<p></p>\n<p>I followed his advice and indeed, recent episodes of WordPress Weekly are available again in Pocket Casts. If you&#8217;re subscribed to the show using Pocket Casts and can not access episodes 280-282, please consider going through the steps listed above.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2017 19:09:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: New Dobby Plugin Captures and Hides Unwanted WordPress Admin Notices\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73783\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wptavern.com/new-dobby-plugin-captures-and-hides-unwanted-wordpress-admin-notices\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3482:\"<p>With the right combination of plugins and events, the WordPress admin area can quickly become a confusing mess of notices. WordPress&#8217; notification system is often abused and overused by plugin authors who want to inject upsells and announcements into the admin. These can stack up like a pile of junk mail vying for users&#8217; attention when they are trying to manage their sites. Ultimately, notice overload decreases users&#8217; enjoyment of the software and may contribute to making it a chore to log into WordPress.</p>\n<p>The new <a href=\"https://wordpress.org/plugins/wp-dobby/\" target=\"_blank\">Dobby plugin</a> from <a href=\"https://tfrommen.de\" target=\"_blank\">Thorsten Frommen</a> attempts to solve this problem by capturing and hiding unwanted admin notices. Frommen, a WordPress engineer at Inpsyde, was inspired to create the plugin after he saw a recent tweet from Torsten Landsiedel showing &#8220;Everyday life in the WordPress dashboard.&#8221;</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"de\" dir=\"ltr\">Alltag im WordPress Dashboard. <a href=\"https://t.co/lofO7544uL\">pic.twitter.com/lofO7544uL</a></p>\n<p>&mdash; Torsten Landsiedel (@zodiac1978) <a href=\"https://twitter.com/zodiac1978/status/886646392730648577\">July 16, 2017</a></p></blockquote>\n<p></p>\n<p>Dobby rolls up WordPress admin notices and keeps them hidden behind a &#8220;Reveal&#8221; button that toggles a color-coded list of notices into view. It captures all the notices that are printed via the admin notice hooks, such as <code>network_admin_notices</code>, <code>user_admin_notices</code>, <code>admin_notices</code> and <code>all_admin_notices</code>. Dobby will post an admin notice if any notices have been captured.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/08/dobby.gif?ssl=1\"><img /></a></p>\n<p>Frommen said the target audience for his plugin is &#8220;all the people sick and tired of too many admin notifications, which are oftentimes of no real value at all.&#8221; Dobby has a filter available for users to define what &#8220;too many&#8221; means for themselves. The <a href=\"https://github.com/tfrommen/Dobby\" target=\"_blank\">plugin&#8217;s GitHub repository</a> has examples of how to use the Dobby filter threshold, which lets users customize the minimum number of admin notices required to trigger Dobby to start hiding them.</p>\n<p>&#8220;It certainly is possible that people may miss (critical) messages with Dobby being active,&#8221; Frommen said. &#8220;However, Dobby is smart enough to style his admin notice according to the most critical one captured. This means that Dobby&#8217;s notice will have error styling if there was an error notice captured. If the most critical one was a warning, that’s what Dobby’s notice will be as well. Otherwise, it’s an info notice.&#8221;</p>\n<p>Within the first 10 minutes of requesting translations after announcing that Dobby was on WordPress.org, Frommen received German and Dutch translations for the plugin. The plugin UI has only two strings, which makes it a simple, 5-minute translation job.</p>\n<p>Frommen is considering adding a filter for people to define what kind of notices they would like Dobby to capture. He welcomes suggestions, <a href=\"https://github.com/tfrommen/Dobby\" target=\"_blank\">contributions on GitHub</a>, and <a href=\"https://translate.wordpress.org/projects/wp-plugins/wp-dobby\" target=\"_blank\">more translations</a> from the WordPress community.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2017 18:30:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: Gutenberg 0.6.0 Changes Text/Paragraph Block Behavior, Adds New Cover Text and Read More Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73735\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"https://wptavern.com/gutenberg-0-6-0-changes-textparagraph-block-behavior-adds-new-cover-text-and-read-more-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8165:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/paragraph.jpg?ssl=1\"><img /></a>photo credit: A Tiny Break From The Rain <a href=\"http://www.flickr.com/photos/78814955@N00/34165889514\"><img src=\"https://s.w.org/images/core/emoji/2.3/72x72/1f430.png\" alt=\"?\" class=\"wp-smiley\" />Adventures In Wonderland &#038; Through The Looking Glass<img src=\"https://s.w.org/images/core/emoji/2.3/72x72/1f430.png\" alt=\"?\" class=\"wp-smiley\" /></a> &#8211; <a href=\"https://creativecommons.org/licenses/by-nc-nd/2.0/\">(license)</a>\n<p><a href=\"https://make.wordpress.org/core/2017/07/28/whats-new-in-gutenberg-28th-july/\" target=\"_blank\">Gutenberg 0.6.0</a> was released over the weekend with significant changes to the way paragraphs are created within text blocks. In previous versions of the plugin, pressing enter would create a line break inside a paragraph. This release modifies the behavior of the text/paragraph block to <a href=\"https://github.com/WordPress/gutenberg/pull/1989\" target=\"_blank\">split the block when a user presses enter</a>. (Line breaks can still be created by pressing SHIFT+ENTER.)</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/gutenberg-new-paragraph.png?ssl=1\"><img /></a></p>\n<p>This update is a small improvement in that it hides the text formatting bar when you continue on with a new paragraph, but the slightest scroll or move of the mouse brings it back into view. Contributors are <a href=\"https://github.com/WordPress/gutenberg/pull/1812#issuecomment-314045186\" target=\"_blank\">considering adding a buffer</a> at some point that would only trigger the UI after the mouse moves a certain number of pixels.</p>\n<p>Unfortunately, the &#8220;New Paragraph&#8221; placeholder text is intrusive and distracting. It is a constant, unwanted reminder of the structure of your document, which is not helpful if you are trying to stay in the flow of writing.</p>\n<p>Gutenberg may improve the experience of vertically stacking differently formatted content, but the writing experience still needs a great deal of work before it can be comparable to what WordPress currently provides. The new editor still gets in the way of writing, instead of silently enabling it.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">I love Gutenberg so far, but this is too many dongles to display at the moment of focusing on writing. <a href=\"https://t.co/Xpb19KgG01\">pic.twitter.com/Xpb19KgG01</a></p>\n<p>&mdash; Daniel Bachhuber (@danielbachhuber) <a href=\"https://twitter.com/danielbachhuber/status/889944454643064832\">July 25, 2017</a></p></blockquote>\n<p></p>\n<p>After browsing the Gutenberg repository&#8217;s 400+ issues queue, it&#8217;s clear that contributors are aware of the jarring experience for writers and are working to improve it in every release. However, the beta software is not anywhere near ready for long-form writing, as the intrusive UI places too many cognitive demands on the writer.</p>\n<h3>New Blocks in 0.6.0: &#8220;Cover Text&#8221; and &#8220;Read More&#8221;</h3>\n<p>This release introduces a <a href=\"https://github.com/WordPress/gutenberg/pull/2036\" target=\"_blank\">new &#8220;Cover Text&#8221; block</a> that includes background, text color, and full-width options. Color swatches are available in the sidebar block options and contributors are planning to add filters to allow plugin and theme authors to supply a custom palette.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/cover-text.png?ssl=1\"><img /></a></p>\n<p>Version 0.6.0 also includes a <a href=\"https://github.com/WordPress/gutenberg/pull/1440\" target=\"_blank\">new &#8220;Read More&#8221; block</a> that inserts a read more link with instant visual feedback within the content.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/read-more-block.png?ssl=1\"><img /></a></p>\n<p>This release also brings several improvements to existing blocks, autosaving for drafts, and initial support for undo/redo keyboard functions.</p>\n<h3>Gutenberg&#8217;s Negative Reviews are Piling Up on WordPress.org</h3>\n<p>Gutenberg contributors are regularly shipping weekly releases, with many features added as bare bones placeholders that will be iterated on in future releases. New blocks are being developed simultaneously with core editing features. Some testers have <a href=\"https://wptavern.com/gutenberg-0-5-0-adds-new-verse-block-for-poetry-and-a-new-display-for-recent-blocks#comment-224944\" target=\"_blank\">bemoaned the proliferation of blocks</a> that may seldom be used while the basic writing experience continues to lag behind.</p>\n<p><a href=\"https://wordpress.org/support/plugin/gutenberg/reviews/\" target=\"_blank\">Gutenberg plugin reviews</a> are currently averaging 2.3 out of 5 stars on WordPress.org, with 46 1-star reviews, 21 5-star reviews, and a handful in between. While the reviews are not a full representation of all who are testing Gutenberg, they provide a small window into users&#8217; current expectations, delights, and frustrations with the editor. Gutenberg contributors are monitoring these forums and using the feedback to create bug reports.</p>\n<p>Many reviewers have left 1-star ratings, begging WordPress to keep it as a plugin instead of adding it to core. One reviewer even took to verse to further elaborate on his one-star review titled &#8220;<a href=\"https://wordpress.org/support/topic/catastophe-how-to-destroy-wordpress-in-2-weeks/\" target=\"_blank\">A Visit from St. Gutenberg</a>&#8221; with an adaptation of the classic poem &#8220;<a href=\"https://en.wikipedia.org/wiki/A_Visit_from_St._Nicholas\" target=\"_blank\">The Night Before Christmas</a>:&#8221;</p>\n<blockquote><p>\nA bundle of blocks he had flung on his back,<br />\nAnd he looked like a coder just opening his pack.</p>\n<p>His eyes—how they twinkled! his dimples, how merry!<br />\n“Who needs MCE, when we have blocks and so many?”</p></blockquote>\n<p>Many reviewers find Gutenberg to be &#8220;unnecessarily complex&#8221; for actions that were previously easy to perform in the editor.</p>\n<p>&#8220;I have several websites &#8211; two are for business and include blogs (technical posts, how-tos, etc),&#8221; @quantaweb <a href=\"https://wordpress.org/support/topic/please-make-it-a-plugin-not-part-of-core/\" target=\"_blank\">said</a>. &#8220;I’m also the editor of a literary magazine. This doesn’t work for any of these sites. It’s not easier to write blogs with it, and it does nothing to ease the work of importing critical essays and poetry into the literary magazine — and formatting them — either&#8230;Gutenberg is unnecessarily complex.&#8221;</p>\n<p>Some of the 1-star reviews come laced with threats to move to another CMS and splinter the WordPress community if Gutenberg is included in core.</p>\n<p>&#8220;By removing all the traditional editor buttons and trying to make a minimalist design the usefulness and ease of use has been drastically reduced,&#8221; @ovann86 <a href=\"https://wordpress.org/support/topic/great-example-of-why-developers-are-not-ux-experts/\" target=\"_blank\">said</a>. &#8220;I found myself either not being able to do very basic content management or having to click, hover and look for the buttons – instead of them being visible and available immediately&#8230;If this was made core I would likely be forced to move to another CMS.&#8221;</p>\n<p>Early testing of beta software is not for everyone, as many are unable to look past the initial bugs and clunky implementations to see the potential of the editor to improve WordPress&#8217; severely fragmented content creation experience. Matt Mullenweg jumped onto the forums as recently as two weeks ago to <a href=\"https://wordpress.org/support/topic/not-ready-for-prime-time-14/#post-9316327\" target=\"_blank\">respond to testers&#8217; feedback</a>.</p>\n<p>&#8220;We definitely agree it’s not ready for prime time yet, that’s why we’re doing extensive public testing and iteration while it’s in the plugin phase,&#8221; Mullenweg said. &#8220;Thank you for your feedback and I hope you try it again in a few months with an open mind.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2017 23:26:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"BuddyPress: BuddyPress 2.9.0 – ‘La Lombarda’\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=267251\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://buddypress.org/2017/07/buddypress-2-9-0-la-lombarda/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6217:\"<p>BuddyPress is happy to announce the immediate availability of it&#8217;s latest release 2.9 &#8216;La Lombarda&#8217; <a href=\"https://en-gb.wordpress.org/plugins/buddypress/2.9.0\">available for download </a> or updatable from your WordPress install plugin directory.</p>\n<p>This release features a range of improvements and updates for both core functionality and templates.</p>\n<p><strong>Amongst a range of improvements and enhancements:</strong></p>\n<ul>\n<li>BP legacy templates are updated for aria labels to bring a vastly improved level of accessibility to layouts.</li>\n<li>In line with current practises anchor title attributes are replaced with an enhanced version usable for all devices, BP Tooltips now provides pop up title requirements on mouse hover or keyboard focus.</li>\n<li>Provide the capability to edit the Group slug: now site admins may edit the group name and the permalink in the dashboard.</li>\n<li>Prevent group invites being sent to users that have already received one.</li>\n<li>Uploading of profile images in mobile devices improved as well as better handling of files with non ASCII characters.</li>\n<li>Email links to private message threads now re-direct logged out users to the login screen, logged in users are directed to message thread.</li>\n<li>New template tag <code>bp_group_link()</code></li>\n<li>Add an order_by parameter for activity queries.</li>\n</ul>\n<p>You can see the full set of changes on our codex page <a href=\"https://codex.buddypress.org/releases/version-2-9-0/\">Version 2.9.0</a></p>\n<p><strong>Comments &amp; feedback</strong><br />\nPlease report any issues to the <a href=\"https://buddypress.org/support/\">Buddypress Support Forum</a> or open a ticket on our <a href=\"https://buddypress.trac.wordpress.org/\">Trac development home</a>.</p>\n<p><strong>Contributors</strong><br />\nBuddypress is a volunteer project and the core team acknowledges the contributions from everyone listed below that helped to bring 2.9 to the community.</p>\n<ul class=\"wp-credits-list\">\n<li><a href=\"https://profiles.wordpress.org/55don/\"> 55don</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/aaronoftomorrow/\"> AaronOfTomorrow</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/allianse/\"> allianse</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/antonioeatgoat/\"> Antonio Mangiacapra (antonioeatgoat)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/benjlipchak/\"> Benj (benjlipchak)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/boonebgorges/\"> Boone B Gorges (boonebgorges)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/bhargavbhandari90/\"> Bunty (bhargavbhandari90)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/sbrajesh/\"> Brajesh Singh (sbrajesh)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/needle/\"> Christian Wach (needle)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/brandonliles/\"> brandonliles</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/danbp/\"> danbp</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/dcavins/\"> David Cavins (dcavins)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/dkelm/\"> dkelm</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/dsar/\"> dsar</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/dsided/\"> dsided</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/henry.wright\"> Henry Wright (henry.wright)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/hnla/\"> Hugo (hnla)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/idofri/\"> Ido Friedlander (idofri)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/uscore713/\"> Jay (uscore713)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/johnbillion/\"> John Blackbourn (johnbillion)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/johnjamesjacoby/\"> John James Jacoby (johnjamesjacoby)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/juanho/\"> Juanho</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/lakrisgubben/\"> lakrisgubben</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/Offereins\"> Laurens Offereins (Offereins)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/lne1030/\"> lne1030</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/lenasterg/\"> lenasterg</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/maniou/\"> Maniou</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/imath/\"> Mathieu Viet (imath)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/mercime/\"> mercime</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/tw2113/\"> Michael Beckwith (tw2113)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/mikegillihan/\"> Mike Gillihan (MikeGillihan)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/milindmore22/\"> Milind More  (milindmore22)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/modemlooper/\"> modemlooper</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/mrjarbenne/\"> mrjarbenne</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/nicolaskulka/\"> Nicolas Kulka (NicolasKulka)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/oelita/\"> Oelita</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/DJPaul/\"> Paul Gibbs (DJPaul)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/pareshradadiya/\"> paresh.radadiya (pareshradadiya)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/r-a-y/\"> r-a-y</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/espellcaste/\"> Renato Alves (espellcaste)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/rianrietveld/\"> Rian Rietveld (rianrietvelde)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/elhardoum/\"> Samuel Elh (elhardoum)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/seventhqueen/\"> seventhqueen</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/slaffik/\"> Slava Abakumov (slaffik)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/netweb/\"> Stephen Edgar (netweb)</a>, </li>\n<li><a href=\"https://profiles.wordpress.org/vishalkakadiya/\"> Vishal Kakadiya (vishalkakadiya)</a>, </li>\n</ul>\n<p>	<strong>La Lombada</strong><br />\nThis release is named after what is thought to the oldest and thus first Italian restaurant in the UK established circa 1922 in Aberdeen.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2017 21:39:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Hugo Ashmore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"WPTavern: Dmitry Mayorov Discusses the Challenges of Organizing WordCamp Moscow and the Future of WordPress Themes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=69311\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"https://wptavern.com/dmitry-mayorov-discusses-the-challenges-of-organizing-wordcamp-moscow-and-the-future-of-wordpress-themes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2956:\"<p>While at WordCamp Europe I had the opportunity to meet Russian designer and developer <a href=\"https://dmtrmrv.com/\" target=\"_blank\">Dmitry Mayorov</a>, whose themes I had noticed earlier in the year in the <a href=\"https://wordpress.org/themes/author/iamdmitrymayorov/\" target=\"_blank\">WordPress Theme Directory</a>. Mayorov&#8217;s design style is reminiscent of other niche theme developers like Anders Norén and Mike McAlister. He launched his own commercial themes business on <a href=\"https://themepatio.com/\" target=\"_blank\">ThemePatio.com</a> two years ago and his free <a href=\"https://wordpress.org/themes/counter/\" target=\"_blank\">Counter</a> and <a href=\"https://wordpress.org/themes/maker/\" target=\"_blank\">Maker</a> themes collectively have more than 3,000 active installs on WordPress.org.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/04/counter.png?ssl=1\"><img /></a><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/04/maker.png?ssl=1\"><img /></a></p>\n<p>&nbsp; </p>\n<p>Mayorov started taking part in meetups in Russia in 2013. Following WordCamp Moscow 2015, Konstantin Kovshenin asked him if he would take on the role of lead organizer. Mayorov is organizing <a href=\"https://2017.moscow.wordcamp.org/\" target=\"_blank\">WordCamp Moscow 2017</a>, which is scheduled for August 12. In our interview below, he describes a few of the challenges organizers face in uniting the Russian WordPress community that is spread out over such a large land mass.</p>\n<p>Mayorov also discusses how he began creating WordPress themes and how clients&#8217; needs influenced his <a href=\"https://themepatio.com/about/\" target=\"_blank\">theme development philosophy</a>. He aspires to create themes that are fast, content-focused, and minimalistic, without the bloat of hundreds of font options and pre-built site layouts. Mayorov also gave us his predictions for the future of the theme industry.</p>\n<p>&#8220;I think it&#8217;s going to go two directions at the same time,&#8221; Mayorov said. &#8220;I think that page builders and multi-purpose themes wont go anywhere but I also think that niche themes are here to stay as well. Not everybody is looking for a page builder.</p>\n<p>&#8220;I see the tendency that at first when people get introduced to WordPress they discover theme marketplaces. They think, &#8216;Ok this is the top seller, I&#8217;m going to go with this theme.&#8217; For some people it works, and there&#8217;s nothing wrong with that, because sometimes you have challenges where you need to create a website like yesterday&#8230;Once they see that there is another way, they start to research other theme developers and shops, realizing that there are simple themes that work faster and are easier to use, and that you don&#8217;t need to spend two hours trying to create the homepage. They will use those themes as well. These are the themes I&#8217;m trying to build.&#8221;</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Jul 2017 19:57:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"WPTavern: Customize Snapshots 0.6.0 Adds the Ability to Name and Merge Changesets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73700\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"https://wptavern.com/customize-snapshots-0-6-0-adds-the-ability-to-name-and-merge-changesets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5032:\"<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/snapshots.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://stocksnap.io/photo/T80PGTWXHZ\">Freestocks.org</a>\n<p>Contributors to the <a href=\"https://wordpress.org/plugins/customize-snapshots/\" target=\"_blank\">Customize Snapshots</a> feature plugin are steadily building a UI for managing Customizer changesets using the changesets infrastructure added in WordPress 4.7. <a href=\"https://make.xwp.co/2017/07/27/customize-snapshots-0-6-release/\" target=\"_blank\">Version 0.6.0</a> of the plugin was released this month with an expanded interface for managing the complexities of multi-user editing in the Customizer.</p>\n<p>The previous version of Customize Snapshots already supported scheduling but this release introduces a new multi-select save button that allows users to publish, save draft, save as pending, or schedule changes.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/customize-snapshots-multi-select-button.png?ssl=1\"><img /></a></p>\n<p>Version 0.6.0 adds the ability to name changesets, which is especially helpful for site owners who are sorting and previewing changes submitted by multiple editors. The list of changesets has links for previewing on the frontend, editing in the Customizer, or inspecting the changeset&#8217;s content on the edit post screen.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/saved-changesets.png?ssl=1\"><img /></a></p>\n<p>This release introduces the ability to merge multiple changesets into a single changeset, which users can then preview and publish all at once.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/merge-changesets.png?ssl=1\"><img /></a></p>\n<p>Contributors have not yet worked out how this feature will handle conflicting changes submitted by multiple users. It currently accepts whatever change was made more recently, but this isn&#8217;t ideal in certain situations. <a href=\"https://github.com/xwp/wp-customize-snapshots/issues?q=is%3Aissue%20is%3Aopen%20conflict\" target=\"_blank\">Conflict resolution</a> is on the team&#8217;s radar to address in future iterations of the plugin and they are discussing several different approaches.</p>\n<p>&#8220;Merging changesets would definitely lie in the realm of a power user feature,&#8221; Customize component co-maintainer Weston Ruter said. &#8220;It would probably not be proposed for core. Nevertheless, the existence of the feature is a demonstration of the kinds of things that can be possible when working with changesets.&#8221;</p>\n<p>In addition to co-leading WordPress&#8217; Customizer team, Ruter is also the CTO at XWP, where several of the agency&#8217;s clients are actively using the Customize Snapshots plugin. News Corp Australia and Beachbody are two companies that have invested in the plugin&#8217;s development and are successfully using it at scale on their network of sites.</p>\n<p>&#8220;When paired with the Customize Posts plugin, it gets really powerful because you can edit multiple posts and pages, along with any of their postmeta, while also editing widgets, nav menus, and any other settings, and all of these changes are all bundled together in a single changeset,&#8221; Ruter said. &#8220;This changeset can then be previewed on the frontend, including by sharing the URL with an unauthenticated user (like a 3rd party who can&#8217;t even access the Customizer), and they can click around the site with all of the customizations applied as if they had been published.&#8221;</p>\n<p>Ruter said the Customizer team isn&#8217;t currently targeting a WordPress release for getting these new UI additions added to core but rather view the progress as &#8220;prototypes for what could be merged into core, bit by bit.&#8221; He identified several tickets that the plugin provides prototype interfaces for:</p>\n<ul>\n<li><a href=\"https://core.trac.wordpress.org/ticket/28721\" target=\"_blank\">#28721</a>: Scheduled changes for the customizer</li>\n<li><a href=\"https://core.trac.wordpress.org/ticket/31089\" target=\"_blank\">#31089</a>: Add revisions and statuses for changesets</li>\n<li><a href=\"https://core.trac.wordpress.org/ticket/21666\" target=\"_blank\">#21666</a>: Customizer reset/undo/revert</li>\n<li><a href=\"https://core.trac.wordpress.org/ticket/39896\" target=\"_blank\">#39896</a>: Customizer: Allow users to Draft changes before Publishing</li>\n</ul>\n<p>&#8220;Core development is still very much focused on the editor — Gutenberg — so the far-reaching Customizer changes are not being emphasized yet,&#8221; Ruter said. Meanwhile progress continues on the Customize Snapshots plugin, which was completely rewritten for the 0.6.0 release after most of its infrastructure was merged into WordPress 4.7. Ruter&#8217;s team is not sure which features will eventually land in core, but the various Customizer feature plugins give users an idea of the power of the changesets infrastructure that is already included in WordPress.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2017 22:58:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: .blog Passes 100,000 Registrations, 66.5% of Purchased Domains are in Use\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73673\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"https://wptavern.com/blog-passes-100000-registrations-66-5-of-purchased-domains-are-in-use\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5297:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/blog.png?ssl=1\"><img /></a></p>\n<p>The .blog domain extension, managed by Automattic subsidiary Knock Knock WHOIS There (KKWT), opened registration to the public in November 2016 and has just <a href=\"https://my.blog/2017/07/26/100000-blogs/\" target=\"_blank\">passed the 100,000 registration milestone</a>. The extension is averaging 300 new .blog domains registered per day and is quickly gaining popularity among new generic TLDs. According to the most recent stats available at nTLDStats, <a href=\"https://ntldstats.com/tld/blog\" target=\"_blank\">.blog registrations</a> have climbed steadily and predictably every month since its public launch.</p>\n<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/blog-registrations.png?ssl=1\"><img /></a>.blog registrations according to ntldstats.com\n<p>Automattic, which operates independently from KKWT as a registrar, currently has the largest market share of .blog domain registrars at 62.8%. Other smaller pieces of the pie continue to see increasing numbers of registrations. </p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/registrar-market-share-blog.png?ssl=1\"><img /></a></p>\n<p>&#8220;When a .blog domain is sold through any .blog registrar, it operates like all other top-level domains (TLDs),&#8221; .blog representative Erica Varlese said. &#8220;This means that the registry, in this case Knock Knock WHOIS There, receives the wholesale cost, ICANN receives their fees, and the registrar retains the rest.&#8221;</p>\n<p>The .blog team has started experimenting with different marketing programs to promote the extension among registrars and launched its first campaigns last month.</p>\n<p>&#8220;These programs are available to any .blog accredited registrar and, through participation, allows them to provide .blog domains to their customers at a discounted rate,&#8221; Varlese said. &#8220;It is designed to test price elasticity and various end-user marketing techniques that best fit each registrars&#8217; unique customer-base.&#8221;</p>\n<p>Registration for .blog domains is fully integrated into WordPress.com&#8217;s domain offerings, but Varlese said that Knock Knock WHOIS There, as a separate company, is not informed of the specific details of their domain roadmap. The subsidiary also does not track how many of the .blog domains are running WordPress, as the extension is platform agnostic and in use across many different blogging services. </p>\n<p>So far .blog domain customers include both individuals and businesses, including some e-commerce and community sites. Varlese said the main benefit to acquiring a .blog domain is that customers are more likely to get and use a name they always wanted (example.blog), versus settling for a more complicated variation, such as blog.example.com.</p>\n<p>&#8220;Using a blog domain is also a great way to embrace engagement with your community,&#8221; Varlese said. &#8220;In addition to individual and personal bloggers, we also see larger brands using blogs to engage with their customers. Visiting <a href=\"http://stackoverflow.blog\" target=\"_blank\">stackoverflow.blog</a>, for example, is intuitive. The domain lets me know right away what type of content and interaction to expect versus what my expectations would be when prompted to visit stackoverflow.com. Both are equally important and both add value to the customer’s online experience.&#8221;</p>\n<p>Many people purchase a domain just to sit on it for the right time to use it or sell. Greater usage of .blog domains promotes visibility on the web, which is why registrars place value on how many have launched websites using the extension. </p>\n<p>&#8220;Our goal is steady, long-term growth while continuing to increase our usage rates,&#8221; Varlese said. &#8220;We want every .blog domain to resolve to a unique content site or blog. Usage is an important metric for us. It positively contributes to help the new TLD marketplace thrive and grow organically. It is at the forefront of every decision we make, including marketing and rebate programs for our registrars, as well as our dotblogger program, which gives online influencers easy access to all .blog domains, including premium and reserved domains.&#8221;</p>\n<p>The .blog team&#8217;s 100,000 registrations milestone post cites usage stats from Pandalytics, a domains data service, that are not publicly available. </p>\n<p>&#8220;66.5% of .blog domains have a unique website associated with them, compared to an average of 39.3% for both new and legacy TLDs, according to recent research by Daniel Ruzzini-Mejia (co-founder and CSO of DomainsBot Srl, the company behind big-data analysis platform Pandalytics),&#8221; Varlese said. &#8220;Ruzzini-Mejia also found more than 250 .blog domains that use an eCommerce platform.&#8221; </p>\n<p>This is an interesting find in an era where many have claimed that blogs are dead. If the indie web proponents have their way, blogs may have another renaissance yet, and could become the anchors of commerce and identity online. The healthy usage numbers the .blog extension has posted in its first year are a strong indicator that the concept of blogging still holds an important place on the web. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2017 18:09:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: Adobe to Discontinue Flash Support and Updates in 2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73654\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wptavern.com/adobe-to-discontinue-flash-support-and-updates-in-2020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3530:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/adobe-flash.png?ssl=1\"><img /></a></p>\n<p>Adobe <a href=\"https://blogs.adobe.com/conversations/2017/07/adobe-flash-update.html\" target=\"_blank\">announced</a> today that it will discontinue Flash support and updates at the end of 2020. Flash played an important part in the history of the web, inspiring many of the open standards and formats that the web has moved on to embrace.</p>\n<blockquote><p>Given this progress, and in collaboration with several of our technology partners – including Apple, Facebook, Google, Microsoft and Mozilla – Adobe is planning to end-of-life Flash. Specifically, we will stop updating and distributing the Flash Player at the end of 2020 and encourage content creators to migrate any existing Flash content to these new open formats.</p></blockquote>\n<p>Last year most major browsers moved to block Flash, requiring users to enable it manually for sites where they wish to view Flash content. Microsoft, Google, and Mozilla were on deck today with announcements of their own regarding future Flash support. Firefox is the most aggressive with its <a href=\"https://blog.mozilla.org/futurereleases/2017/07/25/firefox-roadmap-flash-end-life/\" target=\"_blank\">plan to disable Flash for most users in 2019</a>. Only those running an Extended Support Release will be able to continue using it through the end of 2020 and no version of Firefox will load the plugin after Adobe discontinues security patches.</p>\n<p><a href=\"https://www.blog.google/products/chrome/saying-goodbye-flash-chrome/\" target=\"_blank\">Chrome is also phasing out support for Flash</a> and plans to remove it completely from the browser toward the end of 2020.</p>\n<p>&#8220;Three years ago, 80 percent of desktop Chrome users visited a site with Flash each day,&#8221; Google Chrome Product Manager Anthony Laforge said. &#8220;Today usage is only 17 percent and continues to decline.</p>\n<p>&#8220;This trend reveals that sites are migrating to open web technologies, which are faster and more power-efficient than Flash. They’re also more secure, so you can be safer while shopping, banking, or reading sensitive documents.&#8221;</p>\n<p>The Microsoft Edge team also <a href=\"https://blogs.windows.com/msedgedev/2017/07/25/flash-on-windows-timeline/#QKXFIeE23ZSoZLlh.97\" target=\"_blank\">announced</a> its plans to phase out Flash from both Microsoft Edge and Internet Explorer with complete removal from all supported versions of Microsoft Windows by the end of 2020.</p>\n<p>Although <a href=\"http://blog.kongregate.com/html5-is-here/\" target=\"_blank\">HTML5 adoption is growing among game developers</a>, Adobe&#8217;s announcement means major changes for segments of the the gaming, education, and video industries that have not yet migrated to newer, open formats. This news will also make obsolete dozens of WordPress <a href=\"https://wordpress.org/plugins/search/flash/\" target=\"_blank\">plugins that were created to upload and display Flash content</a>.</p>\n<p>Adobe&#8217;s announcement was met with thanks and &#8220;good riddance,&#8221; with many calling for an even speedier timeline. Many are also concerned about all the orphaned content and .swf games on the web that Flash&#8217;s disappearance will create. Adobe has received many requests on Twitter for the company to consider open sourcing the old Flash Player codebase for the sake of compatibility and archiving content. Adobe has not officially replied to any of these requests.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 26 Jul 2017 04:01:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"HeroPress: Random Diary Chapters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1992\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://heropress.com/essays/random-diary-chapters/#utm_source=rss&utm_medium=rss&utm_campaign=random-diary-chapters\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7699:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/072617-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: WordPress combines people together from all over the world. Maybe WordPress is important after all.\" /><blockquote><p>There goes my hero<br />\nWatch him as he goes<br />\nThere goes my hero<br />\nHe&#8217;s ordinary</p></blockquote>\n<div class=\"jetpack-video-wrapper\"></div>\n<p>I have no idea what I’m going to write about. How about people? Ordinary people are heroes to me. People who are willing to help one another. People just like you and me.</p>\n<p>Well, at least like you <img src=\"https://s.w.org/images/core/emoji/2.3/72x72/1f642.png\" alt=\"?\" class=\"wp-smiley\" /> &#8211; if you’re for some reason reading my diary.</p>\n<h2>Who’s teaching who</h2>\n<p>I still remember when I build my first website with table layouts while studying math in the University of Jyväskylä. Those were the days! But it doesn’t feel like yesterday anymore. More like day before.</p>\n<p>Nevertheless being a math teacher has been the perfect choice for me. It’s been fun, challenging, and rewarding. I’ve probably learnt lot more from students than they have from me.</p>\n<p>Heck, they even got me into WordPress when I was taking my ex-students short film course. Was it 2008? Something like that. We needed a website for our short film and had only 1-2 days. Students gave me link to WordPress.com and I was sold. Getting site up and running was easy and fast.</p>\n<p>“Well come here and do it yourself!!” &#8211; drama class student shouted.</p>\n<p>That’s another good lesson I’ve learnt.</p>\n<blockquote><p>It’s so easy to give negative feedback (don’t do it like that) without doing anything yourself or giving constructive feedback.</p></blockquote>\n<p>Oh boy I still feel ashamed when I judged a book by it’s cover. This time the book cover was a blonde girl asking weird questions with high voice. I was a prison of my prejudice and instantly assumed she must be bad at math. How wrong was I. She was brilliant.</p>\n<p>At least the prison gate is now open if I just understand to walk out.</p>\n<h2>Who am I</h2>\n<p>Sometimes I wonder what other people think of me? Do they think I’m open minded teacher, or front-developer who cares about accessibility. But does any of that matter? Job title really doesn’t tell anything who I am. Or anybody else.</p>\n<p>But who am I? I’m not sure how to define me. I’m no dad or husband. I do have several good traits but there are also demons inside me. Lack of empathy is one of them. And that comes down to this:</p>\n<p>In the end <strong>I’m a selfish asshole</strong>.</p>\n<p>It’s okay to be selfish from time to time but it’s not okay to let people down big time when they need me most. Being an ordinary human being is not one of my strengths but I’ll promise to work on it.</p>\n<h2>Friends will be friends</h2>\n<p>I consider myself lucky. I have lovely parents and two crazy big brothers. And over the years I have made friendships that last forever.</p>\n<p>I hope everybody have a friend who is like a bridge between other friends. Someone who is always organizing something fun: bowling, music gigs, dinners, sports. Someone who is always nice to others and would never hurt a fly.</p>\n<p>I had a friend like that.</p>\n<p>But as a return I couldn’t help him enough. Shadows of life had taken over him. He could not see the light anymore. He died by suicide before christmas 2015.</p>\n<p>Now he can’t fall anymore. He will always be our beloved one and we’ll miss him more than words can express. So many songs reflects to memories we have. For example this Finnish song that I heard exactly one year after his death. (<a href=\"http://lyricstranslate.com/en/rakastettu-beloved.html\">Lyrics in english</a>).</p>\n<div class=\"jetpack-video-wrapper\"></div>\n<p>Why is it so much easier to talk about other problems but not your own. Why is it so hard to ask help when you really need it.</p>\n<h2>Life goes on</h2>\n<p>Do I need to say anything. No I don&#8217;t.</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/summer-of-2017-peaceful-mind-after-sauna.jpg\"><img class=\"size-full wp-image-1995\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/summer-of-2017-peaceful-mind-after-sauna.jpg\" alt=\"View of the water form the shore.\" width=\"1000\" height=\"750\" /></a>Summer 2017. Peaceful state of mind after a sauna.\n<p>&nbsp;</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/my-dear-friends-rock.jpg\"><img class=\"size-full wp-image-1996\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/my-dear-friends-rock.jpg\" alt=\"Sami and 2 friends\" width=\"1000\" height=\"751\" /></a>My dear friends rock!\n<p>&nbsp;</p>\n<a href=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/friends-will-be-friends.jpg\"><img class=\"size-full wp-image-1997\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/friends-will-be-friends.jpg\" alt=\"Sami and two friends\" width=\"1000\" height=\"750\" /></a>Friends will be friends forever.\n<h2>WordPress is not important</h2>\n<p>WordPress is not important. People behind it are, they have feelings. I wish more people would remember that when commenting on blog posts, Slack, or other online tools with shitty attitudes.</p>\n<blockquote><p>Being nice and constructive goes a long way.</p></blockquote>\n<p>At the same time it’s amazing to notice how WordPress combines people together from all over the world. In WordCamps and meetups I have found new friends that really matter. That feels good.</p>\n<p>Maybe WordPress is important after all.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Random Diary Chapters\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Random%20Diary%20Chapters&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Frandom-diary-chapters%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Random Diary Chapters\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Frandom-diary-chapters%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Frandom-diary-chapters%2F&title=Random+Diary+Chapters\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Random Diary Chapters\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/random-diary-chapters/&media=https://heropress.com/wp-content/uploads/2017/07/072617-150x150.jpg&description=Random Diary Chapters\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Random Diary Chapters\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/random-diary-chapters/\" title=\"Random Diary Chapters\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/random-diary-chapters/\">Random Diary Chapters</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 26 Jul 2017 00:00:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sami Keijonen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:133:\"WPTavern: SiteLock Acquires Patchman’s Malware and Vulnerability Detection Technology, Expands WordPress Customer Base to 4 Million\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73626\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:140:\"https://wptavern.com/sitelock-acquires-patchmans-malware-and-vulnerability-detection-technology-expands-wordpress-customer-base-to-4-million\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4480:\"<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/sitelock-logo.png?ssl=1\"><img /></a></p>\n<p><a href=\"https://www.sitelock.com/\" target=\"_blank\">SiteLock</a>, a website security company, has <a href=\"https://www.sitelock.com/pr/extends-web-security-leadership-patchman-acquisition\" target=\"_blank\">acquired</a> <a href=\"http://patchman.co/\" target=\"_blank\">Patchman</a>, a Dutch security startup that offers automated vulnerability patching and malware removal for hosting providers. Prior to the acquisition SiteLock protected 6 million sites, with 2.2 million of them running on WordPress. The addition of Patchman extends SiteLock&#8217;s customer base to 12 million sites and more than 4 million of those are powered by WordPress.</p>\n<p>Patchman detects vulnerabilities in <a href=\"https://patchman.zendesk.com/hc/en-us/articles/200236661-Which-applications-does-Patchman-scan-and-fix-\" target=\"_blank\">a wide range of popular applications</a> and quarantines and patches threats automatically. The quarantine feature neutralizes malicious files by removing them from public access. Patchman supports detection and patching for WordPress 3.x and later.</p>\n<p>Historically, the service has not included patches for plugins but it has applied them on a case-by-case basis for high impact vulnerabilities, including a few found in WP Super Cache, MailPoet, and the open source Genericons font project. The Patchman dashboard allows users to easily track files where vulnerabilities have been detected, view status, and revert patches if necessary.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/patchman-dashboard.jpg?ssl=1\"><img /></a></p>\n<p>Patchman&#8217;s single focus on hosting providers gives SiteLock the opportunity to offer more options to its hosting partners. With the acquisition, the company is now partering with more than 500 hosting providers, including BlueHost, 1&amp;1, Web.com, InMotion, Melbourne IT, GMO (NTT), and many others.</p>\n<p>&#8220;During our early talks, Patchman was not looking to be acquired and SiteLock wasn’t looking to acquire,&#8221; SiteLock President Neill Feather said. After meeting at the WorldHostingDays show in Rust, Germany in late March this year and at another show in Los Angeles, the companies found they shared similar goals and would be in a better position working together.</p>\n<p>&#8220;It truly was a matter of 1+1=3,&#8221; Feather said. &#8220;Traditionally, SiteLock is very strong in detecting and removing malware for end users. Patchman offers a service tailored specifically to hosting providers and aimed at fixing the security vulnerabilities that hackers exploit to infect websites with malware. By working together we are able to address a wider market and offer a broader solution to the problems that we solve for our customers. We can now attack the problem from multiple angles.&#8221;</p>\n<p>Patchman&#8217;s technology will compliment SiteLock&#8217;s existing security features but the company has not yet decided how it will be incorporated into its security plans for customers. Feather said the team is still jointly building out its future roadmap to give hosts and end customers access to a wider range of products. They are also considering making Patchman&#8217;s detection technology compatible with more products in the WordPress ecosystem.</p>\n<p>Feather could not disclose any specifics on revenue generated by <a href=\"https://wpdistrict.sitelock.com/products/\" target=\"_blank\">SiteLock&#8217;s WordPress security products</a> but approximately 30% of its newly expanded customer base is running on WordPress.</p>\n<p>&#8220;What we can say is that we’re heavily invested in the WordPress community and plan on continuing to do so,&#8221; Feather said.</p>\n<p>&#8220;I&#8217;m excited that the increased number of sites we now protect across multiple platforms means we&#8217;ll be able to identify malware and malicious trends more efficiently than we&#8217;ve been able to already, and that&#8217;s good for every end user,&#8221; SiteLock&#8217;s WordPress Evangelist Adam Warner said. &#8220;Secondly, although we already have solutions for our partners, Patchman allows web hosts to offer increased security options for advanced users of their platforms. Being a WordPress guy, I&#8217;m excited about the possibility we now have to extend the capabilities of Patchman to plugins and other WordPress-specific software.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2017 18:46:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: Watch WordCamp Varna Wapuus Get Designed in Real Time\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73617\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/watch-wordcamp-varna-wapuus-get-designed-in-real-time\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1390:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/wordcamp-varna-wapuus.jpg?ssl=1\"><img /></a></p>\n<p>The very first <a href=\"https://2017.varna.wordcamp.org/\" target=\"_blank\">WordCamp Varna</a> will be held September 2-3 at the <a href=\"https://www.ue-varna.bg/en/\" target=\"_blank\">University of Economics</a>. Varna is a beautiful city in Bulgaria on the Black Sea and a popular spot for summer holidays. It is the first Bulgarian WordCamp to be held outside of Sofia.</p>\n<p><a href=\"https://2017.varna.wordcamp.org/tickets/\" target=\"_blank\">Tickets are on sale</a> for EUR 10 (BGN 20) and include  all the sessions, lunch, a #WCVAR 2017 T-shirt, and a few drinks at the after party. There are 102 remaining for the conference and 14 remaining tickets for the kids&#8217; workshop (ages 7-14).</p>\n<p>The location naturally inspired a maritime sticker pack collection for attendees, featuring four new wapuu designs. The collection was designed by the vector graphic illustrators at <a href=\"https://graphicmama.com/\" target=\"_blank\">GraphicMama</a>, a design partner for the WordCamp. Ever wonder how much effort goes into designing all the individualized creations in the <a href=\"http://jawordpressorg.github.io/wapuu/\" target=\"_blank\">world of wapuus</a>? Check out the video below to see how WordCamp Varna&#8217;s wapuu designs were brought to life.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2017 04:14:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: New Aztec Editor for WordPress Mobile Apps Now in Beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73587\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wptavern.com/new-aztec-editor-for-wordpress-mobile-apps-now-in-beta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3353:\"<p>WordPress&#8217; iOS and Android apps will soon be getting a new editor. The appearance of the new editor, codenamed “Aztec,&#8221; is very similar to the old one but is light years ahead of its predecessor in both speed and reliability. Aaron Douglas, iOS engineer at Automattic, announced the <a href=\"https://en.blog.wordpress.com/2017/07/24/a-brand-new-editor-for-the-wordpress-mobile-apps/\" target=\"_blank\">open beta for Aztec</a> today with a side-by-side comparison video of the old and new editors. A copy and paste test with 500 paragraphs on iPhone 6s demonstrates Aztec&#8217;s instantaneous response while the old editor takes two-minutes to render the text.</p>\n<p></p>\n<p>In addition to better speed and performance, Aztec&#8217;s use of OS-provided text controls makes it possible to offer full support for accessibility technologies like iOS’ VoiceOver and Android’s TalkBack. It also adds the ability to draft using dictation.</p>\n<p>Aztec introduces a new undo/redo tool at the top of the screen as a quick option for fixing mistakes. It also provides a simpler, more reliable experience using spell check.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/aztec-testing.png?ssl=1\"><img /></a></p>\n<p>The Aztec beta is available to all users in the latest updates of the app (8.0 for iOS, 7.8 for Android). After opening the app you will see a popup for enabling the new editor. It can also be toggled on/off by going to Me > App Settings and selecting &#8220;Set the Editor Type.&#8221;</p>\n<p>The mobile team has made it easy to test and give feedback without leaving the app. Tapping the &#8220;beta&#8221; button at the top of the editor will open a &#8220;What&#8217;s New in the Beta&#8221; page with a bug button at the top that you can use to report bugs and send feedback. At the moment, the beta does not support shortcodes or video and WordPress gallery features. Keep in mind that it&#8217;s not 100% ready for use and heavy users of the mobile apps are likely to discover glitches.</p>\n<p>Aztec is open source (GPL 2.0) and packaged as a rich-text editor component in its own GitHub repository (<a href=\"https://github.com/wordpress-mobile/WordPress-Aztec-iOS\" target=\"_blank\">iOS</a> | <a href=\"https://github.com/wordpress-mobile/WordPress-Aztec-Android\" target=\"_blank\">Android</a>) so that developers can use it in their own applications and contribute code back to the project.</p>\n<p>&#8220;Quite literally, there is nothing like this out there – every editor we could find uses a web view or has very limited support for any HTML,&#8221; Douglas said. &#8220;Our hope is the Aztec editor is seen as a component that can be used by many iOS and Android apps to provide a rich HTML editing experience. We feel that we could garner a bigger contributor base to the mobile apps simply because this component exists, is free and open, and is super awesome.&#8221;</p>\n<p>The project is a few months behind the <a href=\"https://make.wordpress.org/mobile/2017/04/08/introducing-the-aztec-mobile-editors/\" target=\"_blank\">schedule published in April</a>, which had open beta targeted for May and the full release for the end of this month. Depending on how well the beta testing period goes, users could see the new Aztec editor included in the mobile apps within the next few months.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 24 Jul 2017 22:59:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"WPTavern: Hamilton: A Free WordPress Portfolio Theme for Photographers, Illustrators, and Designers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=72881\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"https://wptavern.com/hamilton-a-free-wordpress-portfolio-theme-for-photographers-illustrators-and-designers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3779:\"<p><a href=\"https://wordpress.org/themes/hamilton/\" target=\"_blank\">Hamilton</a> is a new portfolio theme released by Swedish designer and developer <a href=\"http://www.andersnoren.se/\" target=\"_blank\">Anders Norén</a> during his summer vacation. It was created for photographers, illustrators, designers, and image-heavy blogs. The theme displays portfolio items in a minimal, masonry-style grid with an optional tagline on the front page.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/hamilton-white-black-1.jpg?ssl=1\"><img /></a></p>\n<p>&#8220;Hamilton has a pretty simple design at its core, so when it was more or less finished, I decided to add a couple of fun theme options to make it more customizable,&#8221; Norén said. &#8220;The main one is the Dark Mode. With a click of the mouse in the WordPress Customizer, you can change Hamilton from dark text on a white background to white text on a dark background.&#8221;</p>\n<p>The Customizer also includes a few other helpful options for portfolio sites:</p>\n<ul>\n<li>Set a custom background image or color</li>\n<li>Replace the navigation toggle in the header with the Primary Menu on desktop</li>\n<li>Change two-column default post grid display to three columns on desktop</li>\n<li>Display titles in the post previews</li>\n<li>Add a title to front page when it&#8217;s set to display latest posts</li>\n</ul>\n<p>The theme is beautifully responsive to various devices and screen sizes. Norén&#8217;s typography choices are clean and readable on mobile.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/hamilton-on-mobile-e1500914561475.png?ssl=1\"><img /></a></p>\n<p>Hamilton includes <a href=\"http://andersnoren.se/themes/hamilton/offscreen-magazine-collection/\" target=\"_blank\">styles for the default WordPress image gallery</a> with more interesting options available to create complex galleries stacked with different numbers of columns. It also supports Jetpack&#8217;s Infinite Scroll module and has styles for blockquotes, pullquotes, and left/right/center aligned media.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/hamilton-pullquotes.png?ssl=1\"><img /></a></p>\n<p>One of the most unique features of the theme is the <a href=\"http://andersnoren.se/themes/hamilton/resume/\" target=\"_blank\">Resume template</a>. It gives users the option to add a simple resume to their portfolios, without having to add a plugin. The template uses basic HTML for formatting with h1 header tags, horizontal rules, and unordered lists. The template could use a bit more documentation, since not all users are familiar with HTML, but it&#8217;s a useful addition for simple portfolio sites.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/resume-template.png?ssl=1\"><img /></a></p>\n<p>Check out a <a href=\"http://andersnoren.se/themes/hamilton/\" target=\"_blank\">live demo</a> along with the <a href=\"http://andersnoren.se/themes/hamilton/style-guide/\" target=\"_blank\">style guide</a> to see the theme in action.</p>\n<p><a href=\"https://wordpress.org/themes/hamilton/\" target=\"_blank\">Hamilton</a> is Anders Norén&#8217;s 15th theme approved for the WordPress Theme Directory. When he submitted it to the Theme Review Team, he anticipated that it would take a month or two for it to get through the review process. His previously submitted theme, Davis, took approximately nine months to make it through the queue. He was surprised to find that Hamilton <a href=\"https://twitter.com/andersnoren/status/887559567135186944\" target=\"_blank\">went through the process in under a month</a>. After less than a week on WordPress.org, the theme has already been downloaded more than 200 times.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 24 Jul 2017 19:27:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"WPTavern: Members 2.0 Adds Capability Registration System, Introduces New Settings Screen for Add-Ons\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73446\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"https://wptavern.com/members-2-0-adds-capability-registration-system-introduces-new-settings-screen-for-add-ons\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6254:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/members.png?ssl=1\"><img /></a></p>\n<p>Eight years ago, Justin Tadlock moved back home to Alabama and was living in the spare bedroom of his grandparents&#8217; house with nothing more than a laptop and a suitcase. Over the course of a few months he started going deeper into learning about writing WordPress plugins and produced <a href=\"https://wordpress.org/plugins/members/\" target=\"_blank\">Members</a>, a role management plugin for WordPress. The first major overhaul of the plugin came in 2015 with version 1.0&#8217;s expansion of features and a new UI for editing roles.</p>\n<p>Members has built up a user base of more than 100,000 active installs since it first <a href=\"http://justintadlock.com/archives/2009/09/17/members-wordpress-plugin\" target=\"_blank\">launched in 2009</a>. Tadlock estimates that over the last couple years, 40% of <a href=\"https://themehybrid.com/\" target=\"_blank\">Theme Hybrid</a> customers are primarily there for support and small tweaks to the Members plugin. He decided it was time to begin investing more in the plugin and its community.</p>\n<p>Tadlock released <a href=\"https://themehybrid.com/weblog/members-version-2-0\" target=\"_blank\">Members 2.0</a> this week. The plugin manages core WordPress capabilities but 2.0 adds the ability for plugins to register custom capabilities. The labels for the capabilities can be internationalized so users can manage the plugin in their own languages in human-readable form.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/members-2-human-caps.png?ssl=1\"><img /></a></p>\n<p>This release also adds the ability to use the WordPress editor for writing custom post error messages, making it easy to direct visitors to registration or other important information regarding access to the content.</p>\n<p>Members 2.0 lets users add multiple roles when creating a new user from the Add User screen. It also introduces the ability to bulk add or remove roles from users, even when multiple roles have been enabled.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/members-2-bulk-users.png?ssl=1\"><img /></a></p>\n<p>This version of the plugin serves some of its data using the WP REST API and a new setting was added to authenticate users who are accessing the REST API endpoints. This protects content from being exposed on sites that have the &#8220;private site&#8221; setting enabled. Tadlock plans to write a tutorial about what he has learned in integrating the REST API with the plugin.</p>\n<h3>Tadlock Aims to Monetize Members with Add-Ons, Renews Efforts to Develop a Community of Add-On Developers</h3>\n<p>Members 2.0 introduces a new Settings screen that ties in with Tadlock&#8217;s future plans to monetize the plugin. The new screen includes a view for add-ons. Tadlock has two add-ons available currently and has written an API for third-party developers to register their own add-ons to be visible on this screen.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/members-2-addons.png?ssl=1\"><img /></a></p>\n<p>&#8220;The plan is to create some small add-on plugins,&#8221; Tadlock said. &#8220;There&#8217;s already two:  <a href=\"https://themehybrid.com/plugins/members-role-levels\" target=\"_blank\">Members &#8211; Role Levels</a>, which is paid, and <a href=\"https://themehybrid.com/plugins/members-role-hierarchy\" target=\"_blank\">Members &#8211; Role Hierarchy</a>, which I was hired to build and was allowed to release to the community for free. I&#8217;ve got a few small plugins like those in mind that&#8217;ll be in a lower price range.&#8221;</p>\n<p>Tadlock also plans to release a more robust version of the &#8220;Content Permissions&#8221; feature as another add-on. He has received numerous feature requests from users over the years about what they would like to see in this plugin. The add-on will offer a variety of different ways to show/hide content.</p>\n<p>I asked Tadlock if he has considered building payment gateway add-ons so users can charge for memberships. He said the idea is on the table.</p>\n<p>&#8220;I&#8217;m not sure if I&#8217;m going to build those or someone else,&#8221; Tadlock said. &#8220;I&#8217;ve mentioned it to some other developers. It would be a good place to start building add-ons.&#8221; His current setup uses Easy Digital Downloads with a couple of plugins to bridge it with Members and ThemeHybrid.com.</p>\n<p>A plugin like Members has the potential to have a large, third-party ecosystem of plugins for payments and additional features, but Tadlock was focused on other projects during the first few years after it launched.</p>\n<p>&#8220;I haven&#8217;t actively pursued the add-on angle,&#8221; Tadlock said. &#8220;Instead, I focused more on themes during most of that time. Now, I&#8217;m focusing more on plugin development. It&#8217;s my fault for not nurturing a community of add-on developers, which is something I&#8217;m trying to do more of now.&#8221;</p>\n<p>Tadlock said many of the developers he knows are working with Members because they like that it gives them a solid foundation to build on for client work. He hopes to persuade some of them to release some of that code back as commercial add-ons or free plugins in the WordPress plugin directory.</p>\n<p>Since launching the plugin eight years ago, Tadlock has aimed to make it behave as if it were a natural part of WordPress. At its core, Members is a role and capability management plugin and not a one-size-fits all membership plugin.</p>\n<p>&#8220;It&#8217;s more or less a UI over what you could do with code already,&#8221; Tadlock said. &#8220;Most of all, it tries not to get in your way. Every membership site has its own unique needs. It&#8217;s tough building something that suits everyone.  That&#8217;s why I&#8217;d rather have that foundation of Members just exposing the roles/caps system with third-party add-ons that suit various users&#8217; needs.</p>\n<p>&#8220;Other membership plugins often try to please everyone or pigeon-hole everything into their custom system. I like more to have a bit more flexibility without the bloat.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 21 Jul 2017 21:37:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: WordPress 4.8.1 Adds a Dedicated Custom HTML Widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73470\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wptavern.com/wordpress-4-8-1-adds-a-dedicated-custom-html-widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2681:\"<p>When WordPress <a href=\"https://wptavern.com/wordpress-4-8-evans-released-featuring-nearby-wordpress-events-new-media-widgets-and-link-boundaries\">4.8 was released</a> last month, it introduced TinyMCE functionality to the Text widget. Unfortunately, this <a href=\"https://wordpress.org/support/topic/how-to-disable-visual-editor-in-the-text-widget/\">caused issues</a> for those who use Custom HTML as the Visual editor often strips out portions of the code.</p>\n<p>WordPress <a href=\"https://wordpress.org/download/release-archive/#beta-and-rc\">4.8.1 Beta 1</a> is available for testing and addresses this problem by including a dedicated Custom HTML widget.</p>\n<p>&#8220;For advanced users or any user who needs to paste in HTML snippets, there is now a dedicated &#8216;Custom HTML&#8217; widget that is specifically for adding arbitrary HTML to your sidebar,&#8221; Weston Ruter, said.</p>\n<p>&#8220;This widget will retain the application of the <code>widget_text</code> filters, in addition to having a new dedicated <code>widget_custom_html_content</code> filter.</p>\n<p>&#8220;For use cases that involve adding content to your sidebar, the Text widget will continue to feature the same Visual editing interface that the post editor has (TinyMCE).&#8221;</p>\n<p>Users who access Text widgets that have Custom HTML in WordPress 4.8.1, will see a note at the top of the widget that suggests using the Custom HTML widget.</p>\n<p><img /></p>\n<p>If a user pastes or types HTML into a text widget with the Visual editor active, WordPress displays an Admin Pointer suggesting that they use the Text tab instead or use the Custom HTML widget.</p>\n<img />Text Widget Admin Pointer\n<p>The Custom HTML widget works similar to the Text widget in WordPress 4.7 and below.</p>\n<img />Custom HTML Widget\n<p>Sites that have existing Text widgets containing custom HTML that may be modified by the Visual editor, are opened in a legacy mode.</p>\n<p>Legacy mode retains the old Text widget interface, including the checkbox on whether or not to automatically add paragraphs. This change prevents the Visual editor from altering code.</p>\n<p>Ruter says the ideal way to test these improvements is to install it on a staging site that has Text widgets containing HTML and are known to be problematic in WordPress 4.8. After upgrading, check to see if the widgets open in legacy mode.</p>\n<p>WordPress 4.8.1 is scheduled to be released on August 1st. Please report any bugs or errors you encounter in as much detail as possible to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">WordPress Alpha/Beta</a> section of the support forums.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 21 Jul 2017 18:31:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: Petition to Re-License React has been Escalated to Facebook’s Engineering Directors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73454\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wptavern.com/petition-to-re-license-react-has-been-escalated-to-facebooks-engineering-directors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7983:\"<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/07/flags.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://stocksnap.io/photo/04XDXYUMGQ\">manu schwendener</a>\n<p>React users are <a href=\"https://wptavern.com/react-users-petition-facebook-to-re-license-react-js-after-apache-software-foundation-bans-bsdpatents-license-in-dependencies\" target=\"_blank\">petitioning Facebook to re-license React.js</a> after the Apache Software Foundation announced its decision to ban Apache PMC members from using any technology licensed with Facebook’s BSD+Patents License. So far the GitHub <a href=\"https://github.com/facebook/react/issues/10191\" target=\"_blank\">issue</a> has received 627 &#8220;thumbs up&#8221; emoji and 66 comments from concerned React users who are hoping for a change in licensing.</p>\n<p>Many respondents on the thread said that ASF&#8217;s decision affects their organizations&#8217; ability to continue using React in projects.</p>\n<p>&#8220;Apache CouchDB and others will switch away from React if we have to,&#8221; CouchDB committer Robert Newson <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-315596902\" target=\"_blank\">said</a>. &#8220;We&#8217;d rather not, it&#8217;s a lot of work for no real gain, but we don&#8217;t have a choice. Changing license can be simple (RocksDB completed that change in a day).&#8221;</p>\n<p>&#8220;My team, at LinkedIn, is also having legal troubles using React for our internal projects,&#8221; LinkedIn software Denis Ivanov <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316500996\" target=\"_blank\">said</a>. &#8220;We would love to see a change on this front.&#8221;</p>\n<p>Software developer Clark Evans <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-315607798\" target=\"_blank\">commented</a> on how React&#8217;s current licensing might affect medical research institutes, and suggested that Facebook consider an Apache 2.0 license because it includes equitable patent grants.</p>\n<blockquote><p>Since U.S. based universities rely upon patent licensing as part of their legislatively mandated technology transfer initiatives, they are growing far more cautious in their due diligence. For this reason, at some universities, software written with React may be shunned. Existing projects using React software may be asked to remove the React software software dependency. Please strongly consider this proposal, since our RexDB work is used at major universities, we do not wish to rework to use a React alternative.</p></blockquote>\n<p>Several participants in the discussion commented that they would like to use React but the licensing makes it impossible for their companies.</p>\n<p>&#8220;Other large companies such as mine (Adobe) can&#8217;t use React, Pop, etc. for the very same reason,&#8221; Corey Lucier <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316046522\" target=\"_blank\">said</a>. &#8220;We&#8217;d love to participate in the project, contribute to each, etc. but Facebook&#8217;s heavy-handed PATENTS clause is a showstopper.&#8221;</p>\n<p>&#8220;Even mid-size companies like mine (ViaSat) are starting to disallow the use of Facebook&#8217;s &#8216;open-source&#8217; projects for this reason,&#8221; software developer Aaron Yoshitake <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316102045\" target=\"_blank\">said</a>. &#8220;We&#8217;d like to build React web and native apps, but it seems that any sensible legal department will recommend against agreeing to Facebook&#8217;s asymmetric patent grant.&#8221;</p>\n<h3>Internal Discussions Continue at Facebook, Re-Licensing Issue has been Escalated to Engineering Directors</h3>\n<p>Dan Abramov, co-author of Redux, Create React App, and React Hot Loader, shared with participants that Facebook is having internal discussions about the re-licensing issue but cautioned them to temper their optimism. He returned to throw some ice on the conversation, which has grown more heated over the past few days, when he said it could only remain an open discussion if everyone involved remains civil. Many participants are concerned about the future of the React-based software that they have already invested thousands of hours of work into.</p>\n<p>&#8220;I understand that everyone is frustrated about this issue,&#8221; Abramov <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316223034\" target=\"_blank\">said</a>. &#8220;Personally I am just as frustrated to spend time, energy, and emotional wellbeing on legal mumbo jumbo that is preventing people from using React. I would much prefer to spend this time on working together to make it better.</p>\n<p>&#8220;But the reality of this situation is that the maintainers of React (people like me that you’re interacting on the issue tracker) are not the ones making these decisions. Each of us is doing what we can to show different perspectives on this issue to the people who can make those decisions, and we appreciate your feedback too. But we can only keep discussion open if everyone stays civil and respectful.&#8221;</p>\n<p>Abramov also pointed out in a follow-up update that a bug tracker isn&#8217;t the best avenue for a legal discussion, especially since most participants are software developers and not lawyers. Many have mistaken the thread as a way to communicate with Facebook but there are just a handful of software developers who are representing the React community&#8217;s concerns.</p>\n<p>&#8220;We have heard you very well, and we have passed on your concerns,&#8221; Abramov said. &#8220;But repeating the same points over and over in different threads does not help move this forward, and creates a lot of noise and stress for the maintainers who are already empathetic to your cause.&#8221;</p>\n<p>Several participants expressed frustration that the React community cannot participate in the discussions more directly. However, as React is both an open source project and a product of Facebook, the company&#8217;s leadership has the last word on licensing issues.</p>\n<p>&#8220;I understand that software developers like us are not the best people to discuss legal details,&#8221; software consultant Erik Doernenburg <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316318170\" target=\"_blank\">said</a>. &#8220;However, wouldn&#8217;t the logical consequence be that the Facebook Legal team, who make such decisions, become active in this forum? Shouldn&#8217;t it be possible that all relevant details pertaining to a piece of open source software are discussed in the open? It is incredibly frustrating to have such an important aspect of open software discussed behind closed doors.&#8221;</p>\n<p>It&#8217;s not known whether Facebook is considering another change to its Patents grant or a complete re-licensing. Participants in the discussion are also concerned about other Facebook open source projects like GraphQL, Relay, React Native, and Flow, which share the same BSD+Patents License and are widely used by the open source community.</p>\n<p>Dan Abramov left an <a href=\"https://github.com/facebook/react/issues/10191#issuecomment-316739812\" target=\"_blank\">update</a> today to let the community know that no resolution is available this week. However, the update seemed more positive than the first one, which discouraged participants from being optimistic about a change.</p>\n<p>&#8220;I want to point out that there is a real momentum behind this discussion internally,&#8221; Abramov said. &#8220;There are going to be more meetings next week escalating this up to the engineering directors. As you imagine they are quite busy, so this is taking more time than we thought.</p>\n<p>&#8220;Again, I can’t promise you any specific conclusion, and there is no clarity on where this will land. But please know there are people working on getting your voice heard.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jul 2017 22:37:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: WPWeekly Episode 282 – Talking WooCommerce with Cody Landefeld\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=73448&preview=true&preview_id=73448\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wptavern.com/wpweekly-episode-282-talking-woocommerce-with-cody-landefield\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3381:\"<p>In this episode, <a href=\"http://jjj.me/\">John James Jacoby</a> and I are joined by <a href=\"https://twitter.com/codyL\">Cody Landefeld</a>, Senior web strategist and founder of <a href=\"https://modeeffect.com/\">Mode Effect</a>. Landefeld describes some of the challenges that shop owners face and provides insight into a couple of WooCommerce projects Mode Effect has recently built.</p>\n<p>We discussed the future of WooCommerce and the odds of it turning into a SaaS product. Landefeld shares his thoughts on WooCommerce <a href=\"https://wptavern.com/woocommerce-drops-50-renewal-discount-on-subscriptions\">dropping its 50% renewal discount</a> on subscriptions. Even though the discount is gone, he believes it&#8217;s still an affordable option for most users. To close out the show, Jacoby and I discuss the news of the week.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wptavern.com/aj-morris-acquires-ithemes-exchange\">AJ Morris Acquires iThemes Exchange</a><br />\n<a href=\"https://wptavern.com/jetpack-professional-plan-introduces-unlimited-access-to-200-commercial-themes\">Jetpack Professional Plan Introduces Unlimited Access to 200+ Commercial Themes</a><br />\n<a href=\"https://wptavern.com/bbpress-2-5-13-readds-sanitization-to-anonymous-user-data\">bbPress 2.5.13 Readds Sanitization to Anonymous User Data</a><br />\n<a href=\"https://wptavern.com/wp-rollback-adds-multisite-compatibility-and-changelog-preview\">WP Rollback Adds Multisite Compatibility and Changelog Preview</a><br />\n<a href=\"https://wptavern.com/gutenberg-0-5-0-adds-new-verse-block-for-poetry-and-a-new-display-for-recent-blocks\">Gutenberg 0.5.0 Adds New Verse Block for Poetry and a New Display for Recent Blocks</a></p>\n<h2>Picks of the Week:</h2>\n<p><a href=\"https://ahmadawais.com/gutenberg-boilerplate/\">Gutenberg Boilerplate For Third-Party Custom Blocks</a> by Ahmad Awais. The boilerplate is a great way to learn the basics on creating custom blocks for Gutenberg. It comes with four example blocks.</p>\n<ul>\n<li>A block with custom CSS for editor and front end</li>\n<li>A block with ES6 or ESNext and a Webpack build process</li>\n<li>A block with editable content</li>\n<li>A block to click Tweet the contents of that block</li>\n</ul>\n<p>Awais also shared his thoughts on the Gutenberg project.</p>\n<p><a href=\"https://wordpress.org/plugins/add-admin-css/\">Add Admin CSS</a> &#8211; Using this plugin you’ll easily be able to define additional CSS (inline and/or files by URL) to be added to all administration pages. You can define CSS to appear inline in the admin head (within style tags), or reference CSS files to be linked.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, August 2nd 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\" rel=\"noopener\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #282:</strong><br />\n</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jul 2017 01:19:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"WPTavern: The State of JavaScript 2017 Survey is Now Open\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73377\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wptavern.com/the-state-of-javascript-2017-survey-is-now-open\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2708:\"<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/07/stateof-javascript-2017.png?ssl=1\"><img /></a></p>\n<p>The <a href=\"http://stateofjs.com/\" target=\"_blank\">State of JavaScript 2017 Survey</a> is now open to web professionals of all backgrounds. The intent of the survey is to provide an overview of the rapidly changing landscape of JavaScript frameworks and tools by gauging which technologies are growing in popularity and which ones people are liking and using less.</p>\n<p>The survey, created by <a href=\"http://twitter.com/SachaGreif\" target=\"_blank\">Sacha Greif</a> and <a href=\"http://michaelrambeau.com/\" target=\"_blank\">Michael Rambeau</a>, should take approximately 10 minutes to complete. Topics include JavaScript frontend and backend tools and frameworks, state management solutions, testing tools, CSS, build tools, mobile and desktop technologies, package managers, text editors, salaries, and more.</p>\n<p>Last year&#8217;s 89-question survey received more than 9,300 responses. <a href=\"https://wptavern.com/state-of-javascript-survey-results-published-react-emerges-as-clear-winner-in-front-end-frameworks\" target=\"_blank\">Results</a> showed that React ranked higher than other front-end frameworks in terms of developer satisfaction at 92%, followed closely by Vue.js at 89%.</p>\n<p>It will be interesting to see if and how these results change with many open source project and companies growing wary of using React after the Apache Software Foundation&#8217;s recent decision to<a href=\"https://wptavern.com/react-users-petition-facebook-to-re-license-react-js-after-apache-software-foundation-bans-bsdpatents-license-in-dependencies\" target=\"_blank\"> ban Apache PMC members from using any technology licensed with Facebook&#8217;s BSD+Patents License</a>. A licensing issue that <a href=\"https://github.com/facebook/react/issues/10191\" target=\"_blank\">jeopardizes more companies&#8217; ability to use Facebook&#8217;s popular open source technologies</a> could precipitate a decline in React&#8217;s preeminence among frontend frameworks.</p>\n<p>Sacha Greif reports that the survey has <a href=\"https://twitter.com/SachaGreif/status/887473181539188736\" target=\"_blank\">received more than 3,500 responses in less than 24 hours</a>, a remarkable number compared to 9,300 over the course of three weeks last year. This response affirms the value that <a href=\"https://wptavern.com/state-of-javascript-survey-results-published-react-emerges-as-clear-winner-in-front-end-frameworks\" target=\"_blank\">last year&#8217;s results</a> provided to web professionals who are attempting to navigate the ever-expanding JavaScript ecosystem.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jul 2017 20:16:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: bbPress 2.5.13 Readds Sanitization to Anonymous User Data\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=73397\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/bbpress-2-5-13-readds-sanitization-to-anonymous-user-data\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1328:\"<p>The bbPress development team <a href=\"https://bbpress.org/blog/2017/07/bbpress-2-5-13/\">has released</a> bbPress 2.5.13. This release fixes a few bugs, most notably, it readds sanitization to anonymous user data that was accidentally removed in previous versions.</p>\n<p>Those who allow anonymous users to create topics and replies on their forums are encouraged to update immediately.</p>\n<p>&#8220;This feature is not widely used on public forums because spammers aggressively target these kinds of sites, but for communities that rely on this feature, please know you can safely upgrade to 2.5.13 without any issues,&#8221; John James Jacoby, lead developer of bbPress and BuddyPress, said.</p>\n<p>As a reminder, beginning with bbPress 2.5.12, the minimum version of WordPress supported is 4.7. If you&#8217;re using an older version of WordPress, Jacoby recommends using or staying with bbPress 2.5.11.</p>\n<p>bbPress 2.6 is still in the release candidate phase as developers iron out a few issues discovered on WordPress.org.</p>\n<p>Users can <a href=\"https://wordpress.org/plugins/bbpress/\">download the latest versio</a><a href=\"https://wordpress.org/plugins/bbpress/\">n</a> of bbPress from WordPress.org or browse to Dashboard &gt; Updates, and upgrade from within WordPress.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jul 2017 18:22:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: Zagreb to Host 3rd WordCamp in Croatia, September 1-3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=72737\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/zagreb-to-host-3rd-wordcamp-in-croatia-september-1-3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4747:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/07/zagreb-croatia.png?ssl=1\"><img /></a>photo credit: Archives of Zagreb Tourist Board &#8211; Author: Marko Vrdoljak\n<p><a href=\"https://2017.zagreb.wordcamp.org/\" target=\"_blank\">WordCamp Zagreb</a> will be held September 1-3 and organizers are anticipating 300 attendees. This is the third WordCamp to be held in Croatia, following WordCamp Rijeka (2015) and WordCamp Split (2016). Although it changes cities every year, the camp is known as Croatia’s annual WordCamp.</p>\n<p>&#8220;Having WordCamp change cities each year is quite normal for us,&#8221; WordCamp Croatia co-organizer and Zagreb meetup organizer Emanuel Blagonic said. &#8220;A lot of people from other cities travel to meetups too. Our largest meetup in Zagreb, which usually has 80+ people present and 100+ live stream viewers, usually has people attending from a 300km circle around Zagreb. People also travel to Split when there are meetups there.&#8221;</p>\n<p>A renewed <a href=\"https://make.wordpress.org/community/2017/07/18/regional-camps-take-2/\" target=\"_blank\">discussion on regional WordCamps</a> is firing up on the WordPress Community team P2 blog, as the topic was discussed at the Community Summit and with recent developments in <a href=\"https://wptavern.com/wordcamp-netherlands-reinstated-for-2018\" target=\"_blank\">WordCamp Netherlands being reinstated</a> and <a href=\"https://wptavern.com/wordsesh-asia-now-in-planning-for-2018-wordcamp-asia-targeted-for-2019\" target=\"_blank\">WordCamp Asia a possibility for 2019</a>. Croatia is another example of a country where a national WordCamp might benefit the community.</p>\n<p>&#8220;When we started with organizing a WordCamp in Croatia, as a community we hoped that WordCamp will help us boost local communities, thus not having everything centralized in Zagreb (where most other meetups happen, i.e. PHP, Design, UX, JavaScript, Python, etc.),&#8221; Blagonic said. &#8220;As a community we strongly believe that every region is different and it should be viewed like that. So far we are organizing WordCamps &#8216;no matter what,&#8217; but having a &#8216;national WordCamp would mean more Croatian sponsors and better coverage from national media.&#8221;</p>\n<p>WordCamp Zagreb will be a three-day event, beginning with workshops on the first day as the event has done in previous years. Organizers are planning for 12 workshops in four tracks that will be open to public registration. The main conference will be held Saturday with two tracks. Contributor Day will close out the event on Sunday, followed by a walking tour of the city.</p>\n<p>Friday&#8217;s workshops will be held mostly in Croatian, except a few, such as WordPress Basics and Public Speaking, which will be conducted in English. All of the conference talks this year will be in English.</p>\n<p>&#8220;Croatia is a tourist country and most of the people here speak good English, which is often used at large tech events,&#8221; Blagonic said. &#8220;With that in mind, every WordCamp so far was (mostly) in English, which means it’s quite welcoming for people outside Croatia, too (Slovenia, Austria, Italy, Germany) – and our community likes to meet new people. Unlike WordCamps, we see Meetups as strong local events so we usually have talks in Croatian there.&#8221;</p>\n<p>Blagonic said every year so far the WordCamp has had approximately 20% of its attendees traveling from outside Croatia, as the country is relatively small with a population of 4 million. Most attendees travel to the WordCamp from other parts of Croatia.</p>\n<p>Croatia currently has five local meetups, but only the two in Zagreb and Split have enough members to meet regularly. Blagonic said he sees the meetups as a way to help local communities grow and views the WordCamp as &#8220;a celebration of the country community.&#8221; However, he believes centralizing the larger events too much would be detrimental to growing the fledgling WordPress communities in the smaller cities.</p>\n<p>&#8220;I’d say that in Croatia (and in the region) we have a young democracy and we still haven’t found the best way to connect with people,&#8221; Blagonic said. &#8220;For example, there are four big cities in Croatia where most of the things happen, and the tech scene is quite strong in them. If you go outside of these four hubs, a lot fewer things happen, which is a problem for people living outside. We believe that having a centralized country is bad for growing local communities (outside these areas) so with changing cities each year and with traveling to other Meetups/WordCamps we hope that we will change how people feel about it. &#8220;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jul 2017 18:11:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Donncha: WP Super Cache 1.5.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89500337\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://odd.blog/2017/07/19/wp-super-cache-1-5-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5935:\"<p>WP Super Cache is a fast full-page caching plugin for WordPress. Download it from your dashboard or get it <a href=\"https://wordpress.org/plugins/wp-super-cache/\">here</a>.</p>\n<p>Version 1.5.0 has been in development for some time. It has a ton of bug fixes and new features. </p>\n<h3>REST API</h3>\n<p>The headline new feature is REST API access to the settings. This will allow developers to create their own interface to the settings of the plugin. Unfortunately it isn&#8217;t yet documented but you can see the code <a href=\"https://github.com/Automattic/wp-super-cache/tree/master/rest\">in the rest directory</a>. Start with load.php where you&#8217;ll find the code that registers all the endpoints. Users who access the API must be logged in as admin users. If you want to test the API, see the end of this post.</p>\n<h3>Settings Page</h3>\n<p>We have also simplified the settings page to make it easier to choose which caching method is used. </p>\n<p><img /></p>\n<p>Instead of maybe confusing the user with technical words like PHP, mod_rewrite and WP-Cache we have split them up into &#8220;Simple&#8221; and &#8220;Expert&#8221; delivery methods, and done away with mentioning WP-Cache completely. Simple delivery uses PHP, expert uses mod_rewrite and well, WP-Cache got the boot because it&#8217;s always active anyway.</p>\n<p>WP-Cache caching is always active, but it can be disabled in different ways.</p>\n<ul>\n<li> Disable caching for known users.</li>\n<li> Don&#8217;t cache pages with GET parameters</li>\n<li> Disable caching of feeds</li>\n</ul>\n<h3>Headers</h3>\n<p>We <a href=\"https://github.com/Automattic/wp-super-cache/pull/287\">expanded the number of headers</a> cached by the plugin. The list of headers was borrowed from <a href=\"https://cometcache.com/\">Comet Cache</a>. However, anonymous users will still only see the bare minimum like content-length or content-type. If you need to use security headers like &#8220;X-Frame-Options&#8221; or &#8220;Content-Security-Policy&#8221; you should enable caching of HTTP headers. This unfortunately disables super caching so only WP-Caching is used but it&#8217;s still very fast (and faster in this release than before which I will get to below). You can also use the &#8220;wpsc_known_headers&#8221; filter to modify the list of recognised headers.</p>\n<h3>WP-Cache Reorganisation</h3>\n<p>WP-Cache cache files are split into two files &#8211; one holds the page content, the other (meta file) holds information about the page such as cookies, headers and url. In the past these files were stored in two directories which could become a problem if there were many thousands of those files. Even with only a few hundred files, maintenance could be an issue as deleting related files (like page archives, or copies of the front page) needed every meta file to be inspected.<br />\nNow the files are stored in the supercache directory structure that mirrors your permalink structure. Deleting related files is is simpler and serving files will be faster as the operating system won&#8217;t need to open a directory of thousands of files.<br />\nIf you currently rely on WP-Cache files, the plugin will still look for them where they are, but new WP-Cache files will be created in cache/supercache/example.com/ (where example.com is your hostname).</p>\n<h3>Sitemaps</h3>\n<p>We added support for caching sitemaps, but your sitemap plugin will need to cooperate to get it to work. The sitemap plugin needs to identify the sitemap request as a feed. Jetpack 5.1 now supports this since <a href=\"https://github.com/Automattic/jetpack/pull/7397\">#7397</a>. You can disable the caching by excluding feeds from caching.</p>\n<h3>Debugging Improved</h3>\n<p>The debug log is now protected by a username/password. For convenience, the username and password are the same but they are a long md5 string:</p>\n<p><img /></p>\n<p>Deleting the log file clears it and resets it ready for more logging. Before, toggling debugging would create a new debug log and the old one would be kept around, but not linked, until deleted by garbage collection, and of course they were text files anyone could access.</p>\n<p>This release includes lots of other small bug fixes and changes. Take a look at the <a href=\"https://github.com/Automattic/wp-super-cache/pulls?q=is%3Apr+is%3Aclosed\">number of closed PRs</a> for an exhaustive list of those changes!</p>\n<h3>Testing the REST API</h3>\n<p>There are a number of ways to send POST requests to a web server but one I like is using curl in a shell script. You&#8217;ll need two bits of information from the website:</p>\n<ol>\n<li> The &#8220;wordpress_logged_in&#8221; cookie from your browser.</li>\n<li> The wp_rest nonce which you can get by adding `echo wp_create_nonce( &#8216;wp_rest&#8217; );` somewhere on your site where you&#8217;re logged in. It&#8217;s good for 24 hours.</li>\n</ol>\n<p>My test script looks something like this:<br />\n<code>export NONCE=\'1234567890\'<br />\nexport COOKIE=\'wordpress_logged_in_xxxxxxxxxxxxxxxxxxxx=1234567890\'<br />\ncurl -v -X \"GET\" -H \"Content-Type: application/json\" -H \"X-WP-Nonce: $NONCE\" -H \"Cache-Control: no-cache\" -H \"Cookie: wordpress_test_cookie=WP+Cookie+check; $COOKIE\" \\<br />\n-d \'{}\' \"https://example.com/wp-json/wp-super-cache/v1/settings/\"</code></p>\n\n<p><strong>Related Posts</strong><ul><li> <a href=\"https://odd.blog/2008/10/24/wp-super-cache-084-the-garbage-collector/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.8.4, the garbage collector\">WP Super Cache 0.8.4, the garbage collector</a></li><li> <a href=\"https://odd.blog/2009/01/09/wp-super-cache-087/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.8.7\">WP Super Cache 0.8.7</a></li><li> <a href=\"https://odd.blog/2010/02/08/wp-super-cache-099/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.9.9\">WP Super Cache 0.9.9</a></li></ul></p>\n<p><a href=\"https://odd.blog/\" rel=\"external nofollow\">Source</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jul 2017 12:25:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"HeroPress: Becoming Myself Again\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1978\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://heropress.com/essays/becoming-myself-again/#utm_source=rss&utm_medium=rss&utm_campaign=becoming-myself-again\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6018:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/07/071917-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: The WordPress community is, slowly but surely, helping me get rid of my ingrown fear of the unknown, of others.\" /><p>It’s so easy to become secluded and sit at home, in your own bubble, but it wasn’t until a group of people literally pulled me in with their welcoming atmosphere and demeanor, that I realised that I could function amongst other people as well (even if it was somewhat limited).</p>\n<h3>In The Beginning</h3>\n<p>To understand my bubble, you need to also know a little about me, or rather, about my childhood. I had a less than ideal childhood. I have a great family, lived in a great house, even in the “best country in the world” as they say. And despite this, I say I wasn’t happy with my childhood. My school years were the reason, they were rough. At times I think back and feel like events that unfolded were parts of ridiculous scenes from an over the top movie.</p>\n<p>All in all, the days seemed generic enough, except my school days were a thing of dread. I would suffer physical and verbal abuse throughout my schooldays, even going to and from school, I had no real friends (victim by association is understandably not something a child would want to intentionally walk into. I understand this as an adult, but as a child it’s not that easy).</p>\n<blockquote><p>Because of my treatment over the years, I developed trust issues, I got a fear for everyone around me, and it was growing stronger and stronger over the years.</p></blockquote>\n<p>I suppressed it, I lied about it, and I got terrifyingly good at the lying part.</p>\n<p>This is why I was drawn to the internet: I didn’t have to interact with people, I didn’t need to go outside where the others were, I could just do my thing and move on. I could live in my own bubble.</p>\n<h3>Finding WordPress</h3>\n<p>But then the darndest thing happened. I’d been stuck on a project, I needed help, and I turned to a support room for an open source project, for WordPress. If you’ve ever tried to get help in a chat before, you’ll know what kind of an experience it can be, the snarky reactions to your code, the nitpicking of using the wrong terminology, it’s not fun. This place though, they didn’t care that I was not only using the wrong terms, but my entire code was a horrible mess.</p>\n<blockquote><p>Where I would usually get the help I needed and move on, popping back in my bubble of solitude, I instead wanted to be like these people, I wanted to use what I learnt to let others get helped.</p></blockquote>\n<p>Over the years, I all but devote myself to that place. Nobody knew me, I liked staying under the radar, but eventually I got pushed into a team meeting. I was intrigued, so I would watch, I’d say hi, and progressively make my opinions heard. Yet, I would stick to my bubble, once the meeting was over I was back on my own.</p>\n<h3>And Then I Went To WordCamp</h3>\n<p>Until I got to attend my first big WordCamp, the last one held in San Francisco, I was ecstatic! I’d never been to a big conference before, as I didn’t like crowds, but I knew some of the people who would be there. They were people who had been friendly and inviting in the most genuine way imaginable. It’s not easy being worried whenever you’re out amongst people, but this group of people, this community, I didn’t have that fear around them.</p>\n<blockquote><p>I somehow made WordCamps my safe space.</p></blockquote>\n<p>They are where I can, if only for a short while, leave that bubble, leave the need to be alone, and be a part of something great! I use them as fuel to get through the hard times, I can look forward to meeting people, people who value my opinions and my experience. People who genuinely want to listen and most of all, care about you! The WordPress community is, slowly but surely, helping me get rid of my ingrown fear of the unknown, of others.</p>\n<p>The community is helping me become myself again.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Becoming Myself Again\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Becoming%20Myself%20Again&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fbecoming-myself-again%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Becoming Myself Again\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fbecoming-myself-again%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fbecoming-myself-again%2F&title=Becoming+Myself+Again\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Becoming Myself Again\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/becoming-myself-again/&media=https://heropress.com/wp-content/uploads/2017/07/071917-150x150.jpg&description=Becoming Myself Again\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Becoming Myself Again\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/becoming-myself-again/\" title=\"Becoming Myself Again\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/becoming-myself-again/\">Becoming Myself Again</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jul 2017 12:00:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Marius Jensen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Tue, 15 Aug 2017 19:59:34 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Tue, 15 Aug 2017 19:45:10 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20170815194954\";}','no');

INSERT INTO `wp_options` (`option_id`, `option_name`, `option_value`, `autoload`)
VALUES
	(124,'_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9','1502870378','no'),
	(125,'_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9','1502827178','no'),
	(126,'_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b','1502870378','no'),
	(127,'_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b','<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2017/08/wordpress-4-8-1-maintenance-release/\'>WordPress 4.8.1 Maintenance Release</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/maekit-acquires-wp-remote-plans-to-add-cloud-based-backup-services\'>WPTavern: maekit Acquires WP Remote, Plans to Add Cloud-Based Backup Services</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/gutenberg-0-8-0-introduces-5-new-blocks-categories-text-columns-shortcode-audio-and-video\'>WPTavern: Gutenberg 0.8.0 Introduces 5 New Blocks: Categories, Text Columns, Shortcode, Audio, and Video</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/early-results-from-nrkbetas-comment-quiz-plugin-show-readers-enjoy-the-quiz-but-rarely-leave-a-comment\'>WPTavern: Early Results from NRKbeta’s Comment Quiz Plugin Show Readers Enjoy the Quiz but Rarely Leave a Comment</a></li></ul></div>','no'),
	(128,'_transient_timeout_plugin_slugs','1502913978','no'),
	(129,'_transient_plugin_slugs','a:5:{i:0;s:43:\"current-screen-info/current-screen-info.php\";i:1;s:24:\"http-api-debug/index.php\";i:2;s:65:\"recently-edited-content-widget/recently-edited-content-widget.php\";i:3;s:53:\"what-template-am-i-using/what-template-am-i-using.php\";i:4;s:41:\"wordpress-importer/wordpress-importer.php\";}','no'),
	(130,'recently_activated','a:2:{s:41:\"wordpress-importer/wordpress-importer.php\";i:1502827578;s:24:\"http-api-debug/index.php\";i:1502827459;}','yes'),
	(131,'http-api-debug-version','0.1.2','no'),
	(132,'wtaiu-server-ip','50.205.125.225','no'),
	(133,'wtaiu-version','0.2.0','no'),
	(134,'theme_mods_twentyseventeen','a:1:{s:18:\"custom_css_post_id\";i:-1;}','yes'),
	(135,'_transient_is_multi_author','0','yes'),
	(136,'_site_transient_timeout_theme_roots','1502829148','no'),
	(137,'_site_transient_theme_roots','a:1:{s:15:\"twentyseventeen\";s:7:\"/themes\";}','no'),
	(138,'_site_transient_timeout_available_translations','1502838215','no'),
	(139,'_site_transient_available_translations','a:108:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 10:11:36\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-29 08:49:40\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.5/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-22 18:59:07\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:0:\"\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-30 18:40:55\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.1/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-09 09:24:45\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-04 16:58:43\";s:12:\"english_name\";s:7:\"Bengali\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:23:\"এগিয়ে চল.\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-05 09:44:12\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"མུ་མཐུད།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-04 20:20:28\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-08 21:01:45\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-12 08:46:26\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:12:\"Čeština‎\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 14:28:04\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-14 21:32:06\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 06:22:33\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-03 16:58:53\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 06:24:08\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/translation/core/4.8.1/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-30 10:51:58\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/4.8.1/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:0:\"\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 10:51:51\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-02 03:57:05\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-25 10:03:08\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-01-26 15:53:43\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-25 19:47:01\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-25 17:31:04\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 10:38:53\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-30 16:09:17\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/es_VE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-25 07:43:08\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/es_ES.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"es\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-01-26 15:54:37\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/es_GT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-01 04:48:11\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/es_AR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-28 20:09:49\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/es_CL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-09 09:36:22\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/es_PE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-31 15:12:02\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/es_MX.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-13 17:00:30\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/es_CO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"es\";i:2;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 16:37:11\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-30 18:58:36\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:3:\"4.8\";s:7:\"updated\";s:19:\"2017-06-09 15:50:45\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 11:00:29\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 09:14:18\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-11 21:42:01\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 12:37:07\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 12:45:35\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-07 20:55:07\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:31:\"ચાલુ રાખવું\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:5:\"4.4.2\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.4.2/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-14 22:44:18\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 10:29:26\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"जारी\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:3:\"4.8\";s:7:\"updated\";s:19:\"2017-07-19 08:19:39\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.8/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:48:39\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 12:45:08\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-04-13 13:55:54\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-04 08:42:00\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-03 23:23:50\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"続ける\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:3:\"4.8\";s:7:\"updated\";s:19:\"2017-06-12 09:20:11\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:3:\"4.8\";s:7:\"updated\";s:19:\"2017-07-16 18:44:50\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/4.8/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-07 02:07:59\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 10:48:16\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:48:25\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 11:02:15\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-03-17 20:40:40\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.5/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-01-26 15:54:41\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-12 07:29:35\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"Үргэлжлүүлэх\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:3:\"4.8\";s:7:\"updated\";s:19:\"2017-07-05 19:40:47\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/4.8/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-03-05 09:45:10\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.1.18\";s:7:\"updated\";s:19:\"2015-03-26 15:57:42\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.1.18/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-02 21:02:39\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-31 08:47:10\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 19:34:18\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-27 16:44:39\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-02-16 13:24:21\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/4.7.5/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-01 07:32:10\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-02 13:47:38\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:7:\"Punjabi\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-04 20:03:38\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.1.18\";s:7:\"updated\";s:19:\"2015-03-29 22:19:48\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.1.18/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-14 14:20:07\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-26 21:35:20\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:0:\"\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 10:26:15\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-10 10:38:14\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-09 13:26:18\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 14:03:23\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-04-24 08:35:30\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.5/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 12:07:44\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-03 22:53:12\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:48:43\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-30 02:38:08\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-31 11:38:12\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:0:\"\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-05 09:23:39\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:9:\"Uyƣurqə\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-10 15:50:30\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-28 14:27:29\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:5:\"4.7.5\";s:7:\"updated\";s:19:\"2017-05-13 09:55:38\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.5/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-07-25 01:27:21\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.8.1/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-14 16:47:28\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:16:\"香港中文版	\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-04 07:53:05\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"4.8.1\";s:7:\"updated\";s:19:\"2017-08-03 15:43:25\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.8.1/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}','no');

/*!40000 ALTER TABLE `wp_options` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_postmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_postmeta`;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_postmeta` WRITE;
/*!40000 ALTER TABLE `wp_postmeta` DISABLE KEYS */;

INSERT INTO `wp_postmeta` (`meta_id`, `post_id`, `meta_key`, `meta_value`)
VALUES
	(1,2,'_wp_page_template','default');

/*!40000 ALTER TABLE `wp_postmeta` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_posts
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_posts`;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_posts` WRITE;
/*!40000 ALTER TABLE `wp_posts` DISABLE KEYS */;

INSERT INTO `wp_posts` (`ID`, `post_author`, `post_date`, `post_date_gmt`, `post_content`, `post_title`, `post_excerpt`, `post_status`, `comment_status`, `ping_status`, `post_password`, `post_name`, `to_ping`, `pinged`, `post_modified`, `post_modified_gmt`, `post_content_filtered`, `post_parent`, `guid`, `menu_order`, `post_type`, `post_mime_type`, `comment_count`)
VALUES
	(1,1,'2017-08-15 19:59:24','2017-08-15 19:59:24','Welcome to WordPress. This is your first post. Edit or delete it, then start writing!','Hello world!','','publish','open','open','','hello-world','','','2017-08-15 19:59:24','2017-08-15 19:59:24','',0,'http://localhost:8000/?p=1',0,'post','',1),
	(2,1,'2017-08-15 19:59:24','2017-08-15 19:59:24','This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://localhost:8000/cms/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!','Sample Page','','publish','closed','open','','sample-page','','','2017-08-15 19:59:24','2017-08-15 19:59:24','',0,'http://localhost:8000/?page_id=2',0,'page','',0),
	(3,1,'2017-08-15 19:59:35','0000-00-00 00:00:00','','Auto Draft','','auto-draft','open','open','','','','','2017-08-15 19:59:35','0000-00-00 00:00:00','',0,'http://localhost:8000/?p=3',0,'post','',0);

/*!40000 ALTER TABLE `wp_posts` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_term_relationships
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_term_relationships`;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_term_relationships` WRITE;
/*!40000 ALTER TABLE `wp_term_relationships` DISABLE KEYS */;

INSERT INTO `wp_term_relationships` (`object_id`, `term_taxonomy_id`, `term_order`)
VALUES
	(1,1,0);

/*!40000 ALTER TABLE `wp_term_relationships` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_term_taxonomy
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_term_taxonomy`;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_term_taxonomy` WRITE;
/*!40000 ALTER TABLE `wp_term_taxonomy` DISABLE KEYS */;

INSERT INTO `wp_term_taxonomy` (`term_taxonomy_id`, `term_id`, `taxonomy`, `description`, `parent`, `count`)
VALUES
	(1,1,'category','',0,1);

/*!40000 ALTER TABLE `wp_term_taxonomy` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_termmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_termmeta`;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;



# Dump of table wp_terms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_terms`;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_terms` WRITE;
/*!40000 ALTER TABLE `wp_terms` DISABLE KEYS */;

INSERT INTO `wp_terms` (`term_id`, `name`, `slug`, `term_group`)
VALUES
	(1,'Uncategorized','uncategorized',0);

/*!40000 ALTER TABLE `wp_terms` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_usermeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_usermeta`;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_usermeta` WRITE;
/*!40000 ALTER TABLE `wp_usermeta` DISABLE KEYS */;

INSERT INTO `wp_usermeta` (`umeta_id`, `user_id`, `meta_key`, `meta_value`)
VALUES
	(1,1,'nickname','wp'),
	(2,1,'first_name',''),
	(3,1,'last_name',''),
	(4,1,'description',''),
	(5,1,'rich_editing','true'),
	(6,1,'comment_shortcuts','false'),
	(7,1,'admin_color','fresh'),
	(8,1,'use_ssl','0'),
	(9,1,'show_admin_bar_front','true'),
	(10,1,'locale',''),
	(11,1,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),
	(12,1,'wp_user_level','10'),
	(13,1,'dismissed_wp_pointers',''),
	(14,1,'show_welcome_panel','0'),
	(15,1,'session_tokens','a:1:{s:64:\"32f5307f98acabce2e95aef6441a7bf4e54879bf4d47d8139eaa939c5bc056ef\";a:4:{s:10:\"expiration\";i:1504036769;s:2:\"ip\";s:10:\"172.19.0.1\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:55.0) Gecko/20100101 Firefox/55.0\";s:5:\"login\";i:1502827169;}}'),
	(16,1,'wp_dashboard_quick_press_last_post_id','3'),
	(17,1,'community-events-location','a:1:{s:2:\"ip\";s:10:\"172.19.0.0\";}'),
	(18,1,'recw_options','a:0:{}'),
	(19,1,'wtaiu_show_sidebar','1'),
	(20,1,'wtaiu_sidebar_data','a:2:{s:4:\"open\";i:0;s:6:\"panels\";a:10:{s:17:\"wtaiu-theme-panel\";s:1:\"0\";s:20:\"wtaiu-template-panel\";s:1:\"1\";s:24:\"wtaiu-general-info-panel\";s:1:\"1\";s:28:\"wtaiu-additional-files-panel\";s:1:\"1\";s:32:\"wtaiu-dynamic-sidebar-info-panel\";s:1:\"1\";s:22:\"wtaiu-enqueued-scripts\";s:1:\"1\";s:21:\"wtaiu-enqueued-styles\";s:1:\"1\";s:24:\"wtaiu-ip-addresses-panel\";s:1:\"0\";s:28:\"wtaiu-server-variables-panel\";s:1:\"0\";s:14:\"php-info-panel\";s:1:\"0\";}}'),
	(21,1,'meta-box-order_dashboard','a:4:{s:6:\"normal\";s:23:\"recently-edited-content\";s:4:\"side\";s:38:\"dashboard_activity,dashboard_right_now\";s:7:\"column3\";s:21:\"dashboard_quick_press\";s:7:\"column4\";s:17:\"dashboard_primary\";}'),
	(22,1,'closedpostboxes_dashboard','a:0:{}'),
	(23,1,'metaboxhidden_dashboard','a:3:{i:0;s:19:\"dashboard_right_now\";i:1;s:21:\"dashboard_quick_press\";i:2;s:17:\"dashboard_primary\";}');

/*!40000 ALTER TABLE `wp_usermeta` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_users`;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

LOCK TABLES `wp_users` WRITE;
/*!40000 ALTER TABLE `wp_users` DISABLE KEYS */;

INSERT INTO `wp_users` (`ID`, `user_login`, `user_pass`, `user_nicename`, `user_email`, `user_url`, `user_registered`, `user_activation_key`, `user_status`, `display_name`)
VALUES
	(1,'wp','$P$BLHk90Ho57TBLbZNytyF7rhUqFbv960','wp','wp@example.com','','2017-08-15 19:59:24','',0,'wp');

/*!40000 ALTER TABLE `wp_users` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
